Github messages for voidlinux
 help / color / Atom feed
* Re: [PR PATCH] [Updated] [WIP] gnome apps: update & fix license [ci skip]
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16892@inbox.vuxu.org>
@ 2019-12-25 15:37 ` voidlinux-github
  2019-12-27 21:20 ` voidlinux-github
                   ` (6 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-12-25 15:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 3298 bytes --]

There is an updated pull request by k4leg against master on the void-packages repository

https://github.com/k4leg/void-packages gnome
https://github.com/void-linux/void-packages/pull/16892

[WIP] gnome apps: update & fix license [ci skip]
List of updates:
- [ ] at-spi2-atk -> 2.34.1
- [ ] atk -> 2.35.1
- [x] baobab -> 3.34.0
- [x] cairomm -> 1.15.4
- [x] dconf -> 0.34.0
- [x] dconf-editor -> 3.34.2
- [x] eog -> 3.35.1
- [x] eog-plugins -> 3.26.4
- [x] eolie -> 0.9.63
- [ ] epiphany -> 3.35.2
- [ ] evince -> 3.35.1
- [ ] evolution -> 3.34.2
- [ ] evolution-data-server -> 3.34.2
- [ ] file-roller -> 3.35.1
- [ ] gdl -> 3.34.0
- [ ] geary -> 3.35.2
- [ ] gedit -> 3.35.1
- [ ] gedit-plugins -> 3.35.1
- [ ] gjs -> 1.63.2
- [x] glib -> 2.63.3
- [ ] glib-networking -> 2.63.2
- [ ] glibmm -> 2.63.1
- [ ] gmime3 -> 3.2.5
- [x] gnome -> fix
- [ ] gnome-2048 -> 3.34.4
- [ ] gnome-boxes -> 3.34.2
- [ ] gnome-calculator -> fix
- [ ] gnome-calendar -> 3.35.2
- [x] gnome-colors-icon-theme -> fix license
- [ ] gnome-control-center -> 3.35.2
- [ ] gnome-desktop -> 3.35.2
- [ ] gnome-disk-utility -> 3.35.2
- [ ] gnome-documents -> 3.34.0
- [ ] gnome-epub-thumbnailer -> 1.6
- [ ] gnome-flashback -> 3.35.1
- [ ] gnome-games -> 3.34.1
- [ ] gnome-getting-started-docs -> 3.34.1
- [ ] gnome-keyring -> 3.34.0
- [ ] gnome-maps -> 3.35.2
- [x] gnome-mime-data -> fix license
- [ ] gnome-music -> 3.35.2
- [ ] gnome-online-accounts -> 3.35.1
- [ ] gnome-panel -> 3.35.1
- [ ] gnome-passbook -> 0.8
- [ ] gnome-photos -> 3.34.0
- [ ] gnome-podcasts -> 0.4.7
- [ ] gnome-screenshot -> 3.34.0
- [ ] gnome-session -> 3.34.2
- [ ] gnome-settings-daemon -> 3.35.0
- [ ] gnome-shell -> 3.35.2
- [ ] gnome-shell-extensions -> 3.35.2
- [ ] gnome-sound-recorder -> 3.34.0
- [ ] gnome-subtitles -> 1.6
- [ ] gnome-terminal -> 3.35.1
- [ ] gnome-tetravex -> 3.35.2
- [ ] gnome-themes-standard-metacity -> 3.27.90
- [ ] gnome-usage -> 3.33.2
- [ ] gnome-user-docs -> 3.34.1
- [ ] gnome-video-effects -> 0.5.0
- [ ] gnome-weather -> 3.34.0
- [ ] gnote -> 3.34.1
- [ ] gobject-introspection -> 1.62.0
- [ ] grilo -> 0.3.10
- [ ] gspell -> 1.8.2
- [ ] gtk-doc -> 1.32
- [ ] gtk-vnc -> 1.0.0
- [ ] gtkmm -> 3.24.2
- [ ] gtksourceview4 -> 4.4.0
- [ ] gtksourceviewmm -> 3.91.1
- [ ] gtranslator -> 3.34.0
- [ ] gvfs -> 1.43.2
- [ ] iagno -> 3.35.2
- [ ] jsonrpc-glib -> 3.34.0
- [ ] libchamplain -> 0.12.20
- [ ] libdazzle -> 3.35.2
- [ ] libgdata -> 0.17.11
- [ ] libpeas -> 1.24.1
- [ ] libsecret -> 0.19.1
- [x] libsigc++ -> 3.0.0
- [ ] libsoup -> 2.68.3
- [ ] metacity -> 3.34.1
- [ ] mutter -> 3.35.2
- [ ] nautilus -> 3.35.2
- [ ] network-manager-applet -> 1.8.24
- [ ] orca -> 3.34.1
- [ ] pangomm -> 2.43.1
- [ ] polari -> 3.35.2
- [ ] quadrapassel -> 3.35.2
- [ ] rygel -> 0.38.3
- [ ] seahorse -> 3.34.0
- [ ] shotwell -> 0.31.0
- [ ] sysprof -> 3.35.2
- [ ] tepl -> 4.3.1
- [ ] template-glib -> 3.34.0
- [x] vala -> 0.47.1
- [ ] valadoc -> 0.47.1
- [ ] vte3 -> 0.59.0

Compiled on:
* **x86_64-musl**: _Performed_ | _97/97 packages_
* **aarch64-musl**: _11/95 packages_
**Non-cross-compiling**: `eog` & `eog-plugins`

A patch file from https://github.com/void-linux/void-packages/pull/16892.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-gnome-16892.patch --]
[-- Type: text/x-diff, Size: 204498 bytes --]

From e9d5a1d7fb2f575de38b95e7385675d84374b0da Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:29:31 +0300
Subject: [PATCH 01/97] gdl: update to 3.34.0. [ci skip]

---
 srcpkgs/gdl/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gdl/template b/srcpkgs/gdl/template
index d5b180bd43b..35bee803f96 100644
--- a/srcpkgs/gdl/template
+++ b/srcpkgs/gdl/template
@@ -1,7 +1,7 @@
 # Template file for 'gdl'
 pkgname=gdl
-version=3.28.0
-revision=3
+version=3.34.0
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, LGPL-2.0-or-later"
 homepage="https://developer.gnome.org/gdl/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=52cc98ecc105148467b3b2b4e0d27ae484b1b6710d53413f771ed07ef1b737b6
+checksum=858b30f0cdce4c4cb3e8365a7d54ce57c388beff38ea583be5449bc78dda8d02
 
 # Package build options
 build_options="gir"

From c22a03eabe70519a41b984d820d36fa90ce30fdf Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:37:50 +0300
Subject: [PATCH 02/97] gmime3: update to 3.2.5. [ci skip]

---
 srcpkgs/gmime3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gmime3/template b/srcpkgs/gmime3/template
index a6a34d2306b..6331a730683 100644
--- a/srcpkgs/gmime3/template
+++ b/srcpkgs/gmime3/template
@@ -1,6 +1,6 @@
 # Template file for 'gmime3'
 pkgname=gmime3
-version=3.2.4
+version=3.2.5
 revision=1
 wrksrc="gmime-${version}"
 build_style=gnu-configure
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://github.com/jstedfast/gmime"
 distfiles="${GNOME_SITE}/gmime/${version%.*}/gmime-${version}.tar.xz"
-checksum=249ea7c0e080b067aa9669162c36b181b402f6cf6cebc4999d838c6f1e81d024
+checksum=fb7556501f85c3bf3e65fdd82697cbc4fa4b55dccd33ad14239ce0197e78ba59
 
 # Package build options
 build_options="gir vala"

From b4f4fadb91adce8371a19ebaa995987ad7708f6b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:41:01 +0300
Subject: [PATCH 03/97] gnome-2048: update to 3.34.4. [ci skip]

---
 srcpkgs/gnome-2048/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-2048/template b/srcpkgs/gnome-2048/template
index 91099f78502..1adbdd577d5 100644
--- a/srcpkgs/gnome-2048/template
+++ b/srcpkgs/gnome-2048/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-2048'
 pkgname=gnome-2048
-version=3.32.0
-revision=2
+version=3.34.4
+revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config vala"
 makedepends="libglib-devel gtk+3-devel clutter-gtk-devel libgee-devel
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/2048"
 distfiles="${GNOME_SITE}/gnome-2048/${version%.*}/gnome-2048-${version}.tar.xz"
-checksum=3fa3d2efdb1f0d969570844411bc940b7a4f751cb7a2ab4870bee4b527e53121
+checksum=1616b5fb88a16340bf9b96ee5474eb1efab3ff3dedd0c04e3738e39315f4c9ab

From e335be39d3a904a362838f83f8428c235c0f39f0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:00:11 +0300
Subject: [PATCH 04/97] gnome-boxes: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-boxes/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-boxes/template b/srcpkgs/gnome-boxes/template
index dc80d8a5556..990056947dd 100644
--- a/srcpkgs/gnome-boxes/template
+++ b/srcpkgs/gnome-boxes/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-boxes'
 pkgname=gnome-boxes
-version=3.32.1
+version=3.34.2
 revision=1
 build_helper="gir"
 build_style=meson
@@ -16,6 +16,6 @@ short_desc="GNOME 3 application to access remote or virtual systems"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Boxes"
-changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=84b2fa1632db0b1fe6e6e691cbe22e5c9880099b23124d96bc45933762ec3a95
+checksum=055e6025993c77c13b2d862e2034a42d3b46879c8e99fc2ffb232e168c930de7

From 8d10f8ab2dbae35c9c198651dcc6f55732795a52 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:17:17 +0300
Subject: [PATCH 05/97] gnome-games: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-games/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-games/template b/srcpkgs/gnome-games/template
index dd83b22de09..3555d7a8eaf 100644
--- a/srcpkgs/gnome-games/template
+++ b/srcpkgs/gnome-games/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-games'
 pkgname=gnome-games
-version=3.34.0
+version=3.34.1
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala-devel"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Games"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0fd7246d61ce21c0fc121c5488051a5866c19de2c2835ad7fe4b18c06627dcba
+checksum=28e41c982dcc2b4a2e585333bfc1824c8bc940c2c8d0825bf01f9975db68152d

From b3813ae0be5569934725e11b9f9933df3813c173 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:19:08 +0300
Subject: [PATCH 06/97] gnome-getting-started-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-getting-started-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-getting-started-docs/template b/srcpkgs/gnome-getting-started-docs/template
index 5bec93490ba..e76671df8c7 100644
--- a/srcpkgs/gnome-getting-started-docs/template
+++ b/srcpkgs/gnome-getting-started-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-getting-started-docs'
 pkgname=gnome-getting-started-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -11,4 +11,4 @@ license="CC-BY-SA-3.0"
 homepage="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs"
 #changelog="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=f70ce2ca23ad786215f3c92ec85783e3aabed07e4f78700fa27f9b2cf76e03db
+checksum=ca998f144e2aab81aa7cf6a09202caf650005965d68187baa7aa5d0198373602

From eea0717a342b2ee186f685691013414540cec4c4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:37:10 +0300
Subject: [PATCH 07/97] gnome-photos: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-photos/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-photos/template b/srcpkgs/gnome-photos/template
index 48ec55c4afc..2742b688af0 100644
--- a/srcpkgs/gnome-photos/template
+++ b/srcpkgs/gnome-photos/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-photos'
 pkgname=gnome-photos
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddogtail=false"
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Photos"
 distfiles="${GNOME_SITE}/gnome-photos/${version%.*}/gnome-photos-${version}.tar.xz"
-checksum=52c171326523a34412c416c27b66efd250b7dee79f8ac68ff0ebfb8d59c51b98
+checksum=758047cd61fe2ee84b0efc6bacf356f76135d01e475a0b2c33c1bcd26229448a
 
 build_options="gir"
 build_options_default="gir"

From 9f9b55719694efbb0177ede4a7de058643034502 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:41:04 +0300
Subject: [PATCH 08/97] gnome-screenshot: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-screenshot/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-screenshot/template b/srcpkgs/gnome-screenshot/template
index c07cdf6aa1d..03afd1b473e 100644
--- a/srcpkgs/gnome-screenshot/template
+++ b/srcpkgs/gnome-screenshot/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-screenshot'
 pkgname=gnome-screenshot
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="appdata-tools glib-devel itstool pkg-config"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-screenshot"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8b609f70083ebb95a754e9f11a18a67d2c2723080d672f2faebe54f9633b0a26
+checksum=c80af5f7a2bed4348585eb18dc4e60af5beba4f13d8ccf6ab1ee1d0912c2b1e6

From e0d67e78e70ea44a6df1cd530b4ac87dcde792a8 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:43:41 +0300
Subject: [PATCH 09/97] gnome-sound-recorder: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-sound-recorder/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-sound-recorder/template b/srcpkgs/gnome-sound-recorder/template
index c9cad38ea1c..79900f909e7 100644
--- a/srcpkgs/gnome-sound-recorder/template
+++ b/srcpkgs/gnome-sound-recorder/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-sound-recorder'
 pkgname=gnome-sound-recorder
-version=3.32.1
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/SoundRecorder"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=4b405fa8a783d24657e95221c7fe6ffc6bd517dc1c705691e475b2a59a590361
+checksum=49f1d6e0c06ac3bacc6084b2f5a63c8b91c5a20c3fc824532b7736a1151684c4
 lib32disabled=yes

From 88a39431a3499200ea8a1c01f8029813c700ac44 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:50:07 +0300
Subject: [PATCH 10/97] gnome-subtitles: update to 1.6. [ci skip]

---
 srcpkgs/gnome-subtitles/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-subtitles/template b/srcpkgs/gnome-subtitles/template
index fd53d2b48c7..557c3ff2bf6 100644
--- a/srcpkgs/gnome-subtitles/template
+++ b/srcpkgs/gnome-subtitles/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-subtitles'
 pkgname=gnome-subtitles
-version=1.4.2
-revision=3
+version=1.6
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile"
 hostmakedepends="glib-devel intltool mono pkg-config yelp-tools"
@@ -11,9 +11,9 @@ depends="gst-libav gtk-sharp mono"
 short_desc="Video subtitle editor for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
-homepage="http://www.gnomesubtitles.org/"
+homepage="https://www.gnomesubtitles.org/"
 distfiles="${SOURCEFORGE_SITE}/${pkgname}/${pkgname}-${version}.tar.gz"
-checksum=12847186070c8edbfc17d4aa1118a2ad9d8a9d40b806adf5b7041b71e4682641
+checksum=1a1f8aaeceda96f07e8c153ab68fc811f7016c7c789d0ecd981bfab2247df5c2
 
 case "$XBPS_TARGET_MACHINE" in
 	*musl) broken="SIGSEVs on start: https://gitlab.gnome.org/GNOME/gnome-subtitles/issues/109"

From 74ea89b5a9c64d2a028e1207d69f7a5cb841ecd3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:00:43 +0300
Subject: [PATCH 11/97] gnome-user-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-user-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-user-docs/template b/srcpkgs/gnome-user-docs/template
index 431c54f3934..21085f9f3d7 100644
--- a/srcpkgs/gnome-user-docs/template
+++ b/srcpkgs/gnome-user-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-user-docs'
 pkgname=gnome-user-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -13,4 +13,4 @@ license="CC-BY-3.0"
 homepage="https://github.com/GNOME/gnome-user-docs"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-user-docs/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8f9907ff15fff97da75ece645cc86766703ac54d716d25563ba67ffed1af24ed
+checksum=c2edd9d633f6f2a5fd8d5580e169d0e07de64d5d5b12a81ecbd64331d176a986

From 845989031a5c59f26d92e3221d7df6b66ad45232 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:04:46 +0300
Subject: [PATCH 12/97] gnome-weather: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-weather/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-weather/template b/srcpkgs/gnome-weather/template
index 91f67c3f3f7..accb0b200d4 100644
--- a/srcpkgs/gnome-weather/template
+++ b/srcpkgs/gnome-weather/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-weather'
 pkgname=gnome-weather
-version=3.32.2
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Weather"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=1a25c325033a134f291481bb4aa00b5c9af6555daf5bc311e963e629976bdd49
+checksum=24867e21fcb92b81cd0cf09bbf8bc216ccc55d9a66ac21928b66c413f4efc3bc
 lib32disabled=yes

From db258af881c11f038184913658d2869c6816463e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:21:52 +0300
Subject: [PATCH 13/97] network-manager-applet: update to 1.8.24. [ci skip]

---
 srcpkgs/network-manager-applet/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/network-manager-applet/template b/srcpkgs/network-manager-applet/template
index f27836fad50..7af034f6832 100644
--- a/srcpkgs/network-manager-applet/template
+++ b/srcpkgs/network-manager-applet/template
@@ -1,6 +1,6 @@
 # Template file for 'network-manager-applet'
 pkgname=network-manager-applet
-version=1.8.22
+version=1.8.24
 revision=1
 build_style=gnu-configure
 build_helper="gir"
@@ -17,7 +17,7 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/NetworkManager"
 changelog="https://raw.githubusercontent.com/NetworkManager/network-manager-applet/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ebef1c1050ff6d94cad060e8d259f2a88ae159cf83ca75cb71d9f76867877eed
+checksum=118bbb8a5027634b62e8b45b16ceafce74441529c99bf230654e3bec38f9fbbf
 lib32disabled=yes
 
 # Package build options

From 601a3ddf547f8232f7b88b9aea769d4f308a65b1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:25:21 +0300
Subject: [PATCH 14/97] seahorse: update to 3.34.0. [ci skip]

---
 srcpkgs/seahorse/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/seahorse/template b/srcpkgs/seahorse/template
index fd3e5a1a5f5..bf1cb8495e6 100644
--- a/srcpkgs/seahorse/template
+++ b/srcpkgs/seahorse/template
@@ -1,6 +1,6 @@
 # Template file for 'seahorse'
 pkgname=seahorse
-version=3.32.2
+version=3.34.0
 revision=1
 wrksrc="$pkgname-${version%.*}"
 build_style=meson
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Seahorse"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version%.*}.tar.xz"
-checksum=a2542fbedfb203485a0afc6968cab4b5247f0cadf80d941b5a8a53a80ceeacf3
+checksum=5b40e9dc8bca6f52882d6eccc0a97cd61eb56bb054f41ea7e9bd64da32b64e9b

From 5601825e15da45e0d40cc3795ad234d39ed78887 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:32:45 +0300
Subject: [PATCH 15/97] gnome-epub-thumbnailer: update to 1.6. [ci skip]

---
 srcpkgs/gnome-epub-thumbnailer/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-epub-thumbnailer/template b/srcpkgs/gnome-epub-thumbnailer/template
index b16e705475f..3d203b54f9f 100644
--- a/srcpkgs/gnome-epub-thumbnailer/template
+++ b/srcpkgs/gnome-epub-thumbnailer/template
@@ -1,13 +1,13 @@
 # Template file for 'gnome-epub-thumbnailer'
 pkgname=gnome-epub-thumbnailer
-version=1.5
+version=1.6
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="gdk-pixbuf-devel libarchive-devel libxml2-devel"
 short_desc="Thumbnailer for EPub and MOBI books"
 maintainer="Alif Rachmawadi <arch@subosito.com>"
-license="GPL-3"
+license="GPL-3.0-only"
 homepage="https://git.gnome.org/browse/gnome-epub-thumbnailer"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=308210f5800219f64cae4828e59bb8e6e4c53b888048cf487221aeb4337d791a
+checksum=b502420d9b02ea0b0fc7986ef5a091a12b2286be14fed9e47594fe9fa0c5898e

From 6324dfdc2cc782423fbf976bc1b22d6b32f900e4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:25:40 +0300
Subject: [PATCH 16/97] gnome-keyring: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-keyring/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-keyring/template b/srcpkgs/gnome-keyring/template
index 9ab2acb839a..e7f050f47fe 100644
--- a/srcpkgs/gnome-keyring/template
+++ b/srcpkgs/gnome-keyring/template
@@ -1,8 +1,7 @@
 # Template file for 'gnome-keyring'
 pkgname=gnome-keyring
-version=3.28.2
+version=3.34.0
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
 configure_args="--with-pam-dir=/usr/lib/security --disable-schemas-compile"
 hostmakedepends="autoconf docbook-xsl glib-devel intltool libtasn1-tools libxslt
@@ -16,7 +15,8 @@ license="GPL-2.0-or-later, LGPL-2.1-or-later"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-keyring/gnome-3-28/NEWS"
 homepage="https://www.gnome.org"
 distfiles="${GNOME_SITE}/$pkgname/${version%.*}/$pkgname-$version.tar.xz"
-checksum=81171b7d07211b216b4c9bb79bf2deb3deca18fe8d56d46dda1c4549b4a2646a
+checksum=e9cda9542a3e37c61636145e7e9e2513c569092ea8020752a834e1f40ad41943
+lib32disabled=yes
 
 do_check() {
 	# Requires X11 server

From 4621360d8defa33c3f0b113138d8aa62b438c0c3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:28:08 +0300
Subject: [PATCH 17/97] gnome-mime-data: fix license. [ci skip]

---
 srcpkgs/gnome-mime-data/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-mime-data/template b/srcpkgs/gnome-mime-data/template
index e79860e1820..90b7c714428 100644
--- a/srcpkgs/gnome-mime-data/template
+++ b/srcpkgs/gnome-mime-data/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-mime-data'
 pkgname=gnome-mime-data
 version=2.18.0
-revision=4
+revision=5
 archs=noarch
 build_style=gnu-configure
 hostmakedepends="intltool shared-mime-info"
@@ -9,7 +9,7 @@ makedepends="shared-mime-info"
 depends="shared-mime-info"
 short_desc="Base MIME and Application database for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/2.18/${pkgname}-${version}.tar.bz2"
 checksum=37196b5b37085bbcd45c338c36e26898fe35dd5975295f69f48028b1e8436fd7

From 7773a481490873b92b7e81808e01697791e864ad Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:30:49 +0300
Subject: [PATCH 18/97] gnome-passbook: update to 0.8. [ci skip]

---
 srcpkgs/gnome-passbook/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/gnome-passbook/template b/srcpkgs/gnome-passbook/template
index 89047338503..c0adaedb4d9 100644
--- a/srcpkgs/gnome-passbook/template
+++ b/srcpkgs/gnome-passbook/template
@@ -1,15 +1,15 @@
 # Template file for 'gnome-passbook'
 pkgname=gnome-passbook
-version=0.1
-revision=2
-_release_hash=0a227cfdf706f4bfcc0b782026f1aeb2
+version=0.8
+revision=1
+_release_hash=5fea4e4fc19f1732d3a5270bc43eb8e9
 wrksrc="passbook-${version}"
 build_style=meson
 hostmakedepends="glib-devel pkg-config"
 makedepends="gobject-introspection gtk+3-devel libglib-devel"
-short_desc="A password manager for GNOME"
+short_desc="Password manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Passbook"
 distfiles="https://gitlab.gnome.org/gnumdk/passbook/uploads/${_release_hash}/passbook-${version}.tar.xz"
-checksum=45821f50bcee5d94e3a24e2f892c1bdc645f4a8a795055f2624e59ccc92211d5
+checksum=55b5aaa5a61aa3b026de0491e1ac33ca6094208f88031f547f869578b5ff8ad9

From 1c5ae1332bbdba318f4f346e0e0229b8df3acedd Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:33:35 +0300
Subject: [PATCH 19/97] rygel: update to 0.38.3. [ci skip]

---
 srcpkgs/rygel/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/rygel/template b/srcpkgs/rygel/template
index db229f57b76..ea750c0664c 100644
--- a/srcpkgs/rygel/template
+++ b/srcpkgs/rygel/template
@@ -1,7 +1,7 @@
-# Template file for 'rygel'.
+# Template file for 'rygel'
 pkgname=rygel
-version=0.38.0
-revision=3
+version=0.38.3
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dexamples=false -Dtests=false
@@ -16,7 +16,7 @@ maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Rygel"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=acabf2114f3759c8ec6745d79e4c2e0728d115a83f540c1715667cc6210a7e0e
+checksum=08c21a577f7bdad26446a75ffa32778b26842c3b1188165f0b19818559747d00
 
 conf_files="/etc/rygel.conf"
 

From 1200969566e653bf9672b404f3569dd113d5010d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 23:25:31 +0300
Subject: [PATCH 20/97] gnome-colors-icon-theme: fix license. [ci skip]

---
 srcpkgs/gnome-colors-icon-theme/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-colors-icon-theme/template b/srcpkgs/gnome-colors-icon-theme/template
index 79f36d85e89..cbef71b5cfb 100644
--- a/srcpkgs/gnome-colors-icon-theme/template
+++ b/srcpkgs/gnome-colors-icon-theme/template
@@ -1,16 +1,17 @@
+# Template file for 'gnome-colors-icon-theme'
 pkgname=gnome-colors-icon-theme
 version=5.5.1
-revision=1
+revision=2
 archs=noarch
+wrksrc=${pkgname}
+create_wrksrc=yes
 depends="gtk-update-icon-cache hicolor-icon-theme gnome-icon-theme"
 short_desc="GNOME-Colors icon theme"
 maintainer="Peter Bui <pnutzh4x0r@gmail.com>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="https://github.com/gnome-colors/gnome-colors"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/distfiles/gnome-colors-${version}.tar.gz"
 checksum=1e91d845a753eb38671e7614a786f852ab858a12983111e780da4a47c9debe58
-wrksrc=${pkgname}
-create_wrksrc=yes
 
 do_install() {
 	make -s DESTDIR="$DESTDIR" install > /dev/null

From df67700ecbc8d012391631f5cec5a94b0b06fa42 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Fri, 29 Nov 2019 17:40:10 +0300
Subject: [PATCH 21/97] libchamplain: update to 0.12.20. [ci skip]

---
 srcpkgs/libchamplain/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libchamplain/template b/srcpkgs/libchamplain/template
index 7c69641e742..f55dd4e6e35 100644
--- a/srcpkgs/libchamplain/template
+++ b/srcpkgs/libchamplain/template
@@ -1,7 +1,7 @@
 # Template file for 'libchamplain'
 pkgname=libchamplain
-version=0.12.19
-revision=3
+version=0.12.20
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dintrospection=$(vopt_if gir true false)
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://projects.gnome.org/libchamplain/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=36842e326cdbe3cdbdab818472797eedb661dec842fe0579596a3a8d438b2aa4
+checksum=0232b4bfcd130a1c5bda7b6aec266bf2d06e701e8093df1886f1e26bc1ba3066
 
 # Package build options
 build_options="gir vala"

From 91000d52102ae0b41acd0af737be0b734b5dab21 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 30 Nov 2019 23:52:46 +0300
Subject: [PATCH 22/97] gnome-video-effects: update to 0.5.0. [ci skip]

---
 srcpkgs/gnome-video-effects/template | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-video-effects/template b/srcpkgs/gnome-video-effects/template
index d50ffc6fc1f..09ce987a05b 100644
--- a/srcpkgs/gnome-video-effects/template
+++ b/srcpkgs/gnome-video-effects/template
@@ -1,14 +1,12 @@
 # Template file for 'gnome-video-effects'
 pkgname=gnome-video-effects
-version=0.4.3
-revision=2
+version=0.5.0
+revision=1
 archs=noarch
-build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="gstreamer1-devel"
+build_style=meson
 short_desc="Collection of GStreamer effects for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/${pkgname}/0.4/${pkgname}-${version}.tar.xz"
-checksum=5a7ee0f5ade4b7d921f1b99f3b97d7d7bb830f2fef0f1daee20a7a1867708219
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4dc68e9b38fdfc1e8e0414e2d7ee83ace78efdee76f30506cc9dcd07394ad0c8

From b7ec5a21f73fc486039ddc424a7cef6561ff7e15 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:28 +0300
Subject: [PATCH 23/97] gnome-usage: update to 3.33.2. [ci skip]

---
 srcpkgs/gnome-usage/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-usage/template b/srcpkgs/gnome-usage/template
index 211129b35f6..fe4819e9606 100644
--- a/srcpkgs/gnome-usage/template
+++ b/srcpkgs/gnome-usage/template
@@ -1,14 +1,14 @@
 # Template file for 'gnome-usage'
 pkgname=gnome-usage
-version=3.32.0
+version=3.33.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala"
 makedepends="gettext-devel gtk+3-devel libglib-devel libgtop-devel vala-devel
- libdazzle-devel"
+ libdazzle-devel tracker-devel"
 short_desc="Nice way to view information about use of system resources"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Usage"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=30ca974cf01ebf29a66b85b0ae09d9beec77496fcda5e53f1bedbad626fbfa2d
+checksum=64561efd2413947c30ecf9fb56f4dfb4e62061621e13d354453496e094bb7770

From a9f15ec57f23a24e9e5ff6f41a855c71cffb8c8f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:35 +0300
Subject: [PATCH 24/97] gnome-themes-standard-metacity: update to 3.27.90. [ci
 skip]

---
 .../gnome-themes-standard-metacity/template   | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-themes-standard-metacity/template b/srcpkgs/gnome-themes-standard-metacity/template
index ca45c036f4c..e4f34a99fdd 100644
--- a/srcpkgs/gnome-themes-standard-metacity/template
+++ b/srcpkgs/gnome-themes-standard-metacity/template
@@ -1,22 +1,25 @@
 # Template file for 'gnome-themes-standard-metacity'
 pkgname=gnome-themes-standard-metacity
 _pkgname=gnome-themes-standard
-version=3.14.2.3
-revision=2
+version=3.27.90
+revision=1
 wrksrc=$_pkgname-$version
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool librsvg-utils glib-devel"
-makedepends="gtk+-devel gtk+3-devel librsvg-devel"
+makedepends="gtk+-devel gtk+3-devel librsvg-devel autoconf libtool"
 depends="cantarell-fonts adwaita-icon-theme"
 short_desc="Standard GNOME themes for metacity"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/$_pkgname/${version%.*.*}/$_pkgname-$version.tar.xz"
-checksum=d82a1cf90be3397deadea46d3ba396a46943c7e141ebc70cf833956b5794e479
+distfiles="${GNOME_SITE}/$_pkgname/${version%.*}/$_pkgname-$version.tar.xz"
+checksum=ffc7ccb5458ae4ef2501c49d84d3af150ca3b70c9b239e7ba6c05fe1405d31dc
 lib32disabled=yes
 
-post_install() {
-	# Remove everything but the metacity themes
-	rm -r $DESTDIR/usr/{lib,share/{icons,themes/*/{gtk-*,index.theme}}}
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" gtk-update-icon-cache"
+fi
+
+pre_build() {
+	sed -i 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
 }

From 31557d34ee68f78481805e32ad35f55bfcc8f81e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 4 Dec 2019 22:24:42 +0300
Subject: [PATCH 25/97] evolution-data-server: update to 3.34.2. [ci skip]

---
 srcpkgs/evolution-data-server/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/evolution-data-server/template b/srcpkgs/evolution-data-server/template
index b1602f2937c..a47860a25e6 100644
--- a/srcpkgs/evolution-data-server/template
+++ b/srcpkgs/evolution-data-server/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution-data-server'
 pkgname=evolution-data-server
-version=3.34.1
-revision=2
+version=3.34.2
+revision=1
 build_style=cmake
 build_helper=gir
 configure_args="-DENABLE_UOA=OFF
@@ -17,7 +17,7 @@ license="LGPL-2.1-only"
 homepage="https://wiki.gnome.org/Apps/Evolution"
 changelog="https://raw.githubusercontent.com/GNOME/evolution-data-server/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6ff56ba04cb639e627fe9d6e0ada106a10cadd68a0d53b8ec72b4e285df53abe
+checksum=3eb89f82eee042884a8d65737564fe48829c3ae187f067cbcdec2b088d2fe89b
 
 build_options="gir"
 if [ -z "$CROSS_BUILD" ]; then

From 9715c856b88f174c36ff0a0201f8766d6d612e09 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 19:44:34 +0300
Subject: [PATCH 26/97] gnome-podcasts: update to 0.4.7. [ci skip]

---
 .../gnome-podcasts/patches/fix-build.patch    | 21 ----------------
 srcpkgs/gnome-podcasts/template               | 24 ++++++++++---------
 2 files changed, 13 insertions(+), 32 deletions(-)
 delete mode 100644 srcpkgs/gnome-podcasts/patches/fix-build.patch

diff --git a/srcpkgs/gnome-podcasts/patches/fix-build.patch b/srcpkgs/gnome-podcasts/patches/fix-build.patch
deleted file mode 100644
index aeb9581bd79..00000000000
--- a/srcpkgs/gnome-podcasts/patches/fix-build.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- podcasts-gtk/src/widgets/episode.rs.orig	2019-06-09 15:54:59.793451047 +0200
-+++ podcasts-gtk/src/widgets/episode.rs	2019-06-09 15:55:19.191311512 +0200
-@@ -559,7 +559,7 @@
-             .total_size
-             .get_text()
-             .as_ref()
--            .map(|s| s.trim_right_matches(" MB"))
-+            .map(|s| s.trim_end_matches(" MB"))
-             .and_then(|s| s.parse::<i32>().ok())
-             .is_none()
-         {
---- podcasts-gtk/src/widgets/shows_view.rs.orig	2019-06-09 15:54:00.320878867 +0200
-+++ podcasts-gtk/src/widgets/shows_view.rs	2019-06-09 15:54:13.151786563 +0200
-@@ -80,7 +80,6 @@
- }
- 
- fn on_child_activate(child: &gtk::FlowBoxChild, sender: &Sender<Action>) -> Result<(), Error> {
--    use gtk::WidgetExt;
- 
-     // This is such an ugly hack...
-     let id = WidgetExt::get_name(child)
diff --git a/srcpkgs/gnome-podcasts/template b/srcpkgs/gnome-podcasts/template
index 72e2db6b109..78fd3639ee6 100644
--- a/srcpkgs/gnome-podcasts/template
+++ b/srcpkgs/gnome-podcasts/template
@@ -1,26 +1,28 @@
 # Template file for 'gnome-podcasts'
 pkgname=gnome-podcasts
-version=0.4.6
-revision=3
+version=0.4.7
+revision=1
 wrksrc="podcasts-${version}"
 build_style=meson
-hostmakedepends="cargo gettext-devel glib-devel pkg-config"
+build_helper="rust"
+hostmakedepends="cargo gettext-devel glib-devel pkg-config sqlite-devel"
 makedepends="gstreamer1-devel gst-plugins-bad1-devel gst-plugins-base1-devel
- gtk+3-devel libhandy-devel libressl-devel sqlite-devel texinfo"
+ gtk+3-devel libhandy-devel libressl-devel sqlite-devel rust-std"
 short_desc="Listen to your favorite podcasts"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Podcasts"
 distfiles="https://gitlab.gnome.org/World/podcasts/-/archive/${version}/podcasts-${version}.tar.gz"
-checksum=953c63e8184ca1f748418d8a8262d40eaa41047f81e2d2c874a3035d9d9d0e4a
-nocross="rustc cant be crosscompiled as of now"
-broken="gettext-rs hash does not exists, if fixed build fails in gio 0.5.0"
+checksum=a9a1b62dd3567e3cca38ee29df2fadd82e2fb5e837b0a2a26ecac74e9305161c
 
 export GETTEXT_BIN_DIR=/usr/bin
 export GETTEXT_LIB_DIR="${XBPS_CROSS_BASE}/usr/lib/gettext"
 export GETTEXT_INCLUDE_DIR="${XBPS_CROSS_BASE}/usr/include"
 
-pre_build() {
-	cargo update --package openssl-sys --precise 0.9.46
-	cargo update --package openssl --precise 0.10.22
-}
+if [ $CROSS_BUILD ]; then
+	post_patch() {
+		vsed -i scripts/cargo.sh \
+			-e 's%"$CARGO_TARGET_DIR"/%&${RUST_TARGET}/%' \
+			-e '/CARGO_HOME/d'
+	}
+fi

From 3c68a3784386e2161150f7f3bc7b4d4062428311 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:00:58 +0300
Subject: [PATCH 27/97] shotwell: update to 0.31.0. [ci skip]

---
 srcpkgs/shotwell/template | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/shotwell/template b/srcpkgs/shotwell/template
index a931bbd126e..fb9391563d1 100644
--- a/srcpkgs/shotwell/template
+++ b/srcpkgs/shotwell/template
@@ -1,19 +1,20 @@
 # Template file for 'shotwell'
 pkgname=shotwell
-version=0.30.7
+version=0.31.0
 revision=1
 build_style=meson
-hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool libgee08-devel
- libgexiv2-devel pkg-config vala-devel"
+hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool
+ libgee08-devel libgexiv2-devel pkg-config vala-devel"
 makedepends="gnome-doc-utils gst-plugins-base1-devel libgdata-devel
- libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel libraw-devel
- libunique-devel rest-devel vala-devel webkit2gtk-devel"
+ libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel
+ libraw-devel libunique-devel rest-devel vala-devel webkit2gtk-devel
+ libwebp-devel libchamplain-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="Open source photo manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, CC-BY-SA-3.0"
 homepage="https://wiki.gnome.org/Apps/Shotwell"
 distfiles="${GNOME_SITE}/shotwell/${version%.*}/shotwell-${version}.tar.xz"
-checksum=345d4205760d26f54033d44cf1b778ed9d3fc964de71293bfd5034ff484631d5
+checksum=ddf31ac17d36a0a84547abb593e7448227bcd83599ee7cf866091eca474998df
 lib32disabled=yes
 nocross="https://build.voidlinux.org/builders/armv7l-musl_builder/builds/20405/steps/shell_3/logs/stdio"

From cf0f742787a7d0aa7945783b03d2b550fd61e3b9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:03:10 +0300
Subject: [PATCH 28/97] iagno: update to 3.35.2. [ci skip]

---
 srcpkgs/iagno/template | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/iagno/template b/srcpkgs/iagno/template
index 50881be7287..503277576e6 100644
--- a/srcpkgs/iagno/template
+++ b/srcpkgs/iagno/template
@@ -1,6 +1,6 @@
 # Template file for 'iagno'
 pkgname=iagno
-version=3.34.3
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config vala"
@@ -10,4 +10,8 @@ maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Iagno"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e28b564c528b0ab2963a98d16289ad6407e4e4f9ddafcd53a17993b81a2926d5
+checksum=14020e9494422dac927d454bbe094b790ee7cf4972048025d0653d905434bbaa
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" librsvg-devel"
+fi

From 8d5dff658778ba23a6dfb84579aa5593ddd06ed9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:04:14 +0300
Subject: [PATCH 29/97] gtranslator: update to 3.34.0. [ci skip]

---
 srcpkgs/gtranslator/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gtranslator/template b/srcpkgs/gtranslator/template
index f09798ae029..65934087ea9 100644
--- a/srcpkgs/gtranslator/template
+++ b/srcpkgs/gtranslator/template
@@ -1,14 +1,15 @@
 # Template file for 'gtranslator'
 pkgname=gtranslator
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="pkg-config glib-devel itstool"
-makedepends="libglib-devel gsettings-desktop-schemas-devel gtk+3-devel gspell-devel
- libxml2-devel gtksourceview4-devel libgda-devel gettext-devel"
+makedepends="libglib-devel gsettings-desktop-schemas-devel gtk+3-devel
+ gspell-devel libxml2-devel gtksourceview4-devel libgda-devel gettext-devel
+ libsoup-devel json-glib-devel"
 short_desc="GNOME translation making program"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Gtranslator"
 distfiles="${GNOME_SITE}/gtranslator/${version%.*}/gtranslator-${version}.tar.xz"
-checksum=aa8b6ce7a6ea199a50ee8f65258e640af80407a7433359b853039a7ea07a11b7
+checksum=b2f25c02bdfd246896803756078c3006ef433c83eb802bc23a33413046bffb17

From 6922ea61b8a10d9b91fec60cc153487b9941f49a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:07:53 +0300
Subject: [PATCH 30/97] evolution: update to 3.34.2. [ci skip]

---
 srcpkgs/evolution/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/evolution/template b/srcpkgs/evolution/template
index fc93468dded..33cbe9adf47 100644
--- a/srcpkgs/evolution/template
+++ b/srcpkgs/evolution/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution'
 pkgname=evolution
-version=3.34.1
-revision=4
+version=3.34.2
+revision=1
 build_style=cmake
 configure_args="-DENABLE_AUTOAR=OFF -DENABLE_LIBCRYPTUI=OFF -DENABLE_GTKSPELL=OFF
  -DENABLE_TEXT_HIGHLIGHT=OFF -DENABLE_PST_IMPORT=OFF
@@ -17,9 +17,9 @@ short_desc="Integrated mail, addressbook and calendaring for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, LGPL-3.0-or-later, GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evolution"
-changelog="https://raw.githubusercontent.com/GNOME/evolution/gnome-3-28/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/evolution/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=656a92dd7f3e1afb6eef4f824fd17ae307c0904a67587ca5bb14ab9bd6f8bd42
+checksum=2c89abab26bb9559c1c5050ec3de9a636efd88aec223eb147df28a4120f29b98
 shlib_provides="libevolution-calendar.so libevolution-util.so libemail-engine.so
  libevolution-mail.so libevolution-shell.so"
 

From ee2c2c3fc13b049b75e426769598dbbfa94893d7 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 15 Dec 2019 20:46:13 +0300
Subject: [PATCH 31/97] gnome-shell: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-shell/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-shell/template b/srcpkgs/gnome-shell/template
index 96c5b80a194..2a85ca98143 100644
--- a/srcpkgs/gnome-shell/template
+++ b/srcpkgs/gnome-shell/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell'
 pkgname=gnome-shell
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper=gir
@@ -21,4 +21,4 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell"
 changelog="https://raw.githubusercontent.com/GNOME/gnome-shell/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ccd86559b9c897c219d2d2ebfdb8413efa4c1bee846427c750cb8a301b3f6d1e
+checksum=60d2b33fb46568dc60fa0766f6f1fda3ae74a2552d2312cda27cc3686998a02b

From 461031ca34ce9c25e2cf8c6286286410cfb9161f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 15 Dec 2019 20:51:11 +0300
Subject: [PATCH 32/97] nautilus: update to 3.35.2. [ci skip]

---
 srcpkgs/nautilus/patches/fix-build-on-musl.patch | 12 ++++++++++++
 srcpkgs/nautilus/template                        |  6 ++++--
 2 files changed, 16 insertions(+), 2 deletions(-)
 create mode 100644 srcpkgs/nautilus/patches/fix-build-on-musl.patch

diff --git a/srcpkgs/nautilus/patches/fix-build-on-musl.patch b/srcpkgs/nautilus/patches/fix-build-on-musl.patch
new file mode 100644
index 00000000000..26a3f68b61d
--- /dev/null
+++ b/srcpkgs/nautilus/patches/fix-build-on-musl.patch
@@ -0,0 +1,12 @@
+diff -Naurp0 a/src/nautilus-canvas-item.c b/src/nautilus-canvas-item.c
+--- a/src/nautilus-canvas-item.c	2019-11-22 15:57:04.000000000 +0300
++++ b/src/nautilus-canvas-item.c	2019-12-06 17:37:13.569993100 +0300
+@@ -1420 +1420 @@ create_label_layout (NautilusCanvasItem
+-    pango_attr_list_insert (attr_list, pango_attr_insert_hyphens_new (FALSE));
++    pango_attr_list_insert (attr_list, pango_attr_gravity_hint_new (FALSE));
+diff -Naurp0 a/src/nautilus-view-icon-item-ui.c b/src/nautilus-view-icon-item-ui.c
+--- a/src/nautilus-view-icon-item-ui.c	2019-12-06 17:09:39.427861394 +0300
++++ b/src/nautilus-view-icon-item-ui.c	2019-12-06 17:10:23.463718022 +0300
+@@ -154 +154 @@ constructed (GObject *object)
+-    pango_attr_list_insert (attr_list, pango_attr_insert_hyphens_new (FALSE));
++    pango_attr_list_insert (attr_list, pango_attr_gravity_hint_new (FALSE));
diff --git a/srcpkgs/nautilus/template b/srcpkgs/nautilus/template
index ac92882eddb..52da80c63d5 100644
--- a/srcpkgs/nautilus/template
+++ b/srcpkgs/nautilus/template
@@ -1,6 +1,6 @@
 # Template file for 'nautilus'
 pkgname=nautilus
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -17,7 +17,8 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Nautilus"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=37ce2c16a610c589dcc7660f9092446465568e38e29bce6ed8c24f2e8e0077f3
+checksum=37b8b2c900d0ff1b033b3512d5bf8ef2d367278e824716dad4b4214cd4af119b
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
@@ -28,6 +29,7 @@ libnautilus_package() {
 		vmove "usr/lib/*.so.*"
 	}
 }
+
 nautilus-devel_package() {
 	depends="gtk+3-devel libnautilus>=${version}_${revision}"
 	short_desc+=" - development files"

From 260edfe202a638d3333b10bf47ef1cbc49a899ce Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:36:16 +0300
Subject: [PATCH 33/97] gjs: update to 1.63.2. [ci skip]

---
 srcpkgs/gjs/template | 20 ++++----------------
 1 file changed, 4 insertions(+), 16 deletions(-)

diff --git a/srcpkgs/gjs/template b/srcpkgs/gjs/template
index f17eac8a1f2..dd8926b822f 100644
--- a/srcpkgs/gjs/template
+++ b/srcpkgs/gjs/template
@@ -1,30 +1,18 @@
 # Template file for 'gjs'
 pkgname=gjs
-version=1.58.1
+version=1.63.2
 revision=1
-build_style=gnu-configure
+build_style=meson
 build_helper="gir"
-configure_args="--without-dbus-tests"
 hostmakedepends="glib-devel pkg-config"
-makedepends="dbus-glib-devel mozjs60-devel readline-devel"
+makedepends="dbus-glib-devel mozjs60-devel readline-devel sysprof-devel"
 short_desc="Mozilla-based javascript bindings for the GNOME platform"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="MIT, LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/action/show/Projects/Gjs"
 changelog="https://gitlab.gnome.org/GNOME/gjs/blob/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b4df16ea87dc78c0df5412f9134efb14f7c510773aee117d5ad4cda75646c6f5
-
-case "$XBPS_TARGET_MACHINE" in
-	*-musl) configure_args+=" --disable-profiler" # https://gitlab.gnome.org/GNOME/gjs/issues/132
-esac
-
-post_configure() {
-	# Cross compilation gets this result wrong
-	vsed -e "s|^#define HAVE_DEBUG_SPIDERMONKEY.*|/* #undef HAVE_DEBUG_SPIDERMONKEY */|g" \
-		 -i config.h
-}
-
+checksum=b5bd2ca9fbd311d5002f4f352981613b82b8264218ecfa047caf5a17ac79c3fd
 
 do_check() {
 	# GJS's test try to use Cairo and GTK+ which need X

From ab2b98b980cc734be067943379aca424d9fbce58 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:36:46 +0300
Subject: [PATCH 34/97] glib-networking: update to 2.63.2. [ci skip]

---
 srcpkgs/glib-networking/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib-networking/template b/srcpkgs/glib-networking/template
index 98520abb635..9941d37cf66 100644
--- a/srcpkgs/glib-networking/template
+++ b/srcpkgs/glib-networking/template
@@ -1,6 +1,6 @@
 # Template file for 'glib-networking'
 pkgname=glib-networking
-version=2.62.1
+version=2.63.2
 revision=1
 build_style=meson
 configure_args="-Dinstalled_tests=false -Dgnutls=enabled -Dlibproxy=enabled
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/glib-networking/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3c55ae6771ad7a79fa606a834f4686ed555c2774ed6e9ece6f3c0f6a3dab7110
+checksum=c70f31627d5999f02b2feae156f170d2dcab8d09378bfcd863c911905358f7f3
 lib32disabled=yes
 
 post_install() {

From dcfd0de0bfa35fc0c7e064a29260462f22c66260 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:39:03 +0300
Subject: [PATCH 35/97] gnome-calendar: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-calendar/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-calendar/template b/srcpkgs/gnome-calendar/template
index 2b0a27b9f25..eca679c01f2 100644
--- a/srcpkgs/gnome-calendar/template
+++ b/srcpkgs/gnome-calendar/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-calendar'
 pkgname=gnome-calendar
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config $(vopt_if gir 'gobject-introspection')"
@@ -13,7 +13,7 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Calendar"
 changelog="https://gitlab.gnome.org/GNOME/gnome-calendar/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=fed47b23e3fe2c356092e25bc8d455e87ef0eeb39fa90bf3d0be925dfa3e90e2
+checksum=24a60911c70648b05783808937833d16989c5a07d53bf38443e9179d641e8a9b
 
 build_options="gir"
 build_options_default="gir"

From 86c9c1c85b36f8c73a0e4993063dc7abf0332924 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:40:01 +0300
Subject: [PATCH 36/97] gnome-control-center: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-control-center/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-control-center/template b/srcpkgs/gnome-control-center/template
index 0e2787898ae..9233fae830c 100644
--- a/srcpkgs/gnome-control-center/template
+++ b/srcpkgs/gnome-control-center/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-control-center'
 pkgname=gnome-control-center
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -24,7 +24,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-control-center"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=5f82ecd5554136c462248ec5363b82d95358b39dfd6787006d8307b4504e515e
+checksum=df9bb107b7ada6cf40f1f3de1a659b709f91105bb9b68c4e02b8947bcf236228
 
 build_options="cheese"
 desc_option_cheese="Add support for adding user account images with your webcam"

From 0c1ffa746d7f185d5f81e7b2a31964a2ae4c7f14 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:42:37 +0300
Subject: [PATCH 37/97] gnome-session: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-session/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-session/template b/srcpkgs/gnome-session/template
index 4444f162bf1..e48ae8b087a 100644
--- a/srcpkgs/gnome-session/template
+++ b/srcpkgs/gnome-session/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-session'
 pkgname=gnome-session
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 configure_args="-Dsystemd_journal=false"
@@ -15,4 +15,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-session"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=d7801fe2d5a751b19cb58081771316a76aabd5c550cd58d4e4c6a5a4ed356660
+checksum=8bb77381650a03ae4be7260751363bd27da93f09bac1ddbc885f4ce44ebaf8e1

From 63085e2d53bc0392cc4987d94fba62e5b5c4f0ec Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:43:02 +0300
Subject: [PATCH 38/97] gnome-shell-extensions: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-shell-extensions/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-shell-extensions/template b/srcpkgs/gnome-shell-extensions/template
index 97168b40f66..a30e2034c94 100644
--- a/srcpkgs/gnome-shell-extensions/template
+++ b/srcpkgs/gnome-shell-extensions/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell-extensions'
 pkgname=gnome-shell-extensions
-version=3.34.1
+version=3.35.2
 revision=1
 archs=noarch
 build_style=meson
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell/Extensions"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b0ad51143b1bf40def4a10f8fd0ab0ffb47218304800794e62cadd29d0acc75b
+checksum=111ec73184637f65ca26716d12bf08831515a2cf7ab5ccd4577d18d6d0a946ce

From 6c9cd8ddcdbb96b7f481692ba933b17ce522d46d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:43:26 +0300
Subject: [PATCH 39/97] libdazzle: update to 3.35.2. [ci skip]

---
 srcpkgs/libdazzle/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libdazzle/template b/srcpkgs/libdazzle/template
index 70bdd3558fd..72c51618783 100644
--- a/srcpkgs/libdazzle/template
+++ b/srcpkgs/libdazzle/template
@@ -1,6 +1,6 @@
 # Template file for 'libdazzle'
 pkgname=libdazzle
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -12,9 +12,9 @@ short_desc="Library to delight your users with fancy features"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/libdazzle"
-changelog="https://raw.githubusercontent.com/GNOME/libdazzle/libdazzle-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/libdazzle/libdazzle-3-35/NEWS"
 distfiles="${GNOME_SITE}/libdazzle/${version%.*}/libdazzle-${version}.tar.xz"
-checksum=3d981cbb9d9bb87bfaff7bfd44d9847223b3ef81e69225e4d1f6ac725a669505
+checksum=8a3a18f499d4deaaf71e32ad04e276c3d750e32a43d283dde0a4086da613bfd9
 
 build_options="gir vala"
 build_options_default="gir vala"

From d6a8e3f87933a046cd548def1258f216caefbc71 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:44:10 +0300
Subject: [PATCH 40/97] polari: update to 3.35.2. [ci skip]

---
 srcpkgs/polari/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/polari/template b/srcpkgs/polari/template
index c4bddf6f242..b4bc6627e2f 100644
--- a/srcpkgs/polari/template
+++ b/srcpkgs/polari/template
@@ -1,6 +1,6 @@
 # Template file for 'polari'
 pkgname=polari
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="pkg-config itstool gobject-introspection"
@@ -13,5 +13,5 @@ maintainer="Sir_Boops <admin@boops.me>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Polari"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=bcf420c2a2a8c6ca39e95ffebb71c51fbf0f1866255e068ff6d78d63569c8e71
+checksum=e64c57a7f06d903af8b7538e04240e8a890fbb2055e6fcd28ea735beff77cceb
 nocross="telepathy-idle:   File "../tools/glib-ginterface-gen.py", line 791 SyntaxError: invalid syntax"

From ec18a0e552db80b17069070578858d084bc46ef0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:44:32 +0300
Subject: [PATCH 41/97] sysprof: update to 3.35.2. [ci skip]

---
 srcpkgs/sysprof/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/sysprof/template b/srcpkgs/sysprof/template
index 8703271a34d..c26da1754ee 100644
--- a/srcpkgs/sysprof/template
+++ b/srcpkgs/sysprof/template
@@ -1,6 +1,6 @@
 # Template file for 'sysprof'
 pkgname=sysprof
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 configure_args="-Denable_gtk=true -Dsystemdunitdir=deleteme"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GPL-3.0-or-later"
 homepage="http://sysprof.com/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=844bbb8d8b65071b3bca96f8e921319ceef81f2d2c51fcc9da63a4b355c893d0
+checksum=cbce7f0a08f70efe09e44146e3350133d5f3fa5f5a81a611ac6fd31d42f3ee69
 
 # for ITS rules
 if [ "$CROSS_BUILD" ]; then

From 18db2cfa6bec94a9454d574731b278cf26bba6de Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:02:51 +0300
Subject: [PATCH 42/97] evince: update to 3.35.1. [ci skip]

---
 srcpkgs/evince/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/evince/template b/srcpkgs/evince/template
index 6e4ec3ecb97..c864d0608d8 100644
--- a/srcpkgs/evince/template
+++ b/srcpkgs/evince/template
@@ -1,6 +1,6 @@
 # Template file for 'evince'
 pkgname=evince
-version=3.34.1
+version=3.35.1
 revision=1
 build_helper="gir"
 build_style=gnu-configure
@@ -19,7 +19,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evince"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85e407cde396147b249120d816c7715fb6df191ca561cf65ff3554a5d67626df
+checksum=a66279369275b7731b6bf05cb75f8f8477c789342584893f57c3380c132b0bb3
 
 build_options="gir"
 build_options_default="gir"

From 6fdd4dcfd39600d1e88f00710b4c830ead499396 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:03:19 +0300
Subject: [PATCH 43/97] vte3: update to 0.59.0. [ci skip]

---
 srcpkgs/vte3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/vte3/template b/srcpkgs/vte3/template
index e2399dbcec2..1567136487e 100644
--- a/srcpkgs/vte3/template
+++ b/srcpkgs/vte3/template
@@ -1,6 +1,6 @@
 # Template file for 'vte3'
 pkgname=vte3
-version=0.58.3
+version=0.59.0
 revision=1
 wrksrc="vte-${version}"
 build_style=meson
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later, LGPL-2.1-or-later, LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Terminal/VTE"
 distfiles="${GNOME_SITE}/vte/${version%.*}/vte-${version}.tar.xz"
-checksum=22dcb54ac2ad1a56ab0a745e16ccfeb383f0b5860b5bfa1784561216f98d4975
+checksum=bbd54c2ef133d0883acf2a4afbf1085087b576f4046a8728209111a604de6927
 
 # Suppress warnings as errors for NULL format strings (musl libc)
 CXXFLAGS="-Wno-error=format="

From 6a27b356b6f8dcd87481acb793b33507346ef8af Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:03:44 +0300
Subject: [PATCH 44/97] gnome-terminal: update to 3.35.1. [ci skip]

---
 srcpkgs/gnome-terminal/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-terminal/template b/srcpkgs/gnome-terminal/template
index 2c9530ecc2c..e03ba17f828 100644
--- a/srcpkgs/gnome-terminal/template
+++ b/srcpkgs/gnome-terminal/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-terminal'
 pkgname=gnome-terminal
-version=3.32.2
+version=3.35.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-static --with-nautilus-extension"
@@ -14,5 +14,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.3-only"
 homepage="https://wiki.gnome.org/Apps/Terminal"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=759a2b093ca606107eb8fb53e407cdf9adce76ccee33f9fa0cd76bf594bd106a
+checksum=465cb0cc448e075bba4eae0a020e163a4fb5beea277e4dcde9830917595ad392
 lib32disabled=yes

From d6772c1e2ef114b4dea6336706c770a4357fc2b4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:18:56 +0300
Subject: [PATCH 45/97] gtk-doc: update to 1.32. [ci skip]

---
 srcpkgs/gtk-doc/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtk-doc/template b/srcpkgs/gtk-doc/template
index 4d4523cc1df..3b1236e872d 100644
--- a/srcpkgs/gtk-doc/template
+++ b/srcpkgs/gtk-doc/template
@@ -1,6 +1,6 @@
 # Template file for 'gtk-doc'
 pkgname=gtk-doc
-version=1.31
+version=1.32
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1-or-later"
 homepage="http://www.gtk.org/gtk-doc/"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=a51687956d0377ac70904d03fdc73c9e116589b4a01453fa92162442b3657011
+checksum=de0ef034fb17cb21ab0c635ec730d19746bce52984a6706e7bbec6fb5e0b907c

From d974554e26008db61db1242d2ac20ce409e6ef8f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:44:20 +0300
Subject: [PATCH 46/97] gnome-disk-utility: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-disk-utility/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-disk-utility/template b/srcpkgs/gnome-disk-utility/template
index aa69b8a2b85..648756c11ea 100644
--- a/srcpkgs/gnome-disk-utility/template
+++ b/srcpkgs/gnome-disk-utility/template
@@ -1,17 +1,18 @@
 # Template file for 'gnome-disk-utility'
 pkgname=gnome-disk-utility
-version=3.32.1
-revision=2
+version=3.35.2
+revision=1
 build_style=meson
 configure_args="-Dlibsystemd=false"
 hostmakedepends="glib-devel gtk-doc intltool pkg-config libxslt"
 makedepends="gnome-settings-daemon-devel libcanberra-devel libdvdread-devel
- libnotify-devel libpwquality-devel libsecret-devel udisks2-devel libxslt-devel"
+ libnotify-devel libpwquality-devel libsecret-devel udisks2-devel libxslt-devel
+ elogind-devel"
 depends="desktop-file-utils gptfdisk hicolor-icon-theme parted"
 short_desc="GNOME libraries and applications for dealing with storage devices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Disks"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6f15e0d12e87205712f0779195503cda33cb50c40a421f9b94d0869aa25c7c23
+checksum=14268385d2cfc5e2e916ffa515168921f414a0a912263c61ed8489d95ac892b4
 lib32disabled=yes

From f14779c60b92b49cbda0b50d4bca50f74483597e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:54:58 +0300
Subject: [PATCH 47/97] file-roller: update to 3.35.1. [ci skip]

---
 srcpkgs/file-roller/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/file-roller/template b/srcpkgs/file-roller/template
index 837fdb7a7af..1af7ad04b89 100644
--- a/srcpkgs/file-roller/template
+++ b/srcpkgs/file-roller/template
@@ -1,6 +1,6 @@
 # Template file for 'file-roller'
 pkgname=file-roller
-version=3.32.2
+version=3.35.1
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/FileRoller"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c60a79e0baf74cb1c09a1c8f5ffe0d6e311227ca14ecc5b1156beb3715341a71
+checksum=ed41308e4458e178b70372d6784af8a7ef23001822949f2102c695c187bca8d2

From b4cb1585baa3af213e3c07d5024dbe7bb7e87ab8 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:00:15 +0300
Subject: [PATCH 48/97] libsecret: update to 0.19.1. [ci skip]

---
 srcpkgs/libsecret/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libsecret/template b/srcpkgs/libsecret/template
index d8eefadd144..eead8aa5d97 100644
--- a/srcpkgs/libsecret/template
+++ b/srcpkgs/libsecret/template
@@ -1,7 +1,7 @@
 # Template file for 'libsecret'
 pkgname=libsecret
-version=0.18.8
-revision=2
+version=0.19.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection) --disable-static
@@ -13,7 +13,7 @@ maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3bfa889d260e0dbabcf5b9967f2aae12edcd2ddc9adc365de7a5cc840c311d15
+checksum=8583e10179456ae2c83075d95455f156dc08db6278b32bf4bd61819335a30e3a
 
 # Package build options
 build_options="gir vala"

From cee100df8802f92746f19c110d1a86c2abaa65a9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:09:26 +0300
Subject: [PATCH 49/97] epiphany: update to 3.35.2. [ci skip]

---
 srcpkgs/epiphany/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/epiphany/template b/srcpkgs/epiphany/template
index b5a3b890c75..b5197c51d17 100644
--- a/srcpkgs/epiphany/template
+++ b/srcpkgs/epiphany/template
@@ -1,7 +1,7 @@
 # Template file for 'epiphany'
 pkgname=epiphany
-version=3.32.4
-revision=2
+version=3.35.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddistributor_name=VoidLinux -Dunit_tests=disabled"
@@ -16,4 +16,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Web"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c9a828578301af77ac9f3d3ce253b02f9f3a1561840cc8d74dd5645f92d0a995
+checksum=71b5a1aedd117a2dc71e8c6ff31d71b2a6cb77296f8b3ef7370a35db2059e9e1

From 6048ce30b37eb2c016fde9e826d0ee3f62507d08 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:16:29 +0300
Subject: [PATCH 50/97] gvfs: update to 1.43.2. [ci skip]

---
 srcpkgs/gvfs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gvfs/template b/srcpkgs/gvfs/template
index abe62ad8e0e..cc9e87b4537 100644
--- a/srcpkgs/gvfs/template
+++ b/srcpkgs/gvfs/template
@@ -1,6 +1,6 @@
 # Template file for 'gvfs'
 pkgname=gvfs
-version=1.42.2
+version=1.43.2
 revision=1
 build_style=meson
 configure_args="-Dsystemduserunitdir=no -Dtmpfilesdir=no -Dlogind=false
@@ -19,7 +19,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/gvfs"
 changelog="https://gitlab.gnome.org/GNOME/gvfs/raw/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b57af97573bd295aa50037eed29c6ba7a36188230c515e007c3018855a5cf949
+checksum=8645f8579d2000a3549e528a14a580e3ad17ecffeefdd44b6826a5975e3299d1
 
 # Manually declare shlibs used by the subpkgs.
 shlib_provides="libgvfscommon.so libgvfsdaemon.so"

From 292421dfe91433d99d0980cd38a7766e2a66d34f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:21:07 +0300
Subject: [PATCH 51/97] orca: update to 3.34.1. [ci skip]

---
 srcpkgs/orca/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/orca/template b/srcpkgs/orca/template
index b1067adbaad..f4f88635c30 100644
--- a/srcpkgs/orca/template
+++ b/srcpkgs/orca/template
@@ -1,7 +1,7 @@
 # Template file for 'orca'
 pkgname=orca
-version=3.34.0
-revision=4
+version=3.34.1
+revision=1
 archs=noarch
 build_style=gnu-configure
 pycompile_module="orca"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Orca"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=977c8079519ffbabad76861aa2790a55671ff69f19f3f4a158bfeb7c192a0282
+checksum=64da1d60bdf48366bc8d411d5d190d2377eb659f3a9861ebd77142ede1b168e0
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" python3-gobject-devel"

From ba9cab298fa2baf516388dea89bc85f85701bcc4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:04:35 +0300
Subject: [PATCH 52/97] gnote: update to 3.34.1. [ci skip]

---
 common/shlibs          | 1 +
 srcpkgs/gnote/template | 6 +++---
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 5304579ecca..d5ac836966e 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -621,6 +621,7 @@ libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
 libgnomecanvasmm-2.6.so.1 libgnomecanvasmm-2.26.0_1
 libgnome-keyring.so.0 libgnome-keyring-3.0.0_1
+libgnote-3.34.so.0 gnote-3.34.1_1
 libical.so.3 libical-3.0.4_1
 libical_cxx.so.3 libical-3.0.4_1
 libicalss.so.3 libical-3.0.4_1
diff --git a/srcpkgs/gnote/template b/srcpkgs/gnote/template
index 557fb0a989c..9a9f64dbe82 100644
--- a/srcpkgs/gnote/template
+++ b/srcpkgs/gnote/template
@@ -1,7 +1,7 @@
 # Template file for 'gnote'
 pkgname=gnote
-version=3.32.1
-revision=2
+version=3.34.1
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile --disable-static"
 hostmakedepends="pkg-config intltool itstool desktop-file-utils"
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Gnote"
 distfiles="${GNOME_SITE}/gnote/${version%.*}/gnote-${version}.tar.xz"
-checksum=b8c35188ab45409e3dbb153ac27ecb1029a344dcefff49d3cac4d9fa4c243366
+checksum=4f41c49265376d9e9fd8fcb43e13779c1f965411c67969d18b0e12878d70c3cb
 lib32disabled=yes

From b8ee673a5002bc6775b347f1c8c20d3c5473e4dd Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:06:57 +0300
Subject: [PATCH 53/97] atk: update to 2.35.1. [ci skip]

---
 srcpkgs/atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/atk/template b/srcpkgs/atk/template
index 7c14b116598..b4d6a57554f 100644
--- a/srcpkgs/atk/template
+++ b/srcpkgs/atk/template
@@ -1,6 +1,6 @@
 # Template file for 'atk'
 pkgname=atk
-version=2.34.1
+version=2.35.1
 revision=1
 build_style=meson
 build_helper="gir"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://developer.gnome.org/atk/"
 distfiles="${GNOME_SITE}/atk/${version%.*}/atk-${version}.tar.xz"
-checksum=d4f0e3b3d21265fcf2bc371e117da51c42ede1a71f6db1c834e6976bb20997cb
+checksum=be9360fa3f845e91f001c20e73b3a0315b38983411b1dc008195f779ac543884
 
 # Package build options
 build_options="gir"

From 7d4eb898c853c8707a6a219d12734d900050a619 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:16:07 +0300
Subject: [PATCH 54/97] libpeas: update to 1.24.1. [ci skip]

---
 srcpkgs/libpeas/template | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/libpeas/template b/srcpkgs/libpeas/template
index 71222df7bf5..9b27d0a663f 100644
--- a/srcpkgs/libpeas/template
+++ b/srcpkgs/libpeas/template
@@ -1,28 +1,26 @@
 # Template file for 'libpeas'
 pkgname=libpeas
-version=1.24.0
-revision=2
+version=1.24.1
+revision=1
 build_style=meson
 build_helper="gir"
 hostmakedepends="pkg-config intltool glib-devel python3 lua51"
-makedepends="vala-devel gtk+3-devel python3-gobject-devel
- glade3-devel lua51-devel"
+makedepends="vala-devel gtk+3-devel python3-gobject-devel glade3-devel lua51-devel"
 depends="python3-gobject hicolor-icon-theme gjs>=1.38"
 short_desc="Gobject-based plugins engine"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Libpeas"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0b9a00138c129a663de3eef5569b00ace03ce31d345f7af783768e9f35c8e6f9
+checksum=9c3acf7a567cbb4f8bf62b096e013f12c3911cc850c3fa9900cbd5aa4f6ec284
 
 post_install() {
 	# Remove demo.
-	rm -rf ${DESTDIR}/usr/bin ${DESTDIR}/usr/lib/peas-demo
+	rm -rf ${DESTDIR}/usr/{bin,lib/peas-demo}
 }
 
 libpeas-devel_package() {
-	depends="libglib-devel gtk+3-devel>=3.8 libgirepository-devel
-	 ${sourcepkg}-${version}_${revision}"
+	depends="libglib-devel gtk+3-devel libgirepository-devel ${sourcepkg}-${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
 		vmove usr/include

From 22f22031f9f88af5d0c38b585bae10a0edb624fa Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:18:16 +0300
Subject: [PATCH 55/97] gnome-tetravex: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-tetravex/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-tetravex/template b/srcpkgs/gnome-tetravex/template
index d2e2be6ccf3..bc8d0b15d22 100644
--- a/srcpkgs/gnome-tetravex/template
+++ b/srcpkgs/gnome-tetravex/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-tetravex'
 pkgname=gnome-tetravex
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="itstool pkg-config vala glib-devel"
@@ -10,4 +10,4 @@ maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Tetravex"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e06ddb08f810314553c7745c8476221a8b1425599f64388157ee4495baf12916
+checksum=901166541eae1b50b5c57abfaf5853a261f88b11adcdcee29866501cd77c16f8

From 993727d9c479f92157aa9495503faa5dfd2c7b14 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:41:19 +0300
Subject: [PATCH 56/97] geary: update to 3.35.2. [ci skip]

---
 srcpkgs/geary/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/geary/template b/srcpkgs/geary/template
index 899886458ad..3e0ab20f463 100644
--- a/srcpkgs/geary/template
+++ b/srcpkgs/geary/template
@@ -1,6 +1,6 @@
 # Template file for 'geary'
 pkgname=geary
-version=3.34.2
+version=3.35.2
 revision=1
 build_helper="gir"
 build_style=meson
@@ -8,7 +8,7 @@ configure_args="-Dcontractor=true"
 hostmakedepends="desktop-file-utils iso-codes pkg-config itstool
  gobject-introspection vala glib-devel"
 makedepends="enchant2-devel gcr-devel gmime-devel libsoup-devel libglib-devel
- libgee08-devel libsecret-devel webkit2gtk-devel libxml2-devel
+ libgee08-devel libsecret-devel webkit2gtk-devel libxml2-devel libpeas-devel
  gnome-online-accounts-devel json-glib-devel libunwind-devel libcanberra-devel
  folks-devel appstream-glib-devel gspell-devel ytnef-devel libhandy-devel"
 depends="gir-freedesktop gnome-keyring"
@@ -17,11 +17,11 @@ maintainer="Cameron Nemo <cnemo@tutanota.com>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Apps/Geary"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/geary-${version}.tar.xz"
-checksum=75cf5fdcc534bf5bbdf223fd4b976a627ecaf16cf87a4bea51ef94fc2f38d2a8
+checksum=476fb67b50f26f1ccb0e99fa8864e5f62b8e85cfdbc3322efa4ad355705c1e57
 
 post_patch() {
 	case "$XBPS_TARGET_MACHINE" in
-		i686-musl|ppc*-musl) ;;
+		i686-musl|ppc*-musl);;
 		*)
 			vsed -i meson.build -e 's;@UCONTEXT_LIB@;;'
 			return 0

From 64d0426769e33cdc4fa8bd4aad5e956aecef1afb Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:48:24 +0300
Subject: [PATCH 57/97] gnome-music: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-music/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-music/template b/srcpkgs/gnome-music/template
index e2fbbcbdeca..027182fe21c 100644
--- a/srcpkgs/gnome-music/template
+++ b/srcpkgs/gnome-music/template
@@ -1,9 +1,9 @@
 # Template file for 'gnome-music'
 pkgname=gnome-music
-version=3.32.2
-revision=2
-build_helper="gir"
+version=3.35.2
+revision=1
 build_style=meson
+build_helper="gir"
 pycompile_module="gnomemusic"
 hostmakedepends="glib-devel itstool pkg-config"
 makedepends="gnome-desktop-devel grilo-devel libmediaart-devel
@@ -16,5 +16,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Music"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=131a4b09983f7ee7f6ad6277bc2d5cf1b4a56484faf6357850357a355aa0c732
+checksum=d7d1a053fc2193c9358c9068bb19bc4823bf4ae6b1d1fdea8a92cce3553ae197
 lib32disabled=yes

From c88b44590b61feadd6987aaeab5c7594f95865b5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:15:58 +0300
Subject: [PATCH 58/97] gnome-flashback: update to 3.35.1. [ci skip]

---
 srcpkgs/gnome-flashback/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-flashback/template b/srcpkgs/gnome-flashback/template
index bc5ae868cb8..c386db812ef 100644
--- a/srcpkgs/gnome-flashback/template
+++ b/srcpkgs/gnome-flashback/template
@@ -1,20 +1,20 @@
 # Template file for 'gnome-flashback'
 pkgname=gnome-flashback
-version=3.34.1
+version=3.35.1
 revision=1
 build_style=gnu-configure
 configure_args="--enable-compile-warnings=minimum"
 hostmakedepends="pkg-config automake glib-devel"
-makedepends="gtk+3-devel gsettings-desktop-schemas-devel
+makedepends="gtk+3-devel gsettings-desktop-schemas-devel elogind-devel
  libglib-devel gdk-pixbuf-devel upower-devel ibus-devel polkit-devel
  pulseaudio-devel libcanberra-devel libxcb-devel libX11-devel pango-devel
  libxkbfile-devel gnome-bluetooth-devel gnome-desktop-devel"
 depends="gnome-bluetooth gnome-session gnome-settings-daemon
- gnome-panel gnome-themes-standard metacity"
+ gnome-panel gnome-themes-standard metacity elogind"
 short_desc="GNOME 3 session with similar user experience to the GNOME 2.x series"
 maintainer="shizonic <realtiaz@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeFlashback"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddba0c9661ad93b58ccbde267f6ecbc02da2c15f9d38d87d5504f4670c2fbc77
+checksum=666ce1d33e21180d192303255dba51b706b770ec3ee1ca71c5ec9d341b98f990
 nocross="gobject-introspection"

From 6822e27eac7dec97b2939242b221302b873be75f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:19:40 +0300
Subject: [PATCH 59/97] at-spi2-atk: update to 2.34.1. [ci skip]

---
 srcpkgs/at-spi2-atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/at-spi2-atk/template b/srcpkgs/at-spi2-atk/template
index 9d675e3752b..4351b7996f3 100644
--- a/srcpkgs/at-spi2-atk/template
+++ b/srcpkgs/at-spi2-atk/template
@@ -1,6 +1,6 @@
 # Template file for 'at-spi2-atk'
 pkgname=at-spi2-atk
-version=2.34.0
+version=2.34.1
 revision=1
 build_style=meson
 hostmakedepends="libtool pkg-config intltool glib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a7e96a1eb549529e60a42201dd78ccce413d9c1706e16351cc5288e064500
+checksum=776df930748fde71c128be6c366a987b98b6ee66d508ed9c8db2355bf4b9cc16
 
 at-spi2-atk-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

From 2dfc2b4fb309f66d634a21059cd690981eefe023 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:22:48 +0300
Subject: [PATCH 60/97] dconf: update to 0.34.0. [ci skip]

---
 srcpkgs/dconf/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf/template b/srcpkgs/dconf/template
index 8cf262e4576..3499401e70b 100644
--- a/srcpkgs/dconf/template
+++ b/srcpkgs/dconf/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf'
 pkgname=dconf
-version=0.32.0
+version=0.34.0
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=68bce78b19bc94cb2c3bb8587e37f9e5e338568c3a674f86edde9c9f1624ffab
+checksum=943a94ab16121de5580ceaed2605b87444d1bca1c6cd8beefb778bcb0aa2da52
 
 dconf-devel_package() {
 	depends="libglib-devel vala-devel>=0.24 dconf>=${version}_${revision}"

From f688165454da7833d95663c4cb0c9e2bf444bf0c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:32:05 +0300
Subject: [PATCH 61/97] dconf-editor: update to 3.34.2. [ci skip]

---
 srcpkgs/dconf-editor/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf-editor/template b/srcpkgs/dconf-editor/template
index 3617e12dacf..0dd9c9ccd3e 100644
--- a/srcpkgs/dconf-editor/template
+++ b/srcpkgs/dconf-editor/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf-editor'
 pkgname=dconf-editor
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -10,4 +10,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=32ad3e899840e0b17d36a1c4dab60bfb1eedfcf4e46f3ae428076132f37ff335
+checksum=cecc2a5cb44af68be80e970e83fb9e3e92e2a74df7c90b63324e6da19a929d5f

From 3084da8bfee5e0690f29aa6fdc6e334913c548d9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:38:16 +0300
Subject: [PATCH 62/97] metacity: update to 3.34.1. [ci skip]

---
 common/shlibs             | 1 +
 srcpkgs/metacity/template | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index d5ac836966e..957ad0ac246 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -45,6 +45,7 @@ libnss_nis.so.2 glibc-2.29_1
 libcrypt.so.1 glibc-2.29_1
 libBrokenLocale.so.1 glibc-2.29_1
 libmemusage.so glibc-2.29_1
+libmetacity.so.1 metacity-3.34.1_1
 libSegFault.so glibc-2.29_1
 libpcprofile.so glibc-2.29_1
 libcidn.so.1 glibc-2.29_1
diff --git a/srcpkgs/metacity/template b/srcpkgs/metacity/template
index 1d419267668..fdbf1bd3088 100644
--- a/srcpkgs/metacity/template
+++ b/srcpkgs/metacity/template
@@ -1,6 +1,6 @@
 # Template file for 'metacity'
 pkgname=metacity
-version=3.30.1
+version=3.34.1
 revision=1
 build_style=gnu-configure
 hostmakedepends="gettext-devel glib-devel itstool pkg-config yelp-tools zenity"
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/metacity"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0f1311b7aa38de71c66080bd2b744de2cd9580afcaee9c6097a7d3f5c421798a
+checksum=31c7d1045c390afb3bf405735b0b26c459197cbf43af37c469eb8918ce3a453d

From cfe8f05e9322f7681d9fbf70907f4808fc827b39 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:43:47 +0300
Subject: [PATCH 63/97] eog: update to 3.35.1. [ci skip]

---
 srcpkgs/eog/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/eog/template b/srcpkgs/eog/template
index e0c978ad2fe..05b430354a2 100644
--- a/srcpkgs/eog/template
+++ b/srcpkgs/eog/template
@@ -1,6 +1,6 @@
 # Template file for 'eog'
 pkgname=eog
-version=3.34.1
+version=3.35.1
 revision=1
 build_helper="gir"
 build_style=meson
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/EyeOfGnome"
 distfiles="${GNOME_SITE}/eog/${version%.*}/eog-${version}.tar.xz"
-checksum=fdb0739f8420af2ffb8e91c766a154afefdf20f721ad34b56cab27fd1569f42c
+checksum=12980362b3bbf29ad59231ae71a1f16ce7069196b6f729884954b2255c6fc8a1
 shlib_provides="libeog.so"
 lib32disabled=yes
 nocross="Can not use target eog as a generator because it is cross-built"

From dbc21ae1338fd704e45c22909d59e08035c305ed Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:49:09 +0300
Subject: [PATCH 64/97] eog-plugins: update to 3.26.4. [ci skip]

---
 srcpkgs/eog-plugins/template | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/eog-plugins/template b/srcpkgs/eog-plugins/template
index 7ae10cdb7e5..c47e7825ad8 100644
--- a/srcpkgs/eog-plugins/template
+++ b/srcpkgs/eog-plugins/template
@@ -1,18 +1,17 @@
 # Template file for 'eog-plugins'
 pkgname=eog-plugins
-version=3.26.3
+version=3.26.4
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="eog-devel libgdata-devel
- libchamplain-devel libpeas-devel libexif-devel exempi-devel
- gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 pycompile_dirs="usr/lib/eog/plugins"
+hostmakedepends="pkg-config intltool"
+makedepends="eog-devel libgdata-devel libchamplain-devel libpeas-devel libexif-devel
+ exempi-devel gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 depends="eog gsettings-desktop-schemas"
 short_desc="Eye of GNOME plugins"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e385281649e7ef9e38005a73ffd5688769233a2bc8fc03e62e4da1708596d619
+checksum=dd5a4f537d56d30e25931d32865abf684eac69362ce8320941c547461476a75d
+lib32disabled=yes

From 24592a7516aeada940e3697719132d07a24e8c82 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:58:16 +0300
Subject: [PATCH 65/97] eolie: update to 0.9.63. [ci skip]

---
 srcpkgs/eolie/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/eolie/template b/srcpkgs/eolie/template
index 88efc5b89e3..826bdc9e925 100644
--- a/srcpkgs/eolie/template
+++ b/srcpkgs/eolie/template
@@ -1,8 +1,8 @@
 # Template file for 'eolie'
 pkgname=eolie
-version=0.9.62
-revision=2
-_eolie_hash=bb4aad19272cc636bd17f2f6602127fe
+version=0.9.63
+revision=1
+_eolie_hash=d42b466752729a0d3fa828a721e25043
 build_style=meson
 pycompile_module="eolie"
 hostmakedepends="appstream-glib desktop-file-utils glib-devel pkg-config
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Eolie"
 distfiles="https://gitlab.gnome.org/World/eolie/uploads/${_eolie_hash}/eolie-${version}.tar.xz"
-checksum=9da359895306cf5929a01acb60d1506afb0a04ddbbd0d80ae1d0ba831e34671b
+checksum=306a2d727cb50968e04cd7a1bb77f5eca1810a3da124b916c0010ac1c143f786

From a104f1416b526bbaea0957efb87c2a665d43ba1c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:05:18 +0300
Subject: [PATCH 66/97] gnome-online-accounts: update to 3.35.1. [ci skip]

---
 srcpkgs/gnome-online-accounts/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-online-accounts/template b/srcpkgs/gnome-online-accounts/template
index 469ba370503..a8843f98062 100644
--- a/srcpkgs/gnome-online-accounts/template
+++ b/srcpkgs/gnome-online-accounts/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-online-accounts'
 pkgname=gnome-online-accounts
-version=3.34.1
+version=3.35.1
 revision=1
 build_style=gnu-configure
 build_helper="gir"
@@ -20,7 +20,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeOnlineAccounts"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=4832ca8e48d3a497fc676e7b6f146009ab4206995362977b9805aa39f164783a
+checksum=71fd33f2e385e0e044f2186b9605cd96eea4a58344c023a3ae027b9eb73ffb7e
 
 build_options="gir vala"
 build_options_default="gir vala"

From 860afb9981684ecbb7264b3e4128b14a963c4d30 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:50:24 +0300
Subject: [PATCH 67/97] gtkmm: update to 3.24.2. [ci skip]

---
 srcpkgs/gtkmm/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtkmm/template b/srcpkgs/gtkmm/template
index b09ab6c9cce..134961b474a 100644
--- a/srcpkgs/gtkmm/template
+++ b/srcpkgs/gtkmm/template
@@ -1,6 +1,6 @@
 # Template file for 'gtkmm'
 pkgname=gtkmm
-version=3.24.1
+version=3.24.2
 revision=1
 build_style=gnu-configure
 configure_args="--disable-documentation"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddfe42ed2458a20a34de252854bcf4b52d3f0c671c045f56b42aa27c7542d2fd
+checksum=6d71091bcd1863133460d4188d04102810e9123de19706fb656b7bb915b4adc3
 
 gtkmm-devel_package() {
 	depends="${makedepends} gtkmm>=${version}_${revision}"

From 510fdc182c89128ba6f7eca8df3c10209fa6c103 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:52:56 +0300
Subject: [PATCH 68/97] quadrapassel: update to 3.35.2. [ci skip]

---
 srcpkgs/quadrapassel/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/quadrapassel/template b/srcpkgs/quadrapassel/template
index 46d3bbb1feb..445dc40bae1 100644
--- a/srcpkgs/quadrapassel/template
+++ b/srcpkgs/quadrapassel/template
@@ -1,6 +1,6 @@
 # Template file for 'quadrapassel'
 pkgname=quadrapassel
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config vala"
@@ -11,4 +11,4 @@ maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Quadrapassel"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b39acdd4754580dfcdf5a48f22945826926f3b324c92e417144f610a528706e2
+checksum=0ab0a70235829eaf2147b21ae841b61e12ba2921aeec27cc076f4cbb5f2edb09

From aa8478968de63340aad01bddb319ec78273d5dcc Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:04:53 +0300
Subject: [PATCH 69/97] tepl: update to 4.3.1. [ci skip]

---
 srcpkgs/tepl/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/tepl/template b/srcpkgs/tepl/template
index 5bbc9eef2ed..5bf4fbcf674 100644
--- a/srcpkgs/tepl/template
+++ b/srcpkgs/tepl/template
@@ -1,7 +1,7 @@
 # Template file for 'tepl'
 pkgname=tepl
-version=4.2.0
-revision=3
+version=4.3.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Tepl"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8839d4428ecdd87fd5abc657ebbe5a9601a57262e9946845e47dec264e669ccd
+checksum=406f2aa257098de00cdce01dfe30d6fd7dbd2af60c81b33fbec5ac24b4dec623
 
 build_options="gir"
 build_options_default="gir"
@@ -30,6 +30,7 @@ tepl-devel_package() {
 		vmove usr/include
 		vmove usr/lib/*.so
 		vmove usr/lib/pkgconfig
+		vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From e487588c0775d8b516f2cd3c6b51211418143ca1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:45:54 +0300
Subject: [PATCH 70/97] glib: update to 2.63.3. [ci skip]

---
 srcpkgs/glib/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib/template b/srcpkgs/glib/template
index 2e3947b69dc..5b8cd35942e 100644
--- a/srcpkgs/glib/template
+++ b/srcpkgs/glib/template
@@ -1,6 +1,6 @@
 # Template file for 'glib'
 pkgname=glib
-version=2.62.3
+version=2.63.3
 revision=1
 build_style=meson
 configure_args="-Dfam=false -Dman=true -Dselinux=disabled
@@ -14,7 +14,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/GLib"
 changelog="https://gitlab.gnome.org/GNOME/glib/raw/master/NEWS"
 distfiles="${GNOME_SITE}/glib/${version%.*}/glib-${version}.tar.xz"
-checksum=4400adc9f0d3ffcfe8e84225210370ce3f9853afb81812ddadb685325aa655c4
+checksum=8a09a2a059eb617d52b6fcd6f25e0243f0849c598612c9aa5074ce3a6ee1c11c
 
 build_options="gtk_doc"
 desc_option_gtk_doc="Build GTK API docs"

From 31dc06f0d396caa122daf58fe923f852c73e84d9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:47:55 +0300
Subject: [PATCH 71/97] gedit: update to 3.35.1. [ci skip]

---
 common/shlibs          |  2 +-
 srcpkgs/gedit/template | 14 ++++++--------
 2 files changed, 7 insertions(+), 9 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 957ad0ac246..03da648324d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3477,7 +3477,7 @@ libqhttpengine.so.1 qhttpengine-1.0.1_1
 libqmdnsengine.so.0 qmdnsengine-0.1.0_1
 libyang.so.1 libyang-1.0r5_1
 libhtp.so.2 libhtp-0.5.30_1
-libgedit-3.14.so gedit-3.32.0_1
+libgedit-3.36.so gedit-3.35.1_1
 libchewing.so.3 libchewing-0.5.1_1
 libdwarves.so.1 pahole-1.12_1
 libdwarves_emit.so.1 pahole-1.12_1
diff --git a/srcpkgs/gedit/template b/srcpkgs/gedit/template
index 6666c331c52..e75dd4f896b 100644
--- a/srcpkgs/gedit/template
+++ b/srcpkgs/gedit/template
@@ -1,16 +1,16 @@
 # Template file for 'gedit'
 pkgname=gedit
-version=3.32.2
-revision=2
-build_helper="gir"
+version=3.35.1
+revision=1
 build_style=meson
+build_helper="gir"
 pycompile_module="gi/overrides"
 pycompile_dirs="usr/lib/gedit/plugins"
 configure_args="-Dplugins=true -Dvapi=$(vopt_if vala true false)
  -Dintrospection=$(vopt_if gir true false)"
 hostmakedepends="itstool pkg-config glib-devel gdk-pixbuf perl $(vopt_if vala vala)"
 makedepends="gsettings-desktop-schemas-devel gspell-devel gtksourceview4-devel
- libpeas-devel libsoup-devel $(vopt_if gir 'python-gobject-devel')"
+ libpeas-devel libsoup-devel $(vopt_if gir 'python-gobject-devel') tepl-devel"
 depends="desktop-file-utils gsettings-desktop-schemas
  iso-codes"
 short_desc="Text editor for GNOME"
@@ -18,10 +18,8 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Gedit"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=742fef5e496f5d0dbc95dac5c5547f040dffbea55cd835e6618294eadd9959e0
-shlib_provides="libgedit-3.14.so"
-
-nocross=yes
+checksum=70976b2d135cbf1bc4e7ad3fd23057012eec0920775b9bf41939f318caa15055
+shlib_provides="libgedit-3.36.so"
 
 build_options="gir vala"
 build_options_default="gir vala"

From 347c9d34e5b7cb888c58ae2f42306278e78cbc17 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:52:49 +0300
Subject: [PATCH 72/97] gedit-plugins: update to 3.35.1. [ci skip]

---
 srcpkgs/gedit-plugins/template | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gedit-plugins/template b/srcpkgs/gedit-plugins/template
index 49e6e04b354..0f3b14c5a56 100644
--- a/srcpkgs/gedit-plugins/template
+++ b/srcpkgs/gedit-plugins/template
@@ -1,9 +1,8 @@
 # Template file for 'gedit-plugins'
 pkgname=gedit-plugins
-version=3.32.2
+version=3.35.1
 revision=1
-build_style=gnu-configure
-configure_args="--disable-schemas-compile --enable-python --enable-vala"
+build_style=meson
 pycompile_dirs="usr/lib/gedit/plugins"
 hostmakedepends="glib-devel itstool pkg-config vala appstream-glib python3-gobject
  gucharmap-devel vte3-devel"
@@ -15,5 +14,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/action/show/Apps/Gedit/PluginsLists"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=1368338882c535297ab4f6677da40c3f7bea545464c04a9076ee2c0c38eabeff
+checksum=91a6c19e6563f611f52280c050c99de7b802e921b4e187209bc32580cab5eadf
 pycompile_version="$py3_ver"

From dda622c8cf7f1d34a0f5c531533b7f514ceb422b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 22:05:45 +0300
Subject: [PATCH 73/97] mutter: update to 3.35.2. [ci skip]

---
 common/shlibs                                 | 14 +++++++++-----
 .../patches/fix-cogl-egl-includes.patch       | 11 -----------
 srcpkgs/mutter/patches/fixudev.patch          | 16 ----------------
 srcpkgs/mutter/template                       | 19 +++++++++++++------
 srcpkgs/mutter/update                         |  2 --
 5 files changed, 22 insertions(+), 40 deletions(-)
 delete mode 100644 srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
 delete mode 100644 srcpkgs/mutter/patches/fixudev.patch
 delete mode 100644 srcpkgs/mutter/update

diff --git a/common/shlibs b/common/shlibs
index 03da648324d..5331d5374a1 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2822,11 +2822,15 @@ libdecoration.so.0 compiz-core-0.8.14_1
 libcompizconfig.so.0 libcompizconfig-0.8.14_1
 libemeraldengine.so.0 emerald-0.8.14_1
 libhangul.so.1 libhangul-0.1.0_1
-libmutter-5.so.0 mutter-3.34.1_1
-libmutter-clutter-5.so.0 mutter-3.34.1_1
-libmutter-cogl-path-5.so mutter-3.34.1_1
-libmutter-cogl-5.so.0 mutter-3.34.1_1
-libmutter-cogl-pango-5.so.0 mutter-3.34.1_1
+libmutter-6.so.0 mutter-3.35.2_1
+libmutter-cogl-pango-6.so.0 mutter-3.35.2_1
+libmutter-cogl-6.so.0 mutter-3.35.2_1
+libmutter-clutter-6.so.0 mutter-3.35.2_1
+libmutter-cogl-path-6.so.0 mutter-3.35.2_1
+libmutter-clutter-6.so mutter-3.35.2_1
+libmutter-cogl-6.so mutter-3.35.2_1
+libmutter-cogl-pango-6.so mutter-3.35.2_1
+libmutter-cogl-path-6.so mutter-3.35.2_1
 libgeoclue-2.so.0 geoclue2-2.4.4_1
 libgepub.so.0 libgepub-0.4_1
 libslopy.so.7.4 slop-7.4_1
diff --git a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch b/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
deleted file mode 100644
index d90988887c3..00000000000
--- a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- cogl/cogl/meson.build	2019-10-08 19:15:10.000000000 +0200
-+++ cogl/cogl/meson.build	2019-12-16 15:45:44.037640548 +0100
-@@ -48,7 +48,7 @@
- built_headers += [cogl_gl_header_h]
- 
- if have_egl
--  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>'
-+  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>\n#include <EGL/eglmesaext.h>'
- else
-   cogl_egl_includes_string = ''
- endif
diff --git a/srcpkgs/mutter/patches/fixudev.patch b/srcpkgs/mutter/patches/fixudev.patch
deleted file mode 100644
index c9bd1b8c6ce..00000000000
--- a/srcpkgs/mutter/patches/fixudev.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-Apparently the version limit is only required for systemd udev, it works
-just fine with our version of eudev.
-
-diff --git meson.build meson.build
-index dc210e6..6e080ca 100644
---- meson.build
-+++ meson.build
-@@ -168,7 +168,7 @@ endif
- 
- have_libgudev = get_option('udev')
- if have_libgudev
--  libudev_dep = dependency('libudev', version: udev_req)
-+  libudev_dep = dependency('libudev')
-   gudev_dep = dependency('gudev-1.0', version: gudev_req)
- endif
- 
diff --git a/srcpkgs/mutter/template b/srcpkgs/mutter/template
index 5c792515f2b..7333e936973 100644
--- a/srcpkgs/mutter/template
+++ b/srcpkgs/mutter/template
@@ -1,7 +1,7 @@
 # Template file for 'mutter'
 pkgname=mutter
-version=3.34.1
-revision=2
+version=3.35.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Degl_device=true -Dudev=true -Dnative_backend=true
@@ -17,9 +17,14 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Mutter/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ba1826cf88bdb81e63943cac014a8e8bcf35ec178c53264401f9c72fdeab758e
-shlib_provides="libmutter-clutter-5.so libmutter-cogl-5.so
- libmutter-cogl-pango-5.so libmutter-cogl-path-5.so"
+checksum=3a9b5fda0ca43aa4ead4471a6df188aec11e5c63ed36620fa4f47ac9d79f7ee4
+shlib_provides="libmutter-6.so.0 libmutter-cogl-pango-6.so.0 libmutter-cogl-6.so.0
+ libmutter-clutter-6.so.0 libmutter-cogl-path-6.so.0 libmutter-clutter-6.so
+ libmutter-cogl-6.so libmutter-cogl-pango-6.so libmutter-cogl-path-6.so"
+patch_args="-Np1"
+
+build_options="gir"
+build_options_default="gir"
 
 mutter-devel_package() {
 	depends="gsettings-desktop-schemas gtk+3-devel clutter-devel libX11-devel
@@ -28,7 +33,9 @@ mutter-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove "usr/lib/mutter-5/*.gir"
+		if [ $build_option_gir ]; then
+			vmove "usr/lib/mutter-6/*.gir"
+		fi
 		vmove "usr/lib/*.so"
 	}
 }
diff --git a/srcpkgs/mutter/update b/srcpkgs/mutter/update
deleted file mode 100644
index a84fbbad8b1..00000000000
--- a/srcpkgs/mutter/update
+++ /dev/null
@@ -1,2 +0,0 @@
-site="${GNOME_SITE}/$pkgname/cache.json"
-ignore="3.*[13579].*"

From 2439084ac17b90eba5ee432f0f8ff2ef61a871b3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 22:06:48 +0300
Subject: [PATCH 74/97] gnome-documents: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-documents/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-documents/template b/srcpkgs/gnome-documents/template
index 62d9bddbc1e..86be6e30f34 100644
--- a/srcpkgs/gnome-documents/template
+++ b/srcpkgs/gnome-documents/template
@@ -1,9 +1,9 @@
 # Template file for 'gnome-documents'
 pkgname=gnome-documents
-version=3.32.0
-revision=3
-build_helper="gir"
+version=3.34.0
+revision=1
 build_style=meson
+build_helper="gir"
 hostmakedepends="docbook-xsl itstool pkg-config glib-devel libxslt gdk-pixbuf
  librsvg"
 makedepends="clutter-gtk-devel evince-devel gjs-devel gnome-desktop-devel
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Documents"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=cc2060843e53b6db3372b806536f5df0bfc7abd3c0c35cb5021a3592d76f0dbf
+checksum=d8a90e84aef3a78fcaa91dc12a24a473a5778a47eb4c2354d0e35d558f29f0e2
 lib32disabled=yes
 
 build_options="gir"

From d955a2e95f0624f52d9c2e01e9e3a932f04aea97 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 22:31:10 +0300
Subject: [PATCH 75/97] gnome: fix [ci skip]

---
 srcpkgs/gnome/INSTALL.msg |  27 ++++++
 srcpkgs/gnome/template    | 187 +++-----------------------------------
 2 files changed, 42 insertions(+), 172 deletions(-)
 create mode 100644 srcpkgs/gnome/INSTALL.msg

diff --git a/srcpkgs/gnome/INSTALL.msg b/srcpkgs/gnome/INSTALL.msg
new file mode 100644
index 00000000000..114923264e7
--- /dev/null
+++ b/srcpkgs/gnome/INSTALL.msg
@@ -0,0 +1,27 @@
+[Additional packages]
+Internet:
+- epiphany: Intuitive GNOME web browser
+- evolution: Integrated mail, addressbook and calendaring for GNOME
+- gnome-authenticator: Two-factor authentication code generator for GNOME
+- gnome-online-accounts: GNOME service to access online accounts
+- polari: GNOME IRC client
+Music:
+- deadbeef: Ultimate Music Player for GNU/Linux
+- gnome-music: GNOME music playing application
+- spotify: Proprietary music streaming client (nonfree|glibc)
+Video:
+- totem: GNOME integrated movie player based on Gstreamer
+- vlc: Cross-platform multimedia player
+Other:
+- chrome-gnome-shell: GNOME Shell integration for Chrome
+- gcr: GNOME crypto package
+- ghex: Simple binary editor for GNOME
+- gitg: Git repository viewer for GTK+/GNOME
+- gnome-bluetooth: GNOME Bluetooth Subsystem
+- gnome-passbook: A password manager for GNOME
+- gparted: Gnome Partition Editor
+- orca: Screen reader for individuals who are blind or visually impaired
+- qalculate-gtk: Multi-purpose desktop calculator
+- sushi: Quick image previewer over DBus for Nautilus
+- vino: VNC server for the GNOME desktop
+- yaru-plus: Elegant Canonical's Yaru-based third-party icons theme
diff --git a/srcpkgs/gnome/template b/srcpkgs/gnome/template
index 1e364afd9f1..06de4f6df93 100644
--- a/srcpkgs/gnome/template
+++ b/srcpkgs/gnome/template
@@ -1,188 +1,31 @@
 # Template file for 'gnome'
 pkgname=gnome
 version=3.32.0
-revision=1
+revision=2
 build_style=meta
+depends="adwaita-icon-theme>=${version} atkmm>=2.28.0 cantarell-fonts>=0.111
+ font-adobe-source-code-pro>=2.030R gdm>=${version} gnome-backgrounds>=${version}
+ gnome-color-manager>=${version} gnome-control-center>=${version} gnome-keyring>=${version}
+ gnome-session>=${version} gnome-shell-extensions>=${version} gnome-themes-standard>=3.28
+ gnome-tweaks>=${version} gtksourceview>=3.24.11 gvfs>=1.43.2 network-manager-applet>=1.8.24
+ gnome-screenshot>=${version} gnome-calendar>=${version} gnome-clocks>=${version}"
 short_desc="GNOME meta-package for Void Linux"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only, LGPL-2.0-only"
 homepage="https://www.gnome.org"
-
-depends="NetworkManager>=1.14.0_1
- adwaita-icon-theme>=3.32.0
- at-spi2-atk>=2.32.0
- at-spi2-core>=2.32.0
- atk>=2.32.0
- atkmm>=2.24.2
- cairomm>=1.12.2_2
- cantarell-fonts>=0.0.25
- caribou>=0.4.21
- cheese>=3.32.0
- chrome-gnome-shell>=10.0.0
- clutter>=1.26.2
- clutter-gst3>=3.0.24
- clutter-gtk>=1.8.4
- cogl>=1.22.2
- dconf>=0.30.0
- eog>=3.32.0
- epiphany>=3.32.0
- evince>=3.32.0
- evolution-data-server>=3.32.0
- file-roller>=3.32.0
- folks>=0.11.4
- font-adobe-source-code-pro>=2.030R
- gcab>=0.7
- gcr>=3.28.0
- gdk-pixbuf>=2.38.0
- gdm>=3.32.0
- geocode-glib>=3.26.0_1
- gfbgraph>=0.2.3
- gjs>=1.56.0
- glib>=2.60.0
- glib-networking>=2.60.0
- glibmm>=2.60.0
- gmime>=2.6.23
- gnome-backgrounds>=3.32.0
- gnome-bluetooth>=3.32.0
- gnome-color-manager>=3.32.0
- gnome-control-center>=3.32.0
- gnome-desktop>=3.32.0
- gnome-getting-started-docs>=3.32.0
- gnome-initial-setup>=3.32.0
- gnome-keyring>=3.28.1
- gnome-online-accounts>=3.32.0
- gnome-online-miners>=3.30.0
- gnome-session>=3.32.0
- gnome-settings-daemon>=3.32.0
- gnome-shell>=3.32.0
- gnome-shell-extensions>=3.32.0
- gnome-themes-standard>=3.22.3
- gnome-tweaks>=3.32.0
- gnome-user-docs>=3.32.0
- gnome-video-effects>=0.4.3
- gobject-introspection>=1.60.0
- gom>=0.3.2_1
- grilo>=0.3.4
- grilo-plugins>=0.3.5
- gsettings-desktop-schemas>=3.32.0
- gsound>=1.0.2
- gspell>=1.8.0
- gssdp>=1.0.2
- gtk+3>=3.24.0
- gtkmm>=3.22.1
- gtksourceview>=3.24.4
- gupnp>=1.0.2
- gupnp-av>=0.12.10
- gupnp-dlna>=0.10.5
- gupnp-igd>=0.2.4
- gvfs>=1.40.0
- json-glib>=1.4.2
- libcroco>=0.6.12
- libgdata>=0.16.1_2
- libgee08>=0.20.0
- libgepub>=0.4_1
- libgnomekbd>=3.26.0
- libgsf>=1.14.41
- libgtop>=2.40.0
- libgweather>=3.32.0
- libgxps>=0.2.5_1
- libmediaart>=1.9.4
- libnotify>=0.7.6_4
- libpeas>=1.22.0
- librsvg>=2.44.0
- libsecret>=0.18.5
- libsigc++>=2.10.0
- libsoup>=2.60.0
- libxml2>=2.6.30
- libxslt>=1.1.22
- libzapojit>=0.0.3
- mm-common>=0.9.10_2
- mousetweaks>=3.12.0
- mutter>=3.32.0
- nautilus>=3.32.0
- network-manager-applet>=1.8.2
- orca>=3.32.0
- pango>=1.42.0
- pangomm>=2.40.1
- phodav>=2.2
- python-atspi>=2.26.0
- python-gobject>=3.26.0
- rest>=0.8.0
- tracker>=2.0.0
- vala>=0.44.0
- vte3>=0.54.0
- yelp>=3.32.0
- yelp-tools>=3.32.0
- yelp-xsl>=3.32.0
- zenity>=3.32.0"
-
-_apps_depends="baobab>=3.32.0
- dconf-editor>=3.32.0
- devhelp>=3.32.0
- evolution>=3.32.0
- ghex>=3.18.3
- gitg>=3.26.0
- gedit>=3.32.0
- gedit-plugins>=3.32.0
- gnome-boxes>=3.32.0
- gnome-builder>=3.32.0
- gnome-calculator>=3.32.0
- gnome-calendar>=3.32.0
- gnome-characters>=3.32.0
- gnome-clocks>=3.32.0
- gnome-dictionary>=3.26.0
- gnome-disk-utility>=3.32.0
- gnome-documents>=3.32.0
- gnome-font-viewer>=3.32.0
- gnome-maps>=3.32.0
- gnome-music>=3.32.0
- gnome-nettool>=3.8.1
- gnome-photos>=3.32.0
- gnome-recipes>=2.0.0
- gnome-screenshot>=3.32.0
- gnome-sound-recorder>=3.32.0
- gnome-system-monitor>=3.32.0
- gnome-terminal>=3.32.0
- gnome-tweaks>=3.32.0
- gtk-vnc>=0.6.0_2
- libchamplain>=0.12.16
- nautilus-sendto>=3.8.0
- nemiver>=0.9.6
- polari>=3.32.0
- rygel>=0.36.0
- simple-scan>=3.32.0
- sushi>=3.32.0
- totem>=3.32.0
- totem-pl-parser>=3.26.0
- vino>=3.22.0"
-
-_games_collection_depends="
- aisleriot>=3.22.3
- five-or-more>=3.32.0
- four-in-a-row>=3.32.0
- gnome-2048>=3.32.0
- gnome-chess>=3.32.0
- gnome-klotski>=3.32.0
- gnome-mahjongg>=3.32.0
- gnome-mines>=3.32.0
- gnome-nibbles>=3.24.0
- gnome-robots>=3.32.0
- gnome-sudoku>=3.32.0
- gnome-tetravex>=3.32.0
- hitori>=3.22.4
- iagno>=3.32.0
- lightsoff>=3.26.0
- quadrapassel>=3.32.0
- swell-foop>=3.26.0
- tali>=3.32.0
-"
+conflicts="xf86-input-synaptics"  # https://bugzilla.gnome.org/show_bug.cgi?id=764257#c12
 
 gnome-apps_package() {
-	depends="$_apps_depends"
+	depends="gedit>=${version} gnome-system-monitor>=${version} gnome-terminal>=${version}
+ eog>=${version} evince>=${version} file-roller>=${version}"
 	short_desc="GNOME-Apps meta-package for Void Linux"
 }
 
 gnome-games-collection_package() {
-	depends="$_games_collection_depends"
+	depends="aisleriot>=3.22.9 five-or-more>=${version} four-in-a-row>=${version} gnome-2048>=${version}
+ gnome-chess>=${version} gnome-klotski>=${version} gnome-mahjongg>=${version} gnome-mines>=${version}
+ gnome-nibbles>=${version} gnome-robots>=${version} gnome-sudoku>=${version} gnome-tetravex>=${version}
+ hitori>=${version} iagno>=${version} lightsoff>=${version} quadrapassel>=${version} swell-foop>=${version}
+ tali>=${version}"
 	short_desc="GNOME Games Collection meta-package for Void Linux"
 }

From 0dbce2ff9ae6ac5c701df28ba23680fe55946583 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 20:23:31 +0300
Subject: [PATCH 76/97] libgdata: update to 0.17.11. [ci skip]

---
 srcpkgs/libgdata/template | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/libgdata/template b/srcpkgs/libgdata/template
index 439aa569041..f0ef33132a6 100644
--- a/srcpkgs/libgdata/template
+++ b/srcpkgs/libgdata/template
@@ -1,20 +1,18 @@
 # Template file for 'libgdata'
 pkgname=libgdata
-version=0.17.9
-revision=4
+version=0.17.11
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="--disable-static $(vopt_enable gir introspection)
- $(vopt_enable vala)"
 hostmakedepends="pkg-config flex intltool glib-devel $(vopt_if vala vala)"
 makedepends="json-glib-devel gtk+3-devel uhttpmock-devel liboauth-devel
- gcr-devel gnome-online-accounts-devel"
+ gcr-devel gnome-online-accounts-devel gtk-doc"
 short_desc="Library for accessing GData webservices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libgdata"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85c4f7674c0098ffaf060ae01b6b832cb277b3673d54ace3bdedaad6b127453a
+checksum=6b9917122e4def6e6f78bcb660e49e146540832e296abcb5cde99829a04ea986
 
 build_options="gir vala"
 build_options_default="gir vala"

From 1d3a4f44b3761c3d1ce16dd406e13a8dcceb19b5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:30:45 +0300
Subject: [PATCH 77/97] gspell: update to 1.8.2. [ci skip]

---
 srcpkgs/gspell/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gspell/template b/srcpkgs/gspell/template
index bf34cf60268..f1ff08d50f9 100644
--- a/srcpkgs/gspell/template
+++ b/srcpkgs/gspell/template
@@ -1,7 +1,7 @@
 # Template file for 'gspell'
 pkgname=gspell
-version=1.8.1
-revision=4
+version=1.8.2
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="--disable-static $(vopt_enable gir introspection)
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/gspell/${version%.*}/gspell-${version}.tar.xz"
-checksum=819a1d23c7603000e73f5e738bdd284342e0cd345fb0c7650999c31ec741bbe5
+checksum=bb9195c3a95bacf556d0203e9691f7489e0d3bc5ae1e5a440c89b2f2435d3ed6
 
 # Package build options
 build_options="gir vala"
@@ -27,6 +27,7 @@ gspell-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
+        vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 2d7de1bf60a5dc36de569c57b58b970e73dbbf5b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:34:55 +0300
Subject: [PATCH 78/97] baobab: update to 3.34.0. [ci skip]

---
 srcpkgs/baobab/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/baobab/template b/srcpkgs/baobab/template
index 2150c4a8e1b..330379bf9ff 100644
--- a/srcpkgs/baobab/template
+++ b/srcpkgs/baobab/template
@@ -1,6 +1,6 @@
 # Template file for 'baobab'
 pkgname=baobab
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="pkg-config itstool glib-devel vala"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1"
 homepage="https://wiki.gnome.org/action/show/Apps/DiskUsageAnalyzer"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=39414ce94045b35768acddf72d341e7d436cd71298994379d9cec50b57d2632c
+checksum=46ebd9466da6a68c340653e9095f1e905b6fac79305879a9e644634f7da98607

From 168574c822911c8abbcd54dbfba846dc94596d41 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:37:45 +0300
Subject: [PATCH 79/97] jsonrpc-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/jsonrpc-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/jsonrpc-glib/template b/srcpkgs/jsonrpc-glib/template
index 25ce4b94f79..2c15919ddbc 100644
--- a/srcpkgs/jsonrpc-glib/template
+++ b/srcpkgs/jsonrpc-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'jsonrpc-glib'
 pkgname=jsonrpc-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_vapi=$(vopt_if gir true false)
@@ -14,7 +14,7 @@ license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/jsonrpc-glib"
 changelog="https://raw.githubusercontent.com/GNOME/jsonrpc-glib/jsonrpc-glib-3-32/NEWS"
 distfiles="${GNOME_SITE}/jsonrpc-glib/${version%.*}/jsonrpc-glib-${version}.tar.xz"
-checksum=bc60aa36c8bdc9c701ad490508445633a9f3973ae0bd5bdd0633d5f6ffeea6eb
+checksum=d1ceb24b503e49e7bfe6e44630c03abc65f2d047a68271eb62e332b13be90548
 
 build_options="gir vala"
 build_options_default="gir vala"

From 8a20b935980d08e64c60937a5f7d4dbf8cc214cf Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:40:13 +0300
Subject: [PATCH 80/97] template-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/template-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/template-glib/template b/srcpkgs/template-glib/template
index 730b4e33b5a..c1d43a34eaf 100644
--- a/srcpkgs/template-glib/template
+++ b/srcpkgs/template-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'template-glib'
 pkgname=template-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_introspection=true
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/template-glib"
 distfiles="${GNOME_SITE}/template-glib/${version%.*}/template-glib-${version}.tar.xz"
-checksum=39a334f5db404fa8b225224766684f2f63f5ec4cf4e971cfc513f1db35e81fbc
+checksum=216bef6ac3607666b8ca72b936467f7020ce6421c02755c301d079576c9c3dfd
 
 template-glib-devel_package() {
 	depends="${sourcepkg}-${version}_${revision} gtk+3-devel"

From e9d68912cd52b1b36d5d7d7f7a60a48ad808cb86 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:46:12 +0300
Subject: [PATCH 81/97] grilo: update to 0.3.10. [ci skip]

---
 srcpkgs/grilo/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/grilo/template b/srcpkgs/grilo/template
index a33ac24880c..88ddfdbd1b6 100644
--- a/srcpkgs/grilo/template
+++ b/srcpkgs/grilo/template
@@ -1,6 +1,6 @@
 # Template file for 'grilo'
 pkgname=grilo
-version=0.3.9
+version=0.3.10
 revision=1
 build_style=meson
 build_helper="gir"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://live.gnome.org/Grilo"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=730581cc62f2cfaadeac815760b80da8dcf3d08c454adad0d6128c930c5bcaf2
+checksum=7e44b2e74c31ed24eb97e43265a9e41effe8660287b02295111805c7bda7f1e8
 
 # Package build options
 build_options="gir vala"

From 492edcf1ae1d64f7e2ce4888aad26c18b0ab20c3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:25:40 +0300
Subject: [PATCH 82/97] libsigc++: update to 3.0.0. [ci skip]

---
 common/shlibs              | 2 +-
 srcpkgs/libsigc++/template | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 5331d5374a1..647b22eddfe 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -706,7 +706,7 @@ libgvfsdaemon.so gvfs-1.20_1
 libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
-libsigc-2.0.so.0 libsigc++-1.1_1
+libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.4.so.1 glibmm-2.24.0_1
 libgiomm-2.4.so.1 glibmm-2.24.0_1
 libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
diff --git a/srcpkgs/libsigc++/template b/srcpkgs/libsigc++/template
index 8c73eee5c10..d79e3423a1d 100644
--- a/srcpkgs/libsigc++/template
+++ b/srcpkgs/libsigc++/template
@@ -1,6 +1,6 @@
 # Template file for 'libsigc++'
 pkgname=libsigc++
-version=2.10.2
+version=3.0.0
 revision=1
 build_style=gnu-configure
 configure_args="--enable-static --disable-documentation --disable-benchmark"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://libsigcplusplus.github.io/libsigcplusplus/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b1ca0253379596f9c19f070c83d362b12dfd39c0a3ea1dd813e8e21c1a097a98
+checksum=50a0855c1eb26e6044ffe888dbe061938ab4241f96d8f3754ea7ead38ab8ed06
 
 libsigc++-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision}"
@@ -18,7 +18,7 @@ libsigc++-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/lib/sigc++-2.0
+		vmove usr/lib/sigc++-3.0
 		vmove "usr/lib/*.a"
 		vmove "usr/lib/*.so"
 	}

From 352c477ef682554a2141c9a3d299b92376c881b1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:55:30 +0300
Subject: [PATCH 83/97] glibmm: update to 2.63.1. [ci skip]

---
 common/shlibs           |  6 +++---
 srcpkgs/glibmm/template | 11 +++++------
 2 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 647b22eddfe..2a3462602f4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -707,9 +707,9 @@ libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
 libsigc-3.0.so.0 libsigc++-3.0.0_1
-libglibmm-2.4.so.1 glibmm-2.24.0_1
-libgiomm-2.4.so.1 glibmm-2.24.0_1
-libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
+libglibmm-2.64.so.1 glibmm-2.63.1_1
+libgiomm-2.64.so.1 glibmm-2.63.1_1
+libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.0.so.1 cairomm-1.8.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
diff --git a/srcpkgs/glibmm/template b/srcpkgs/glibmm/template
index 23ef47c5994..578858372e4 100644
--- a/srcpkgs/glibmm/template
+++ b/srcpkgs/glibmm/template
@@ -1,6 +1,6 @@
 # Template file for 'glibmm'
 pkgname=glibmm
-version=2.62.0
+version=2.63.1
 revision=1
 build_style=gnu-configure
 hostmakedepends="glib-devel perl pkg-config"
@@ -10,14 +10,13 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://www.gtkmm.org"
 distfiles="${GNOME_SITE}/glibmm/${version%.*}/glibmm-${version}.tar.xz"
-checksum=36659f13cc73282392d1305858f3bbca46fbd1ce2f078cc9db8b9f79b2e93cfe
+checksum=4f99e29bd0a67afd94c0d6fdad2b86bc5cd944cd5d4ff097520dc58b6c997ada
 
 glibmm-doc_package() {
 	archs=noarch
 	short_desc+=" - documentation"
 	pkg_install() {
-		vmove usr/share/doc
-		vmove usr/share/devhelp
+		vmove usr/share
 	}
 }
 
@@ -25,8 +24,8 @@ glibmm-devel_package() {
 	depends="${makedepends} glibmm>=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
-		vmove usr/lib/glibmm-2.4
-		vmove usr/lib/giomm-2.4
+		vmove "usr/lib/glibmm-*"
+		vmove "usr/lib/giomm-*"
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"

From bf99935b279d442ca32d4ea63fcd8e66a39a1a2b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 16:13:57 +0300
Subject: [PATCH 84/97] cairomm: update to 1.15.4. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/cairomm/template | 16 +++++++++-------
 2 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 2a3462602f4..c3ad652a72b 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -710,7 +710,7 @@ libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
-libcairomm-1.0.so.1 cairomm-1.8.4_1
+libcairomm-1.16.so.1 cairomm-1.15.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/cairomm/template b/srcpkgs/cairomm/template
index 015726e304c..aa9f9dc9617 100644
--- a/srcpkgs/cairomm/template
+++ b/srcpkgs/cairomm/template
@@ -1,17 +1,18 @@
-# Template build file for 'cairomm'.
+# Template file for 'cairomm'
 pkgname=cairomm
-version=1.12.2
-revision=3
+version=1.15.4
+revision=1
 build_style=gnu-configure
+make_build_args="CXXFLAGS=-std=gnu++17"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel fontconfig-devel libpng-devel libXrender-devel cairo-devel"
-depends="cairo>=1.12.14_6"
+depends="cairo"
 short_desc="C++ bindings to Cairo vector graphics library"
 maintainer="Orphaned <orphan@voidlinux.org>"
+license="GPL-2.0-only, MPL-1.1"
 homepage="http://www.cairographics.org"
-license="GPL-2, MPL-1.1"
-distfiles="http://cairographics.org/releases/$pkgname-$version.tar.gz"
-checksum=45c47fd4d0aa77464a75cdca011143fea3ef795c4753f6e860057da5fb8bd599
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4cd9fd959538953dfa606aaa7a31381e3193eebf14d814d97ef928684ee9feb5
 
 cairomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -19,6 +20,7 @@ cairomm-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove "usr/lib/cairomm*"
+		vmove "usr/lib/*.so"
 		vmove usr/lib/pkgconfig
 	}
 }

From 1698f1e8c2b79c45304f65900def46c179d7c67c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 16:56:39 +0300
Subject: [PATCH 85/97] pangomm: update to 2.43.1. [ci skip]

---
 common/shlibs                         |  2 +-
 srcpkgs/pangomm/patches/fix-dep.patch | 18 ++++++++++++++++++
 srcpkgs/pangomm/template              |  8 ++++----
 3 files changed, 23 insertions(+), 5 deletions(-)
 create mode 100644 srcpkgs/pangomm/patches/fix-dep.patch

diff --git a/common/shlibs b/common/shlibs
index c3ad652a72b..5c53c7d6aae 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -711,7 +711,7 @@ libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.16.so.1 cairomm-1.15.4_1
-libpangomm-1.4.so.1 pangomm-2.26.0_1
+libpangomm-2.44.so.1 pangomm-2.43.1_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
 libgdkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/pangomm/patches/fix-dep.patch b/srcpkgs/pangomm/patches/fix-dep.patch
new file mode 100644
index 00000000000..6e3d1a7df63
--- /dev/null
+++ b/srcpkgs/pangomm/patches/fix-dep.patch
@@ -0,0 +1,18 @@
+diff -Naurp0 a/configure b/configure
+--- a/configure	2019-12-21 16:48:39.860529868 +0300
++++ b/configure	2019-12-21 16:49:04.946979529 +0300
+@@ -18049 +18049 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
+-PANGOMM_MODULES='glibmm-2.60 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
++PANGOMM_MODULES='glibmm-2.64 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
+diff -Naurp0 a/tools/Makefile.am b/tools/Makefile.am
+--- a/tools/Makefile.am	2019-12-21 16:48:51.875744672 +0300
++++ b/tools/Makefile.am	2019-12-21 16:49:15.519169295 +0300
+@@ -33 +33 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/tools/Makefile.in b/tools/Makefile.in
+--- a/tools/Makefile.in	2019-12-21 16:49:33.502491793 +0300
++++ b/tools/Makefile.in	2019-12-21 16:49:45.390704304 +0300
+@@ -378 +378 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
diff --git a/srcpkgs/pangomm/template b/srcpkgs/pangomm/template
index a01fb2fd356..cd6a8488373 100644
--- a/srcpkgs/pangomm/template
+++ b/srcpkgs/pangomm/template
@@ -1,17 +1,17 @@
 # Template file for 'pangomm'
 pkgname=pangomm
-version=2.42.0
+version=2.43.1
 revision=1
 build_style=gnu-configure
-configure_args="--disable-documentation"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel glibmm-devel cairomm-devel pango-devel"
 short_desc="C++ bindings for the pango library"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
-distfiles="${GNOME_SITE}/pangomm/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ca6da067ff93a6445780c0b4b226eb84f484ab104b8391fb744a45cbc7edbf56
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=00483967b4ed0869da09dc0617de45625b9ab846c7b07aa25dfc940a4fc540a4
+patch_args="-Np1"
 
 pangomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

From 713fa5a78df836204f06ca2addd898cdc3338361 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 17:23:32 +0300
Subject: [PATCH 86/97] gtksourceview4: update to 4.4.0. [ci skip]

---
 srcpkgs/gtksourceview4/template | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gtksourceview4/template b/srcpkgs/gtksourceview4/template
index 6848716773c..d06f9b24921 100644
--- a/srcpkgs/gtksourceview4/template
+++ b/srcpkgs/gtksourceview4/template
@@ -1,12 +1,10 @@
 # Template file for 'gtksourceview4'
 pkgname=gtksourceview4
-version=4.2.0
-revision=2
+version=4.4.0
+revision=1
 wrksrc="gtksourceview-${version}"
-build_style=gnu-configure
+build_style=meson
 build_helper="gir"
-configure_args="--enable-glade-catalog $(vopt_enable gir introspection)
- $(vopt_enable vala) $(vopt_enable gtk_doc gtk-doc)"
 hostmakedepends="gtk+3-devel glib-devel itstool libxslt pkg-config
  $(vopt_if vala vala) $(vopt_if gtk_doc gtk-doc)"
 makedepends="glade3-devel gtk+3-devel libglib-devel libxml2-devel
@@ -16,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GtkSourceView"
 distfiles="${GNOME_SITE}/gtksourceview/${version%.*}/gtksourceview-${version}.tar.xz"
-checksum=c431eb234dc83c7819e58f77dd2af973252c7750da1c9d125ddc94268f94f675
+checksum=9ddb914aef70a29a66acd93b4f762d5681202e44094d2d6370e51c9e389e689a
 
 # Package build options
 build_options="gir vala gtk_doc"
@@ -34,8 +32,6 @@ gtksourceview4-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
-		vmove usr/share/glade
-		vmove usr/share/gtk-doc
 		if [ "$build_option_vala" ]; then
 			vmove usr/share/vala
 		fi

From 3f1f5fe0831df152e02213d9e1f53075c7528f4f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:12:17 +0300
Subject: [PATCH 87/97] gnome-calculator: fix. [ci skip]

---
 common/shlibs                     | 2 ++
 srcpkgs/gnome-calculator/template | 8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 5c53c7d6aae..bade31049e6 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2897,6 +2897,8 @@ libyaz_icu.so.5 yaz-5.23.1_1
 libyaz.so.5 yaz-5.23.1_1
 libyaz_server.so.5 yaz-5.23.1_1
 libgcab-1.0.so.0 gcab-0.7_1
+libgcalc-2.so.1.0.1 gnome-calculator-3.35.2_1
+libgci-1.so.0.0.0 gnome-calculator-3.35.2_1
 libliveMedia.so.66 live555-2019.05.03_1
 libgroupsock.so.8 live555-2018.12.14_1
 libUsageEnvironment.so.3 live555-2018.12.14_1
diff --git a/srcpkgs/gnome-calculator/template b/srcpkgs/gnome-calculator/template
index 66b07ad01e4..5516c7a54cc 100644
--- a/srcpkgs/gnome-calculator/template
+++ b/srcpkgs/gnome-calculator/template
@@ -1,12 +1,12 @@
 # Template file for 'gnome-calculator'
 pkgname=gnome-calculator
 version=3.35.2
-revision=1
+revision=2
 build_style=meson
 build_helper="gir"
-hostmakedepends="cmake glib-devel itstool pkg-config vala"
-makedepends="gsettings-desktop-schemas-devel gtksourceview4-devel libgee-devel
- libmpc-devel libsoup-devel"
+hostmakedepends="glib-devel itstool pkg-config vala"
+makedepends="gsettings-desktop-schemas-devel gtksourceview4-devel libmpc-devel
+ libsoup-devel libgee08-devel"
 depends="desktop-file-utils gsettings-desktop-schemas hicolor-icon-theme"
 short_desc="GNOME calculator"
 maintainer="Enno Boland <gottox@voidlinux.org>"

From 0ee110a94ed324aae79892d656644a3358032efd Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:28:19 +0300
Subject: [PATCH 88/97] gtksourceviewmm: update to 3.91.1. [ci skip]

---
 common/shlibs                                 |  2 +-
 srcpkgs/gtksourceviewmm/patches/fix-dep.patch | 18 ++++++++++++++++++
 srcpkgs/gtksourceviewmm/template              | 13 +++++++------
 3 files changed, 26 insertions(+), 7 deletions(-)
 create mode 100644 srcpkgs/gtksourceviewmm/patches/fix-dep.patch

diff --git a/common/shlibs b/common/shlibs
index bade31049e6..a928c1fd5b7 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1028,7 +1028,7 @@ libgvnc-1.0.so.0 gtk-vnc-0.4.4_1
 libgtk-vnc-2.0.so.0 gtk-vnc-0.4.4_1
 libyaml-0.so.2 libyaml-0.1.4_1
 libuchardet.so.0 uchardet-0.0.6_1
-libgtksourceviewmm-3.0.so.0 gtksourceviewmm-3.2.0_1
+libgtksourceviewmm-4.0.so.0 gtksourceviewmm-3.91.1_1
 libyajl.so.2 yajl-2.0.1_1
 libconfuse.so.2 confuse-3.2.1_1
 liblldb.so.9 lldb-9.0.0_1
diff --git a/srcpkgs/gtksourceviewmm/patches/fix-dep.patch b/srcpkgs/gtksourceviewmm/patches/fix-dep.patch
new file mode 100644
index 00000000000..5f2540d691e
--- /dev/null
+++ b/srcpkgs/gtksourceviewmm/patches/fix-dep.patch
@@ -0,0 +1,18 @@
+diff -Naurp0 a/codegen/Makefile.am b/codegen/Makefile.am
+--- a/codegen/Makefile.am	2019-12-21 18:22:51.237529121 +0300
++++ b/codegen/Makefile.am	2019-12-21 18:23:08.109831568 +0300
+@@ -9 +9 @@ extradefs_generate_extra_defs_SOURCES =
+-extradefs_generate_extra_defs_LDADD   = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.4
++extradefs_generate_extra_defs_LDADD   = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/codegen/Makefile.in b/codegen/Makefile.in
+--- a/codegen/Makefile.in	2019-12-21 18:22:51.238529139 +0300
++++ b/codegen/Makefile.in	2019-12-21 18:23:02.549732238 +0300
+@@ -343 +343 @@ extradefs_generate_extra_defs_SOURCES =
+-extradefs_generate_extra_defs_LDADD = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.4
++extradefs_generate_extra_defs_LDADD = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/configure b/configure
+--- a/configure	2019-12-21 18:21:11.380743288 +0300
++++ b/configure	2019-12-21 18:22:08.507765099 +0300
+@@ -16527 +16527 @@ $as_echo "#define HAVE_CXX11 1" >>confde
+-GTKSOURCEVIEWMM_MODULES='glibmm-2.4 >= 2.46.1 gtkmm-3.0 >= 3.18.0 gtksourceview-4 >= 3.99.0'
++GTKSOURCEVIEWMM_MODULES='glibmm-2.64 >= 2.46.1 gtkmm-3.0 >= 3.18.0 gtksourceview-4 >= 3.99.0'
diff --git a/srcpkgs/gtksourceviewmm/template b/srcpkgs/gtksourceviewmm/template
index 6ed33285ccb..0590aef8713 100644
--- a/srcpkgs/gtksourceviewmm/template
+++ b/srcpkgs/gtksourceviewmm/template
@@ -1,17 +1,18 @@
 # Template file for 'gtksourceviewmm'
 pkgname=gtksourceviewmm
-version=3.18.0
-revision=4
+version=3.91.1
+revision=1
 build_style=gnu-configure
 configure_args="--disable-deprecated-api --enable-documentation"
 hostmakedepends="doxygen graphviz libxslt perl pkg-config"
-makedepends="glibmm-devel gtkmm-devel gtksourceview-devel"
+makedepends="glibmm-devel gtkmm-devel gtksourceview4-devel"
 short_desc="GtkSourceview C++ bindings"
 maintainer="Enno Boland <gottox@voidlinux.org>"
-homepage="https://developer.gnome.org/gtksourceviewmm/"
 license="GPL-2.0-or-later"
+homepage="https://developer.gnome.org/gtksourceviewmm/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=51081ae3d37975dae33d3f6a40621d85cb68f4b36ae3835eec1513482aacfb39
+checksum=feaae794c0f97f583a25f297c6c2b80f5f20151fdc9a4012fddb911520131721
+patch_args="-Np1"
 
 gtksourceviewmm-devel_package() {
 	depends="gtkmm-devel gtksourceview-devel ${sourcepkg}>=${version}_${revision}"
@@ -19,7 +20,7 @@ gtksourceviewmm-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/lib/gtksourceviewmm-3.0
+		vmove usr/lib/gtksourceviewmm-4.0
 		vmove "usr/lib/*.so"
 		vmove usr/share/doc
 	}

From 38cffa172e890a70496703807a2a59166bd2f0d0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:35:51 +0300
Subject: [PATCH 89/97] gnome-maps: update to 3.35.2. [ci skip]

---
 common/shlibs               | 1 +
 srcpkgs/gnome-maps/template | 8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index a928c1fd5b7..f46f06a0fdf 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -617,6 +617,7 @@ libcanberra-gtk3.so.0 libcanberra-gtk3-0.30_6
 libgtop-2.0.so.11 libgtop-2.38.0_1
 librarian.so.0 rarian-0.8.1_1
 libmusikcore.so musikcube-0.60.1_1
+libgnome-maps.so.0 gnome-maps-3.35.2_1
 libgnome-menu-3.so.0 gnome-menus-2.91.6_1
 libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
diff --git a/srcpkgs/gnome-maps/template b/srcpkgs/gnome-maps/template
index 0585e4574c7..ca97e5cb85c 100644
--- a/srcpkgs/gnome-maps/template
+++ b/srcpkgs/gnome-maps/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-maps'
 pkgname=gnome-maps
-version=3.32.2.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel gobject-introspection intltool pkg-config AppStream"
@@ -11,6 +11,6 @@ short_desc="GNOME maps application"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Maps"
-distfiles="${GNOME_SITE}/${pkgname}/${version%.*.*}/${pkgname}-${version}.tar.xz"
-checksum=8be6a83cea6545bc8aa3353e6be7bfe7f699795db38dc8d2f958c917700c29d4
-nocross="evolution-dataserver cross gir doesn't work"
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=e03d0f3d312f782fb0264a973b8567860d0a2c9361672a180699f27b2ffcf77d
+nocross="evolution-data-server cross gir doesn't work."

From 1e8e49b9084b5af177bdd7bb43afe092e9f23d45 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 19:45:39 +0300
Subject: [PATCH 90/97] gnome-desktop: update to 3.35.2. [ci skip]

---
 ...lise-gir.patch => 1-optionalise-gir.patch} |  27 +-
 ...ild-Remove-stray-from-config.h.meson.patch |   6 +
 ...ity-function-to-start-a-transient-sy.patch | 350 ++++++++++++++++++
 srcpkgs/gnome-desktop/template                |   7 +-
 srcpkgs/gnome-desktop/update                  |   1 -
 5 files changed, 368 insertions(+), 23 deletions(-)
 rename srcpkgs/gnome-desktop/patches/{optionalise-gir.patch => 1-optionalise-gir.patch} (60%)
 create mode 100644 srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch
 create mode 100644 srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch
 delete mode 100644 srcpkgs/gnome-desktop/update

diff --git a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch b/srcpkgs/gnome-desktop/patches/1-optionalise-gir.patch
similarity index 60%
rename from srcpkgs/gnome-desktop/patches/optionalise-gir.patch
rename to srcpkgs/gnome-desktop/patches/1-optionalise-gir.patch
index 2d25e87b0b6..9690c129577 100644
--- a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
+++ b/srcpkgs/gnome-desktop/patches/1-optionalise-gir.patch
@@ -1,11 +1,7 @@
-diff --git a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
-index c365b44..33af6f4 100644
---- libgnome-desktop/meson.build
-+++ libgnome-desktop/meson.build
-@@ -96,17 +96,19 @@ libgnome_desktop_dep = declare_dependency(
-   link_with: libgnome_desktop
- )
- 
+diff -Naurp0 a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
+--- a/libgnome-desktop/meson.build	2019-12-21 19:33:00.720763679 +0300
++++ b/libgnome-desktop/meson.build	2019-12-21 19:34:45.848682615 +0300
+@@ -106,11 +106,13 @@ libgnome_desktop_dep = declare_dependenc
 -gnome.generate_gir(libgnome_desktop,
 -  sources: introspection_sources + libgnome_desktop_headers,
 -  export_packages: 'gnome-desktop-3.0',
@@ -30,17 +26,10 @@ index c365b44..33af6f4 100644
 +    install: true
 +  )
 +endif
- 
- desktop_pc = pkg.generate(
-   libraries: libgnome_desktop,
-diff --git a/meson_options.txt b/meson_options.txt
-index e3402a1..1dbaf5d 100644
---- meson_options.txt
-+++ meson_options.txt
-@@ -28,3 +28,7 @@ option('gtk_doc',
- option('installed_tests',
-   type: 'boolean', value: false, description: 'Enable installed tests'
- )
+diff -Naurp0 a/meson_options.txt b/meson_options.txt
+--- a/meson_options.txt	2019-12-21 19:33:18.342085639 +0300
++++ b/meson_options.txt	2019-12-21 19:33:45.654584469 +0300
+@@ -30,0 +31,4 @@ option('installed_tests',
 +
 +option('introspection',
 +  type: 'boolean', value: false, description: 'Build GIR data'
diff --git a/srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch b/srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch
new file mode 100644
index 00000000000..8d8c285ccd4
--- /dev/null
+++ b/srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch
@@ -0,0 +1,6 @@
+diff -Naurp0 a/config.h.meson b/config.h.meson
+--- a/config.h.meson	2019-12-21 19:21:07.652755644 +0300
++++ b/config.h.meson	2019-12-21 19:21:38.606319522 +0300
+@@ -15 +15 @@
+-#
++
diff --git a/srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch b/srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch
new file mode 100644
index 00000000000..e17f20420bd
--- /dev/null
+++ b/srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch
@@ -0,0 +1,350 @@
+diff -Naurp0 a/config.h.meson b/config.h.meson
+--- a/config.h.meson	2019-12-21 19:22:22.442119497 +0300
++++ b/config.h.meson	2019-12-21 19:24:00.997916847 +0300
+@@ -18,0 +19,3 @@
++/* define if libsystemd is available */
++#mesondefine HAVE_SYSTEMD
++
+diff -Naurp0 a/libgnome-desktop/gnome-systemd.c b/libgnome-desktop/gnome-systemd.c
+--- a/libgnome-desktop/gnome-systemd.c	1970-01-01 03:00:00.000000000 +0300
++++ b/libgnome-desktop/gnome-systemd.c	2019-12-21 19:27:47.196042593 +0300
+@@ -0,0 +1,270 @@
++/* gnome-systemd.c
++ *
++ * Copyright 2019 Benjamin Berg <bberg@redhat.com>
++ *
++ * This file is free software; you can redistribute it and/or modify it
++ * under the terms of the GNU Lesser General Public License as
++ * published by the Free Software Foundation; either version 3 of the
++ * License, or (at your option) any later version.
++ *
++ * This file is distributed in the hope that it will be useful, but
++ * WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
++ * Lesser General Public License for more details.
++ *
++ * You should have received a copy of the GNU Lesser General Public
++ * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
++ *
++ * SPDX-License-Identifier: LGPL-3.0-or-later
++ */
++
++#include "config.h"
++
++#define GNOME_DESKTOP_USE_UNSTABLE_API
++#include "gnome-systemd.h"
++
++#ifdef HAVE_SYSTEMD
++#include <errno.h>
++#include <systemd/sd-login.h>
++#endif
++
++#ifdef HAVE_SYSTEMD
++typedef struct {
++  char       *name;
++  char       *description;
++  gint32      pid;
++} StartSystemdScopeData;
++
++static void
++start_systemd_scope_data_free (StartSystemdScopeData *data)
++{
++  g_clear_pointer (&data->name, g_free);
++  g_clear_pointer (&data->description, g_free);
++  g_free (data);
++}
++
++static void
++on_start_transient_unit_cb (GObject      *source,
++                            GAsyncResult *res,
++                            gpointer      user_data)
++{
++  g_autoptr (GTask) task = G_TASK (user_data);
++  g_autoptr (GVariant) reply = NULL;
++  GError *error = NULL;
++  StartSystemdScopeData *task_data = g_task_get_task_data (task);
++
++  reply = g_dbus_connection_call_finish (G_DBUS_CONNECTION (source),
++                                         res, &error);
++  if (error && !g_error_matches (error, G_IO_ERROR, G_IO_ERROR_CANCELLED))
++    {
++      g_warning ("Could not create transient scope for PID %d: %s",
++                 task_data->pid, error->message);
++      g_task_return_error (task, error);
++      return;
++    }
++
++  g_debug ("Created transient scope for PID %d", task_data->pid);
++
++  g_task_return_boolean (task, TRUE);
++}
++
++static void
++start_systemd_scope (GDBusConnection *connection, GTask *task)
++{
++  GVariantBuilder builder;
++  g_autofree char *unit_name = NULL;
++  StartSystemdScopeData *task_data = g_task_get_task_data (task);
++
++  g_assert (task_data != NULL);
++
++  /* This needs to be unique, hopefully the pid will be enough. */
++  unit_name = g_strdup_printf ("gnome-launched-%s-%d.scope", task_data->name, task_data->pid);
++
++  g_variant_builder_init (&builder, G_VARIANT_TYPE ("(ssa(sv)a(sa(sv)))"));
++  g_variant_builder_add (&builder, "s", unit_name);
++  g_variant_builder_add (&builder, "s", "fail");
++
++  /* Note that gnome-session ships a drop-in to control further defaults. */
++  g_variant_builder_open (&builder, G_VARIANT_TYPE ("a(sv)"));
++  if (task_data->description)
++    g_variant_builder_add (&builder,
++                           "(sv)",
++                           "Description",
++                           g_variant_new_string (task_data->description));
++  g_variant_builder_add (&builder,
++                         "(sv)",
++                         "PIDs",
++                          g_variant_new_fixed_array (G_VARIANT_TYPE_UINT32, &task_data->pid, 1, 4));
++  g_variant_builder_close (&builder);
++
++  g_variant_builder_open (&builder, G_VARIANT_TYPE ("a(sa(sv))"));
++  g_variant_builder_close (&builder);
++
++  g_dbus_connection_call (connection,
++                          "org.freedesktop.systemd1",
++                          "/org/freedesktop/systemd1",
++                          "org.freedesktop.systemd1.Manager",
++                          "StartTransientUnit",
++                          g_variant_builder_end (&builder),
++                          G_VARIANT_TYPE ("(o)"),
++                          G_DBUS_CALL_FLAGS_NO_AUTO_START,
++                          1000,
++                          g_task_get_cancellable (task),
++                          on_start_transient_unit_cb,
++                          task);
++}
++
++static void
++on_bus_gotten_cb (GObject      *source,
++                  GAsyncResult *res,
++                  gpointer      user_data)
++{
++  g_autoptr(GTask) task = G_TASK (user_data);
++  g_autoptr(GDBusConnection) connection = NULL;
++  GError *error = NULL;
++
++  connection = g_bus_get_finish (res, &error);
++  if (error)
++    {
++      if (!g_error_matches (error, G_IO_ERROR, G_IO_ERROR_CANCELLED))
++        g_warning ("Could not get session bus: %s", error->message);
++
++      g_task_return_error (task, error);
++      return;
++    }
++
++  start_systemd_scope (connection, g_steal_pointer (&task));
++}
++#endif
++
++/**
++ * gnome_start_systemd_scope:
++ * @name: Name for the application
++ * @pid: The PID of the application
++ * @description: (nullable): A description to use for the unit, or %NULL
++ * @connection: (nullable): An #GDBusConnection to the session bus, or %NULL
++ * @cancellable: (nullable): #GCancellable to use
++ * @callback: (nullable): Callback to call when the operation is done
++ * @user_data: Data to be passed to @callback
++ *
++ * If the current process is running inside a user systemd instance, then move
++ * the launched PID into a transient scope. The given @name will be used to
++ * create a unit name. It should be the application ID for desktop files or
++ * the executable in all other cases.
++ *
++ * It is advisable to use this function every time where the started application
++ * can be considered reasonably independent of the launching application. Placing
++ * it in a scope creates proper separation between the programs rather than being
++ * considered a single entity by systemd.
++ *
++ * It is always safe to call this function. Note that a successful return code
++ * does not imply that a unit has been created. It solely means that no error
++ * condition was hit sending the request.
++ *
++ * If @connection is %NULL then g_dbus_get() will be called internally.
++ *
++ * Note that most callers will not need to handle errors. As such, it is normal
++ * to pass a %NULL @callback.
++ *
++ * Stability: unstable
++ */
++void
++gnome_start_systemd_scope (const char           *name,
++                           gint32                pid,
++                           const char           *description,
++                           GDBusConnection      *connection,
++                           GCancellable         *cancellable,
++                           GAsyncReadyCallback   callback,
++                           gpointer              user_data)
++{
++  g_autoptr(GTask) task = NULL;
++
++#ifdef HAVE_SYSTEMD
++  g_autofree char *own_unit = NULL;
++  const char *valid_chars =
++    "-._1234567890"
++    "abcdefghijklmnopqrstuvwxyz"
++    "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
++  StartSystemdScopeData *task_data;
++  gint res;
++
++  task = g_task_new (NULL, cancellable, callback, user_data);
++  task_data = g_new0 (StartSystemdScopeData, 1);
++
++  task_data->pid = pid;
++
++  /* Create a nice and (mangled) name to embed into the unit */
++  if (name == NULL)
++    name = "anonymous";
++
++  if (name[0] == '/')
++    name++;
++
++  task_data->name = g_str_to_ascii (name, "C");
++  g_strdelimit (task_data->name, "/", '-');
++  g_strcanon (task_data->name, valid_chars, '_');
++
++  task_data->description = g_strdup (description);
++  if (task_data->description == NULL)
++    {
++      const char *app_name = g_get_application_name();
++
++      if (app_name)
++        task_data->description = g_strdup_printf ("Application launched by %s",
++                                                  app_name);
++    }
++
++  g_task_set_task_data (task, task_data, (GDestroyNotify) start_systemd_scope_data_free);
++
++  /* We cannot do anything if this process is not managed by the
++   * systemd user instance. */
++  res = sd_pid_get_user_unit (getpid (), &own_unit);
++  if (res == -ENODATA)
++    {
++      g_debug ("Not systemd managed, will not move PID %d into transient scope\n", pid);
++      g_task_return_boolean (task, TRUE);
++
++      return;
++    }
++  if (res < 0)
++    {
++      g_warning ("Error fetching user unit for own pid: %d\n", -res);
++      g_task_return_new_error (task,
++                               G_IO_ERROR,
++                               g_io_error_from_errno (-res),
++                               "Error fetching user unit for own pid: %d", -res);
++
++      return;
++    }
++
++  if (connection == NULL)
++    g_bus_get (G_BUS_TYPE_SESSION, cancellable, on_bus_gotten_cb, g_steal_pointer (&task));
++  else
++    start_systemd_scope (connection, g_steal_pointer (&task));
++#else
++  g_debug ("Not creating transient scope for PID %d. Systemd support not compiled in.", pid);
++
++  task = g_task_new (NULL, cancellable, callback, user_data);
++  g_task_return_boolean (task, TRUE);
++#endif
++}
++
++/**
++ * gnome_start_systemd_scope_finish:
++ * @res: A #GAsyncResult
++ * @error: Return location for errors, or %NULL to ignore
++ *
++ * Finish an asynchronous operation to create a transient scope that was
++ * started with gnome_start_systemd_scope().
++ *
++ * Note that a successful return code does not imply that a unit has been
++ * created. It solely means that no error condition was hit sending the request.
++ *
++ * Returns: %FALSE on error, %TRUE otherwise
++ */
++gboolean
++gnome_start_systemd_scope_finish (GAsyncResult  *res,
++                                  GError       **error)
++{
++  return g_task_propagate_boolean (G_TASK (res), error);
++}
+diff -Naurp0 a/libgnome-desktop/gnome-systemd.h b/libgnome-desktop/gnome-systemd.h
+--- a/libgnome-desktop/gnome-systemd.h	1970-01-01 03:00:00.000000000 +0300
++++ b/libgnome-desktop/gnome-systemd.h	2019-12-21 19:28:44.675091562 +0300
+@@ -0,0 +1,41 @@
++/* gnome-systemd.h
++ *
++ * Copyright 2019 Benjamin Berg <bberg@redhat.com>
++ *
++ * This file is free software; you can redistribute it and/or modify it
++ * under the terms of the GNU Lesser General Public License as
++ * published by the Free Software Foundation; either version 3 of the
++ * License, or (at your option) any later version.
++ *
++ * This file is distributed in the hope that it will be useful, but
++ * WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
++ * Lesser General Public License for more details.
++ *
++ * You should have received a copy of the GNU Lesser General Public
++ * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
++ *
++ * SPDX-License-Identifier: LGPL-3.0-or-later
++ */
++
++#ifndef _GNOME_SYSTEMD_H
++#define _GNOME_SYSTEMD_H
++
++#ifndef GNOME_DESKTOP_USE_UNSTABLE_API
++#error    GnomeDesktopSystemd is unstable API. You must define GNOME_DESKTOP_USE_UNSTABLE_API before including gnome-systemd.h
++#endif
++
++#include <gio/gio.h>
++
++void gnome_start_systemd_scope (const char           *name,
++                                gint32                pid,
++                                const char           *description,
++                                GDBusConnection      *connection,
++                                GCancellable         *cancellable,
++                                GAsyncReadyCallback   callback,
++                                gpointer              user_data);
++
++gboolean gnome_start_systemd_scope_finish (GAsyncResult  *res,
++                                           GError       **error);
++
++#endif /* _GNOME_SYSTEMD_H */
+diff -Naurp0 a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
+--- a/libgnome-desktop/meson.build	2019-12-21 19:22:57.077750541 +0300
++++ b/libgnome-desktop/meson.build	2019-12-21 19:29:52.756334030 +0300
+@@ -19,0 +20 @@ introspection_sources = [
++  'gnome-systemd.c',
+@@ -59,0 +61 @@ libgnome_desktop_headers = [
++  'gnome-systemd.h',
+@@ -77,0 +80 @@ gnome_desktop_deps = [
++  libsystemd_dep,
+diff -Naurp0 a/meson.build b/meson.build
+--- a/meson.build	2019-12-21 19:23:07.187935081 +0300
++++ b/meson.build	2019-12-21 19:31:07.374695453 +0300
+@@ -52,0 +53 @@ x_dep = dependency('x11')
++libsystemd_dep = dependency('libsystemd', required: get_option('systemd'))
+@@ -87,0 +89 @@ conf.set('_GNU_SOURCE', seccomp_dep.foun
++conf.set('HAVE_SYSTEMD', libsystemd_dep.found())
+diff -Naurp0 a/meson_options.txt b/meson_options.txt
+--- a/meson_options.txt	2019-12-21 19:23:12.225027009 +0300
++++ b/meson_options.txt	2019-12-21 19:31:40.110293136 +0300
+@@ -23,0 +24,4 @@ option('udev',
++option('systemd',
++  type: 'feature', description: 'Systemd integration support'
++)
++
diff --git a/srcpkgs/gnome-desktop/template b/srcpkgs/gnome-desktop/template
index 38baffaa5c8..2bb17666fc8 100644
--- a/srcpkgs/gnome-desktop/template
+++ b/srcpkgs/gnome-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-desktop'
 pkgname=gnome-desktop
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -9,14 +9,15 @@ configure_args="-Dgnome-distributor=VoidLinux -Dudev=enabled
 hostmakedepends="itstool pkg-config glib-devel"
 makedepends="eudev-libudev-devel gsettings-desktop-schemas-devel gtk+3-devel
  iso-codes libglib-devel libseccomp-devel libX11-devel libXext-devel
- libxkbfile-devel libXrandr-devel gdk-pixbuf-devel"
+ libxkbfile-devel libXrandr-devel gdk-pixbuf-devel elogind-devel"
 depends="bubblewrap gsettings-desktop-schemas iso-codes xkeyboard-config"
 short_desc="GNOME desktop management utilities"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-desktop"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c1dbeb5666dad27166c769e48e2ab41dd5ed74718ea35eb57c8488790662dc5a
+checksum=ff9b843cb7e772251757dfbbd150ae82510091356034535d12a2e43079e8b68b
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
diff --git a/srcpkgs/gnome-desktop/update b/srcpkgs/gnome-desktop/update
deleted file mode 100644
index a73db8805ed..00000000000
--- a/srcpkgs/gnome-desktop/update
+++ /dev/null
@@ -1 +0,0 @@
-ignore="*.[0-9]*[13579].*"

From 07076ab772201c943b0bea7c5cc178a12f7987dd Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 19:55:40 +0300
Subject: [PATCH 91/97] gnome-settings-daemon: update to 3.35.0. [ci skip]

---
 srcpkgs/gnome-settings-daemon/template | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/gnome-settings-daemon/template b/srcpkgs/gnome-settings-daemon/template
index a70e28be5fa..379d05844e6 100644
--- a/srcpkgs/gnome-settings-daemon/template
+++ b/srcpkgs/gnome-settings-daemon/template
@@ -1,15 +1,14 @@
 # Template file for 'gnome-settings-daemon'
 pkgname=gnome-settings-daemon
-version=3.34.1
-revision=2
+version=3.35.0
+revision=1
 build_style=meson
 configure_args+="-Dsystemd=false"
 hostmakedepends="cmake docbook-xsl glib-devel libglib-devel libxslt perl pkg-config"
 makedepends="NetworkManager-devel alsa-lib-devel colord-devel cups-devel gcr-devel
  geoclue2-devel gnome-desktop-devel ibus-devel libcanberra-devel libgnomekbd-devel
- libgweather-devel libnotify-devel librsvg-devel libwacom-devel nss-devel
- polkit-devel pulseaudio-devel startup-notification-devel upower-devel
- xf86-input-wacom-devel"
+ libgweather-devel libnotify-devel librsvg-devel libwacom-devel nss-devel elogind-devel
+ polkit-devel pulseaudio-devel startup-notification-devel upower-devel xf86-input-wacom-devel"
 depends="hicolor-icon-theme pulseaudio"
 checkdepends="elogind libnotify python3-dbusmock python3-gobject
  python3-pycodestyle"
@@ -18,7 +17,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-settings-daemon"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=9981a20babf8da7744b7fbe175b9e36078bf08f3bf65fe5aedeb82cfe27ac11f
+checksum=e1296019284c101acc4cde4a66093dc35428efe98da766ecd94dd7667f46ad12
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" polkit"

From 6ef1fe977aba059d062ac13ccaadd9e0df285530 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 20:07:10 +0300
Subject: [PATCH 92/97] gnome-panel: update to 3.35.1. [ci skip]

---
 common/shlibs                | 2 ++
 srcpkgs/gnome-panel/template | 6 +++---
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index f46f06a0fdf..6ab2aa88255 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -78,6 +78,7 @@ libformw.so.5 ncurses-libs-5.9_13 ignore
 libformw.so.6 ncurses-libs-5.8_1 ignore
 libpanelw.so.5 ncurses-libs-5.9_13 ignore
 libpanelw.so.6 ncurses-libs-5.8_1 ignore
+libpanel-applet.so.3 gnome-panel-3.35.1_1
 libmenuw.so.5 ncurses-libs-5.9_13 ignore
 libmenuw.so.6 ncurses-libs-5.8_1 ignore
 libobjc.so.4 libobjc-4.7.3_12
@@ -619,6 +620,7 @@ librarian.so.0 rarian-0.8.1_1
 libmusikcore.so musikcube-0.60.1_1
 libgnome-maps.so.0 gnome-maps-3.35.2_1
 libgnome-menu-3.so.0 gnome-menus-2.91.6_1
+libgnome-panel.so.0 gnome-panel-3.35.1_1
 libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
 libgnomecanvasmm-2.6.so.1 libgnomecanvasmm-2.26.0_1
diff --git a/srcpkgs/gnome-panel/template b/srcpkgs/gnome-panel/template
index 18a2ea4ca94..a97667405cc 100644
--- a/srcpkgs/gnome-panel/template
+++ b/srcpkgs/gnome-panel/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-panel'
 pkgname=gnome-panel
-version=3.34.1
-revision=2
+version=3.35.1
+revision=1
 build_style=gnu-configure
 hostmakedepends="gettext-devel glib-devel itstool pkg-config"
 makedepends="cairo-devel dconf-devel elogind-devel evolution-data-server-devel
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1-or-later, LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomePanel"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=a6bc0255252eeb4b964bcbe55fd7908b69f914c062c5ec8dff5ac0262d29b90d
+checksum=cfa61e42657498965fe3d7d523ba821da4b112237675ac5c6a255d020e2939e6
 patch_args="-Np1"

From 2044337bad19c59134478c7d52a9941f0745d6a0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 21:53:07 +0300
Subject: [PATCH 93/97] gtk-vnc: update to 1.0.0. [ci skip]

---
 .../gtk-vnc/patches/fix-acinclude_m4.patch    |  52 ---------
 srcpkgs/gtk-vnc/template                      | 102 ++++--------------
 srcpkgs/gtk-vnc/update                        |   1 -
 srcpkgs/gtk2-vnc-devel                        |   1 -
 srcpkgs/{gtk2-vnc => gvncviewer}              |   0
 5 files changed, 19 insertions(+), 137 deletions(-)
 delete mode 100644 srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
 delete mode 100644 srcpkgs/gtk-vnc/update
 delete mode 120000 srcpkgs/gtk2-vnc-devel
 rename srcpkgs/{gtk2-vnc => gvncviewer} (100%)

diff --git a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch b/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
deleted file mode 100644
index 62f10eee847..00000000000
--- a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
+++ /dev/null
@@ -1,52 +0,0 @@
---- gtk2-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk2-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
---- gtk3-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk3-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
diff --git a/srcpkgs/gtk-vnc/template b/srcpkgs/gtk-vnc/template
index 7c1b6f8cecc..53218c102a1 100644
--- a/srcpkgs/gtk-vnc/template
+++ b/srcpkgs/gtk-vnc/template
@@ -1,106 +1,42 @@
 # Template file for 'gtk-vnc'
 pkgname=gtk-vnc
-version=0.9.0
-revision=3
+version=1.0.0
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="$(vopt_enable gir introspection) $(vopt_enable vala)"
-hostmakedepends="automake gettext-devel glib-devel intltool libgcrypt-devel
- libtool pkg-config gobject-introspection $(vopt_if vala vala)"
-makedepends="gnutls-devel gtk+-devel gtk+3-devel libsasl-devel
- $(vopt_if vala 'vala')"
+configure_args="-Dwith-coroutine=gthread -Dwith-vala=$(vopt_if vala true false)"
+hostmakedepends="pkg-config"
+makedepends="gnutls-devel gtk+3-devel cyrus-sasl libgpg-error-devel expat-devel
+ perl-Text-CSV glib-devel libgcrypt-devel $(vopt_if vala vala)"
 short_desc="VNC viewer widget for GTK"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/gtk-vnc"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a88426809a5df2c14353cd9839b8c8163438cb708b31d8048c79d180fcab7
+checksum=a81a1f1a79ad4618027628ffac27d3391524c063d9411c7a36a5ec3380e6c080
 
 build_options="gir vala"
 build_options_default="gir vala"
 
-post_extract() {
-	cp -a ${wrksrc} /tmp/gtk2-build
-	cp -a ${wrksrc} /tmp/gtk3-build
-	rm -r ${wrksrc}/*
-	mv /tmp/gtk[23]-build ${wrksrc}
-}
-pre_configure() {
-	local build
-	if [ "$CROSS_BUILD" ]; then
-		find . -name "Makefile.*" -exec sed -i "{}" \
-			-e"s;\(\$(CODEGENDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			-e"s;\(\$(DEFSDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			\;
-	fi
-	for build in gtk2-build gtk3-build; do
-		cd ${wrksrc}/${build}
-		autoreconf -if
-	done
-}
-
-do_configure() {
-	cd ${wrksrc}/gtk2-build
-	./configure ${configure_args} --with-gtk=2.0
-
-	cd ${wrksrc}/gtk3-build
-	./configure ${configure_args} --with-gtk=3.0
-}
-
-do_build() {
-	cd ${wrksrc}/gtk2-build
-	make ${makejobs}
-
-	cd ${wrksrc}/gtk3-build
-	make ${makejobs}
-}
-
-do_install() {
-	cd ${wrksrc}/gtk2-build
-	make DESTDIR=${DESTDIR} install
-
-	cd ${wrksrc}/gtk3-build
-	make DESTDIR=${DESTDIR} install
-}
-
-gtk2-vnc_package() {
-	short_desc+=" - GTK+2 port"
-	pkg_install() {
-		vmove "usr/lib/libgtk-vnc-1.0.so*"
-		if [ "$build_option_gir" ]; then
-			vmove usr/lib/girepository-1.0/GtkVnc-1.0.typelib
-		fi
-	}
-}
-
-gtk2-vnc-devel_package() {
-	depends="gtk+-devel gtk-vnc-devel>=${version}_${revision}"
-	short_desc+=" - GTK+2 development files"
+gvncviewer_package() {
+	short_desc="Demo application for gtk-vnc"
 	pkg_install() {
-		vmove usr/include/gtk-vnc-1.0
-		if [ "$build_option_gir" ]; then
-			#vmove usr/share/vala/vapi/gtk-vnc-1.0.vapi
-			vmove usr/share/gir-1.0/GtkVnc-1.0.gir
-		fi
-		vmove usr/lib/pkgconfig/gtk-vnc-1.0.pc
+		vbin ${wrksrc}/build/examples/gvncviewer
 	}
 }
 
 gtk-vnc-devel_package() {
 	depends="glib-devel gtk+3-devel gtk-vnc>=${version}_${revision}"
-	short_desc+=" - development files"
+	short_desc+=" (development files)"
 	pkg_install() {
-		vmove usr/include/gvnc-1.0
-		vmove usr/include/gtk-vnc-2.0
-		vmove usr/lib/pkgconfig/gtk-vnc-2.0.pc
-		vmove usr/lib/pkgconfig/gvnc-1.0.pc
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.so"
 		if [ "$build_option_gir" ]; then
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.deps
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.vapi
-			vmove usr/share/vala/vapi/gvnc-1.0.vapi
-			vmove usr/share/gir-1.0/GVnc-1.0.gir
-			vmove usr/share/gir-1.0/GtkVnc-2.0.gir
+			vmove usr/share/gir-1.0
+		fi
+		if [ "$build_option_vala" ]; then
+			vmove usr/share/vala
 		fi
-		vmove usr/lib/*.so
 	}
 }
diff --git a/srcpkgs/gtk-vnc/update b/srcpkgs/gtk-vnc/update
deleted file mode 100644
index f223f26e1ba..00000000000
--- a/srcpkgs/gtk-vnc/update
+++ /dev/null
@@ -1 +0,0 @@
-pattern="\Q$pkgname\E-\K[0-9]+\.[0-9]*[0-9]\.[0-9.]*[0-9](?=)"
diff --git a/srcpkgs/gtk2-vnc-devel b/srcpkgs/gtk2-vnc-devel
deleted file mode 120000
index 25a6952fbce..00000000000
--- a/srcpkgs/gtk2-vnc-devel
+++ /dev/null
@@ -1 +0,0 @@
-gtk-vnc
\ No newline at end of file
diff --git a/srcpkgs/gtk2-vnc b/srcpkgs/gvncviewer
similarity index 100%
rename from srcpkgs/gtk2-vnc
rename to srcpkgs/gvncviewer

From ab407e0ac942c750b22ae1236a074d58eed46046 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:00:41 +0300
Subject: [PATCH 94/97] vala: update to 0.47.1. [ci skip]

---
 common/shlibs         |  4 ++--
 srcpkgs/vala/template | 12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 6ab2aa88255..6be07a7a397 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2983,9 +2983,9 @@ libsysprof-3.so sysprof-3.34.0_1
 libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
-libvala-0.46.so.0 libvala-0.46.0_1
+libvala-0.48.so.0 libvala-0.47.1_1
 libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
-libvalaccodegen.so libvala-0.44.0_1
+libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
 libtracker-miner-2.0.so.0 libtracker-2.0.1_1
diff --git a/srcpkgs/vala/template b/srcpkgs/vala/template
index a3001e75b98..bd85822335b 100644
--- a/srcpkgs/vala/template
+++ b/srcpkgs/vala/template
@@ -1,7 +1,7 @@
 # Template file for 'vala'
 pkgname=vala
 # Should be kept in sync with 'valadoc' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-valadoc"
@@ -12,18 +12,18 @@ short_desc="Compiler for the GObject type system"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
-shlib_provides="libvalaccodegen.so"
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
+shlib_provides="libvala-0.48.so.0 libvalaccodegen.so"
 
 post_install() {
 	# remove the /usr/bin prefix from the vapigen variable
 	# so the package that use it fall into our wrapper.
 	# keep the binary versioned, we don't know the potential
 	# fallout from using the unversioned one
-	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.46|g' \
-		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.46.pc
+	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.48|g' \
+		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.48.pc
 }
 
 libvala_package() {

From efb3dab3bdda0004289ee336853672d10f9f0a6b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:16:15 +0300
Subject: [PATCH 95/97] valadoc: update to 0.47.1. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/valadoc/template | 16 +++++++---------
 2 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 6be07a7a397..e458161e092 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2984,7 +2984,7 @@ libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
 libvala-0.48.so.0 libvala-0.47.1_1
-libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
+libvaladoc-0.48.so.0 libvaladoc-0.47.1_1
 libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
diff --git a/srcpkgs/valadoc/template b/srcpkgs/valadoc/template
index e90e31a15be..34c3e427f15 100644
--- a/srcpkgs/valadoc/template
+++ b/srcpkgs/valadoc/template
@@ -1,7 +1,7 @@
 # Template file for 'valadoc'
 pkgname=valadoc
 # Should be kept in sync with 'vala' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 wrksrc="vala-${version}"
 build_style=gnu-configure
@@ -13,9 +13,9 @@ short_desc="Vala Documentation Tool"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
 
 pre_configure() {
 	autoreconf -if
@@ -23,8 +23,7 @@ pre_configure() {
 
 do_install() {
 	for subdir in libvaladoc valadoc; do
-		make -C "${subdir}" DESTDIR="$DESTDIR" ${make_install_args} \
-			install
+		make -C "${subdir}" DESTDIR="${DESTDIR}" ${make_install_args} install
 	done
 	vman doc/valadoc.1
 }
@@ -33,14 +32,13 @@ libvaladoc_package() {
 	short_desc+=" - shared library"
 	pkg_install() {
 		vmove "usr/lib/libvaladoc-*.so.*"
-		vmove "usr/lib/valadoc-${version%.*}"
-		vmove "usr/share/valadoc-${version%.*}"
+		vmove usr/lib/valadoc-0.48
+		vmove usr/share/valadoc-0.48
 	}
 }
 
 valadoc-devel_package() {
-	depends="valadoc-${version}_${revision}
-	 vala-devel-${version}_${revision}"
+	depends="valadoc=${version}_${revision} vala-devel=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
 		vmove "usr/include/valadoc-*"

From 8803ea904f52ba764641ed1fdffacf9235829c21 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 22 Dec 2019 18:02:41 +0300
Subject: [PATCH 96/97] libsoup: update to 2.68.3. [ci skip]

---
 srcpkgs/libsoup/patches/fix-gir-cross.patch | 13 -------------
 srcpkgs/libsoup/template                    | 14 +++++++-------
 2 files changed, 7 insertions(+), 20 deletions(-)
 delete mode 100644 srcpkgs/libsoup/patches/fix-gir-cross.patch

diff --git a/srcpkgs/libsoup/patches/fix-gir-cross.patch b/srcpkgs/libsoup/patches/fix-gir-cross.patch
deleted file mode 100644
index fbd01e72f50..00000000000
--- a/srcpkgs/libsoup/patches/fix-gir-cross.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/meson.build b/meson.build
-index a979362..9059918 100644
---- meson.build
-+++ meson.build
-@@ -269,7 +269,7 @@ enable_gnome = get_option('gnome') and host_machine.system() != 'windows'
- # FIXME: once we start to require meson 0.49.0+ and gnome-introspection 1.58.1+
- # the we can enable the introspection even for the static build. See
- # https://github.com/mesonbuild/meson/pull/4478.
--enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not meson.is_cross_build() and not is_static_library
-+enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not is_static_library
- 
- ############
- # Vala API #
diff --git a/srcpkgs/libsoup/template b/srcpkgs/libsoup/template
index a730cb72339..1560cbdf0c4 100644
--- a/srcpkgs/libsoup/template
+++ b/srcpkgs/libsoup/template
@@ -1,22 +1,22 @@
 # Template file for 'libsoup'
 pkgname=libsoup
-version=2.66.4
+version=2.68.3
 revision=1
 build_style=meson
 build_helper="gir"
-configure_args="-Dgssapi=false -Dintrospection=$(vopt_if gir true false)
- -Dvapi=$(vopt_if vala true false)"
+configure_args="-Dgssapi=disabled -Dintrospection=$(vopt_if gir enabled disabled)
+ -Dvapi=$(vopt_if vala enabled disabled)"
 hostmakedepends="gettext-devel glib-devel pkg-config $(vopt_if vala 'vala')"
-makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel
- $(vopt_if vala 'vala-devel')"
+makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel brotli-devel
+ glib-networking smbclient $(vopt_if vala 'vala-devel')"
 depends="glib-networking"
 short_desc="HTTP library implementation in C"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libsoup"
-changelog="https://raw.githubusercontent.com/GNOME/libsoup/gnome-3-28/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/libsoup/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8308984f1eee1c4f8c113a9c1763b2b22d981bd811b0cc82a9f3f1aa63228779
+checksum=534bb08e35b0ff3702f3adfde87d3441e27c12f9f5ec351f056fe04cba02bafb
 
 # Package build options
 build_options="gir vala"

From 200069fd376ba2de5f09fbfb4968d63d1dee213d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 25 Dec 2019 18:36:54 +0300
Subject: [PATCH 97/97] gobject-introspection: update to 1.62.0. [ci skip]

---
 ...t-cross-compilation-support-to-meson.patch | 147 ---------
 ...pository-directory-for-native-builds.patch |  76 -----
 ...lete-upstream-attempt-at-cross-compi.patch |  48 ---
 ...-error-return-codes-from-ldd-wrapper.patch |  27 --
 ...canner-add-use-binary-wrapper-option.patch |  49 ---
 ...scanner-add-a-use-ldd-wrapper-option.patch |  45 ---
 .../0011-giscanner-ld-library-path.patch      |  40 ---
 .../patches/fix-cross-tests.patch             | 311 ------------------
 srcpkgs/gobject-introspection/template        |  22 +-
 9 files changed, 12 insertions(+), 753 deletions(-)
 delete mode 100644 srcpkgs/gobject-introspection/patches/0001-Port-cross-compilation-support-to-meson.patch
 delete mode 100644 srcpkgs/gobject-introspection/patches/0002-Relocate-the-repository-directory-for-native-builds.patch
 delete mode 100644 srcpkgs/gobject-introspection/patches/0003-Revert-an-incomplete-upstream-attempt-at-cross-compi.patch
 delete mode 100644 srcpkgs/gobject-introspection/patches/0006-giscanner-ignore-error-return-codes-from-ldd-wrapper.patch
 delete mode 100644 srcpkgs/gobject-introspection/patches/0009-giscanner-add-use-binary-wrapper-option.patch
 delete mode 100644 srcpkgs/gobject-introspection/patches/0010-giscanner-add-a-use-ldd-wrapper-option.patch
 delete mode 100644 srcpkgs/gobject-introspection/patches/0011-giscanner-ld-library-path.patch
 delete mode 100644 srcpkgs/gobject-introspection/patches/fix-cross-tests.patch

diff --git a/srcpkgs/gobject-introspection/patches/0001-Port-cross-compilation-support-to-meson.patch b/srcpkgs/gobject-introspection/patches/0001-Port-cross-compilation-support-to-meson.patch
deleted file mode 100644
index ba6f21b43c6..00000000000
--- a/srcpkgs/gobject-introspection/patches/0001-Port-cross-compilation-support-to-meson.patch
+++ /dev/null
@@ -1,147 +0,0 @@
-diff --git gir/meson.build gir/meson.build
-index 3d021bc..9852996 100644
---- a/gir/meson.build
-+++ b/gir/meson.build
-@@ -36,15 +36,27 @@ gir_files = [
- typelibdir = join_paths(get_option('libdir'), 'girepository-1.0')
- install_data(gir_files, install_dir: girdir)
- 
--scanner_command = [
--  python,
--  girscanner,
--  '--output=@OUTPUT@',
--  '--no-libtool',
--  '--reparse-validate',
--  '--add-include-path', join_paths(meson.current_build_dir()),
--  '--add-include-path', join_paths(meson.current_source_dir()),
--]
-+if get_option('enable-host-gi')
-+    scanner_command = [
-+      'g-ir-scanner',
-+      '--output=@OUTPUT@',
-+      '--no-libtool',
-+      '--reparse-validate',
-+      '--add-include-path', join_paths(meson.current_build_dir()),
-+      '--add-include-path', join_paths(meson.current_source_dir()),
-+    ]
-+else
-+    scanner_command = [
-+      python,
-+      girscanner,
-+      '--output=@OUTPUT@',
-+      '--no-libtool',
-+      '--reparse-validate',
-+      '--add-include-path', join_paths(meson.current_build_dir()),
-+      '--add-include-path', join_paths(meson.current_source_dir()),
-+    ]
-+endif
-+
- 
- dep_type = glib_dep.type_name()
- if dep_type == 'internal'
-@@ -57,6 +69,12 @@ if dep_type == 'internal'
-                       '--extra-library=glib-2.0', '--extra-library=gobject-2.0']
- endif
- 
-+if get_option('enable-gi-cross-wrapper') != ''
-+  scanner_command += ['--use-binary-wrapper=' + get_option('enable-gi-cross-wrapper')]
-+endif
-+if get_option('enable-gi-ldd-wrapper') != ''
-+  scanner_command += ['--use-ldd-wrapper=' + get_option('enable-gi-ldd-wrapper')]
-+endif
- # Take a glob and print to newlines
- globber = '''
- from glob import glob
-@@ -83,8 +101,8 @@ glib_command = scanner_command + [
- 
- if dep_type == 'pkgconfig'
-   glib_command += ['--external-library', '--pkg=glib-2.0']
--  glib_libdir = glib_dep.get_pkgconfig_variable('libdir')
--  glib_incdir = join_paths(glib_dep.get_pkgconfig_variable('includedir'), 'glib-2.0')
-+  glib_libdir = get_option('pkgconfig-sysroot-path') + glib_dep.get_pkgconfig_variable('libdir')
-+  glib_incdir = get_option('pkgconfig-sysroot-path') + join_paths(glib_dep.get_pkgconfig_variable('includedir'), 'glib-2.0')
-   glib_libincdir = join_paths(glib_libdir, 'glib-2.0', 'include')
-   glib_files += join_paths(glib_incdir, 'gobject', 'glib-types.h')
-   glib_files += join_paths(glib_libincdir, 'glibconfig.h')
-@@ -338,7 +356,7 @@ endforeach
- if giounix_dep.found()
-   if dep_type == 'pkgconfig'
-     gio_command += ['--pkg=gio-unix-2.0']
--    giounix_includedir = join_paths(giounix_dep.get_pkgconfig_variable('includedir'), 'gio-unix-2.0')
-+    giounix_includedir = get_option('pkgconfig-sysroot-path') + join_paths(giounix_dep.get_pkgconfig_variable('includedir'), 'gio-unix-2.0')
-     # Get the installed gio-unix header list
-     ret = run_command(python, '-c', globber.format(join_paths(giounix_includedir, 'gio', '*.h')))
-     if ret.returncode() != 0
-@@ -420,16 +438,25 @@ gir_files += custom_target('gir-girepository',
-   ]
- )
- 
-+if get_option('enable-gi-cross-wrapper') != ''
-+    gircompiler_command = [get_option('enable-gi-cross-wrapper'), gircompiler.full_path(), '-o', '@OUTPUT@', '@INPUT@',
-+              '--includedir', meson.current_build_dir(),
-+              '--includedir', meson.current_source_dir(),
-+    ]
-+else
-+    gircompiler_command = [gircompiler, '-o', '@OUTPUT@', '@INPUT@',
-+              '--includedir', meson.current_build_dir(),
-+              '--includedir', meson.current_source_dir(),
-+    ]
-+endif
-+
- typelibs = []
- foreach gir : gir_files
-   typelibs += custom_target('generate-typelib-@0@'.format(gir).underscorify(),
-     input: gir,
-     output: '@BASENAME@.typelib',
-     depends: [gobject_gir, ],
--    command: [gircompiler, '-o', '@OUTPUT@', '@INPUT@',
--              '--includedir', meson.current_build_dir(),
--              '--includedir', meson.current_source_dir(),
--    ],
-+    command: gircompiler_command,
-     install: true,
-     install_dir: typelibdir,
-   )
-diff --git meson.build meson.build
-index 0ab2dc3..2544ff3 100644
---- a/meson.build
-+++ b/meson.build
-@@ -163,7 +163,9 @@ endif
- subdir('girepository')
- subdir('tools')
- subdir('giscanner')
--subdir('gir')
-+if get_option('enable-introspection-data') == true
-+    subdir('gir')
-+endif
- subdir('examples')
- subdir('docs')
- subdir('tests')
-diff --git meson_options.txt meson_options.txt
-index 445a68a..a325511 100644
---- a/meson_options.txt
-+++ b/meson_options.txt
-@@ -25,3 +25,23 @@ option('python', type: 'string', value: 'python3',
- option('gir_dir_prefix', type: 'string',
-   description: 'Intermediate prefix for gir installation under ${prefix}'
- )
-+
-+option('enable-host-gi', type: 'boolean', value : false,
-+  description: 'Use gobject introspection tools installed in the host system (useful when cross-compiling)'
-+)
-+
-+option('enable-gi-cross-wrapper', type: 'string',
-+  description: 'Use a wrapper to run gicompiler and binaries produced by giscanner (useful when cross-compiling)'
-+)
-+
-+option('enable-gi-ldd-wrapper', type: 'string',
-+  description: 'Use a ldd wrapper instead of system ldd command in giscanner (useful when cross-compiling)'
-+)
-+
-+option('enable-introspection-data', type: 'boolean', value : true,
-+  description: 'Build introspection data (.gir and .typelib files) in addition to library and tools'
-+)
-+
-+option('pkgconfig-sysroot-path', type: 'string',
-+  description: 'Specify a sysroot path to prepend to pkgconfig output (useful when cross-compiling)'
-+)
diff --git a/srcpkgs/gobject-introspection/patches/0002-Relocate-the-repository-directory-for-native-builds.patch b/srcpkgs/gobject-introspection/patches/0002-Relocate-the-repository-directory-for-native-builds.patch
deleted file mode 100644
index a91d22afa7c..00000000000
--- a/srcpkgs/gobject-introspection/patches/0002-Relocate-the-repository-directory-for-native-builds.patch
+++ /dev/null
@@ -1,76 +0,0 @@
-From 7ea8c83d84a05f686128e652a5447fb5f6fb68be Mon Sep 17 00:00:00 2001
-From: Sascha Silbe <x-yo17@se-silbe.de>
-Date: Fri, 8 Jun 2018 13:55:10 +0200
-Subject: [PATCH] Relocate the repository directory for native builds
-
-Instead of hard-coding GOBJECT_INTROSPECTION_LIBDIR when
-gobject-introspection is built, use dladdr() to determine where
-GOBJECT_INTROSPECTION_LIBDIR is and use that path to calculate the
-repository directory.
-
-This fixes gobject-introspection-native accessing paths across build
-directories (e.g. if the build directories use the same shared state
-cache or sstate mirror).
-
-Upstream-Status: Inappropriate
-Signed-off-by: Sascha Silbe <x-yo17@se-silbe.de>
-
----
- girepository/girepository.c | 15 +++++++++++++--
- girepository/meson.build    |  2 +-
- 2 files changed, 14 insertions(+), 3 deletions(-)
-
-diff --git a/girepository/girepository.c b/girepository/girepository.c
-index c1fa3d3..efa557e 100644
---- a/girepository/girepository.c
-+++ b/girepository/girepository.c
-@@ -21,6 +21,8 @@
-  * Boston, MA 02111-1307, USA.
-  */
- 
-+#define _GNU_SOURCE
-+
- #include "config.h"
- 
- #include <stdio.h>
-@@ -34,6 +36,8 @@
- #include "gitypelib-internal.h"
- #include "girepository-private.h"
- 
-+#include <dlfcn.h>
-+
- /**
-  * SECTION:girepository
-  * @short_description: GObject Introspection repository manager
-@@ -188,9 +192,16 @@ init_globals (void)
-           g_free (custom_dirs);
-         }
- 
--      libdir = GOBJECT_INTROSPECTION_LIBDIR;
-+      Dl_info gi_lib_info;
- 
--      typelib_dir = g_build_filename (libdir, "girepository-1.0", NULL);
-+      if (dladdr (g_irepository_get_default, &gi_lib_info)) {
-+        char *libdir = g_path_get_dirname (gi_lib_info.dli_fname);
-+        typelib_dir = g_build_filename (libdir, "girepository-1.0", NULL);
-+        g_free (libdir);
-+      } else {
-+        libdir = GOBJECT_INTROSPECTION_LIBDIR;
-+        typelib_dir = g_build_filename (libdir, "girepository-1.0", NULL);
-+      }
- 
-       typelib_search_path = g_slist_prepend (typelib_search_path, typelib_dir);
- 
-diff --git a/girepository/meson.build b/girepository/meson.build
-index 6a8c5b5..8892f2a 100644
---- a/girepository/meson.build
-+++ b/girepository/meson.build
-@@ -27,7 +27,7 @@ girepo_internals_lib = static_library('girepository-internals',
-   ],
-   c_args: gi_hidden_visibility_cflags,
-   include_directories : configinc,
--  dependencies: [girepo_gthash_dep, libffi_dep],
-+  dependencies: [girepo_gthash_dep, libffi_dep, cc.find_library('dl')],
- )
- 
- girepo_internals_dep = declare_dependency(
diff --git a/srcpkgs/gobject-introspection/patches/0003-Revert-an-incomplete-upstream-attempt-at-cross-compi.patch b/srcpkgs/gobject-introspection/patches/0003-Revert-an-incomplete-upstream-attempt-at-cross-compi.patch
deleted file mode 100644
index 86cd4ead2a0..00000000000
--- a/srcpkgs/gobject-introspection/patches/0003-Revert-an-incomplete-upstream-attempt-at-cross-compi.patch
+++ /dev/null
@@ -1,48 +0,0 @@
-From ca0fb17e268c176ac89df081b1efa4a42989f014 Mon Sep 17 00:00:00 2001
-From: Alexander Kanavin <alex.kanavin@gmail.com>
-Date: Wed, 23 Mar 2016 17:07:28 +0200
-Subject: [PATCH] Revert an incomplete upstream attempt at cross-compile
- support
-
-Upstream-Status: Pending
-Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com>
-
----
- common.mk                | 4 ----
- giscanner/gdumpparser.py | 6 ------
- 2 files changed, 10 deletions(-)
-
-diff --git a/common.mk b/common.mk
-index b778f7a..e26c637 100644
---- a/common.mk
-+++ b/common.mk
-@@ -24,12 +24,8 @@ INTROSPECTION_SCANNER_ARGS = \
-     --add-include-path=$(top_builddir) \
-     --add-include-path=$(top_builddir)/gir
- 
--# GI_CROSS_LAUNCHER is the command to use for executing g-ir-compiler.
--# Normally will be undefined but can be set (e.g. to wine or qemu)
--# when cross-compiling
- INTROSPECTION_COMPILER = \
-     env PATH=".libs:$(PATH)" \
--        $(GI_CROSS_LAUNCHER) \
-         $(top_builddir)/g-ir-compiler$(EXEEXT)
- 
- INTROSPECTION_COMPILER_ARGS = \
-diff --git a/giscanner/gdumpparser.py b/giscanner/gdumpparser.py
-index cd9d94d..b41772c 100644
---- a/giscanner/gdumpparser.py
-+++ b/giscanner/gdumpparser.py
-@@ -161,12 +161,6 @@ blob containing data gleaned from GObject's primitive introspection."""
-         out_path = os.path.join(self._binary.tmpdir, 'dump.xml')
- 
-         args = []
--
--        # Prepend the launcher command and arguments, if defined
--        launcher = os.environ.get('GI_CROSS_LAUNCHER')
--        if launcher:
--            args.extend(launcher.split())
--
-         args.extend(self._binary.args)
-         args.append('--introspect-dump=%s,%s' % (in_path, out_path))
- 
diff --git a/srcpkgs/gobject-introspection/patches/0006-giscanner-ignore-error-return-codes-from-ldd-wrapper.patch b/srcpkgs/gobject-introspection/patches/0006-giscanner-ignore-error-return-codes-from-ldd-wrapper.patch
deleted file mode 100644
index 9167f042e5b..00000000000
--- a/srcpkgs/gobject-introspection/patches/0006-giscanner-ignore-error-return-codes-from-ldd-wrapper.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-From f128cbeead687bfc6532cc1f2cc3e2dc5a2b5b30 Mon Sep 17 00:00:00 2001
-From: Alexander Kanavin <alex.kanavin@gmail.com>
-Date: Wed, 5 Sep 2018 16:46:52 +0200
-Subject: [PATCH] giscanner: ignore error return codes from ldd-wrapper
-
-prelink-rtld, which we use instead of ldd returns 127 when it can't find a library.
-It is not an error per se, but it breaks subprocess.check_output().
-
-Upstream-Status: Inappropriate [oe-core specific]
-Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com>
----
- giscanner/shlibs.py | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/giscanner/shlibs.py b/giscanner/shlibs.py
-index 01d21a3..3bd3250 100644
---- a/giscanner/shlibs.py
-+++ b/giscanner/shlibs.py
-@@ -108,7 +108,7 @@ def _resolve_non_libtool(options, binary, libraries):
-             args.extend(['otool', '-L', binary.args[0]])
-         else:
-             args.extend(['ldd', binary.args[0]])
--        output = subprocess.check_output(args)
-+        output = subprocess.run(args, check=False, stdout=subprocess.PIPE).stdout
-         if isinstance(output, bytes):
-             output = output.decode("utf-8", "replace")
- 
diff --git a/srcpkgs/gobject-introspection/patches/0009-giscanner-add-use-binary-wrapper-option.patch b/srcpkgs/gobject-introspection/patches/0009-giscanner-add-use-binary-wrapper-option.patch
deleted file mode 100644
index 45fe27ad61f..00000000000
--- a/srcpkgs/gobject-introspection/patches/0009-giscanner-add-use-binary-wrapper-option.patch
+++ /dev/null
@@ -1,49 +0,0 @@
-From 46dbe963aa6435591c87e788cdb54bc0daeac42e Mon Sep 17 00:00:00 2001
-From: Alexander Kanavin <alex.kanavin@gmail.com>
-Date: Mon, 19 Oct 2015 18:26:40 +0300
-Subject: [PATCH] giscanner: add --use-binary-wrapper option
-
-With this option, giscanner will use a wrapper executable to run
-binaries it's producing, instead of running them directly. This
-is useful when binaries are cross-compiled and cannot be run directly,
-but they can be run using for example QEMU emulation.
-
-Upstream-Status: Pending [review on oe-core list]
-Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com>
-
----
- giscanner/scannermain.py | 14 ++++++++++++++
- 1 file changed, 14 insertions(+)
-
-diff --git a/giscanner/scannermain.py b/giscanner/scannermain.py
-index ccb14e9..061def0 100644
---- a/giscanner/scannermain.py
-+++ b/giscanner/scannermain.py
-@@ -126,6 +126,9 @@ def _get_option_parser():
-     parser.add_option("", "--program",
-                       action="store", dest="program", default=None,
-                       help="program to execute")
-+    parser.add_option("", "--use-binary-wrapper",
-+                      action="store", dest="wrapper", default=None,
-+                      help="wrapper to use for running programs (useful when cross-compiling)")
-     parser.add_option("", "--program-arg",
-                       action="append", dest="program_args", default=[],
-                       help="extra arguments to program")
-@@ -418,6 +421,17 @@ def create_binary(transformer, options, args):
-                                               gdump_parser.get_error_quark_functions())
- 
-     shlibs = resolve_shlibs(options, binary, options.libraries)
-+    if options.wrapper:
-+        # The wrapper needs the binary itself, not the libtool wrapper script,
-+        # so we check if libtool has sneaked the binary into .libs subdirectory
-+        # and adjust the path accordingly
-+        import os.path
-+        dir_name, binary_name  = os.path.split(binary.args[0])
-+        libtool_binary = os.path.join(dir_name, '.libs', binary_name)
-+        if os.path.exists(libtool_binary):
-+            binary.args[0] = libtool_binary
-+	# Then prepend the wrapper to the command line to execute
-+        binary.args = [options.wrapper] + binary.args
-     gdump_parser.set_introspection_binary(binary)
-     gdump_parser.parse()
-     return shlibs
diff --git a/srcpkgs/gobject-introspection/patches/0010-giscanner-add-a-use-ldd-wrapper-option.patch b/srcpkgs/gobject-introspection/patches/0010-giscanner-add-a-use-ldd-wrapper-option.patch
deleted file mode 100644
index 2e36b64bab7..00000000000
--- a/srcpkgs/gobject-introspection/patches/0010-giscanner-add-a-use-ldd-wrapper-option.patch
+++ /dev/null
@@ -1,45 +0,0 @@
-From eba2b999e81d81b5f43bb1f0ab33881786bebdec Mon Sep 17 00:00:00 2001
-From: Alexander Kanavin <alex.kanavin@gmail.com>
-Date: Fri, 30 Oct 2015 16:28:46 +0200
-Subject: [PATCH] giscanner: add a --use-ldd-wrapper option
-
-This is useful in cross-compile environments where system's ldd
-command does not work on binaries built for a different architecture
-
-Upstream-Status: Pending [review in oe-core]
-Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com>
-
----
- giscanner/scannermain.py | 3 +++
- giscanner/shlibs.py      | 4 +++-
- 2 files changed, 6 insertions(+), 1 deletion(-)
-
-diff --git a/giscanner/scannermain.py b/giscanner/scannermain.py
-index 061def0..5cb793e 100644
---- a/giscanner/scannermain.py
-+++ b/giscanner/scannermain.py
-@@ -129,6 +129,9 @@ def _get_option_parser():
-     parser.add_option("", "--use-binary-wrapper",
-                       action="store", dest="wrapper", default=None,
-                       help="wrapper to use for running programs (useful when cross-compiling)")
-+    parser.add_option("", "--use-ldd-wrapper",
-+                      action="store", dest="ldd_wrapper", default=None,
-+                      help="wrapper to use instead of ldd (useful when cross-compiling)")
-     parser.add_option("", "--program-arg",
-                       action="append", dest="program_args", default=[],
-                       help="extra arguments to program")
-diff --git a/giscanner/shlibs.py b/giscanner/shlibs.py
-index 7b7b2d0..01d21a3 100644
---- a/giscanner/shlibs.py
-+++ b/giscanner/shlibs.py
-@@ -102,7 +102,9 @@ def _resolve_non_libtool(options, binary, libraries):
-             args.extend(libtool)
-             args.append('--mode=execute')
-         platform_system = platform.system()
--        if platform_system == 'Darwin':
-+        if options.ldd_wrapper:
-+            args.extend([options.ldd_wrapper, binary.args[0]])
-+        elif platform_system == 'Darwin':
-             args.extend(['otool', '-L', binary.args[0]])
-         else:
-             args.extend(['ldd', binary.args[0]])
diff --git a/srcpkgs/gobject-introspection/patches/0011-giscanner-ld-library-path.patch b/srcpkgs/gobject-introspection/patches/0011-giscanner-ld-library-path.patch
deleted file mode 100644
index 5d336d8f3dd..00000000000
--- a/srcpkgs/gobject-introspection/patches/0011-giscanner-ld-library-path.patch
+++ /dev/null
@@ -1,40 +0,0 @@
-This is a hack that, combined with g-ir-scanner-wrapper, allows us to put
-/usr/lib inside LD_LIBRARY_PATH before all the other paths that g-ir-scanner
-appends. This is very important, because if we don't put /usr/lib first, the
-cross base will be first and during certain circumstances (musl, cross-endian)
-the compiler will fail to execute.
-
-We cannot use another way to append it, because we don't want to put /usr/lib
-inside the library paths for scanning - we don't want the gi scanner to
-process any of these libs. We just want the native executables to run
-correctly.
-
-As for using the literal LD_LIBRARY_PATH inside the environment - the scanner
-will actually read it, but it will put it at the *end*, which does not help
-us.
-
-Ping 'q66 <daniel@octaforge.org>' for any questions.
-
---- a/giscanner/ccompiler.py
-+++ b/giscanner/ccompiler.py
-@@ -180,6 +180,7 @@ class CCompiler(object):
- 
-         runtime_path_envvar = []
-         runtime_paths = []
-+        extra_ld_libpath = 'GI_SCANNER_EXTRA_LD_LIBRARY_PATH'
- 
-         if os.name == 'nt':
-             runtime_path_envvar = ['LIB', 'PATH']
-@@ -234,6 +235,12 @@ class CCompiler(object):
-             else:
-                 os.environ[envvar] = os.pathsep.join(runtime_paths)
- 
-+            # extra paths to prepend, for cross-compiling
-+            if extra_ld_libpath in os.environ:
-+                os.environ[envvar] = os.pathsep.join([
-+                    os.environ[extra_ld_libpath], os.environ[envvar]
-+                ])
-+
-     def get_external_link_flags(self, args, libraries):
-         # An "external" link is where the library to be introspected
-         # is installed on the system; this case is used for the scanning
diff --git a/srcpkgs/gobject-introspection/patches/fix-cross-tests.patch b/srcpkgs/gobject-introspection/patches/fix-cross-tests.patch
deleted file mode 100644
index 75c3804d6a6..00000000000
--- a/srcpkgs/gobject-introspection/patches/fix-cross-tests.patch
+++ /dev/null
@@ -1,311 +0,0 @@
-diff --git tests/meson.build tests/meson.build
-index 7e01595..813a1d1 100644
---- a/tests/meson.build
-+++ b/tests/meson.build
-@@ -45,13 +45,24 @@ test_install_dir = join_paths(get_option('datadir'), 'gobject-introspection-1.0'
- 
- install_data(installed_sources, install_dir: test_install_dir)
- 
-+if get_option('enable-host-gi')
-+    ev_scanner_command = [
-+      'g-ir-scanner',
-+    ]
-+else
-+    ev_scanner_command = [
-+      python,
-+      girscanner,
-+    ]
-+endif
-+
-+
- # Generate everything.h and everything.c:
- test_everything_files = custom_target('everything',
-   output: ['everything.h', 'everything.c'],
-   depends: typelibs,
-   command: [
--    python,
--    girscanner,
-+    ev_scanner_command,
-     '--generate-typelib-tests=Everything,@OUTPUT0@,@OUTPUT1@',
-     '--function-decoration=_GI_TEST_EXTERN',
-     '--include-first-in-src=config.h',
-@@ -101,13 +112,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Everything-1.0.gir',
-     depends: [everything_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=Everything',
-@@ -125,13 +130,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'GIMarshallingTests-1.0.gir',
-     depends: [gimarshallingtests_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=GIMarshallingTests',
-@@ -145,15 +144,25 @@ if glib_dep.type_name() == 'pkgconfig'
-     ]
-   )
- 
-+if get_option('enable-gi-cross-wrapper') != ''
-+    gircompiler_command = [get_option('enable-gi-cross-wrapper'), gircompiler.full_path(), '-o', '@OUTPUT@', '@INPUT@',
-+              '--includedir', meson.current_build_dir(),
-+              '--includedir', meson.current_source_dir(),
-+    ]
-+else
-+    gircompiler_command = [gircompiler, '-o', '@OUTPUT@', '@INPUT@',
-+              '--includedir', meson.current_build_dir(),
-+              '--includedir', join_paths(meson.build_root(), 'gir'),
-+    ]
-+endif
-+
-+
-   foreach gir : test_gir_files
-     test_typelibs += custom_target('generate-typelib-@0@'.format(gir).underscorify(),
-       input: gir,
-       output: '@BASENAME@.typelib',
-       depends: [gobject_gir, ],
--      command: [gircompiler, '-o', '@OUTPUT@', '@INPUT@',
--                '--includedir', join_paths(meson.build_root(), 'gir'),
--                '--includedir', meson.current_build_dir()
--      ],
-+      command: gircompiler_command,
-     )
-   endforeach
- 
-diff --git tests/offsets/meson.build tests/offsets/meson.build
-index ca1471f..3a86fb3 100644
---- a/tests/offsets/meson.build
-+++ b/tests/offsets/meson.build
-@@ -18,13 +18,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Offsets-1.0.gir',
-     depends: [test_offsets_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=Offsets',
-@@ -43,10 +37,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     input: test_offsets_gir,
-     output: '@BASENAME@.typelib',
-     depends: [gobject_gir, ],
--    command: [gircompiler, '-o', '@OUTPUT@', '@INPUT@',
--              '--includedir', join_paths(meson.build_root(), 'gir'),
--              '--includedir', meson.current_build_dir()
--    ],
-+    command: gircompiler_command,
-   )
- 
-   gitestoffsets_exe = executable('gitestoffsets',
-diff --git tests/scanner/meson.build tests/scanner/meson.build
-index 4210488..b311cfd 100644
---- a/tests/scanner/meson.build
-+++ b/tests/scanner/meson.build
-@@ -99,25 +99,13 @@ regress_lib = shared_library('regress-1.0',
- 
- python_path = run_command(python, ['-c', 'import sys; sys.stdout.write(sys.executable)']).stdout()
- 
--gircompiler_command = [
--  gircompiler, '-o', '@OUTPUT@', '@INPUT@',
--  '--includedir', join_paths(meson.build_root(), 'gir'),
--  '--includedir', meson.current_build_dir(),
--]
--
- if glib_dep.type_name() == 'pkgconfig'
-   typedef_gir = custom_target('gir-typedef',
-     input: ['typedefs.c', 'typedefs.h'],
-     output: 'Typedefs-1.0.gir',
-     depends: [typedef_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=Typedefs',
-@@ -149,13 +137,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Bar-1.0.gir',
-     depends: [barapp_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=Bar',
-@@ -186,13 +168,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'SLetter-1.0.gir',
-     depends: [sletter_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=SLetter',
-@@ -222,13 +198,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'WarnLib-1.0.gir',
-     depends: [warnlib_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--namespace=WarnLib',
-       '--nsversion=1.0',
-       '--include=Gio-2.0',
-@@ -256,13 +226,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Utility-1.0.gir',
-     depends: [utility_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=Utility',
-@@ -292,13 +256,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'GtkFrob-1.0.gir',
-     depends: [gtkfrob_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
-       '--namespace=GtkFrob',
-@@ -329,13 +287,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'GetType-1.0.gir',
-     depends: [gettype_lib] + typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--namespace=GetType',
-       '--nsversion=1.0',
-       '--identifier-prefix=GetType',
-@@ -365,10 +317,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Symbolfilter-1.0.gir',
-     depends: typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
-+      scanner_command,
-       '--reparse-validate',
-       '--namespace=Symbolfilter',
-       '--nsversion=1.0',
-@@ -391,12 +340,8 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Identfilter-1.0.gir',
-     depends: typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
-+      scanner_command,
-       '--accept-unprefixed',
--      '--reparse-validate',
-       '--namespace=Identfilter',
-       '--nsversion=1.0',
-       '--header-only',
-@@ -418,13 +363,9 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Headeronly-1.0.gir',
-     depends: typelibs,
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
-+      scanner_command,
-       '--warn-all',
-       '--warn-error',
--      '--reparse-validate',
-       '--namespace=Headeronly',
-       '--nsversion=1.0',
-       '--header-only',
-@@ -452,13 +393,7 @@ if glib_dep.type_name() == 'pkgconfig'
-     output: 'Regress-1.0.gir',
-     depends: [regress_lib] + typelibs + [utility_gir],
-     command: [
--      python,
--      girscanner,
--      '--output=@OUTPUT@',
--      '--no-libtool',
--      '--reparse-validate',
--      '--add-include-path', join_paths(meson.source_root(), 'gir'),
--      '--add-include-path', join_paths(meson.build_root(), 'gir'),
-+      scanner_command,
-       '--add-include-path', meson.current_build_dir(),
-       '--namespace=Regress',
-       '--nsversion=1.0',
-@@ -484,7 +419,10 @@ if glib_dep.type_name() == 'pkgconfig'
-     'generate-typelib-regress',
-     input: regress_gir,
-     output: '@BASENAME@.typelib',
--    command: gircompiler_command,
-+    command: [
-+      gircompiler_command,
-+      '--includedir', meson.current_build_dir(),
-+    ]
-   )
-   test_typelibs += regress_typelib
- endif
diff --git a/srcpkgs/gobject-introspection/template b/srcpkgs/gobject-introspection/template
index c0bb1e412ce..4ec59c9897b 100644
--- a/srcpkgs/gobject-introspection/template
+++ b/srcpkgs/gobject-introspection/template
@@ -1,7 +1,7 @@
 # Template file for 'gobject-introspection'
 pkgname=gobject-introspection
-version=1.60.0
-revision=7
+version=1.62.0
+revision=1
 build_style=meson
 pycompile_dirs="usr/lib/${pkgname}/giscanner"
 hostmakedepends="flex pkg-config"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/GObjectIntrospection"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=9efe4090cb59717126701e97062e784773f800b8d47af14c4d278ebf194df35d
+checksum=b1ee7ed257fdbc008702bdff0ff3e78a660e7e602efa8f211dc89b9d1e7d90a2
 pycompile_version="$py3_ver"
 
 patch_args="-Np1"
@@ -45,13 +45,15 @@ post_install() {
 	# modify the pkg-config files to respect ${pc_sysrootdir} for variables that are
 	# meant to be called with 'pkg-config --variable'
 	vsed -e 's|^g_ir_scanner=.*|g_ir_scanner=${pc_sysrootdir}/${bindir}/g-ir-scanner|g' \
-		 -e 's|^g_ir_compiler=.*|g_ir_compiler=${pc_sysrootdir}/${bindir}/g-ir-compiler|g' \
-		 -e 's|^g_ir_generate=.*|g_ir_generate=${pc_sysrootdir}/${bindir}/g-ir-generate|g' \
-		 -e 's|^gidatadir.*|gidatadir=${pc_sysrootdir}/${datadir}/gobject-introspection-1.0|g' \
-		 -e 's|^girdir.*|girdir=${pc_sysrootdir}/${datadir}/gir-1.0|g' \
-		 -e 's|^typelibdir.*|typelibdir=${pc_sysrootdir}/${libdir}/girepository-1.0|g' \
-		 -i ${DESTDIR}/usr/lib/pkgconfig/gobject-introspection-1.0.pc \
-		 -i ${DESTDIR}/usr/lib/pkgconfig/gobject-introspection-no-export-1.0.pc
+			-e 's|^g_ir_compiler=.*|g_ir_compiler=${pc_sysrootdir}/${bindir}/g-ir-compiler|g' \
+			-e 's|^g_ir_generate=.*|g_ir_generate=${pc_sysrootdir}/${bindir}/g-ir-generate|g' \
+			-e 's|^girdir.*|girdir=${pc_sysrootdir}/${datadir}/gir-1.0|g' \
+			-e 's|^typelibdir.*|typelibdir=${pc_sysrootdir}/${libdir}/girepository-1.0|g' \
+			-i ${DESTDIR}/usr/lib/pkgconfig/gobject-introspection-1.0.pc \
+			-i ${DESTDIR}/usr/lib/pkgconfig/gobject-introspection-no-export-1.0.pc
+	vsed -e 's|^gidatadir.*|gidatadir=${pc_sysrootdir}/${datadir}/gobject-introspection-1.0|g' \
+			-i ${DESTDIR}/usr/lib/pkgconfig/gobject-introspection-1.0.pc
+
 
 	# Fix the name of the python3 c bindings
 	mv ${DESTDIR}/usr/lib/gobject-introspection/giscanner/_giscanner*.so \

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] gnome apps: update & fix license [ci skip]
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16892@inbox.vuxu.org>
  2019-12-25 15:37 ` [PR PATCH] [Updated] [WIP] gnome apps: update & fix license [ci skip] voidlinux-github
@ 2019-12-27 21:20 ` voidlinux-github
  2019-12-30 20:23 ` voidlinux-github
                   ` (5 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-12-27 21:20 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 3204 bytes --]

There is an updated pull request by k4leg against master on the void-packages repository

https://github.com/k4leg/void-packages gnome
https://github.com/void-linux/void-packages/pull/16892

[WIP] gnome apps: update & fix license [ci skip]
List of updates:
- [ ] NetworkManager -> 1.22.2
- [x] at-spi2-atk -> 2.34.1
- [x] atk -> 2.35.1
- [x] baobab -> 3.34.0
- [x] cairomm -> 1.15.4
- [x] dconf -> 0.34.0
- [x] dconf-editor -> 3.34.2
- [x] eog -> 3.35.1
- [x] eog-plugins -> 3.26.4
- [x] eolie -> 0.9.63
- [x] epiphany -> 3.35.2
- [x] evince -> 3.35.1
- [x] evolution -> 3.35.2
- [x] evolution-data-server -> 3.35.2
- [x] file-roller -> 3.35.1
- [x] gdl -> 3.34.0
- [x] glib -> 2.63.3
- [x] glib-networking -> 2.63.2
- [x] glibmm -> 2.63.1
- [x] gmime3 -> 3.2.5
- [x] gnome -> fix
- [x] gnome-2048 -> 3.34.4
- [x] gnome-boxes -> 3.34.2
- [x] gnome-calculator -> fix
- [x] gnome-colors-icon-theme -> fix license
- [x] gnome-control-center -> 3.35.2
- [x] gnome-desktop -> 3.35.2
- [x] gnome-disk-utility -> 3.35.2
- [x] gnome-epub-thumbnailer -> 1.6
- [x] gnome-flashback -> 3.35.1
- [x] gnome-games -> 3.34.1
- [x] gnome-getting-started-docs -> 3.34.1
- [x] gnome-keyring -> 3.34.0
- [x] gnome-maps -> 3.35.2
- [x] gnome-mime-data -> fix license
- [x] gnome-music -> 3.35.2
- [x] gnome-online-accounts -> 3.35.1
- [x] gnome-panel -> 3.35.1
- [x] gnome-passbook -> 0.8
- [x] gnome-photos -> 3.34.0
- [x] gnome-podcasts -> 0.4.7
- [x] gnome-screenshot -> 3.34.0
- [x] gnome-session -> 3.34.2
- [x] gnome-settings-daemon -> 3.35.0
- [ ] gnome-shell -> 3.35.2
- [ ] gnome-shell-extensions -> 3.35.2
- [ ] gnome-sound-recorder -> 3.34.0
- [ ] gnome-subtitles -> 1.6
- [ ] gnome-terminal -> 3.35.1
- [ ] gnome-tetrave  -> 3.35.2
- [ ] gnome-themes-standard-metacity -> 3.27.90
- [ ] gnome-usage -> 3.33.2
- [ ] gnome-user-docs -> 3.34.1
- [ ] gnome-video-effects -> 0.5.0
- [ ] gnome-weather -> 3.34.0
- [ ] gnote -> 3.34.1
- [ ] gobject-introspection -> 1.63.1
- [x] grilo -> 0.3.10
- [x] gspell -> 1.8.2
- [x] gtk-doc -> 1.32
- [x] gtk-vnc -> 1.0.0
- [ ] gtkmm -> 3.24.2
- [x] gtksourceview4 -> 4.4.0
- [ ] gtksourceviewmm -> 3.91.1
- [ ] gtranslator -> 3.34.0
- [ ] gvfs -> 1.43.2
- [ ] iagno -> 3.35.2
- [ ] jsonrpc-glib -> 3.34.0
- [ ] libchamplain -> 0.12.20
- [x] libdazzle -> 3.35.2
- [x] libgdata -> 0.17.11
- [x] libsecret -> 0.19.1
- [x] libsigc++ -> 3.0.0
- [x] libsoup -> 2.68.3
- [ ] metacity -> 3.34.1
- [ ] mutter -> 3.35.2
- [x] nautilus -> 3.35.2
- [x] network-manager-applet -> 1.8.24
- [ ] orca -> 3.34.1
- [ ] pangomm -> 2.43.1
- [ ] polari -> 3.35.2
- [ ] quadrapassel -> 3.35.2
- [ ] rygel -> 0.38.3
- [ ] seahorse -> 3.34.0
- [ ] shotwell -> 0.31.0
- [ ] sysprof -> 3.35.2
- [ ] template-glib -> 3.34.0
- [ ] tepl -> 4.3.1
- [x] vala -> 0.47.1
- [ ] valadoc -> 0.47.1
- [x] vte3 -> 0.59.0

Compiled on:
* **x86_64-musl**: _90/91 packages_
* **aarch64-musl**: _57/87 packages_
**Non-cross-compiling**: `eog`, `eog-plugins`, `gnome-flashback`, `gnome-maps` & `gnome-panel`_(depends on `gnome-shell`)_

A patch file from https://github.com/void-linux/void-packages/pull/16892.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-gnome-16892.patch --]
[-- Type: text/x-diff, Size: 163068 bytes --]

From 9610436f8970aac5e76d60998bf186d8b31b76e0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:29:31 +0300
Subject: [PATCH 01/89] gdl: update to 3.34.0. [ci skip]

---
 srcpkgs/gdl/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gdl/template b/srcpkgs/gdl/template
index d5b180bd43b..35bee803f96 100644
--- a/srcpkgs/gdl/template
+++ b/srcpkgs/gdl/template
@@ -1,7 +1,7 @@
 # Template file for 'gdl'
 pkgname=gdl
-version=3.28.0
-revision=3
+version=3.34.0
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, LGPL-2.0-or-later"
 homepage="https://developer.gnome.org/gdl/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=52cc98ecc105148467b3b2b4e0d27ae484b1b6710d53413f771ed07ef1b737b6
+checksum=858b30f0cdce4c4cb3e8365a7d54ce57c388beff38ea583be5449bc78dda8d02
 
 # Package build options
 build_options="gir"

From 0bd97ca08ce6eacc9bd371321b560444e73c1ee7 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:37:50 +0300
Subject: [PATCH 02/89] gmime3: update to 3.2.5. [ci skip]

---
 srcpkgs/gmime3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gmime3/template b/srcpkgs/gmime3/template
index a6a34d2306b..6331a730683 100644
--- a/srcpkgs/gmime3/template
+++ b/srcpkgs/gmime3/template
@@ -1,6 +1,6 @@
 # Template file for 'gmime3'
 pkgname=gmime3
-version=3.2.4
+version=3.2.5
 revision=1
 wrksrc="gmime-${version}"
 build_style=gnu-configure
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://github.com/jstedfast/gmime"
 distfiles="${GNOME_SITE}/gmime/${version%.*}/gmime-${version}.tar.xz"
-checksum=249ea7c0e080b067aa9669162c36b181b402f6cf6cebc4999d838c6f1e81d024
+checksum=fb7556501f85c3bf3e65fdd82697cbc4fa4b55dccd33ad14239ce0197e78ba59
 
 # Package build options
 build_options="gir vala"

From cbf349a64b8156f648eb8adaa8b17fd555fa6da0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:41:01 +0300
Subject: [PATCH 03/89] gnome-2048: update to 3.34.4. [ci skip]

---
 srcpkgs/gnome-2048/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-2048/template b/srcpkgs/gnome-2048/template
index 91099f78502..1adbdd577d5 100644
--- a/srcpkgs/gnome-2048/template
+++ b/srcpkgs/gnome-2048/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-2048'
 pkgname=gnome-2048
-version=3.32.0
-revision=2
+version=3.34.4
+revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config vala"
 makedepends="libglib-devel gtk+3-devel clutter-gtk-devel libgee-devel
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/2048"
 distfiles="${GNOME_SITE}/gnome-2048/${version%.*}/gnome-2048-${version}.tar.xz"
-checksum=3fa3d2efdb1f0d969570844411bc940b7a4f751cb7a2ab4870bee4b527e53121
+checksum=1616b5fb88a16340bf9b96ee5474eb1efab3ff3dedd0c04e3738e39315f4c9ab

From a0d6f6f3bcf130b6ff868df73e9d86b852ca36ea Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:00:11 +0300
Subject: [PATCH 04/89] gnome-boxes: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-boxes/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-boxes/template b/srcpkgs/gnome-boxes/template
index dc80d8a5556..990056947dd 100644
--- a/srcpkgs/gnome-boxes/template
+++ b/srcpkgs/gnome-boxes/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-boxes'
 pkgname=gnome-boxes
-version=3.32.1
+version=3.34.2
 revision=1
 build_helper="gir"
 build_style=meson
@@ -16,6 +16,6 @@ short_desc="GNOME 3 application to access remote or virtual systems"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Boxes"
-changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=84b2fa1632db0b1fe6e6e691cbe22e5c9880099b23124d96bc45933762ec3a95
+checksum=055e6025993c77c13b2d862e2034a42d3b46879c8e99fc2ffb232e168c930de7

From 6f1e9a6c51d15417b64aa217e1b41b90731fab57 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:17:17 +0300
Subject: [PATCH 05/89] gnome-games: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-games/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-games/template b/srcpkgs/gnome-games/template
index dd83b22de09..3555d7a8eaf 100644
--- a/srcpkgs/gnome-games/template
+++ b/srcpkgs/gnome-games/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-games'
 pkgname=gnome-games
-version=3.34.0
+version=3.34.1
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala-devel"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Games"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0fd7246d61ce21c0fc121c5488051a5866c19de2c2835ad7fe4b18c06627dcba
+checksum=28e41c982dcc2b4a2e585333bfc1824c8bc940c2c8d0825bf01f9975db68152d

From 4f7d74c304eac77bf873aadbd6591dd6dc6f0240 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:19:08 +0300
Subject: [PATCH 06/89] gnome-getting-started-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-getting-started-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-getting-started-docs/template b/srcpkgs/gnome-getting-started-docs/template
index 5bec93490ba..e76671df8c7 100644
--- a/srcpkgs/gnome-getting-started-docs/template
+++ b/srcpkgs/gnome-getting-started-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-getting-started-docs'
 pkgname=gnome-getting-started-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -11,4 +11,4 @@ license="CC-BY-SA-3.0"
 homepage="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs"
 #changelog="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=f70ce2ca23ad786215f3c92ec85783e3aabed07e4f78700fa27f9b2cf76e03db
+checksum=ca998f144e2aab81aa7cf6a09202caf650005965d68187baa7aa5d0198373602

From 890e539efdb7e8e8d4c7d252b6c9a04bbe22752c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:37:10 +0300
Subject: [PATCH 07/89] gnome-photos: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-photos/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-photos/template b/srcpkgs/gnome-photos/template
index 48ec55c4afc..2742b688af0 100644
--- a/srcpkgs/gnome-photos/template
+++ b/srcpkgs/gnome-photos/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-photos'
 pkgname=gnome-photos
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddogtail=false"
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Photos"
 distfiles="${GNOME_SITE}/gnome-photos/${version%.*}/gnome-photos-${version}.tar.xz"
-checksum=52c171326523a34412c416c27b66efd250b7dee79f8ac68ff0ebfb8d59c51b98
+checksum=758047cd61fe2ee84b0efc6bacf356f76135d01e475a0b2c33c1bcd26229448a
 
 build_options="gir"
 build_options_default="gir"

From a56c74398f855754b8aa7db19848c64a4ba10925 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:41:04 +0300
Subject: [PATCH 08/89] gnome-screenshot: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-screenshot/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-screenshot/template b/srcpkgs/gnome-screenshot/template
index c07cdf6aa1d..03afd1b473e 100644
--- a/srcpkgs/gnome-screenshot/template
+++ b/srcpkgs/gnome-screenshot/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-screenshot'
 pkgname=gnome-screenshot
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="appdata-tools glib-devel itstool pkg-config"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-screenshot"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8b609f70083ebb95a754e9f11a18a67d2c2723080d672f2faebe54f9633b0a26
+checksum=c80af5f7a2bed4348585eb18dc4e60af5beba4f13d8ccf6ab1ee1d0912c2b1e6

From 80403be2404804bf62c8680ef4d0e6bbd138f833 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:43:41 +0300
Subject: [PATCH 09/89] gnome-sound-recorder: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-sound-recorder/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-sound-recorder/template b/srcpkgs/gnome-sound-recorder/template
index c9cad38ea1c..79900f909e7 100644
--- a/srcpkgs/gnome-sound-recorder/template
+++ b/srcpkgs/gnome-sound-recorder/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-sound-recorder'
 pkgname=gnome-sound-recorder
-version=3.32.1
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/SoundRecorder"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=4b405fa8a783d24657e95221c7fe6ffc6bd517dc1c705691e475b2a59a590361
+checksum=49f1d6e0c06ac3bacc6084b2f5a63c8b91c5a20c3fc824532b7736a1151684c4
 lib32disabled=yes

From df714511858b014ada6bdb97877e29792d98d28e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:50:07 +0300
Subject: [PATCH 10/89] gnome-subtitles: update to 1.6. [ci skip]

---
 srcpkgs/gnome-subtitles/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-subtitles/template b/srcpkgs/gnome-subtitles/template
index fd53d2b48c7..557c3ff2bf6 100644
--- a/srcpkgs/gnome-subtitles/template
+++ b/srcpkgs/gnome-subtitles/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-subtitles'
 pkgname=gnome-subtitles
-version=1.4.2
-revision=3
+version=1.6
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile"
 hostmakedepends="glib-devel intltool mono pkg-config yelp-tools"
@@ -11,9 +11,9 @@ depends="gst-libav gtk-sharp mono"
 short_desc="Video subtitle editor for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
-homepage="http://www.gnomesubtitles.org/"
+homepage="https://www.gnomesubtitles.org/"
 distfiles="${SOURCEFORGE_SITE}/${pkgname}/${pkgname}-${version}.tar.gz"
-checksum=12847186070c8edbfc17d4aa1118a2ad9d8a9d40b806adf5b7041b71e4682641
+checksum=1a1f8aaeceda96f07e8c153ab68fc811f7016c7c789d0ecd981bfab2247df5c2
 
 case "$XBPS_TARGET_MACHINE" in
 	*musl) broken="SIGSEVs on start: https://gitlab.gnome.org/GNOME/gnome-subtitles/issues/109"

From 97ecb1df16a20f5818805b690260967604ff8b04 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:00:43 +0300
Subject: [PATCH 11/89] gnome-user-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-user-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-user-docs/template b/srcpkgs/gnome-user-docs/template
index 431c54f3934..21085f9f3d7 100644
--- a/srcpkgs/gnome-user-docs/template
+++ b/srcpkgs/gnome-user-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-user-docs'
 pkgname=gnome-user-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -13,4 +13,4 @@ license="CC-BY-3.0"
 homepage="https://github.com/GNOME/gnome-user-docs"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-user-docs/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8f9907ff15fff97da75ece645cc86766703ac54d716d25563ba67ffed1af24ed
+checksum=c2edd9d633f6f2a5fd8d5580e169d0e07de64d5d5b12a81ecbd64331d176a986

From 4584b58440258aae683f81f0689b3192a13d7ed2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:04:46 +0300
Subject: [PATCH 12/89] gnome-weather: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-weather/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-weather/template b/srcpkgs/gnome-weather/template
index 91f67c3f3f7..accb0b200d4 100644
--- a/srcpkgs/gnome-weather/template
+++ b/srcpkgs/gnome-weather/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-weather'
 pkgname=gnome-weather
-version=3.32.2
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Weather"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=1a25c325033a134f291481bb4aa00b5c9af6555daf5bc311e963e629976bdd49
+checksum=24867e21fcb92b81cd0cf09bbf8bc216ccc55d9a66ac21928b66c413f4efc3bc
 lib32disabled=yes

From 94cab1ea3c4bfb0cb70d0181a2ec07394e026a70 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:21:52 +0300
Subject: [PATCH 13/89] network-manager-applet: update to 1.8.24. [ci skip]

---
 srcpkgs/network-manager-applet/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/network-manager-applet/template b/srcpkgs/network-manager-applet/template
index f27836fad50..7af034f6832 100644
--- a/srcpkgs/network-manager-applet/template
+++ b/srcpkgs/network-manager-applet/template
@@ -1,6 +1,6 @@
 # Template file for 'network-manager-applet'
 pkgname=network-manager-applet
-version=1.8.22
+version=1.8.24
 revision=1
 build_style=gnu-configure
 build_helper="gir"
@@ -17,7 +17,7 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/NetworkManager"
 changelog="https://raw.githubusercontent.com/NetworkManager/network-manager-applet/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ebef1c1050ff6d94cad060e8d259f2a88ae159cf83ca75cb71d9f76867877eed
+checksum=118bbb8a5027634b62e8b45b16ceafce74441529c99bf230654e3bec38f9fbbf
 lib32disabled=yes
 
 # Package build options

From 27d24338319ae2ba42e76ae3424020bc27a2966d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:25:21 +0300
Subject: [PATCH 14/89] seahorse: update to 3.34.0. [ci skip]

---
 srcpkgs/seahorse/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/seahorse/template b/srcpkgs/seahorse/template
index fd3e5a1a5f5..bf1cb8495e6 100644
--- a/srcpkgs/seahorse/template
+++ b/srcpkgs/seahorse/template
@@ -1,6 +1,6 @@
 # Template file for 'seahorse'
 pkgname=seahorse
-version=3.32.2
+version=3.34.0
 revision=1
 wrksrc="$pkgname-${version%.*}"
 build_style=meson
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Seahorse"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version%.*}.tar.xz"
-checksum=a2542fbedfb203485a0afc6968cab4b5247f0cadf80d941b5a8a53a80ceeacf3
+checksum=5b40e9dc8bca6f52882d6eccc0a97cd61eb56bb054f41ea7e9bd64da32b64e9b

From a34a53f89d1a08f99e36c9e4310456322d4aaf76 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:32:45 +0300
Subject: [PATCH 15/89] gnome-epub-thumbnailer: update to 1.6. [ci skip]

---
 srcpkgs/gnome-epub-thumbnailer/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-epub-thumbnailer/template b/srcpkgs/gnome-epub-thumbnailer/template
index b16e705475f..3d203b54f9f 100644
--- a/srcpkgs/gnome-epub-thumbnailer/template
+++ b/srcpkgs/gnome-epub-thumbnailer/template
@@ -1,13 +1,13 @@
 # Template file for 'gnome-epub-thumbnailer'
 pkgname=gnome-epub-thumbnailer
-version=1.5
+version=1.6
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="gdk-pixbuf-devel libarchive-devel libxml2-devel"
 short_desc="Thumbnailer for EPub and MOBI books"
 maintainer="Alif Rachmawadi <arch@subosito.com>"
-license="GPL-3"
+license="GPL-3.0-only"
 homepage="https://git.gnome.org/browse/gnome-epub-thumbnailer"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=308210f5800219f64cae4828e59bb8e6e4c53b888048cf487221aeb4337d791a
+checksum=b502420d9b02ea0b0fc7986ef5a091a12b2286be14fed9e47594fe9fa0c5898e

From c9012c541177b55683edd508458a699961c1c1f4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:25:40 +0300
Subject: [PATCH 16/89] gnome-keyring: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-keyring/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-keyring/template b/srcpkgs/gnome-keyring/template
index 9ab2acb839a..e7f050f47fe 100644
--- a/srcpkgs/gnome-keyring/template
+++ b/srcpkgs/gnome-keyring/template
@@ -1,8 +1,7 @@
 # Template file for 'gnome-keyring'
 pkgname=gnome-keyring
-version=3.28.2
+version=3.34.0
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
 configure_args="--with-pam-dir=/usr/lib/security --disable-schemas-compile"
 hostmakedepends="autoconf docbook-xsl glib-devel intltool libtasn1-tools libxslt
@@ -16,7 +15,8 @@ license="GPL-2.0-or-later, LGPL-2.1-or-later"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-keyring/gnome-3-28/NEWS"
 homepage="https://www.gnome.org"
 distfiles="${GNOME_SITE}/$pkgname/${version%.*}/$pkgname-$version.tar.xz"
-checksum=81171b7d07211b216b4c9bb79bf2deb3deca18fe8d56d46dda1c4549b4a2646a
+checksum=e9cda9542a3e37c61636145e7e9e2513c569092ea8020752a834e1f40ad41943
+lib32disabled=yes
 
 do_check() {
 	# Requires X11 server

From 1b06b88f3b950d2c16146a3bdc4cb950a19567cd Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:28:08 +0300
Subject: [PATCH 17/89] gnome-mime-data: fix license. [ci skip]

---
 srcpkgs/gnome-mime-data/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-mime-data/template b/srcpkgs/gnome-mime-data/template
index e79860e1820..90b7c714428 100644
--- a/srcpkgs/gnome-mime-data/template
+++ b/srcpkgs/gnome-mime-data/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-mime-data'
 pkgname=gnome-mime-data
 version=2.18.0
-revision=4
+revision=5
 archs=noarch
 build_style=gnu-configure
 hostmakedepends="intltool shared-mime-info"
@@ -9,7 +9,7 @@ makedepends="shared-mime-info"
 depends="shared-mime-info"
 short_desc="Base MIME and Application database for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/2.18/${pkgname}-${version}.tar.bz2"
 checksum=37196b5b37085bbcd45c338c36e26898fe35dd5975295f69f48028b1e8436fd7

From 41548bce7e49e9ef81d82e161e86416267f7e12f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:30:49 +0300
Subject: [PATCH 18/89] gnome-passbook: update to 0.8. [ci skip]

---
 srcpkgs/gnome-passbook/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/gnome-passbook/template b/srcpkgs/gnome-passbook/template
index 89047338503..c0adaedb4d9 100644
--- a/srcpkgs/gnome-passbook/template
+++ b/srcpkgs/gnome-passbook/template
@@ -1,15 +1,15 @@
 # Template file for 'gnome-passbook'
 pkgname=gnome-passbook
-version=0.1
-revision=2
-_release_hash=0a227cfdf706f4bfcc0b782026f1aeb2
+version=0.8
+revision=1
+_release_hash=5fea4e4fc19f1732d3a5270bc43eb8e9
 wrksrc="passbook-${version}"
 build_style=meson
 hostmakedepends="glib-devel pkg-config"
 makedepends="gobject-introspection gtk+3-devel libglib-devel"
-short_desc="A password manager for GNOME"
+short_desc="Password manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Passbook"
 distfiles="https://gitlab.gnome.org/gnumdk/passbook/uploads/${_release_hash}/passbook-${version}.tar.xz"
-checksum=45821f50bcee5d94e3a24e2f892c1bdc645f4a8a795055f2624e59ccc92211d5
+checksum=55b5aaa5a61aa3b026de0491e1ac33ca6094208f88031f547f869578b5ff8ad9

From 2c77d3b308ca990c280197726a0d3682d9ae6c9a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:33:35 +0300
Subject: [PATCH 19/89] rygel: update to 0.38.3. [ci skip]

---
 srcpkgs/rygel/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/rygel/template b/srcpkgs/rygel/template
index db229f57b76..ea750c0664c 100644
--- a/srcpkgs/rygel/template
+++ b/srcpkgs/rygel/template
@@ -1,7 +1,7 @@
-# Template file for 'rygel'.
+# Template file for 'rygel'
 pkgname=rygel
-version=0.38.0
-revision=3
+version=0.38.3
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dexamples=false -Dtests=false
@@ -16,7 +16,7 @@ maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Rygel"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=acabf2114f3759c8ec6745d79e4c2e0728d115a83f540c1715667cc6210a7e0e
+checksum=08c21a577f7bdad26446a75ffa32778b26842c3b1188165f0b19818559747d00
 
 conf_files="/etc/rygel.conf"
 

From ac8cb8ee1e3936a38a1d17017d2f9b5a1053d578 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 23:25:31 +0300
Subject: [PATCH 20/89] gnome-colors-icon-theme: fix license. [ci skip]

---
 srcpkgs/gnome-colors-icon-theme/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-colors-icon-theme/template b/srcpkgs/gnome-colors-icon-theme/template
index 79f36d85e89..cbef71b5cfb 100644
--- a/srcpkgs/gnome-colors-icon-theme/template
+++ b/srcpkgs/gnome-colors-icon-theme/template
@@ -1,16 +1,17 @@
+# Template file for 'gnome-colors-icon-theme'
 pkgname=gnome-colors-icon-theme
 version=5.5.1
-revision=1
+revision=2
 archs=noarch
+wrksrc=${pkgname}
+create_wrksrc=yes
 depends="gtk-update-icon-cache hicolor-icon-theme gnome-icon-theme"
 short_desc="GNOME-Colors icon theme"
 maintainer="Peter Bui <pnutzh4x0r@gmail.com>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="https://github.com/gnome-colors/gnome-colors"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/distfiles/gnome-colors-${version}.tar.gz"
 checksum=1e91d845a753eb38671e7614a786f852ab858a12983111e780da4a47c9debe58
-wrksrc=${pkgname}
-create_wrksrc=yes
 
 do_install() {
 	make -s DESTDIR="$DESTDIR" install > /dev/null

From 4068c984e196de40792830b0e4d5baefe9d56e8e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Fri, 29 Nov 2019 17:40:10 +0300
Subject: [PATCH 21/89] libchamplain: update to 0.12.20. [ci skip]

---
 srcpkgs/libchamplain/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libchamplain/template b/srcpkgs/libchamplain/template
index 7c69641e742..f55dd4e6e35 100644
--- a/srcpkgs/libchamplain/template
+++ b/srcpkgs/libchamplain/template
@@ -1,7 +1,7 @@
 # Template file for 'libchamplain'
 pkgname=libchamplain
-version=0.12.19
-revision=3
+version=0.12.20
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dintrospection=$(vopt_if gir true false)
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://projects.gnome.org/libchamplain/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=36842e326cdbe3cdbdab818472797eedb661dec842fe0579596a3a8d438b2aa4
+checksum=0232b4bfcd130a1c5bda7b6aec266bf2d06e701e8093df1886f1e26bc1ba3066
 
 # Package build options
 build_options="gir vala"

From 34eacd10003322ae9b69e64ad40c597b893814c1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 30 Nov 2019 23:52:46 +0300
Subject: [PATCH 22/89] gnome-video-effects: update to 0.5.0. [ci skip]

---
 srcpkgs/gnome-video-effects/template | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-video-effects/template b/srcpkgs/gnome-video-effects/template
index d50ffc6fc1f..09ce987a05b 100644
--- a/srcpkgs/gnome-video-effects/template
+++ b/srcpkgs/gnome-video-effects/template
@@ -1,14 +1,12 @@
 # Template file for 'gnome-video-effects'
 pkgname=gnome-video-effects
-version=0.4.3
-revision=2
+version=0.5.0
+revision=1
 archs=noarch
-build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="gstreamer1-devel"
+build_style=meson
 short_desc="Collection of GStreamer effects for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/${pkgname}/0.4/${pkgname}-${version}.tar.xz"
-checksum=5a7ee0f5ade4b7d921f1b99f3b97d7d7bb830f2fef0f1daee20a7a1867708219
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4dc68e9b38fdfc1e8e0414e2d7ee83ace78efdee76f30506cc9dcd07394ad0c8

From 4b197b25677539db3a21f6771372bd0a160f3281 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:28 +0300
Subject: [PATCH 23/89] gnome-usage: update to 3.33.2. [ci skip]

---
 srcpkgs/gnome-usage/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-usage/template b/srcpkgs/gnome-usage/template
index 211129b35f6..fe4819e9606 100644
--- a/srcpkgs/gnome-usage/template
+++ b/srcpkgs/gnome-usage/template
@@ -1,14 +1,14 @@
 # Template file for 'gnome-usage'
 pkgname=gnome-usage
-version=3.32.0
+version=3.33.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala"
 makedepends="gettext-devel gtk+3-devel libglib-devel libgtop-devel vala-devel
- libdazzle-devel"
+ libdazzle-devel tracker-devel"
 short_desc="Nice way to view information about use of system resources"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Usage"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=30ca974cf01ebf29a66b85b0ae09d9beec77496fcda5e53f1bedbad626fbfa2d
+checksum=64561efd2413947c30ecf9fb56f4dfb4e62061621e13d354453496e094bb7770

From c994b2b1c4672b0585e1754ea83855d0f577f9d5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:35 +0300
Subject: [PATCH 24/89] gnome-themes-standard-metacity: update to 3.27.90. [ci
 skip]

---
 .../gnome-themes-standard-metacity/template   | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-themes-standard-metacity/template b/srcpkgs/gnome-themes-standard-metacity/template
index ca45c036f4c..e4f34a99fdd 100644
--- a/srcpkgs/gnome-themes-standard-metacity/template
+++ b/srcpkgs/gnome-themes-standard-metacity/template
@@ -1,22 +1,25 @@
 # Template file for 'gnome-themes-standard-metacity'
 pkgname=gnome-themes-standard-metacity
 _pkgname=gnome-themes-standard
-version=3.14.2.3
-revision=2
+version=3.27.90
+revision=1
 wrksrc=$_pkgname-$version
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool librsvg-utils glib-devel"
-makedepends="gtk+-devel gtk+3-devel librsvg-devel"
+makedepends="gtk+-devel gtk+3-devel librsvg-devel autoconf libtool"
 depends="cantarell-fonts adwaita-icon-theme"
 short_desc="Standard GNOME themes for metacity"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/$_pkgname/${version%.*.*}/$_pkgname-$version.tar.xz"
-checksum=d82a1cf90be3397deadea46d3ba396a46943c7e141ebc70cf833956b5794e479
+distfiles="${GNOME_SITE}/$_pkgname/${version%.*}/$_pkgname-$version.tar.xz"
+checksum=ffc7ccb5458ae4ef2501c49d84d3af150ca3b70c9b239e7ba6c05fe1405d31dc
 lib32disabled=yes
 
-post_install() {
-	# Remove everything but the metacity themes
-	rm -r $DESTDIR/usr/{lib,share/{icons,themes/*/{gtk-*,index.theme}}}
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" gtk-update-icon-cache"
+fi
+
+pre_build() {
+	sed -i 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
 }

From 552aa0f59c1e76ad150870f49256224aff5c7ccc Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 19:44:34 +0300
Subject: [PATCH 25/89] gnome-podcasts: update to 0.4.7. [ci skip]

---
 .../gnome-podcasts/patches/fix-build.patch    | 21 ----------------
 srcpkgs/gnome-podcasts/template               | 24 ++++++++++---------
 2 files changed, 13 insertions(+), 32 deletions(-)
 delete mode 100644 srcpkgs/gnome-podcasts/patches/fix-build.patch

diff --git a/srcpkgs/gnome-podcasts/patches/fix-build.patch b/srcpkgs/gnome-podcasts/patches/fix-build.patch
deleted file mode 100644
index aeb9581bd79..00000000000
--- a/srcpkgs/gnome-podcasts/patches/fix-build.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- podcasts-gtk/src/widgets/episode.rs.orig	2019-06-09 15:54:59.793451047 +0200
-+++ podcasts-gtk/src/widgets/episode.rs	2019-06-09 15:55:19.191311512 +0200
-@@ -559,7 +559,7 @@
-             .total_size
-             .get_text()
-             .as_ref()
--            .map(|s| s.trim_right_matches(" MB"))
-+            .map(|s| s.trim_end_matches(" MB"))
-             .and_then(|s| s.parse::<i32>().ok())
-             .is_none()
-         {
---- podcasts-gtk/src/widgets/shows_view.rs.orig	2019-06-09 15:54:00.320878867 +0200
-+++ podcasts-gtk/src/widgets/shows_view.rs	2019-06-09 15:54:13.151786563 +0200
-@@ -80,7 +80,6 @@
- }
- 
- fn on_child_activate(child: &gtk::FlowBoxChild, sender: &Sender<Action>) -> Result<(), Error> {
--    use gtk::WidgetExt;
- 
-     // This is such an ugly hack...
-     let id = WidgetExt::get_name(child)
diff --git a/srcpkgs/gnome-podcasts/template b/srcpkgs/gnome-podcasts/template
index 72e2db6b109..78fd3639ee6 100644
--- a/srcpkgs/gnome-podcasts/template
+++ b/srcpkgs/gnome-podcasts/template
@@ -1,26 +1,28 @@
 # Template file for 'gnome-podcasts'
 pkgname=gnome-podcasts
-version=0.4.6
-revision=3
+version=0.4.7
+revision=1
 wrksrc="podcasts-${version}"
 build_style=meson
-hostmakedepends="cargo gettext-devel glib-devel pkg-config"
+build_helper="rust"
+hostmakedepends="cargo gettext-devel glib-devel pkg-config sqlite-devel"
 makedepends="gstreamer1-devel gst-plugins-bad1-devel gst-plugins-base1-devel
- gtk+3-devel libhandy-devel libressl-devel sqlite-devel texinfo"
+ gtk+3-devel libhandy-devel libressl-devel sqlite-devel rust-std"
 short_desc="Listen to your favorite podcasts"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Podcasts"
 distfiles="https://gitlab.gnome.org/World/podcasts/-/archive/${version}/podcasts-${version}.tar.gz"
-checksum=953c63e8184ca1f748418d8a8262d40eaa41047f81e2d2c874a3035d9d9d0e4a
-nocross="rustc cant be crosscompiled as of now"
-broken="gettext-rs hash does not exists, if fixed build fails in gio 0.5.0"
+checksum=a9a1b62dd3567e3cca38ee29df2fadd82e2fb5e837b0a2a26ecac74e9305161c
 
 export GETTEXT_BIN_DIR=/usr/bin
 export GETTEXT_LIB_DIR="${XBPS_CROSS_BASE}/usr/lib/gettext"
 export GETTEXT_INCLUDE_DIR="${XBPS_CROSS_BASE}/usr/include"
 
-pre_build() {
-	cargo update --package openssl-sys --precise 0.9.46
-	cargo update --package openssl --precise 0.10.22
-}
+if [ $CROSS_BUILD ]; then
+	post_patch() {
+		vsed -i scripts/cargo.sh \
+			-e 's%"$CARGO_TARGET_DIR"/%&${RUST_TARGET}/%' \
+			-e '/CARGO_HOME/d'
+	}
+fi

From 3305eed0feb891cf763d477d47ee4132db82300f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:00:58 +0300
Subject: [PATCH 26/89] shotwell: update to 0.31.0. [ci skip]

---
 srcpkgs/shotwell/template | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/shotwell/template b/srcpkgs/shotwell/template
index a931bbd126e..fb9391563d1 100644
--- a/srcpkgs/shotwell/template
+++ b/srcpkgs/shotwell/template
@@ -1,19 +1,20 @@
 # Template file for 'shotwell'
 pkgname=shotwell
-version=0.30.7
+version=0.31.0
 revision=1
 build_style=meson
-hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool libgee08-devel
- libgexiv2-devel pkg-config vala-devel"
+hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool
+ libgee08-devel libgexiv2-devel pkg-config vala-devel"
 makedepends="gnome-doc-utils gst-plugins-base1-devel libgdata-devel
- libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel libraw-devel
- libunique-devel rest-devel vala-devel webkit2gtk-devel"
+ libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel
+ libraw-devel libunique-devel rest-devel vala-devel webkit2gtk-devel
+ libwebp-devel libchamplain-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="Open source photo manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, CC-BY-SA-3.0"
 homepage="https://wiki.gnome.org/Apps/Shotwell"
 distfiles="${GNOME_SITE}/shotwell/${version%.*}/shotwell-${version}.tar.xz"
-checksum=345d4205760d26f54033d44cf1b778ed9d3fc964de71293bfd5034ff484631d5
+checksum=ddf31ac17d36a0a84547abb593e7448227bcd83599ee7cf866091eca474998df
 lib32disabled=yes
 nocross="https://build.voidlinux.org/builders/armv7l-musl_builder/builds/20405/steps/shell_3/logs/stdio"

From 04540bdeea4d10cd817be5455e0e10d55ec16e39 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:03:10 +0300
Subject: [PATCH 27/89] iagno: update to 3.35.2. [ci skip]

---
 srcpkgs/iagno/template | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/iagno/template b/srcpkgs/iagno/template
index 50881be7287..503277576e6 100644
--- a/srcpkgs/iagno/template
+++ b/srcpkgs/iagno/template
@@ -1,6 +1,6 @@
 # Template file for 'iagno'
 pkgname=iagno
-version=3.34.3
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config vala"
@@ -10,4 +10,8 @@ maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Iagno"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e28b564c528b0ab2963a98d16289ad6407e4e4f9ddafcd53a17993b81a2926d5
+checksum=14020e9494422dac927d454bbe094b790ee7cf4972048025d0653d905434bbaa
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" librsvg-devel"
+fi

From 0c01252d849d5b8bcb04f649143557bacc75aded Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:04:14 +0300
Subject: [PATCH 28/89] gtranslator: update to 3.34.0. [ci skip]

---
 srcpkgs/gtranslator/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gtranslator/template b/srcpkgs/gtranslator/template
index f09798ae029..65934087ea9 100644
--- a/srcpkgs/gtranslator/template
+++ b/srcpkgs/gtranslator/template
@@ -1,14 +1,15 @@
 # Template file for 'gtranslator'
 pkgname=gtranslator
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="pkg-config glib-devel itstool"
-makedepends="libglib-devel gsettings-desktop-schemas-devel gtk+3-devel gspell-devel
- libxml2-devel gtksourceview4-devel libgda-devel gettext-devel"
+makedepends="libglib-devel gsettings-desktop-schemas-devel gtk+3-devel
+ gspell-devel libxml2-devel gtksourceview4-devel libgda-devel gettext-devel
+ libsoup-devel json-glib-devel"
 short_desc="GNOME translation making program"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Gtranslator"
 distfiles="${GNOME_SITE}/gtranslator/${version%.*}/gtranslator-${version}.tar.xz"
-checksum=aa8b6ce7a6ea199a50ee8f65258e640af80407a7433359b853039a7ea07a11b7
+checksum=b2f25c02bdfd246896803756078c3006ef433c83eb802bc23a33413046bffb17

From cb2d9dc2109ebe9d43a9ecef987abcbf6141de1c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 15 Dec 2019 20:46:13 +0300
Subject: [PATCH 29/89] gnome-shell: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-shell/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-shell/template b/srcpkgs/gnome-shell/template
index 96c5b80a194..2a85ca98143 100644
--- a/srcpkgs/gnome-shell/template
+++ b/srcpkgs/gnome-shell/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell'
 pkgname=gnome-shell
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper=gir
@@ -21,4 +21,4 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell"
 changelog="https://raw.githubusercontent.com/GNOME/gnome-shell/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ccd86559b9c897c219d2d2ebfdb8413efa4c1bee846427c750cb8a301b3f6d1e
+checksum=60d2b33fb46568dc60fa0766f6f1fda3ae74a2552d2312cda27cc3686998a02b

From 1d86a01ee25d8788eb7527f0aa6039c58d526eb5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:36:46 +0300
Subject: [PATCH 30/89] glib-networking: update to 2.63.2. [ci skip]

---
 srcpkgs/glib-networking/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib-networking/template b/srcpkgs/glib-networking/template
index 98520abb635..9941d37cf66 100644
--- a/srcpkgs/glib-networking/template
+++ b/srcpkgs/glib-networking/template
@@ -1,6 +1,6 @@
 # Template file for 'glib-networking'
 pkgname=glib-networking
-version=2.62.1
+version=2.63.2
 revision=1
 build_style=meson
 configure_args="-Dinstalled_tests=false -Dgnutls=enabled -Dlibproxy=enabled
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/glib-networking/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3c55ae6771ad7a79fa606a834f4686ed555c2774ed6e9ece6f3c0f6a3dab7110
+checksum=c70f31627d5999f02b2feae156f170d2dcab8d09378bfcd863c911905358f7f3
 lib32disabled=yes
 
 post_install() {

From 8efc2a4f0fb32bdb3f1a15b277dcbebfb412bd76 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:42:37 +0300
Subject: [PATCH 31/89] gnome-session: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-session/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-session/template b/srcpkgs/gnome-session/template
index 4444f162bf1..e48ae8b087a 100644
--- a/srcpkgs/gnome-session/template
+++ b/srcpkgs/gnome-session/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-session'
 pkgname=gnome-session
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 configure_args="-Dsystemd_journal=false"
@@ -15,4 +15,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-session"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=d7801fe2d5a751b19cb58081771316a76aabd5c550cd58d4e4c6a5a4ed356660
+checksum=8bb77381650a03ae4be7260751363bd27da93f09bac1ddbc885f4ce44ebaf8e1

From 19814e59df8d7a4e6e1e52b7fd7d3b85e00f1a5a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:43:02 +0300
Subject: [PATCH 32/89] gnome-shell-extensions: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-shell-extensions/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-shell-extensions/template b/srcpkgs/gnome-shell-extensions/template
index 97168b40f66..a30e2034c94 100644
--- a/srcpkgs/gnome-shell-extensions/template
+++ b/srcpkgs/gnome-shell-extensions/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell-extensions'
 pkgname=gnome-shell-extensions
-version=3.34.1
+version=3.35.2
 revision=1
 archs=noarch
 build_style=meson
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell/Extensions"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b0ad51143b1bf40def4a10f8fd0ab0ffb47218304800794e62cadd29d0acc75b
+checksum=111ec73184637f65ca26716d12bf08831515a2cf7ab5ccd4577d18d6d0a946ce

From f2f1d2162fe598c43754b483ea41f248f34db194 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:43:26 +0300
Subject: [PATCH 33/89] libdazzle: update to 3.35.2. [ci skip]

---
 srcpkgs/libdazzle/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libdazzle/template b/srcpkgs/libdazzle/template
index 70bdd3558fd..72c51618783 100644
--- a/srcpkgs/libdazzle/template
+++ b/srcpkgs/libdazzle/template
@@ -1,6 +1,6 @@
 # Template file for 'libdazzle'
 pkgname=libdazzle
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -12,9 +12,9 @@ short_desc="Library to delight your users with fancy features"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/libdazzle"
-changelog="https://raw.githubusercontent.com/GNOME/libdazzle/libdazzle-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/libdazzle/libdazzle-3-35/NEWS"
 distfiles="${GNOME_SITE}/libdazzle/${version%.*}/libdazzle-${version}.tar.xz"
-checksum=3d981cbb9d9bb87bfaff7bfd44d9847223b3ef81e69225e4d1f6ac725a669505
+checksum=8a3a18f499d4deaaf71e32ad04e276c3d750e32a43d283dde0a4086da613bfd9
 
 build_options="gir vala"
 build_options_default="gir vala"

From 2cdcc544066462cb93b8a610267f04b0e9e6bb0f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:44:10 +0300
Subject: [PATCH 34/89] polari: update to 3.35.2. [ci skip]

---
 srcpkgs/polari/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/polari/template b/srcpkgs/polari/template
index c4bddf6f242..b4bc6627e2f 100644
--- a/srcpkgs/polari/template
+++ b/srcpkgs/polari/template
@@ -1,6 +1,6 @@
 # Template file for 'polari'
 pkgname=polari
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="pkg-config itstool gobject-introspection"
@@ -13,5 +13,5 @@ maintainer="Sir_Boops <admin@boops.me>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Polari"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=bcf420c2a2a8c6ca39e95ffebb71c51fbf0f1866255e068ff6d78d63569c8e71
+checksum=e64c57a7f06d903af8b7538e04240e8a890fbb2055e6fcd28ea735beff77cceb
 nocross="telepathy-idle:   File "../tools/glib-ginterface-gen.py", line 791 SyntaxError: invalid syntax"

From 4f2a6a55ba458518433cd71fc4adb2d619599021 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:44:32 +0300
Subject: [PATCH 35/89] sysprof: update to 3.35.2. [ci skip]

---
 srcpkgs/sysprof/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/sysprof/template b/srcpkgs/sysprof/template
index 8703271a34d..c26da1754ee 100644
--- a/srcpkgs/sysprof/template
+++ b/srcpkgs/sysprof/template
@@ -1,6 +1,6 @@
 # Template file for 'sysprof'
 pkgname=sysprof
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 configure_args="-Denable_gtk=true -Dsystemdunitdir=deleteme"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GPL-3.0-or-later"
 homepage="http://sysprof.com/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=844bbb8d8b65071b3bca96f8e921319ceef81f2d2c51fcc9da63a4b355c893d0
+checksum=cbce7f0a08f70efe09e44146e3350133d5f3fa5f5a81a611ac6fd31d42f3ee69
 
 # for ITS rules
 if [ "$CROSS_BUILD" ]; then

From e6b2c1acda7a254f50093eedc2acd9581c1e59c1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:02:51 +0300
Subject: [PATCH 36/89] evince: update to 3.35.1. [ci skip]

---
 srcpkgs/evince/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/evince/template b/srcpkgs/evince/template
index 6e4ec3ecb97..c864d0608d8 100644
--- a/srcpkgs/evince/template
+++ b/srcpkgs/evince/template
@@ -1,6 +1,6 @@
 # Template file for 'evince'
 pkgname=evince
-version=3.34.1
+version=3.35.1
 revision=1
 build_helper="gir"
 build_style=gnu-configure
@@ -19,7 +19,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evince"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85e407cde396147b249120d816c7715fb6df191ca561cf65ff3554a5d67626df
+checksum=a66279369275b7731b6bf05cb75f8f8477c789342584893f57c3380c132b0bb3
 
 build_options="gir"
 build_options_default="gir"

From 4e8762de27cf33c6c3eee41511880390ccb62887 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:03:19 +0300
Subject: [PATCH 37/89] vte3: update to 0.59.0. [ci skip]

---
 srcpkgs/vte3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/vte3/template b/srcpkgs/vte3/template
index e2399dbcec2..1567136487e 100644
--- a/srcpkgs/vte3/template
+++ b/srcpkgs/vte3/template
@@ -1,6 +1,6 @@
 # Template file for 'vte3'
 pkgname=vte3
-version=0.58.3
+version=0.59.0
 revision=1
 wrksrc="vte-${version}"
 build_style=meson
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later, LGPL-2.1-or-later, LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Terminal/VTE"
 distfiles="${GNOME_SITE}/vte/${version%.*}/vte-${version}.tar.xz"
-checksum=22dcb54ac2ad1a56ab0a745e16ccfeb383f0b5860b5bfa1784561216f98d4975
+checksum=bbd54c2ef133d0883acf2a4afbf1085087b576f4046a8728209111a604de6927
 
 # Suppress warnings as errors for NULL format strings (musl libc)
 CXXFLAGS="-Wno-error=format="

From 17d5e98a66670eed3e5d69eb4e949d94a6687e8d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:03:44 +0300
Subject: [PATCH 38/89] gnome-terminal: update to 3.35.1. [ci skip]

---
 srcpkgs/gnome-terminal/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-terminal/template b/srcpkgs/gnome-terminal/template
index 2c9530ecc2c..e03ba17f828 100644
--- a/srcpkgs/gnome-terminal/template
+++ b/srcpkgs/gnome-terminal/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-terminal'
 pkgname=gnome-terminal
-version=3.32.2
+version=3.35.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-static --with-nautilus-extension"
@@ -14,5 +14,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.3-only"
 homepage="https://wiki.gnome.org/Apps/Terminal"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=759a2b093ca606107eb8fb53e407cdf9adce76ccee33f9fa0cd76bf594bd106a
+checksum=465cb0cc448e075bba4eae0a020e163a4fb5beea277e4dcde9830917595ad392
 lib32disabled=yes

From 23d2822a65f2c7c50d62253aa0cfb89e5dd6f062 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:18:56 +0300
Subject: [PATCH 39/89] gtk-doc: update to 1.32. [ci skip]

---
 srcpkgs/gtk-doc/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtk-doc/template b/srcpkgs/gtk-doc/template
index 4d4523cc1df..3b1236e872d 100644
--- a/srcpkgs/gtk-doc/template
+++ b/srcpkgs/gtk-doc/template
@@ -1,6 +1,6 @@
 # Template file for 'gtk-doc'
 pkgname=gtk-doc
-version=1.31
+version=1.32
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1-or-later"
 homepage="http://www.gtk.org/gtk-doc/"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=a51687956d0377ac70904d03fdc73c9e116589b4a01453fa92162442b3657011
+checksum=de0ef034fb17cb21ab0c635ec730d19746bce52984a6706e7bbec6fb5e0b907c

From 0aff25be7ed89944341cbdf1248942e473c32269 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:44:20 +0300
Subject: [PATCH 40/89] gnome-disk-utility: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-disk-utility/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-disk-utility/template b/srcpkgs/gnome-disk-utility/template
index aa69b8a2b85..648756c11ea 100644
--- a/srcpkgs/gnome-disk-utility/template
+++ b/srcpkgs/gnome-disk-utility/template
@@ -1,17 +1,18 @@
 # Template file for 'gnome-disk-utility'
 pkgname=gnome-disk-utility
-version=3.32.1
-revision=2
+version=3.35.2
+revision=1
 build_style=meson
 configure_args="-Dlibsystemd=false"
 hostmakedepends="glib-devel gtk-doc intltool pkg-config libxslt"
 makedepends="gnome-settings-daemon-devel libcanberra-devel libdvdread-devel
- libnotify-devel libpwquality-devel libsecret-devel udisks2-devel libxslt-devel"
+ libnotify-devel libpwquality-devel libsecret-devel udisks2-devel libxslt-devel
+ elogind-devel"
 depends="desktop-file-utils gptfdisk hicolor-icon-theme parted"
 short_desc="GNOME libraries and applications for dealing with storage devices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Disks"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6f15e0d12e87205712f0779195503cda33cb50c40a421f9b94d0869aa25c7c23
+checksum=14268385d2cfc5e2e916ffa515168921f414a0a912263c61ed8489d95ac892b4
 lib32disabled=yes

From 1dcbe5e1007cca2a131552aa40b33fe08f8adc0f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:54:58 +0300
Subject: [PATCH 41/89] file-roller: update to 3.35.1. [ci skip]

---
 srcpkgs/file-roller/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/file-roller/template b/srcpkgs/file-roller/template
index 837fdb7a7af..1af7ad04b89 100644
--- a/srcpkgs/file-roller/template
+++ b/srcpkgs/file-roller/template
@@ -1,6 +1,6 @@
 # Template file for 'file-roller'
 pkgname=file-roller
-version=3.32.2
+version=3.35.1
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/FileRoller"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c60a79e0baf74cb1c09a1c8f5ffe0d6e311227ca14ecc5b1156beb3715341a71
+checksum=ed41308e4458e178b70372d6784af8a7ef23001822949f2102c695c187bca8d2

From b024af5ca5baa4069500eead1473b40150b50f0d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:00:15 +0300
Subject: [PATCH 42/89] libsecret: update to 0.19.1. [ci skip]

---
 srcpkgs/libsecret/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libsecret/template b/srcpkgs/libsecret/template
index d8eefadd144..eead8aa5d97 100644
--- a/srcpkgs/libsecret/template
+++ b/srcpkgs/libsecret/template
@@ -1,7 +1,7 @@
 # Template file for 'libsecret'
 pkgname=libsecret
-version=0.18.8
-revision=2
+version=0.19.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection) --disable-static
@@ -13,7 +13,7 @@ maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3bfa889d260e0dbabcf5b9967f2aae12edcd2ddc9adc365de7a5cc840c311d15
+checksum=8583e10179456ae2c83075d95455f156dc08db6278b32bf4bd61819335a30e3a
 
 # Package build options
 build_options="gir vala"

From 4a650cde063a1ab07e2a15de89be3bdc2c235cbb Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:09:26 +0300
Subject: [PATCH 43/89] epiphany: update to 3.35.2. [ci skip]

---
 srcpkgs/epiphany/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/epiphany/template b/srcpkgs/epiphany/template
index b5a3b890c75..b5197c51d17 100644
--- a/srcpkgs/epiphany/template
+++ b/srcpkgs/epiphany/template
@@ -1,7 +1,7 @@
 # Template file for 'epiphany'
 pkgname=epiphany
-version=3.32.4
-revision=2
+version=3.35.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddistributor_name=VoidLinux -Dunit_tests=disabled"
@@ -16,4 +16,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Web"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c9a828578301af77ac9f3d3ce253b02f9f3a1561840cc8d74dd5645f92d0a995
+checksum=71b5a1aedd117a2dc71e8c6ff31d71b2a6cb77296f8b3ef7370a35db2059e9e1

From 32d467ff35cf0d6c2d4cd44b222c39dedae21648 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:16:29 +0300
Subject: [PATCH 44/89] gvfs: update to 1.43.2. [ci skip]

---
 srcpkgs/gvfs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gvfs/template b/srcpkgs/gvfs/template
index abe62ad8e0e..cc9e87b4537 100644
--- a/srcpkgs/gvfs/template
+++ b/srcpkgs/gvfs/template
@@ -1,6 +1,6 @@
 # Template file for 'gvfs'
 pkgname=gvfs
-version=1.42.2
+version=1.43.2
 revision=1
 build_style=meson
 configure_args="-Dsystemduserunitdir=no -Dtmpfilesdir=no -Dlogind=false
@@ -19,7 +19,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/gvfs"
 changelog="https://gitlab.gnome.org/GNOME/gvfs/raw/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b57af97573bd295aa50037eed29c6ba7a36188230c515e007c3018855a5cf949
+checksum=8645f8579d2000a3549e528a14a580e3ad17ecffeefdd44b6826a5975e3299d1
 
 # Manually declare shlibs used by the subpkgs.
 shlib_provides="libgvfscommon.so libgvfsdaemon.so"

From 54ef1cfe5b498ca4a5c16e5d87bd8f7b9d97bfc0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:21:07 +0300
Subject: [PATCH 45/89] orca: update to 3.34.1. [ci skip]

---
 srcpkgs/orca/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/orca/template b/srcpkgs/orca/template
index b1067adbaad..f4f88635c30 100644
--- a/srcpkgs/orca/template
+++ b/srcpkgs/orca/template
@@ -1,7 +1,7 @@
 # Template file for 'orca'
 pkgname=orca
-version=3.34.0
-revision=4
+version=3.34.1
+revision=1
 archs=noarch
 build_style=gnu-configure
 pycompile_module="orca"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Orca"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=977c8079519ffbabad76861aa2790a55671ff69f19f3f4a158bfeb7c192a0282
+checksum=64da1d60bdf48366bc8d411d5d190d2377eb659f3a9861ebd77142ede1b168e0
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" python3-gobject-devel"

From 8ff28f2fde504a77d3f82f1bca9c00d6f7018363 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:04:35 +0300
Subject: [PATCH 46/89] gnote: update to 3.34.1. [ci skip]

---
 common/shlibs          | 1 +
 srcpkgs/gnote/template | 6 +++---
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 8b1c87a98aa..4d2fa72040b 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -619,6 +619,7 @@ libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
 libgnomecanvasmm-2.6.so.1 libgnomecanvasmm-2.26.0_1
 libgnome-keyring.so.0 libgnome-keyring-3.0.0_1
+libgnote-3.34.so.0 gnote-3.34.1_1
 libical.so.3 libical-3.0.4_1
 libical_cxx.so.3 libical-3.0.4_1
 libicalss.so.3 libical-3.0.4_1
diff --git a/srcpkgs/gnote/template b/srcpkgs/gnote/template
index 557fb0a989c..9a9f64dbe82 100644
--- a/srcpkgs/gnote/template
+++ b/srcpkgs/gnote/template
@@ -1,7 +1,7 @@
 # Template file for 'gnote'
 pkgname=gnote
-version=3.32.1
-revision=2
+version=3.34.1
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile --disable-static"
 hostmakedepends="pkg-config intltool itstool desktop-file-utils"
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Gnote"
 distfiles="${GNOME_SITE}/gnote/${version%.*}/gnote-${version}.tar.xz"
-checksum=b8c35188ab45409e3dbb153ac27ecb1029a344dcefff49d3cac4d9fa4c243366
+checksum=4f41c49265376d9e9fd8fcb43e13779c1f965411c67969d18b0e12878d70c3cb
 lib32disabled=yes

From 14f9bebdfed382955baeed15bd6e29ddc2e254c2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:06:57 +0300
Subject: [PATCH 47/89] atk: update to 2.35.1. [ci skip]

---
 srcpkgs/atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/atk/template b/srcpkgs/atk/template
index 7c14b116598..b4d6a57554f 100644
--- a/srcpkgs/atk/template
+++ b/srcpkgs/atk/template
@@ -1,6 +1,6 @@
 # Template file for 'atk'
 pkgname=atk
-version=2.34.1
+version=2.35.1
 revision=1
 build_style=meson
 build_helper="gir"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://developer.gnome.org/atk/"
 distfiles="${GNOME_SITE}/atk/${version%.*}/atk-${version}.tar.xz"
-checksum=d4f0e3b3d21265fcf2bc371e117da51c42ede1a71f6db1c834e6976bb20997cb
+checksum=be9360fa3f845e91f001c20e73b3a0315b38983411b1dc008195f779ac543884
 
 # Package build options
 build_options="gir"

From ad079436b52fca8d90964c57b1542169bc76a0e2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:18:16 +0300
Subject: [PATCH 48/89] gnome-tetravex: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-tetravex/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-tetravex/template b/srcpkgs/gnome-tetravex/template
index d2e2be6ccf3..bc8d0b15d22 100644
--- a/srcpkgs/gnome-tetravex/template
+++ b/srcpkgs/gnome-tetravex/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-tetravex'
 pkgname=gnome-tetravex
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="itstool pkg-config vala glib-devel"
@@ -10,4 +10,4 @@ maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Tetravex"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e06ddb08f810314553c7745c8476221a8b1425599f64388157ee4495baf12916
+checksum=901166541eae1b50b5c57abfaf5853a261f88b11adcdcee29866501cd77c16f8

From 2e1bc66191996fc9dcc959ebe4e46114f0c7a0c1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:48:24 +0300
Subject: [PATCH 49/89] gnome-music: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-music/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-music/template b/srcpkgs/gnome-music/template
index e2fbbcbdeca..027182fe21c 100644
--- a/srcpkgs/gnome-music/template
+++ b/srcpkgs/gnome-music/template
@@ -1,9 +1,9 @@
 # Template file for 'gnome-music'
 pkgname=gnome-music
-version=3.32.2
-revision=2
-build_helper="gir"
+version=3.35.2
+revision=1
 build_style=meson
+build_helper="gir"
 pycompile_module="gnomemusic"
 hostmakedepends="glib-devel itstool pkg-config"
 makedepends="gnome-desktop-devel grilo-devel libmediaart-devel
@@ -16,5 +16,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Music"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=131a4b09983f7ee7f6ad6277bc2d5cf1b4a56484faf6357850357a355aa0c732
+checksum=d7d1a053fc2193c9358c9068bb19bc4823bf4ae6b1d1fdea8a92cce3553ae197
 lib32disabled=yes

From 6fe3cdd3cfd1f1ec0770bdd20428113ae4bf442c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:15:58 +0300
Subject: [PATCH 50/89] gnome-flashback: update to 3.35.1. [ci skip]

---
 srcpkgs/gnome-flashback/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-flashback/template b/srcpkgs/gnome-flashback/template
index bc5ae868cb8..c386db812ef 100644
--- a/srcpkgs/gnome-flashback/template
+++ b/srcpkgs/gnome-flashback/template
@@ -1,20 +1,20 @@
 # Template file for 'gnome-flashback'
 pkgname=gnome-flashback
-version=3.34.1
+version=3.35.1
 revision=1
 build_style=gnu-configure
 configure_args="--enable-compile-warnings=minimum"
 hostmakedepends="pkg-config automake glib-devel"
-makedepends="gtk+3-devel gsettings-desktop-schemas-devel
+makedepends="gtk+3-devel gsettings-desktop-schemas-devel elogind-devel
  libglib-devel gdk-pixbuf-devel upower-devel ibus-devel polkit-devel
  pulseaudio-devel libcanberra-devel libxcb-devel libX11-devel pango-devel
  libxkbfile-devel gnome-bluetooth-devel gnome-desktop-devel"
 depends="gnome-bluetooth gnome-session gnome-settings-daemon
- gnome-panel gnome-themes-standard metacity"
+ gnome-panel gnome-themes-standard metacity elogind"
 short_desc="GNOME 3 session with similar user experience to the GNOME 2.x series"
 maintainer="shizonic <realtiaz@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeFlashback"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddba0c9661ad93b58ccbde267f6ecbc02da2c15f9d38d87d5504f4670c2fbc77
+checksum=666ce1d33e21180d192303255dba51b706b770ec3ee1ca71c5ec9d341b98f990
 nocross="gobject-introspection"

From 815377c72c5fc7a129d0f922792514c298c5e007 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:19:40 +0300
Subject: [PATCH 51/89] at-spi2-atk: update to 2.34.1. [ci skip]

---
 srcpkgs/at-spi2-atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/at-spi2-atk/template b/srcpkgs/at-spi2-atk/template
index 9d675e3752b..4351b7996f3 100644
--- a/srcpkgs/at-spi2-atk/template
+++ b/srcpkgs/at-spi2-atk/template
@@ -1,6 +1,6 @@
 # Template file for 'at-spi2-atk'
 pkgname=at-spi2-atk
-version=2.34.0
+version=2.34.1
 revision=1
 build_style=meson
 hostmakedepends="libtool pkg-config intltool glib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a7e96a1eb549529e60a42201dd78ccce413d9c1706e16351cc5288e064500
+checksum=776df930748fde71c128be6c366a987b98b6ee66d508ed9c8db2355bf4b9cc16
 
 at-spi2-atk-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

From 56c0fb6da9dbab5bdb5667bbd92dde5b451ad57b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:22:48 +0300
Subject: [PATCH 52/89] dconf: update to 0.34.0. [ci skip]

---
 srcpkgs/dconf/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf/template b/srcpkgs/dconf/template
index 8cf262e4576..3499401e70b 100644
--- a/srcpkgs/dconf/template
+++ b/srcpkgs/dconf/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf'
 pkgname=dconf
-version=0.32.0
+version=0.34.0
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=68bce78b19bc94cb2c3bb8587e37f9e5e338568c3a674f86edde9c9f1624ffab
+checksum=943a94ab16121de5580ceaed2605b87444d1bca1c6cd8beefb778bcb0aa2da52
 
 dconf-devel_package() {
 	depends="libglib-devel vala-devel>=0.24 dconf>=${version}_${revision}"

From 0b7df80f070c4b53d358ca8cc4bfac9960e071f7 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:32:05 +0300
Subject: [PATCH 53/89] dconf-editor: update to 3.34.2. [ci skip]

---
 srcpkgs/dconf-editor/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf-editor/template b/srcpkgs/dconf-editor/template
index 3617e12dacf..0dd9c9ccd3e 100644
--- a/srcpkgs/dconf-editor/template
+++ b/srcpkgs/dconf-editor/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf-editor'
 pkgname=dconf-editor
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -10,4 +10,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=32ad3e899840e0b17d36a1c4dab60bfb1eedfcf4e46f3ae428076132f37ff335
+checksum=cecc2a5cb44af68be80e970e83fb9e3e92e2a74df7c90b63324e6da19a929d5f

From 0a2451d2d9343c5ca7701b34f969fdcaa1427673 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:38:16 +0300
Subject: [PATCH 54/89] metacity: update to 3.34.1. [ci skip]

---
 common/shlibs             | 1 +
 srcpkgs/metacity/template | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 4d2fa72040b..645e2e91e00 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -45,6 +45,7 @@ libnss_nis.so.2 glibc-2.29_1
 libcrypt.so.1 glibc-2.29_1
 libBrokenLocale.so.1 glibc-2.29_1
 libmemusage.so glibc-2.29_1
+libmetacity.so.1 metacity-3.34.1_1
 libSegFault.so glibc-2.29_1
 libpcprofile.so glibc-2.29_1
 libcidn.so.1 glibc-2.29_1
diff --git a/srcpkgs/metacity/template b/srcpkgs/metacity/template
index 1d419267668..fdbf1bd3088 100644
--- a/srcpkgs/metacity/template
+++ b/srcpkgs/metacity/template
@@ -1,6 +1,6 @@
 # Template file for 'metacity'
 pkgname=metacity
-version=3.30.1
+version=3.34.1
 revision=1
 build_style=gnu-configure
 hostmakedepends="gettext-devel glib-devel itstool pkg-config yelp-tools zenity"
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/metacity"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0f1311b7aa38de71c66080bd2b744de2cd9580afcaee9c6097a7d3f5c421798a
+checksum=31c7d1045c390afb3bf405735b0b26c459197cbf43af37c469eb8918ce3a453d

From 50e1dcdb915e1c86938b1a7d05d84e07d65074f5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:43:47 +0300
Subject: [PATCH 55/89] eog: update to 3.35.1. [ci skip]

---
 srcpkgs/eog/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/eog/template b/srcpkgs/eog/template
index e0c978ad2fe..05b430354a2 100644
--- a/srcpkgs/eog/template
+++ b/srcpkgs/eog/template
@@ -1,6 +1,6 @@
 # Template file for 'eog'
 pkgname=eog
-version=3.34.1
+version=3.35.1
 revision=1
 build_helper="gir"
 build_style=meson
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/EyeOfGnome"
 distfiles="${GNOME_SITE}/eog/${version%.*}/eog-${version}.tar.xz"
-checksum=fdb0739f8420af2ffb8e91c766a154afefdf20f721ad34b56cab27fd1569f42c
+checksum=12980362b3bbf29ad59231ae71a1f16ce7069196b6f729884954b2255c6fc8a1
 shlib_provides="libeog.so"
 lib32disabled=yes
 nocross="Can not use target eog as a generator because it is cross-built"

From 9e95890f9153cba0feeecc0e57fcd3f7c797278b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:49:09 +0300
Subject: [PATCH 56/89] eog-plugins: update to 3.26.4. [ci skip]

---
 srcpkgs/eog-plugins/template | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/eog-plugins/template b/srcpkgs/eog-plugins/template
index 7ae10cdb7e5..c47e7825ad8 100644
--- a/srcpkgs/eog-plugins/template
+++ b/srcpkgs/eog-plugins/template
@@ -1,18 +1,17 @@
 # Template file for 'eog-plugins'
 pkgname=eog-plugins
-version=3.26.3
+version=3.26.4
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="eog-devel libgdata-devel
- libchamplain-devel libpeas-devel libexif-devel exempi-devel
- gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 pycompile_dirs="usr/lib/eog/plugins"
+hostmakedepends="pkg-config intltool"
+makedepends="eog-devel libgdata-devel libchamplain-devel libpeas-devel libexif-devel
+ exempi-devel gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 depends="eog gsettings-desktop-schemas"
 short_desc="Eye of GNOME plugins"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e385281649e7ef9e38005a73ffd5688769233a2bc8fc03e62e4da1708596d619
+checksum=dd5a4f537d56d30e25931d32865abf684eac69362ce8320941c547461476a75d
+lib32disabled=yes

From e3c4318d47b20affb6eded4d48d381b55711a32d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:58:16 +0300
Subject: [PATCH 57/89] eolie: update to 0.9.63. [ci skip]

---
 srcpkgs/eolie/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/eolie/template b/srcpkgs/eolie/template
index 88efc5b89e3..826bdc9e925 100644
--- a/srcpkgs/eolie/template
+++ b/srcpkgs/eolie/template
@@ -1,8 +1,8 @@
 # Template file for 'eolie'
 pkgname=eolie
-version=0.9.62
-revision=2
-_eolie_hash=bb4aad19272cc636bd17f2f6602127fe
+version=0.9.63
+revision=1
+_eolie_hash=d42b466752729a0d3fa828a721e25043
 build_style=meson
 pycompile_module="eolie"
 hostmakedepends="appstream-glib desktop-file-utils glib-devel pkg-config
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Eolie"
 distfiles="https://gitlab.gnome.org/World/eolie/uploads/${_eolie_hash}/eolie-${version}.tar.xz"
-checksum=9da359895306cf5929a01acb60d1506afb0a04ddbbd0d80ae1d0ba831e34671b
+checksum=306a2d727cb50968e04cd7a1bb77f5eca1810a3da124b916c0010ac1c143f786

From 4a1b5231f2af7720b67057b38dd54b5d989158d7 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:05:18 +0300
Subject: [PATCH 58/89] gnome-online-accounts: update to 3.35.1. [ci skip]

---
 srcpkgs/gnome-online-accounts/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-online-accounts/template b/srcpkgs/gnome-online-accounts/template
index 469ba370503..a8843f98062 100644
--- a/srcpkgs/gnome-online-accounts/template
+++ b/srcpkgs/gnome-online-accounts/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-online-accounts'
 pkgname=gnome-online-accounts
-version=3.34.1
+version=3.35.1
 revision=1
 build_style=gnu-configure
 build_helper="gir"
@@ -20,7 +20,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeOnlineAccounts"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=4832ca8e48d3a497fc676e7b6f146009ab4206995362977b9805aa39f164783a
+checksum=71fd33f2e385e0e044f2186b9605cd96eea4a58344c023a3ae027b9eb73ffb7e
 
 build_options="gir vala"
 build_options_default="gir vala"

From 6268232264724569cc3ad4c8c71768d3c2b666ec Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:50:24 +0300
Subject: [PATCH 59/89] gtkmm: update to 3.24.2. [ci skip]

---
 srcpkgs/gtkmm/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtkmm/template b/srcpkgs/gtkmm/template
index b09ab6c9cce..134961b474a 100644
--- a/srcpkgs/gtkmm/template
+++ b/srcpkgs/gtkmm/template
@@ -1,6 +1,6 @@
 # Template file for 'gtkmm'
 pkgname=gtkmm
-version=3.24.1
+version=3.24.2
 revision=1
 build_style=gnu-configure
 configure_args="--disable-documentation"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddfe42ed2458a20a34de252854bcf4b52d3f0c671c045f56b42aa27c7542d2fd
+checksum=6d71091bcd1863133460d4188d04102810e9123de19706fb656b7bb915b4adc3
 
 gtkmm-devel_package() {
 	depends="${makedepends} gtkmm>=${version}_${revision}"

From 3300dfc03e1a333458a1278d8ce4760b3992fec5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:52:56 +0300
Subject: [PATCH 60/89] quadrapassel: update to 3.35.2. [ci skip]

---
 srcpkgs/quadrapassel/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/quadrapassel/template b/srcpkgs/quadrapassel/template
index 46d3bbb1feb..445dc40bae1 100644
--- a/srcpkgs/quadrapassel/template
+++ b/srcpkgs/quadrapassel/template
@@ -1,6 +1,6 @@
 # Template file for 'quadrapassel'
 pkgname=quadrapassel
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config vala"
@@ -11,4 +11,4 @@ maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Quadrapassel"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b39acdd4754580dfcdf5a48f22945826926f3b324c92e417144f610a528706e2
+checksum=0ab0a70235829eaf2147b21ae841b61e12ba2921aeec27cc076f4cbb5f2edb09

From e6d91c71cf2f1ab514e7deea2f29f95c94f5cf58 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:04:53 +0300
Subject: [PATCH 61/89] tepl: update to 4.3.1. [ci skip]

---
 srcpkgs/tepl/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/tepl/template b/srcpkgs/tepl/template
index 5bbc9eef2ed..5bf4fbcf674 100644
--- a/srcpkgs/tepl/template
+++ b/srcpkgs/tepl/template
@@ -1,7 +1,7 @@
 # Template file for 'tepl'
 pkgname=tepl
-version=4.2.0
-revision=3
+version=4.3.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Tepl"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8839d4428ecdd87fd5abc657ebbe5a9601a57262e9946845e47dec264e669ccd
+checksum=406f2aa257098de00cdce01dfe30d6fd7dbd2af60c81b33fbec5ac24b4dec623
 
 build_options="gir"
 build_options_default="gir"
@@ -30,6 +30,7 @@ tepl-devel_package() {
 		vmove usr/include
 		vmove usr/lib/*.so
 		vmove usr/lib/pkgconfig
+		vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 144dbf8ecccf5a0b2e2fde5bd4debe5bebda3e93 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:45:54 +0300
Subject: [PATCH 62/89] glib: update to 2.63.3. [ci skip]

---
 srcpkgs/glib/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib/template b/srcpkgs/glib/template
index 2e3947b69dc..5b8cd35942e 100644
--- a/srcpkgs/glib/template
+++ b/srcpkgs/glib/template
@@ -1,6 +1,6 @@
 # Template file for 'glib'
 pkgname=glib
-version=2.62.3
+version=2.63.3
 revision=1
 build_style=meson
 configure_args="-Dfam=false -Dman=true -Dselinux=disabled
@@ -14,7 +14,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/GLib"
 changelog="https://gitlab.gnome.org/GNOME/glib/raw/master/NEWS"
 distfiles="${GNOME_SITE}/glib/${version%.*}/glib-${version}.tar.xz"
-checksum=4400adc9f0d3ffcfe8e84225210370ce3f9853afb81812ddadb685325aa655c4
+checksum=8a09a2a059eb617d52b6fcd6f25e0243f0849c598612c9aa5074ce3a6ee1c11c
 
 build_options="gtk_doc"
 desc_option_gtk_doc="Build GTK API docs"

From b1ac93a9703958db80a039164c932e6cc73cde0a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 22:05:45 +0300
Subject: [PATCH 63/89] mutter: update to 3.35.2. [ci skip]

---
 common/shlibs                                 | 14 +++++++++-----
 .../patches/fix-cogl-egl-includes.patch       | 11 -----------
 srcpkgs/mutter/patches/fixudev.patch          | 16 ----------------
 srcpkgs/mutter/template                       | 19 +++++++++++++------
 srcpkgs/mutter/update                         |  2 --
 5 files changed, 22 insertions(+), 40 deletions(-)
 delete mode 100644 srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
 delete mode 100644 srcpkgs/mutter/patches/fixudev.patch
 delete mode 100644 srcpkgs/mutter/update

diff --git a/common/shlibs b/common/shlibs
index 645e2e91e00..4c765745c0a 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2819,11 +2819,15 @@ libdecoration.so.0 compiz-core-0.8.14_1
 libcompizconfig.so.0 libcompizconfig-0.8.14_1
 libemeraldengine.so.0 emerald-0.8.14_1
 libhangul.so.1 libhangul-0.1.0_1
-libmutter-5.so.0 mutter-3.34.1_1
-libmutter-clutter-5.so.0 mutter-3.34.1_1
-libmutter-cogl-path-5.so mutter-3.34.1_1
-libmutter-cogl-5.so.0 mutter-3.34.1_1
-libmutter-cogl-pango-5.so.0 mutter-3.34.1_1
+libmutter-6.so.0 mutter-3.35.2_1
+libmutter-cogl-pango-6.so.0 mutter-3.35.2_1
+libmutter-cogl-6.so.0 mutter-3.35.2_1
+libmutter-clutter-6.so.0 mutter-3.35.2_1
+libmutter-cogl-path-6.so.0 mutter-3.35.2_1
+libmutter-clutter-6.so mutter-3.35.2_1
+libmutter-cogl-6.so mutter-3.35.2_1
+libmutter-cogl-pango-6.so mutter-3.35.2_1
+libmutter-cogl-path-6.so mutter-3.35.2_1
 libgeoclue-2.so.0 geoclue2-2.4.4_1
 libgepub.so.0 libgepub-0.4_1
 libslopy.so.7.4 slop-7.4_1
diff --git a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch b/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
deleted file mode 100644
index d90988887c3..00000000000
--- a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- cogl/cogl/meson.build	2019-10-08 19:15:10.000000000 +0200
-+++ cogl/cogl/meson.build	2019-12-16 15:45:44.037640548 +0100
-@@ -48,7 +48,7 @@
- built_headers += [cogl_gl_header_h]
- 
- if have_egl
--  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>'
-+  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>\n#include <EGL/eglmesaext.h>'
- else
-   cogl_egl_includes_string = ''
- endif
diff --git a/srcpkgs/mutter/patches/fixudev.patch b/srcpkgs/mutter/patches/fixudev.patch
deleted file mode 100644
index c9bd1b8c6ce..00000000000
--- a/srcpkgs/mutter/patches/fixudev.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-Apparently the version limit is only required for systemd udev, it works
-just fine with our version of eudev.
-
-diff --git meson.build meson.build
-index dc210e6..6e080ca 100644
---- meson.build
-+++ meson.build
-@@ -168,7 +168,7 @@ endif
- 
- have_libgudev = get_option('udev')
- if have_libgudev
--  libudev_dep = dependency('libudev', version: udev_req)
-+  libudev_dep = dependency('libudev')
-   gudev_dep = dependency('gudev-1.0', version: gudev_req)
- endif
- 
diff --git a/srcpkgs/mutter/template b/srcpkgs/mutter/template
index 5c792515f2b..7333e936973 100644
--- a/srcpkgs/mutter/template
+++ b/srcpkgs/mutter/template
@@ -1,7 +1,7 @@
 # Template file for 'mutter'
 pkgname=mutter
-version=3.34.1
-revision=2
+version=3.35.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Degl_device=true -Dudev=true -Dnative_backend=true
@@ -17,9 +17,14 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Mutter/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ba1826cf88bdb81e63943cac014a8e8bcf35ec178c53264401f9c72fdeab758e
-shlib_provides="libmutter-clutter-5.so libmutter-cogl-5.so
- libmutter-cogl-pango-5.so libmutter-cogl-path-5.so"
+checksum=3a9b5fda0ca43aa4ead4471a6df188aec11e5c63ed36620fa4f47ac9d79f7ee4
+shlib_provides="libmutter-6.so.0 libmutter-cogl-pango-6.so.0 libmutter-cogl-6.so.0
+ libmutter-clutter-6.so.0 libmutter-cogl-path-6.so.0 libmutter-clutter-6.so
+ libmutter-cogl-6.so libmutter-cogl-pango-6.so libmutter-cogl-path-6.so"
+patch_args="-Np1"
+
+build_options="gir"
+build_options_default="gir"
 
 mutter-devel_package() {
 	depends="gsettings-desktop-schemas gtk+3-devel clutter-devel libX11-devel
@@ -28,7 +33,9 @@ mutter-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove "usr/lib/mutter-5/*.gir"
+		if [ $build_option_gir ]; then
+			vmove "usr/lib/mutter-6/*.gir"
+		fi
 		vmove "usr/lib/*.so"
 	}
 }
diff --git a/srcpkgs/mutter/update b/srcpkgs/mutter/update
deleted file mode 100644
index a84fbbad8b1..00000000000
--- a/srcpkgs/mutter/update
+++ /dev/null
@@ -1,2 +0,0 @@
-site="${GNOME_SITE}/$pkgname/cache.json"
-ignore="3.*[13579].*"

From 645ce3e51370cd8a2bad664114c6128cb60e1375 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 22:31:10 +0300
Subject: [PATCH 64/89] gnome: fix [ci skip]

---
 srcpkgs/gnome/INSTALL.msg |  27 ++++++
 srcpkgs/gnome/template    | 187 +++-----------------------------------
 2 files changed, 42 insertions(+), 172 deletions(-)
 create mode 100644 srcpkgs/gnome/INSTALL.msg

diff --git a/srcpkgs/gnome/INSTALL.msg b/srcpkgs/gnome/INSTALL.msg
new file mode 100644
index 00000000000..114923264e7
--- /dev/null
+++ b/srcpkgs/gnome/INSTALL.msg
@@ -0,0 +1,27 @@
+[Additional packages]
+Internet:
+- epiphany: Intuitive GNOME web browser
+- evolution: Integrated mail, addressbook and calendaring for GNOME
+- gnome-authenticator: Two-factor authentication code generator for GNOME
+- gnome-online-accounts: GNOME service to access online accounts
+- polari: GNOME IRC client
+Music:
+- deadbeef: Ultimate Music Player for GNU/Linux
+- gnome-music: GNOME music playing application
+- spotify: Proprietary music streaming client (nonfree|glibc)
+Video:
+- totem: GNOME integrated movie player based on Gstreamer
+- vlc: Cross-platform multimedia player
+Other:
+- chrome-gnome-shell: GNOME Shell integration for Chrome
+- gcr: GNOME crypto package
+- ghex: Simple binary editor for GNOME
+- gitg: Git repository viewer for GTK+/GNOME
+- gnome-bluetooth: GNOME Bluetooth Subsystem
+- gnome-passbook: A password manager for GNOME
+- gparted: Gnome Partition Editor
+- orca: Screen reader for individuals who are blind or visually impaired
+- qalculate-gtk: Multi-purpose desktop calculator
+- sushi: Quick image previewer over DBus for Nautilus
+- vino: VNC server for the GNOME desktop
+- yaru-plus: Elegant Canonical's Yaru-based third-party icons theme
diff --git a/srcpkgs/gnome/template b/srcpkgs/gnome/template
index 1e364afd9f1..06de4f6df93 100644
--- a/srcpkgs/gnome/template
+++ b/srcpkgs/gnome/template
@@ -1,188 +1,31 @@
 # Template file for 'gnome'
 pkgname=gnome
 version=3.32.0
-revision=1
+revision=2
 build_style=meta
+depends="adwaita-icon-theme>=${version} atkmm>=2.28.0 cantarell-fonts>=0.111
+ font-adobe-source-code-pro>=2.030R gdm>=${version} gnome-backgrounds>=${version}
+ gnome-color-manager>=${version} gnome-control-center>=${version} gnome-keyring>=${version}
+ gnome-session>=${version} gnome-shell-extensions>=${version} gnome-themes-standard>=3.28
+ gnome-tweaks>=${version} gtksourceview>=3.24.11 gvfs>=1.43.2 network-manager-applet>=1.8.24
+ gnome-screenshot>=${version} gnome-calendar>=${version} gnome-clocks>=${version}"
 short_desc="GNOME meta-package for Void Linux"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only, LGPL-2.0-only"
 homepage="https://www.gnome.org"
-
-depends="NetworkManager>=1.14.0_1
- adwaita-icon-theme>=3.32.0
- at-spi2-atk>=2.32.0
- at-spi2-core>=2.32.0
- atk>=2.32.0
- atkmm>=2.24.2
- cairomm>=1.12.2_2
- cantarell-fonts>=0.0.25
- caribou>=0.4.21
- cheese>=3.32.0
- chrome-gnome-shell>=10.0.0
- clutter>=1.26.2
- clutter-gst3>=3.0.24
- clutter-gtk>=1.8.4
- cogl>=1.22.2
- dconf>=0.30.0
- eog>=3.32.0
- epiphany>=3.32.0
- evince>=3.32.0
- evolution-data-server>=3.32.0
- file-roller>=3.32.0
- folks>=0.11.4
- font-adobe-source-code-pro>=2.030R
- gcab>=0.7
- gcr>=3.28.0
- gdk-pixbuf>=2.38.0
- gdm>=3.32.0
- geocode-glib>=3.26.0_1
- gfbgraph>=0.2.3
- gjs>=1.56.0
- glib>=2.60.0
- glib-networking>=2.60.0
- glibmm>=2.60.0
- gmime>=2.6.23
- gnome-backgrounds>=3.32.0
- gnome-bluetooth>=3.32.0
- gnome-color-manager>=3.32.0
- gnome-control-center>=3.32.0
- gnome-desktop>=3.32.0
- gnome-getting-started-docs>=3.32.0
- gnome-initial-setup>=3.32.0
- gnome-keyring>=3.28.1
- gnome-online-accounts>=3.32.0
- gnome-online-miners>=3.30.0
- gnome-session>=3.32.0
- gnome-settings-daemon>=3.32.0
- gnome-shell>=3.32.0
- gnome-shell-extensions>=3.32.0
- gnome-themes-standard>=3.22.3
- gnome-tweaks>=3.32.0
- gnome-user-docs>=3.32.0
- gnome-video-effects>=0.4.3
- gobject-introspection>=1.60.0
- gom>=0.3.2_1
- grilo>=0.3.4
- grilo-plugins>=0.3.5
- gsettings-desktop-schemas>=3.32.0
- gsound>=1.0.2
- gspell>=1.8.0
- gssdp>=1.0.2
- gtk+3>=3.24.0
- gtkmm>=3.22.1
- gtksourceview>=3.24.4
- gupnp>=1.0.2
- gupnp-av>=0.12.10
- gupnp-dlna>=0.10.5
- gupnp-igd>=0.2.4
- gvfs>=1.40.0
- json-glib>=1.4.2
- libcroco>=0.6.12
- libgdata>=0.16.1_2
- libgee08>=0.20.0
- libgepub>=0.4_1
- libgnomekbd>=3.26.0
- libgsf>=1.14.41
- libgtop>=2.40.0
- libgweather>=3.32.0
- libgxps>=0.2.5_1
- libmediaart>=1.9.4
- libnotify>=0.7.6_4
- libpeas>=1.22.0
- librsvg>=2.44.0
- libsecret>=0.18.5
- libsigc++>=2.10.0
- libsoup>=2.60.0
- libxml2>=2.6.30
- libxslt>=1.1.22
- libzapojit>=0.0.3
- mm-common>=0.9.10_2
- mousetweaks>=3.12.0
- mutter>=3.32.0
- nautilus>=3.32.0
- network-manager-applet>=1.8.2
- orca>=3.32.0
- pango>=1.42.0
- pangomm>=2.40.1
- phodav>=2.2
- python-atspi>=2.26.0
- python-gobject>=3.26.0
- rest>=0.8.0
- tracker>=2.0.0
- vala>=0.44.0
- vte3>=0.54.0
- yelp>=3.32.0
- yelp-tools>=3.32.0
- yelp-xsl>=3.32.0
- zenity>=3.32.0"
-
-_apps_depends="baobab>=3.32.0
- dconf-editor>=3.32.0
- devhelp>=3.32.0
- evolution>=3.32.0
- ghex>=3.18.3
- gitg>=3.26.0
- gedit>=3.32.0
- gedit-plugins>=3.32.0
- gnome-boxes>=3.32.0
- gnome-builder>=3.32.0
- gnome-calculator>=3.32.0
- gnome-calendar>=3.32.0
- gnome-characters>=3.32.0
- gnome-clocks>=3.32.0
- gnome-dictionary>=3.26.0
- gnome-disk-utility>=3.32.0
- gnome-documents>=3.32.0
- gnome-font-viewer>=3.32.0
- gnome-maps>=3.32.0
- gnome-music>=3.32.0
- gnome-nettool>=3.8.1
- gnome-photos>=3.32.0
- gnome-recipes>=2.0.0
- gnome-screenshot>=3.32.0
- gnome-sound-recorder>=3.32.0
- gnome-system-monitor>=3.32.0
- gnome-terminal>=3.32.0
- gnome-tweaks>=3.32.0
- gtk-vnc>=0.6.0_2
- libchamplain>=0.12.16
- nautilus-sendto>=3.8.0
- nemiver>=0.9.6
- polari>=3.32.0
- rygel>=0.36.0
- simple-scan>=3.32.0
- sushi>=3.32.0
- totem>=3.32.0
- totem-pl-parser>=3.26.0
- vino>=3.22.0"
-
-_games_collection_depends="
- aisleriot>=3.22.3
- five-or-more>=3.32.0
- four-in-a-row>=3.32.0
- gnome-2048>=3.32.0
- gnome-chess>=3.32.0
- gnome-klotski>=3.32.0
- gnome-mahjongg>=3.32.0
- gnome-mines>=3.32.0
- gnome-nibbles>=3.24.0
- gnome-robots>=3.32.0
- gnome-sudoku>=3.32.0
- gnome-tetravex>=3.32.0
- hitori>=3.22.4
- iagno>=3.32.0
- lightsoff>=3.26.0
- quadrapassel>=3.32.0
- swell-foop>=3.26.0
- tali>=3.32.0
-"
+conflicts="xf86-input-synaptics"  # https://bugzilla.gnome.org/show_bug.cgi?id=764257#c12
 
 gnome-apps_package() {
-	depends="$_apps_depends"
+	depends="gedit>=${version} gnome-system-monitor>=${version} gnome-terminal>=${version}
+ eog>=${version} evince>=${version} file-roller>=${version}"
 	short_desc="GNOME-Apps meta-package for Void Linux"
 }
 
 gnome-games-collection_package() {
-	depends="$_games_collection_depends"
+	depends="aisleriot>=3.22.9 five-or-more>=${version} four-in-a-row>=${version} gnome-2048>=${version}
+ gnome-chess>=${version} gnome-klotski>=${version} gnome-mahjongg>=${version} gnome-mines>=${version}
+ gnome-nibbles>=${version} gnome-robots>=${version} gnome-sudoku>=${version} gnome-tetravex>=${version}
+ hitori>=${version} iagno>=${version} lightsoff>=${version} quadrapassel>=${version} swell-foop>=${version}
+ tali>=${version}"
 	short_desc="GNOME Games Collection meta-package for Void Linux"
 }

From 159423458eab2de7f0a7eca9ebcc683c56e9fde4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:30:45 +0300
Subject: [PATCH 65/89] gspell: update to 1.8.2. [ci skip]

---
 srcpkgs/gspell/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gspell/template b/srcpkgs/gspell/template
index bf34cf60268..f1ff08d50f9 100644
--- a/srcpkgs/gspell/template
+++ b/srcpkgs/gspell/template
@@ -1,7 +1,7 @@
 # Template file for 'gspell'
 pkgname=gspell
-version=1.8.1
-revision=4
+version=1.8.2
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="--disable-static $(vopt_enable gir introspection)
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/gspell/${version%.*}/gspell-${version}.tar.xz"
-checksum=819a1d23c7603000e73f5e738bdd284342e0cd345fb0c7650999c31ec741bbe5
+checksum=bb9195c3a95bacf556d0203e9691f7489e0d3bc5ae1e5a440c89b2f2435d3ed6
 
 # Package build options
 build_options="gir vala"
@@ -27,6 +27,7 @@ gspell-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
+        vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 69b30f7dbc75ad63e115a65cfb5ab8609338fcc4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:34:55 +0300
Subject: [PATCH 66/89] baobab: update to 3.34.0. [ci skip]

---
 srcpkgs/baobab/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/baobab/template b/srcpkgs/baobab/template
index 2150c4a8e1b..330379bf9ff 100644
--- a/srcpkgs/baobab/template
+++ b/srcpkgs/baobab/template
@@ -1,6 +1,6 @@
 # Template file for 'baobab'
 pkgname=baobab
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="pkg-config itstool glib-devel vala"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1"
 homepage="https://wiki.gnome.org/action/show/Apps/DiskUsageAnalyzer"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=39414ce94045b35768acddf72d341e7d436cd71298994379d9cec50b57d2632c
+checksum=46ebd9466da6a68c340653e9095f1e905b6fac79305879a9e644634f7da98607

From 4a1409d94410e77b4ee9a6053173b310d4258712 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:37:45 +0300
Subject: [PATCH 67/89] jsonrpc-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/jsonrpc-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/jsonrpc-glib/template b/srcpkgs/jsonrpc-glib/template
index 25ce4b94f79..2c15919ddbc 100644
--- a/srcpkgs/jsonrpc-glib/template
+++ b/srcpkgs/jsonrpc-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'jsonrpc-glib'
 pkgname=jsonrpc-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_vapi=$(vopt_if gir true false)
@@ -14,7 +14,7 @@ license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/jsonrpc-glib"
 changelog="https://raw.githubusercontent.com/GNOME/jsonrpc-glib/jsonrpc-glib-3-32/NEWS"
 distfiles="${GNOME_SITE}/jsonrpc-glib/${version%.*}/jsonrpc-glib-${version}.tar.xz"
-checksum=bc60aa36c8bdc9c701ad490508445633a9f3973ae0bd5bdd0633d5f6ffeea6eb
+checksum=d1ceb24b503e49e7bfe6e44630c03abc65f2d047a68271eb62e332b13be90548
 
 build_options="gir vala"
 build_options_default="gir vala"

From c98b65b7a3cf8eb3b2d31ac2928fc60fb95ba831 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:40:13 +0300
Subject: [PATCH 68/89] template-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/template-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/template-glib/template b/srcpkgs/template-glib/template
index 730b4e33b5a..c1d43a34eaf 100644
--- a/srcpkgs/template-glib/template
+++ b/srcpkgs/template-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'template-glib'
 pkgname=template-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_introspection=true
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/template-glib"
 distfiles="${GNOME_SITE}/template-glib/${version%.*}/template-glib-${version}.tar.xz"
-checksum=39a334f5db404fa8b225224766684f2f63f5ec4cf4e971cfc513f1db35e81fbc
+checksum=216bef6ac3607666b8ca72b936467f7020ce6421c02755c301d079576c9c3dfd
 
 template-glib-devel_package() {
 	depends="${sourcepkg}-${version}_${revision} gtk+3-devel"

From ad2b8b7379912e6003f1b0c6e6012ff1a3d1397b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:46:12 +0300
Subject: [PATCH 69/89] grilo: update to 0.3.10. [ci skip]

---
 srcpkgs/grilo/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/grilo/template b/srcpkgs/grilo/template
index a33ac24880c..88ddfdbd1b6 100644
--- a/srcpkgs/grilo/template
+++ b/srcpkgs/grilo/template
@@ -1,6 +1,6 @@
 # Template file for 'grilo'
 pkgname=grilo
-version=0.3.9
+version=0.3.10
 revision=1
 build_style=meson
 build_helper="gir"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://live.gnome.org/Grilo"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=730581cc62f2cfaadeac815760b80da8dcf3d08c454adad0d6128c930c5bcaf2
+checksum=7e44b2e74c31ed24eb97e43265a9e41effe8660287b02295111805c7bda7f1e8
 
 # Package build options
 build_options="gir vala"

From 489d94f668fed28545abac1171d1a16446269b5c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:25:40 +0300
Subject: [PATCH 70/89] libsigc++: update to 3.0.0. [ci skip]

---
 common/shlibs              | 2 +-
 srcpkgs/libsigc++/template | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 4c765745c0a..a540319847a 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -704,7 +704,7 @@ libgvfsdaemon.so gvfs-1.20_1
 libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
-libsigc-2.0.so.0 libsigc++-1.1_1
+libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.4.so.1 glibmm-2.24.0_1
 libgiomm-2.4.so.1 glibmm-2.24.0_1
 libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
diff --git a/srcpkgs/libsigc++/template b/srcpkgs/libsigc++/template
index 8c73eee5c10..d79e3423a1d 100644
--- a/srcpkgs/libsigc++/template
+++ b/srcpkgs/libsigc++/template
@@ -1,6 +1,6 @@
 # Template file for 'libsigc++'
 pkgname=libsigc++
-version=2.10.2
+version=3.0.0
 revision=1
 build_style=gnu-configure
 configure_args="--enable-static --disable-documentation --disable-benchmark"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://libsigcplusplus.github.io/libsigcplusplus/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b1ca0253379596f9c19f070c83d362b12dfd39c0a3ea1dd813e8e21c1a097a98
+checksum=50a0855c1eb26e6044ffe888dbe061938ab4241f96d8f3754ea7ead38ab8ed06
 
 libsigc++-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision}"
@@ -18,7 +18,7 @@ libsigc++-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/lib/sigc++-2.0
+		vmove usr/lib/sigc++-3.0
 		vmove "usr/lib/*.a"
 		vmove "usr/lib/*.so"
 	}

From c5dd51a836b0412ec99511e35221abf244eedd9d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:55:30 +0300
Subject: [PATCH 71/89] glibmm: update to 2.63.1. [ci skip]

---
 common/shlibs           |  6 +++---
 srcpkgs/glibmm/template | 11 +++++------
 2 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index a540319847a..52d905d0e73 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -705,9 +705,9 @@ libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
 libsigc-3.0.so.0 libsigc++-3.0.0_1
-libglibmm-2.4.so.1 glibmm-2.24.0_1
-libgiomm-2.4.so.1 glibmm-2.24.0_1
-libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
+libglibmm-2.64.so.1 glibmm-2.63.1_1
+libgiomm-2.64.so.1 glibmm-2.63.1_1
+libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.0.so.1 cairomm-1.8.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
diff --git a/srcpkgs/glibmm/template b/srcpkgs/glibmm/template
index 23ef47c5994..578858372e4 100644
--- a/srcpkgs/glibmm/template
+++ b/srcpkgs/glibmm/template
@@ -1,6 +1,6 @@
 # Template file for 'glibmm'
 pkgname=glibmm
-version=2.62.0
+version=2.63.1
 revision=1
 build_style=gnu-configure
 hostmakedepends="glib-devel perl pkg-config"
@@ -10,14 +10,13 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://www.gtkmm.org"
 distfiles="${GNOME_SITE}/glibmm/${version%.*}/glibmm-${version}.tar.xz"
-checksum=36659f13cc73282392d1305858f3bbca46fbd1ce2f078cc9db8b9f79b2e93cfe
+checksum=4f99e29bd0a67afd94c0d6fdad2b86bc5cd944cd5d4ff097520dc58b6c997ada
 
 glibmm-doc_package() {
 	archs=noarch
 	short_desc+=" - documentation"
 	pkg_install() {
-		vmove usr/share/doc
-		vmove usr/share/devhelp
+		vmove usr/share
 	}
 }
 
@@ -25,8 +24,8 @@ glibmm-devel_package() {
 	depends="${makedepends} glibmm>=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
-		vmove usr/lib/glibmm-2.4
-		vmove usr/lib/giomm-2.4
+		vmove "usr/lib/glibmm-*"
+		vmove "usr/lib/giomm-*"
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"

From 396fc87dd8ec57165c440923bba4e8e6e033d976 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 16:13:57 +0300
Subject: [PATCH 72/89] cairomm: update to 1.15.4. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/cairomm/template | 16 +++++++++-------
 2 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 52d905d0e73..2906cba0e47 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -708,7 +708,7 @@ libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
-libcairomm-1.0.so.1 cairomm-1.8.4_1
+libcairomm-1.16.so.1 cairomm-1.15.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/cairomm/template b/srcpkgs/cairomm/template
index 015726e304c..aa9f9dc9617 100644
--- a/srcpkgs/cairomm/template
+++ b/srcpkgs/cairomm/template
@@ -1,17 +1,18 @@
-# Template build file for 'cairomm'.
+# Template file for 'cairomm'
 pkgname=cairomm
-version=1.12.2
-revision=3
+version=1.15.4
+revision=1
 build_style=gnu-configure
+make_build_args="CXXFLAGS=-std=gnu++17"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel fontconfig-devel libpng-devel libXrender-devel cairo-devel"
-depends="cairo>=1.12.14_6"
+depends="cairo"
 short_desc="C++ bindings to Cairo vector graphics library"
 maintainer="Orphaned <orphan@voidlinux.org>"
+license="GPL-2.0-only, MPL-1.1"
 homepage="http://www.cairographics.org"
-license="GPL-2, MPL-1.1"
-distfiles="http://cairographics.org/releases/$pkgname-$version.tar.gz"
-checksum=45c47fd4d0aa77464a75cdca011143fea3ef795c4753f6e860057da5fb8bd599
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4cd9fd959538953dfa606aaa7a31381e3193eebf14d814d97ef928684ee9feb5
 
 cairomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -19,6 +20,7 @@ cairomm-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove "usr/lib/cairomm*"
+		vmove "usr/lib/*.so"
 		vmove usr/lib/pkgconfig
 	}
 }

From 4eef0446635b7d69921bbaf98e7aba59391defff Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 16:56:39 +0300
Subject: [PATCH 73/89] pangomm: update to 2.43.1. [ci skip]

---
 common/shlibs                         |  2 +-
 srcpkgs/pangomm/patches/fix-dep.patch | 18 ++++++++++++++++++
 srcpkgs/pangomm/template              |  8 ++++----
 3 files changed, 23 insertions(+), 5 deletions(-)
 create mode 100644 srcpkgs/pangomm/patches/fix-dep.patch

diff --git a/common/shlibs b/common/shlibs
index 2906cba0e47..3fc9eb140a4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -709,7 +709,7 @@ libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.16.so.1 cairomm-1.15.4_1
-libpangomm-1.4.so.1 pangomm-2.26.0_1
+libpangomm-2.44.so.1 pangomm-2.43.1_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
 libgdkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/pangomm/patches/fix-dep.patch b/srcpkgs/pangomm/patches/fix-dep.patch
new file mode 100644
index 00000000000..6e3d1a7df63
--- /dev/null
+++ b/srcpkgs/pangomm/patches/fix-dep.patch
@@ -0,0 +1,18 @@
+diff -Naurp0 a/configure b/configure
+--- a/configure	2019-12-21 16:48:39.860529868 +0300
++++ b/configure	2019-12-21 16:49:04.946979529 +0300
+@@ -18049 +18049 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
+-PANGOMM_MODULES='glibmm-2.60 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
++PANGOMM_MODULES='glibmm-2.64 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
+diff -Naurp0 a/tools/Makefile.am b/tools/Makefile.am
+--- a/tools/Makefile.am	2019-12-21 16:48:51.875744672 +0300
++++ b/tools/Makefile.am	2019-12-21 16:49:15.519169295 +0300
+@@ -33 +33 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/tools/Makefile.in b/tools/Makefile.in
+--- a/tools/Makefile.in	2019-12-21 16:49:33.502491793 +0300
++++ b/tools/Makefile.in	2019-12-21 16:49:45.390704304 +0300
+@@ -378 +378 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
diff --git a/srcpkgs/pangomm/template b/srcpkgs/pangomm/template
index a01fb2fd356..cd6a8488373 100644
--- a/srcpkgs/pangomm/template
+++ b/srcpkgs/pangomm/template
@@ -1,17 +1,17 @@
 # Template file for 'pangomm'
 pkgname=pangomm
-version=2.42.0
+version=2.43.1
 revision=1
 build_style=gnu-configure
-configure_args="--disable-documentation"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel glibmm-devel cairomm-devel pango-devel"
 short_desc="C++ bindings for the pango library"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
-distfiles="${GNOME_SITE}/pangomm/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ca6da067ff93a6445780c0b4b226eb84f484ab104b8391fb744a45cbc7edbf56
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=00483967b4ed0869da09dc0617de45625b9ab846c7b07aa25dfc940a4fc540a4
+patch_args="-Np1"
 
 pangomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

From 28977b47056814728cd56f1c1828aa863f94da80 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 17:23:32 +0300
Subject: [PATCH 74/89] gtksourceview4: update to 4.4.0. [ci skip]

---
 srcpkgs/gtksourceview4/template | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gtksourceview4/template b/srcpkgs/gtksourceview4/template
index 6848716773c..d06f9b24921 100644
--- a/srcpkgs/gtksourceview4/template
+++ b/srcpkgs/gtksourceview4/template
@@ -1,12 +1,10 @@
 # Template file for 'gtksourceview4'
 pkgname=gtksourceview4
-version=4.2.0
-revision=2
+version=4.4.0
+revision=1
 wrksrc="gtksourceview-${version}"
-build_style=gnu-configure
+build_style=meson
 build_helper="gir"
-configure_args="--enable-glade-catalog $(vopt_enable gir introspection)
- $(vopt_enable vala) $(vopt_enable gtk_doc gtk-doc)"
 hostmakedepends="gtk+3-devel glib-devel itstool libxslt pkg-config
  $(vopt_if vala vala) $(vopt_if gtk_doc gtk-doc)"
 makedepends="glade3-devel gtk+3-devel libglib-devel libxml2-devel
@@ -16,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GtkSourceView"
 distfiles="${GNOME_SITE}/gtksourceview/${version%.*}/gtksourceview-${version}.tar.xz"
-checksum=c431eb234dc83c7819e58f77dd2af973252c7750da1c9d125ddc94268f94f675
+checksum=9ddb914aef70a29a66acd93b4f762d5681202e44094d2d6370e51c9e389e689a
 
 # Package build options
 build_options="gir vala gtk_doc"
@@ -34,8 +32,6 @@ gtksourceview4-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
-		vmove usr/share/glade
-		vmove usr/share/gtk-doc
 		if [ "$build_option_vala" ]; then
 			vmove usr/share/vala
 		fi

From 89f686415362be4bbd6e3ee40e0f7f66ff8d236f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:12:17 +0300
Subject: [PATCH 75/89] gnome-calculator: fix. [ci skip]

---
 common/shlibs                     | 2 ++
 srcpkgs/gnome-calculator/template | 8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 3fc9eb140a4..cd24292919d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2894,6 +2894,8 @@ libyaz_icu.so.5 yaz-5.23.1_1
 libyaz.so.5 yaz-5.23.1_1
 libyaz_server.so.5 yaz-5.23.1_1
 libgcab-1.0.so.0 gcab-0.7_1
+libgcalc-2.so.1.0.1 gnome-calculator-3.35.2_1
+libgci-1.so.0.0.0 gnome-calculator-3.35.2_1
 libliveMedia.so.66 live555-2019.05.03_1
 libgroupsock.so.8 live555-2018.12.14_1
 libUsageEnvironment.so.3 live555-2018.12.14_1
diff --git a/srcpkgs/gnome-calculator/template b/srcpkgs/gnome-calculator/template
index 66b07ad01e4..5516c7a54cc 100644
--- a/srcpkgs/gnome-calculator/template
+++ b/srcpkgs/gnome-calculator/template
@@ -1,12 +1,12 @@
 # Template file for 'gnome-calculator'
 pkgname=gnome-calculator
 version=3.35.2
-revision=1
+revision=2
 build_style=meson
 build_helper="gir"
-hostmakedepends="cmake glib-devel itstool pkg-config vala"
-makedepends="gsettings-desktop-schemas-devel gtksourceview4-devel libgee-devel
- libmpc-devel libsoup-devel"
+hostmakedepends="glib-devel itstool pkg-config vala"
+makedepends="gsettings-desktop-schemas-devel gtksourceview4-devel libmpc-devel
+ libsoup-devel libgee08-devel"
 depends="desktop-file-utils gsettings-desktop-schemas hicolor-icon-theme"
 short_desc="GNOME calculator"
 maintainer="Enno Boland <gottox@voidlinux.org>"

From ebd20211c8b5227bb41da1e8f2e9590697eb4228 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:28:19 +0300
Subject: [PATCH 76/89] gtksourceviewmm: update to 3.91.1. [ci skip]

---
 common/shlibs                                 |  2 +-
 srcpkgs/gtksourceviewmm/patches/fix-dep.patch | 18 ++++++++++++++++++
 srcpkgs/gtksourceviewmm/template              | 13 +++++++------
 3 files changed, 26 insertions(+), 7 deletions(-)
 create mode 100644 srcpkgs/gtksourceviewmm/patches/fix-dep.patch

diff --git a/common/shlibs b/common/shlibs
index cd24292919d..0b497e2ce45 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -1026,7 +1026,7 @@ libgvnc-1.0.so.0 gtk-vnc-0.4.4_1
 libgtk-vnc-2.0.so.0 gtk-vnc-0.4.4_1
 libyaml-0.so.2 libyaml-0.1.4_1
 libuchardet.so.0 uchardet-0.0.6_1
-libgtksourceviewmm-3.0.so.0 gtksourceviewmm-3.2.0_1
+libgtksourceviewmm-4.0.so.0 gtksourceviewmm-3.91.1_1
 libyajl.so.2 yajl-2.0.1_1
 libconfuse.so.2 confuse-3.2.1_1
 liblldb.so.9 lldb-9.0.0_1
diff --git a/srcpkgs/gtksourceviewmm/patches/fix-dep.patch b/srcpkgs/gtksourceviewmm/patches/fix-dep.patch
new file mode 100644
index 00000000000..5f2540d691e
--- /dev/null
+++ b/srcpkgs/gtksourceviewmm/patches/fix-dep.patch
@@ -0,0 +1,18 @@
+diff -Naurp0 a/codegen/Makefile.am b/codegen/Makefile.am
+--- a/codegen/Makefile.am	2019-12-21 18:22:51.237529121 +0300
++++ b/codegen/Makefile.am	2019-12-21 18:23:08.109831568 +0300
+@@ -9 +9 @@ extradefs_generate_extra_defs_SOURCES =
+-extradefs_generate_extra_defs_LDADD   = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.4
++extradefs_generate_extra_defs_LDADD   = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/codegen/Makefile.in b/codegen/Makefile.in
+--- a/codegen/Makefile.in	2019-12-21 18:22:51.238529139 +0300
++++ b/codegen/Makefile.in	2019-12-21 18:23:02.549732238 +0300
+@@ -343 +343 @@ extradefs_generate_extra_defs_SOURCES =
+-extradefs_generate_extra_defs_LDADD = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.4
++extradefs_generate_extra_defs_LDADD = $(GTKSOURCEVIEWMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/configure b/configure
+--- a/configure	2019-12-21 18:21:11.380743288 +0300
++++ b/configure	2019-12-21 18:22:08.507765099 +0300
+@@ -16527 +16527 @@ $as_echo "#define HAVE_CXX11 1" >>confde
+-GTKSOURCEVIEWMM_MODULES='glibmm-2.4 >= 2.46.1 gtkmm-3.0 >= 3.18.0 gtksourceview-4 >= 3.99.0'
++GTKSOURCEVIEWMM_MODULES='glibmm-2.64 >= 2.46.1 gtkmm-3.0 >= 3.18.0 gtksourceview-4 >= 3.99.0'
diff --git a/srcpkgs/gtksourceviewmm/template b/srcpkgs/gtksourceviewmm/template
index 6ed33285ccb..0590aef8713 100644
--- a/srcpkgs/gtksourceviewmm/template
+++ b/srcpkgs/gtksourceviewmm/template
@@ -1,17 +1,18 @@
 # Template file for 'gtksourceviewmm'
 pkgname=gtksourceviewmm
-version=3.18.0
-revision=4
+version=3.91.1
+revision=1
 build_style=gnu-configure
 configure_args="--disable-deprecated-api --enable-documentation"
 hostmakedepends="doxygen graphviz libxslt perl pkg-config"
-makedepends="glibmm-devel gtkmm-devel gtksourceview-devel"
+makedepends="glibmm-devel gtkmm-devel gtksourceview4-devel"
 short_desc="GtkSourceview C++ bindings"
 maintainer="Enno Boland <gottox@voidlinux.org>"
-homepage="https://developer.gnome.org/gtksourceviewmm/"
 license="GPL-2.0-or-later"
+homepage="https://developer.gnome.org/gtksourceviewmm/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=51081ae3d37975dae33d3f6a40621d85cb68f4b36ae3835eec1513482aacfb39
+checksum=feaae794c0f97f583a25f297c6c2b80f5f20151fdc9a4012fddb911520131721
+patch_args="-Np1"
 
 gtksourceviewmm-devel_package() {
 	depends="gtkmm-devel gtksourceview-devel ${sourcepkg}>=${version}_${revision}"
@@ -19,7 +20,7 @@ gtksourceviewmm-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/lib/gtksourceviewmm-3.0
+		vmove usr/lib/gtksourceviewmm-4.0
 		vmove "usr/lib/*.so"
 		vmove usr/share/doc
 	}

From 0b1b921de2b4a7364256720d5d451109c0b0ae97 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:35:51 +0300
Subject: [PATCH 77/89] gnome-maps: update to 3.35.2. [ci skip]

---
 common/shlibs               | 1 +
 srcpkgs/gnome-maps/template | 8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 0b497e2ce45..3301bd78a51 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -615,6 +615,7 @@ libcanberra-gtk3.so.0 libcanberra-gtk3-0.30_6
 libgtop-2.0.so.11 libgtop-2.38.0_1
 librarian.so.0 rarian-0.8.1_1
 libmusikcore.so musikcube-0.60.1_1
+libgnome-maps.so.0 gnome-maps-3.35.2_1
 libgnome-menu-3.so.0 gnome-menus-2.91.6_1
 libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
diff --git a/srcpkgs/gnome-maps/template b/srcpkgs/gnome-maps/template
index 0585e4574c7..ca97e5cb85c 100644
--- a/srcpkgs/gnome-maps/template
+++ b/srcpkgs/gnome-maps/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-maps'
 pkgname=gnome-maps
-version=3.32.2.1
+version=3.35.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel gobject-introspection intltool pkg-config AppStream"
@@ -11,6 +11,6 @@ short_desc="GNOME maps application"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Maps"
-distfiles="${GNOME_SITE}/${pkgname}/${version%.*.*}/${pkgname}-${version}.tar.xz"
-checksum=8be6a83cea6545bc8aa3353e6be7bfe7f699795db38dc8d2f958c917700c29d4
-nocross="evolution-dataserver cross gir doesn't work"
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=e03d0f3d312f782fb0264a973b8567860d0a2c9361672a180699f27b2ffcf77d
+nocross="evolution-data-server cross gir doesn't work."

From 71be5db6c5b032c7bdfb3803874c464e217d7c77 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 19:45:39 +0300
Subject: [PATCH 78/89] gnome-desktop: update to 3.35.2. [ci skip]

---
 ...lise-gir.patch => 1-optionalise-gir.patch} |  27 +-
 ...ild-Remove-stray-from-config.h.meson.patch |   6 +
 ...ity-function-to-start-a-transient-sy.patch | 350 ++++++++++++++++++
 srcpkgs/gnome-desktop/template                |   7 +-
 srcpkgs/gnome-desktop/update                  |   1 -
 5 files changed, 368 insertions(+), 23 deletions(-)
 rename srcpkgs/gnome-desktop/patches/{optionalise-gir.patch => 1-optionalise-gir.patch} (60%)
 create mode 100644 srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch
 create mode 100644 srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch
 delete mode 100644 srcpkgs/gnome-desktop/update

diff --git a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch b/srcpkgs/gnome-desktop/patches/1-optionalise-gir.patch
similarity index 60%
rename from srcpkgs/gnome-desktop/patches/optionalise-gir.patch
rename to srcpkgs/gnome-desktop/patches/1-optionalise-gir.patch
index 2d25e87b0b6..9690c129577 100644
--- a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
+++ b/srcpkgs/gnome-desktop/patches/1-optionalise-gir.patch
@@ -1,11 +1,7 @@
-diff --git a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
-index c365b44..33af6f4 100644
---- libgnome-desktop/meson.build
-+++ libgnome-desktop/meson.build
-@@ -96,17 +96,19 @@ libgnome_desktop_dep = declare_dependency(
-   link_with: libgnome_desktop
- )
- 
+diff -Naurp0 a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
+--- a/libgnome-desktop/meson.build	2019-12-21 19:33:00.720763679 +0300
++++ b/libgnome-desktop/meson.build	2019-12-21 19:34:45.848682615 +0300
+@@ -106,11 +106,13 @@ libgnome_desktop_dep = declare_dependenc
 -gnome.generate_gir(libgnome_desktop,
 -  sources: introspection_sources + libgnome_desktop_headers,
 -  export_packages: 'gnome-desktop-3.0',
@@ -30,17 +26,10 @@ index c365b44..33af6f4 100644
 +    install: true
 +  )
 +endif
- 
- desktop_pc = pkg.generate(
-   libraries: libgnome_desktop,
-diff --git a/meson_options.txt b/meson_options.txt
-index e3402a1..1dbaf5d 100644
---- meson_options.txt
-+++ meson_options.txt
-@@ -28,3 +28,7 @@ option('gtk_doc',
- option('installed_tests',
-   type: 'boolean', value: false, description: 'Enable installed tests'
- )
+diff -Naurp0 a/meson_options.txt b/meson_options.txt
+--- a/meson_options.txt	2019-12-21 19:33:18.342085639 +0300
++++ b/meson_options.txt	2019-12-21 19:33:45.654584469 +0300
+@@ -30,0 +31,4 @@ option('installed_tests',
 +
 +option('introspection',
 +  type: 'boolean', value: false, description: 'Build GIR data'
diff --git a/srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch b/srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch
new file mode 100644
index 00000000000..8d8c285ccd4
--- /dev/null
+++ b/srcpkgs/gnome-desktop/patches/2-build-Remove-stray-from-config.h.meson.patch
@@ -0,0 +1,6 @@
+diff -Naurp0 a/config.h.meson b/config.h.meson
+--- a/config.h.meson	2019-12-21 19:21:07.652755644 +0300
++++ b/config.h.meson	2019-12-21 19:21:38.606319522 +0300
+@@ -15 +15 @@
+-#
++
diff --git a/srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch b/srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch
new file mode 100644
index 00000000000..e17f20420bd
--- /dev/null
+++ b/srcpkgs/gnome-desktop/patches/3-systemd-Add-utility-function-to-start-a-transient-sy.patch
@@ -0,0 +1,350 @@
+diff -Naurp0 a/config.h.meson b/config.h.meson
+--- a/config.h.meson	2019-12-21 19:22:22.442119497 +0300
++++ b/config.h.meson	2019-12-21 19:24:00.997916847 +0300
+@@ -18,0 +19,3 @@
++/* define if libsystemd is available */
++#mesondefine HAVE_SYSTEMD
++
+diff -Naurp0 a/libgnome-desktop/gnome-systemd.c b/libgnome-desktop/gnome-systemd.c
+--- a/libgnome-desktop/gnome-systemd.c	1970-01-01 03:00:00.000000000 +0300
++++ b/libgnome-desktop/gnome-systemd.c	2019-12-21 19:27:47.196042593 +0300
+@@ -0,0 +1,270 @@
++/* gnome-systemd.c
++ *
++ * Copyright 2019 Benjamin Berg <bberg@redhat.com>
++ *
++ * This file is free software; you can redistribute it and/or modify it
++ * under the terms of the GNU Lesser General Public License as
++ * published by the Free Software Foundation; either version 3 of the
++ * License, or (at your option) any later version.
++ *
++ * This file is distributed in the hope that it will be useful, but
++ * WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
++ * Lesser General Public License for more details.
++ *
++ * You should have received a copy of the GNU Lesser General Public
++ * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
++ *
++ * SPDX-License-Identifier: LGPL-3.0-or-later
++ */
++
++#include "config.h"
++
++#define GNOME_DESKTOP_USE_UNSTABLE_API
++#include "gnome-systemd.h"
++
++#ifdef HAVE_SYSTEMD
++#include <errno.h>
++#include <systemd/sd-login.h>
++#endif
++
++#ifdef HAVE_SYSTEMD
++typedef struct {
++  char       *name;
++  char       *description;
++  gint32      pid;
++} StartSystemdScopeData;
++
++static void
++start_systemd_scope_data_free (StartSystemdScopeData *data)
++{
++  g_clear_pointer (&data->name, g_free);
++  g_clear_pointer (&data->description, g_free);
++  g_free (data);
++}
++
++static void
++on_start_transient_unit_cb (GObject      *source,
++                            GAsyncResult *res,
++                            gpointer      user_data)
++{
++  g_autoptr (GTask) task = G_TASK (user_data);
++  g_autoptr (GVariant) reply = NULL;
++  GError *error = NULL;
++  StartSystemdScopeData *task_data = g_task_get_task_data (task);
++
++  reply = g_dbus_connection_call_finish (G_DBUS_CONNECTION (source),
++                                         res, &error);
++  if (error && !g_error_matches (error, G_IO_ERROR, G_IO_ERROR_CANCELLED))
++    {
++      g_warning ("Could not create transient scope for PID %d: %s",
++                 task_data->pid, error->message);
++      g_task_return_error (task, error);
++      return;
++    }
++
++  g_debug ("Created transient scope for PID %d", task_data->pid);
++
++  g_task_return_boolean (task, TRUE);
++}
++
++static void
++start_systemd_scope (GDBusConnection *connection, GTask *task)
++{
++  GVariantBuilder builder;
++  g_autofree char *unit_name = NULL;
++  StartSystemdScopeData *task_data = g_task_get_task_data (task);
++
++  g_assert (task_data != NULL);
++
++  /* This needs to be unique, hopefully the pid will be enough. */
++  unit_name = g_strdup_printf ("gnome-launched-%s-%d.scope", task_data->name, task_data->pid);
++
++  g_variant_builder_init (&builder, G_VARIANT_TYPE ("(ssa(sv)a(sa(sv)))"));
++  g_variant_builder_add (&builder, "s", unit_name);
++  g_variant_builder_add (&builder, "s", "fail");
++
++  /* Note that gnome-session ships a drop-in to control further defaults. */
++  g_variant_builder_open (&builder, G_VARIANT_TYPE ("a(sv)"));
++  if (task_data->description)
++    g_variant_builder_add (&builder,
++                           "(sv)",
++                           "Description",
++                           g_variant_new_string (task_data->description));
++  g_variant_builder_add (&builder,
++                         "(sv)",
++                         "PIDs",
++                          g_variant_new_fixed_array (G_VARIANT_TYPE_UINT32, &task_data->pid, 1, 4));
++  g_variant_builder_close (&builder);
++
++  g_variant_builder_open (&builder, G_VARIANT_TYPE ("a(sa(sv))"));
++  g_variant_builder_close (&builder);
++
++  g_dbus_connection_call (connection,
++                          "org.freedesktop.systemd1",
++                          "/org/freedesktop/systemd1",
++                          "org.freedesktop.systemd1.Manager",
++                          "StartTransientUnit",
++                          g_variant_builder_end (&builder),
++                          G_VARIANT_TYPE ("(o)"),
++                          G_DBUS_CALL_FLAGS_NO_AUTO_START,
++                          1000,
++                          g_task_get_cancellable (task),
++                          on_start_transient_unit_cb,
++                          task);
++}
++
++static void
++on_bus_gotten_cb (GObject      *source,
++                  GAsyncResult *res,
++                  gpointer      user_data)
++{
++  g_autoptr(GTask) task = G_TASK (user_data);
++  g_autoptr(GDBusConnection) connection = NULL;
++  GError *error = NULL;
++
++  connection = g_bus_get_finish (res, &error);
++  if (error)
++    {
++      if (!g_error_matches (error, G_IO_ERROR, G_IO_ERROR_CANCELLED))
++        g_warning ("Could not get session bus: %s", error->message);
++
++      g_task_return_error (task, error);
++      return;
++    }
++
++  start_systemd_scope (connection, g_steal_pointer (&task));
++}
++#endif
++
++/**
++ * gnome_start_systemd_scope:
++ * @name: Name for the application
++ * @pid: The PID of the application
++ * @description: (nullable): A description to use for the unit, or %NULL
++ * @connection: (nullable): An #GDBusConnection to the session bus, or %NULL
++ * @cancellable: (nullable): #GCancellable to use
++ * @callback: (nullable): Callback to call when the operation is done
++ * @user_data: Data to be passed to @callback
++ *
++ * If the current process is running inside a user systemd instance, then move
++ * the launched PID into a transient scope. The given @name will be used to
++ * create a unit name. It should be the application ID for desktop files or
++ * the executable in all other cases.
++ *
++ * It is advisable to use this function every time where the started application
++ * can be considered reasonably independent of the launching application. Placing
++ * it in a scope creates proper separation between the programs rather than being
++ * considered a single entity by systemd.
++ *
++ * It is always safe to call this function. Note that a successful return code
++ * does not imply that a unit has been created. It solely means that no error
++ * condition was hit sending the request.
++ *
++ * If @connection is %NULL then g_dbus_get() will be called internally.
++ *
++ * Note that most callers will not need to handle errors. As such, it is normal
++ * to pass a %NULL @callback.
++ *
++ * Stability: unstable
++ */
++void
++gnome_start_systemd_scope (const char           *name,
++                           gint32                pid,
++                           const char           *description,
++                           GDBusConnection      *connection,
++                           GCancellable         *cancellable,
++                           GAsyncReadyCallback   callback,
++                           gpointer              user_data)
++{
++  g_autoptr(GTask) task = NULL;
++
++#ifdef HAVE_SYSTEMD
++  g_autofree char *own_unit = NULL;
++  const char *valid_chars =
++    "-._1234567890"
++    "abcdefghijklmnopqrstuvwxyz"
++    "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
++  StartSystemdScopeData *task_data;
++  gint res;
++
++  task = g_task_new (NULL, cancellable, callback, user_data);
++  task_data = g_new0 (StartSystemdScopeData, 1);
++
++  task_data->pid = pid;
++
++  /* Create a nice and (mangled) name to embed into the unit */
++  if (name == NULL)
++    name = "anonymous";
++
++  if (name[0] == '/')
++    name++;
++
++  task_data->name = g_str_to_ascii (name, "C");
++  g_strdelimit (task_data->name, "/", '-');
++  g_strcanon (task_data->name, valid_chars, '_');
++
++  task_data->description = g_strdup (description);
++  if (task_data->description == NULL)
++    {
++      const char *app_name = g_get_application_name();
++
++      if (app_name)
++        task_data->description = g_strdup_printf ("Application launched by %s",
++                                                  app_name);
++    }
++
++  g_task_set_task_data (task, task_data, (GDestroyNotify) start_systemd_scope_data_free);
++
++  /* We cannot do anything if this process is not managed by the
++   * systemd user instance. */
++  res = sd_pid_get_user_unit (getpid (), &own_unit);
++  if (res == -ENODATA)
++    {
++      g_debug ("Not systemd managed, will not move PID %d into transient scope\n", pid);
++      g_task_return_boolean (task, TRUE);
++
++      return;
++    }
++  if (res < 0)
++    {
++      g_warning ("Error fetching user unit for own pid: %d\n", -res);
++      g_task_return_new_error (task,
++                               G_IO_ERROR,
++                               g_io_error_from_errno (-res),
++                               "Error fetching user unit for own pid: %d", -res);
++
++      return;
++    }
++
++  if (connection == NULL)
++    g_bus_get (G_BUS_TYPE_SESSION, cancellable, on_bus_gotten_cb, g_steal_pointer (&task));
++  else
++    start_systemd_scope (connection, g_steal_pointer (&task));
++#else
++  g_debug ("Not creating transient scope for PID %d. Systemd support not compiled in.", pid);
++
++  task = g_task_new (NULL, cancellable, callback, user_data);
++  g_task_return_boolean (task, TRUE);
++#endif
++}
++
++/**
++ * gnome_start_systemd_scope_finish:
++ * @res: A #GAsyncResult
++ * @error: Return location for errors, or %NULL to ignore
++ *
++ * Finish an asynchronous operation to create a transient scope that was
++ * started with gnome_start_systemd_scope().
++ *
++ * Note that a successful return code does not imply that a unit has been
++ * created. It solely means that no error condition was hit sending the request.
++ *
++ * Returns: %FALSE on error, %TRUE otherwise
++ */
++gboolean
++gnome_start_systemd_scope_finish (GAsyncResult  *res,
++                                  GError       **error)
++{
++  return g_task_propagate_boolean (G_TASK (res), error);
++}
+diff -Naurp0 a/libgnome-desktop/gnome-systemd.h b/libgnome-desktop/gnome-systemd.h
+--- a/libgnome-desktop/gnome-systemd.h	1970-01-01 03:00:00.000000000 +0300
++++ b/libgnome-desktop/gnome-systemd.h	2019-12-21 19:28:44.675091562 +0300
+@@ -0,0 +1,41 @@
++/* gnome-systemd.h
++ *
++ * Copyright 2019 Benjamin Berg <bberg@redhat.com>
++ *
++ * This file is free software; you can redistribute it and/or modify it
++ * under the terms of the GNU Lesser General Public License as
++ * published by the Free Software Foundation; either version 3 of the
++ * License, or (at your option) any later version.
++ *
++ * This file is distributed in the hope that it will be useful, but
++ * WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
++ * Lesser General Public License for more details.
++ *
++ * You should have received a copy of the GNU Lesser General Public
++ * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
++ *
++ * SPDX-License-Identifier: LGPL-3.0-or-later
++ */
++
++#ifndef _GNOME_SYSTEMD_H
++#define _GNOME_SYSTEMD_H
++
++#ifndef GNOME_DESKTOP_USE_UNSTABLE_API
++#error    GnomeDesktopSystemd is unstable API. You must define GNOME_DESKTOP_USE_UNSTABLE_API before including gnome-systemd.h
++#endif
++
++#include <gio/gio.h>
++
++void gnome_start_systemd_scope (const char           *name,
++                                gint32                pid,
++                                const char           *description,
++                                GDBusConnection      *connection,
++                                GCancellable         *cancellable,
++                                GAsyncReadyCallback   callback,
++                                gpointer              user_data);
++
++gboolean gnome_start_systemd_scope_finish (GAsyncResult  *res,
++                                           GError       **error);
++
++#endif /* _GNOME_SYSTEMD_H */
+diff -Naurp0 a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
+--- a/libgnome-desktop/meson.build	2019-12-21 19:22:57.077750541 +0300
++++ b/libgnome-desktop/meson.build	2019-12-21 19:29:52.756334030 +0300
+@@ -19,0 +20 @@ introspection_sources = [
++  'gnome-systemd.c',
+@@ -59,0 +61 @@ libgnome_desktop_headers = [
++  'gnome-systemd.h',
+@@ -77,0 +80 @@ gnome_desktop_deps = [
++  libsystemd_dep,
+diff -Naurp0 a/meson.build b/meson.build
+--- a/meson.build	2019-12-21 19:23:07.187935081 +0300
++++ b/meson.build	2019-12-21 19:31:07.374695453 +0300
+@@ -52,0 +53 @@ x_dep = dependency('x11')
++libsystemd_dep = dependency('libsystemd', required: get_option('systemd'))
+@@ -87,0 +89 @@ conf.set('_GNU_SOURCE', seccomp_dep.foun
++conf.set('HAVE_SYSTEMD', libsystemd_dep.found())
+diff -Naurp0 a/meson_options.txt b/meson_options.txt
+--- a/meson_options.txt	2019-12-21 19:23:12.225027009 +0300
++++ b/meson_options.txt	2019-12-21 19:31:40.110293136 +0300
+@@ -23,0 +24,4 @@ option('udev',
++option('systemd',
++  type: 'feature', description: 'Systemd integration support'
++)
++
diff --git a/srcpkgs/gnome-desktop/template b/srcpkgs/gnome-desktop/template
index 38baffaa5c8..2bb17666fc8 100644
--- a/srcpkgs/gnome-desktop/template
+++ b/srcpkgs/gnome-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-desktop'
 pkgname=gnome-desktop
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -9,14 +9,15 @@ configure_args="-Dgnome-distributor=VoidLinux -Dudev=enabled
 hostmakedepends="itstool pkg-config glib-devel"
 makedepends="eudev-libudev-devel gsettings-desktop-schemas-devel gtk+3-devel
  iso-codes libglib-devel libseccomp-devel libX11-devel libXext-devel
- libxkbfile-devel libXrandr-devel gdk-pixbuf-devel"
+ libxkbfile-devel libXrandr-devel gdk-pixbuf-devel elogind-devel"
 depends="bubblewrap gsettings-desktop-schemas iso-codes xkeyboard-config"
 short_desc="GNOME desktop management utilities"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-desktop"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c1dbeb5666dad27166c769e48e2ab41dd5ed74718ea35eb57c8488790662dc5a
+checksum=ff9b843cb7e772251757dfbbd150ae82510091356034535d12a2e43079e8b68b
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
diff --git a/srcpkgs/gnome-desktop/update b/srcpkgs/gnome-desktop/update
deleted file mode 100644
index a73db8805ed..00000000000
--- a/srcpkgs/gnome-desktop/update
+++ /dev/null
@@ -1 +0,0 @@
-ignore="*.[0-9]*[13579].*"

From a80bcb8cf354e180f376f7f15b826f0d466ddb73 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 19:55:40 +0300
Subject: [PATCH 79/89] gnome-settings-daemon: update to 3.35.0. [ci skip]

---
 srcpkgs/gnome-settings-daemon/template | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/gnome-settings-daemon/template b/srcpkgs/gnome-settings-daemon/template
index a70e28be5fa..379d05844e6 100644
--- a/srcpkgs/gnome-settings-daemon/template
+++ b/srcpkgs/gnome-settings-daemon/template
@@ -1,15 +1,14 @@
 # Template file for 'gnome-settings-daemon'
 pkgname=gnome-settings-daemon
-version=3.34.1
-revision=2
+version=3.35.0
+revision=1
 build_style=meson
 configure_args+="-Dsystemd=false"
 hostmakedepends="cmake docbook-xsl glib-devel libglib-devel libxslt perl pkg-config"
 makedepends="NetworkManager-devel alsa-lib-devel colord-devel cups-devel gcr-devel
  geoclue2-devel gnome-desktop-devel ibus-devel libcanberra-devel libgnomekbd-devel
- libgweather-devel libnotify-devel librsvg-devel libwacom-devel nss-devel
- polkit-devel pulseaudio-devel startup-notification-devel upower-devel
- xf86-input-wacom-devel"
+ libgweather-devel libnotify-devel librsvg-devel libwacom-devel nss-devel elogind-devel
+ polkit-devel pulseaudio-devel startup-notification-devel upower-devel xf86-input-wacom-devel"
 depends="hicolor-icon-theme pulseaudio"
 checkdepends="elogind libnotify python3-dbusmock python3-gobject
  python3-pycodestyle"
@@ -18,7 +17,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-settings-daemon"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=9981a20babf8da7744b7fbe175b9e36078bf08f3bf65fe5aedeb82cfe27ac11f
+checksum=e1296019284c101acc4cde4a66093dc35428efe98da766ecd94dd7667f46ad12
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" polkit"

From 3375b182d0746d72bebf96fc5721d33b4bb1d051 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 20:07:10 +0300
Subject: [PATCH 80/89] gnome-panel: update to 3.35.1. [ci skip]

---
 common/shlibs                | 2 ++
 srcpkgs/gnome-panel/template | 6 +++---
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 3301bd78a51..2e0f924ee7b 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -78,6 +78,7 @@ libformw.so.5 ncurses-libs-5.9_13 ignore
 libformw.so.6 ncurses-libs-5.8_1 ignore
 libpanelw.so.5 ncurses-libs-5.9_13 ignore
 libpanelw.so.6 ncurses-libs-5.8_1 ignore
+libpanel-applet.so.3 gnome-panel-3.35.1_1
 libmenuw.so.5 ncurses-libs-5.9_13 ignore
 libmenuw.so.6 ncurses-libs-5.8_1 ignore
 libobjc.so.4 libobjc-4.7.3_12
@@ -617,6 +618,7 @@ librarian.so.0 rarian-0.8.1_1
 libmusikcore.so musikcube-0.60.1_1
 libgnome-maps.so.0 gnome-maps-3.35.2_1
 libgnome-menu-3.so.0 gnome-menus-2.91.6_1
+libgnome-panel.so.0 gnome-panel-3.35.1_1
 libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
 libgnomecanvasmm-2.6.so.1 libgnomecanvasmm-2.26.0_1
diff --git a/srcpkgs/gnome-panel/template b/srcpkgs/gnome-panel/template
index 18a2ea4ca94..a97667405cc 100644
--- a/srcpkgs/gnome-panel/template
+++ b/srcpkgs/gnome-panel/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-panel'
 pkgname=gnome-panel
-version=3.34.1
-revision=2
+version=3.35.1
+revision=1
 build_style=gnu-configure
 hostmakedepends="gettext-devel glib-devel itstool pkg-config"
 makedepends="cairo-devel dconf-devel elogind-devel evolution-data-server-devel
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1-or-later, LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomePanel"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=a6bc0255252eeb4b964bcbe55fd7908b69f914c062c5ec8dff5ac0262d29b90d
+checksum=cfa61e42657498965fe3d7d523ba821da4b112237675ac5c6a255d020e2939e6
 patch_args="-Np1"

From 95fc1ff5c9273a2a2b189a78bbf6dc5b374ee548 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:00:41 +0300
Subject: [PATCH 81/89] vala: update to 0.47.1. [ci skip]

---
 common/shlibs         |  4 ++--
 srcpkgs/vala/template | 12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 2e0f924ee7b..3a785be7f4c 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2980,9 +2980,9 @@ libsysprof-3.so sysprof-3.34.0_1
 libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
-libvala-0.46.so.0 libvala-0.46.0_1
+libvala-0.48.so.0 libvala-0.47.1_1
 libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
-libvalaccodegen.so libvala-0.44.0_1
+libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
 libtracker-miner-2.0.so.0 libtracker-2.0.1_1
diff --git a/srcpkgs/vala/template b/srcpkgs/vala/template
index a3001e75b98..bd85822335b 100644
--- a/srcpkgs/vala/template
+++ b/srcpkgs/vala/template
@@ -1,7 +1,7 @@
 # Template file for 'vala'
 pkgname=vala
 # Should be kept in sync with 'valadoc' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-valadoc"
@@ -12,18 +12,18 @@ short_desc="Compiler for the GObject type system"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
-shlib_provides="libvalaccodegen.so"
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
+shlib_provides="libvala-0.48.so.0 libvalaccodegen.so"
 
 post_install() {
 	# remove the /usr/bin prefix from the vapigen variable
 	# so the package that use it fall into our wrapper.
 	# keep the binary versioned, we don't know the potential
 	# fallout from using the unversioned one
-	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.46|g' \
-		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.46.pc
+	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.48|g' \
+		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.48.pc
 }
 
 libvala_package() {

From a7143b7e69aad0721b559d211471c6fad939b401 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:16:15 +0300
Subject: [PATCH 82/89] valadoc: update to 0.47.1. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/valadoc/template | 16 +++++++---------
 2 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 3a785be7f4c..86acd1bbc8f 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2981,7 +2981,7 @@ libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
 libvala-0.48.so.0 libvala-0.47.1_1
-libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
+libvaladoc-0.48.so.0 libvaladoc-0.47.1_1
 libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
diff --git a/srcpkgs/valadoc/template b/srcpkgs/valadoc/template
index e90e31a15be..34c3e427f15 100644
--- a/srcpkgs/valadoc/template
+++ b/srcpkgs/valadoc/template
@@ -1,7 +1,7 @@
 # Template file for 'valadoc'
 pkgname=valadoc
 # Should be kept in sync with 'vala' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 wrksrc="vala-${version}"
 build_style=gnu-configure
@@ -13,9 +13,9 @@ short_desc="Vala Documentation Tool"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
 
 pre_configure() {
 	autoreconf -if
@@ -23,8 +23,7 @@ pre_configure() {
 
 do_install() {
 	for subdir in libvaladoc valadoc; do
-		make -C "${subdir}" DESTDIR="$DESTDIR" ${make_install_args} \
-			install
+		make -C "${subdir}" DESTDIR="${DESTDIR}" ${make_install_args} install
 	done
 	vman doc/valadoc.1
 }
@@ -33,14 +32,13 @@ libvaladoc_package() {
 	short_desc+=" - shared library"
 	pkg_install() {
 		vmove "usr/lib/libvaladoc-*.so.*"
-		vmove "usr/lib/valadoc-${version%.*}"
-		vmove "usr/share/valadoc-${version%.*}"
+		vmove usr/lib/valadoc-0.48
+		vmove usr/share/valadoc-0.48
 	}
 }
 
 valadoc-devel_package() {
-	depends="valadoc-${version}_${revision}
-	 vala-devel-${version}_${revision}"
+	depends="valadoc=${version}_${revision} vala-devel=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
 		vmove "usr/include/valadoc-*"

From 6b091127e9990a06ecba74fc091ffc5ce90920fc Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:13:46 +0300
Subject: [PATCH 83/89] gtk-vnc: update to 1.0.0. [ci skip]

---
 .../gtk-vnc/patches/fix-acinclude_m4.patch    |  52 ---------
 srcpkgs/gtk-vnc/template                      | 104 ++++--------------
 srcpkgs/gtk-vnc/update                        |   1 -
 srcpkgs/gtk2-vnc-devel                        |   1 -
 srcpkgs/{gtk2-vnc => gvncviewer}              |   0
 5 files changed, 22 insertions(+), 136 deletions(-)
 delete mode 100644 srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
 delete mode 100644 srcpkgs/gtk-vnc/update
 delete mode 120000 srcpkgs/gtk2-vnc-devel
 rename srcpkgs/{gtk2-vnc => gvncviewer} (100%)

diff --git a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch b/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
deleted file mode 100644
index 62f10eee847..00000000000
--- a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
+++ /dev/null
@@ -1,52 +0,0 @@
---- gtk2-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk2-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
---- gtk3-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk3-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
diff --git a/srcpkgs/gtk-vnc/template b/srcpkgs/gtk-vnc/template
index 7c1b6f8cecc..fed80bf17c5 100644
--- a/srcpkgs/gtk-vnc/template
+++ b/srcpkgs/gtk-vnc/template
@@ -1,106 +1,46 @@
 # Template file for 'gtk-vnc'
 pkgname=gtk-vnc
-version=0.9.0
-revision=3
+version=1.0.0
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="$(vopt_enable gir introspection) $(vopt_enable vala)"
-hostmakedepends="automake gettext-devel glib-devel intltool libgcrypt-devel
- libtool pkg-config gobject-introspection $(vopt_if vala vala)"
-makedepends="gnutls-devel gtk+-devel gtk+3-devel libsasl-devel
- $(vopt_if vala 'vala')"
+configure_args="-Dwith-coroutine=gthread -Dwith-vala=$(vopt_if vala true false)"
+hostmakedepends="pkg-config"
+makedepends="gnutls-devel gtk+3-devel cyrus-sasl libgpg-error-devel expat-devel
+ perl-Text-CSV glib-devel libgcrypt-devel $(vopt_if vala vala)"
 short_desc="VNC viewer widget for GTK"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/gtk-vnc"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a88426809a5df2c14353cd9839b8c8163438cb708b31d8048c79d180fcab7
+checksum=a81a1f1a79ad4618027628ffac27d3391524c063d9411c7a36a5ec3380e6c080
 
 build_options="gir vala"
 build_options_default="gir vala"
 
-post_extract() {
-	cp -a ${wrksrc} /tmp/gtk2-build
-	cp -a ${wrksrc} /tmp/gtk3-build
-	rm -r ${wrksrc}/*
-	mv /tmp/gtk[23]-build ${wrksrc}
-}
-pre_configure() {
-	local build
-	if [ "$CROSS_BUILD" ]; then
-		find . -name "Makefile.*" -exec sed -i "{}" \
-			-e"s;\(\$(CODEGENDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			-e"s;\(\$(DEFSDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			\;
-	fi
-	for build in gtk2-build gtk3-build; do
-		cd ${wrksrc}/${build}
-		autoreconf -if
-	done
-}
-
-do_configure() {
-	cd ${wrksrc}/gtk2-build
-	./configure ${configure_args} --with-gtk=2.0
-
-	cd ${wrksrc}/gtk3-build
-	./configure ${configure_args} --with-gtk=3.0
-}
-
-do_build() {
-	cd ${wrksrc}/gtk2-build
-	make ${makejobs}
-
-	cd ${wrksrc}/gtk3-build
-	make ${makejobs}
-}
-
-do_install() {
-	cd ${wrksrc}/gtk2-build
-	make DESTDIR=${DESTDIR} install
-
-	cd ${wrksrc}/gtk3-build
-	make DESTDIR=${DESTDIR} install
-}
-
-gtk2-vnc_package() {
-	short_desc+=" - GTK+2 port"
-	pkg_install() {
-		vmove "usr/lib/libgtk-vnc-1.0.so*"
-		if [ "$build_option_gir" ]; then
-			vmove usr/lib/girepository-1.0/GtkVnc-1.0.typelib
-		fi
-	}
-}
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" perl glib-devel vala"
+fi
 
-gtk2-vnc-devel_package() {
-	depends="gtk+-devel gtk-vnc-devel>=${version}_${revision}"
-	short_desc+=" - GTK+2 development files"
+gvncviewer_package() {
+	short_desc="Demo application for gtk-vnc"
 	pkg_install() {
-		vmove usr/include/gtk-vnc-1.0
-		if [ "$build_option_gir" ]; then
-			#vmove usr/share/vala/vapi/gtk-vnc-1.0.vapi
-			vmove usr/share/gir-1.0/GtkVnc-1.0.gir
-		fi
-		vmove usr/lib/pkgconfig/gtk-vnc-1.0.pc
+		vbin ${wrksrc}/build/examples/gvncviewer
 	}
 }
 
 gtk-vnc-devel_package() {
 	depends="glib-devel gtk+3-devel gtk-vnc>=${version}_${revision}"
-	short_desc+=" - development files"
+	short_desc+=" (development files)"
 	pkg_install() {
-		vmove usr/include/gvnc-1.0
-		vmove usr/include/gtk-vnc-2.0
-		vmove usr/lib/pkgconfig/gtk-vnc-2.0.pc
-		vmove usr/lib/pkgconfig/gvnc-1.0.pc
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.so"
 		if [ "$build_option_gir" ]; then
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.deps
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.vapi
-			vmove usr/share/vala/vapi/gvnc-1.0.vapi
-			vmove usr/share/gir-1.0/GVnc-1.0.gir
-			vmove usr/share/gir-1.0/GtkVnc-2.0.gir
+			vmove usr/share/gir-1.0
+		fi
+		if [ "$build_option_vala" ]; then
+			vmove usr/share/vala
 		fi
-		vmove usr/lib/*.so
 	}
 }
diff --git a/srcpkgs/gtk-vnc/update b/srcpkgs/gtk-vnc/update
deleted file mode 100644
index f223f26e1ba..00000000000
--- a/srcpkgs/gtk-vnc/update
+++ /dev/null
@@ -1 +0,0 @@
-pattern="\Q$pkgname\E-\K[0-9]+\.[0-9]*[0-9]\.[0-9.]*[0-9](?=)"
diff --git a/srcpkgs/gtk2-vnc-devel b/srcpkgs/gtk2-vnc-devel
deleted file mode 120000
index 25a6952fbce..00000000000
--- a/srcpkgs/gtk2-vnc-devel
+++ /dev/null
@@ -1 +0,0 @@
-gtk-vnc
\ No newline at end of file
diff --git a/srcpkgs/gtk2-vnc b/srcpkgs/gvncviewer
similarity index 100%
rename from srcpkgs/gtk2-vnc
rename to srcpkgs/gvncviewer

From a0b000489bfc2513bbeaf37fca9873c9e3c8b0ec Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:14:47 +0300
Subject: [PATCH 84/89] evolution: update to 3.35.2. [ci skip]

---
 srcpkgs/evolution/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/evolution/template b/srcpkgs/evolution/template
index fc93468dded..0e3fe6e75fa 100644
--- a/srcpkgs/evolution/template
+++ b/srcpkgs/evolution/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution'
 pkgname=evolution
-version=3.34.1
-revision=4
+version=3.35.2
+revision=1
 build_style=cmake
 configure_args="-DENABLE_AUTOAR=OFF -DENABLE_LIBCRYPTUI=OFF -DENABLE_GTKSPELL=OFF
  -DENABLE_TEXT_HIGHLIGHT=OFF -DENABLE_PST_IMPORT=OFF
@@ -11,15 +11,15 @@ hostmakedepends="gnome-doc-utils gobject-introspection intltool itstool
 makedepends="NetworkManager-devel clutter-gtk-devel enchant2-devel
  evolution-data-server-devel gspell-devel gtkhtml-devel libcanberra-devel
  $(vopt_if gir libgweather-devel) libnotify-devel webkit2gtk-devel ytnef-devel
- gnome-desktop-devel"
+ gnome-desktop-devel elogind-devel"
 depends="gnome-keyring"
 short_desc="Integrated mail, addressbook and calendaring for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, LGPL-3.0-or-later, GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evolution"
-changelog="https://raw.githubusercontent.com/GNOME/evolution/gnome-3-28/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/evolution/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=656a92dd7f3e1afb6eef4f824fd17ae307c0904a67587ca5bb14ab9bd6f8bd42
+checksum=35c005be28ee746527b5bff4b30ebba7cd2bfd1b7de50e4ced897cc688a5c5b5
 shlib_provides="libevolution-calendar.so libevolution-util.so libemail-engine.so
  libevolution-mail.so libevolution-shell.so"
 

From 760dfbfb06aadd4289e8cce190989fd2e1299589 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:15:26 +0300
Subject: [PATCH 85/89] evolution-data-server: update to 3.35.2. [ci skip]

---
 srcpkgs/evolution-data-server/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/evolution-data-server/template b/srcpkgs/evolution-data-server/template
index b1602f2937c..9cfb43e5ef2 100644
--- a/srcpkgs/evolution-data-server/template
+++ b/srcpkgs/evolution-data-server/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution-data-server'
 pkgname=evolution-data-server
-version=3.34.1
-revision=2
+version=3.35.2
+revision=1
 build_style=cmake
 build_helper=gir
 configure_args="-DENABLE_UOA=OFF
@@ -17,7 +17,7 @@ license="LGPL-2.1-only"
 homepage="https://wiki.gnome.org/Apps/Evolution"
 changelog="https://raw.githubusercontent.com/GNOME/evolution-data-server/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6ff56ba04cb639e627fe9d6e0ada106a10cadd68a0d53b8ec72b4e285df53abe
+checksum=a824760961995c50e2ef91802f511b4895dd42badbd23bf3fcd55169f633f578
 
 build_options="gir"
 if [ -z "$CROSS_BUILD" ]; then

From 9d5070ea560b0780b91df39247c9a1b4a0ca5bab Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:16:15 +0300
Subject: [PATCH 86/89] gnome-control-center: update to 3.35.2. [ci skip]

---
 srcpkgs/gnome-control-center/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-control-center/template b/srcpkgs/gnome-control-center/template
index 0e2787898ae..fa4512f7255 100644
--- a/srcpkgs/gnome-control-center/template
+++ b/srcpkgs/gnome-control-center/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-control-center'
 pkgname=gnome-control-center
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -10,7 +10,7 @@ hostmakedepends="glib-devel gsettings-desktop-schemas-devel intltool pkg-config
 makedepends="ModemManager-devel accountsservice-devel alsa-plugins
  colord-gtk-devel gnome-bluetooth-devel gnome-desktop-devel gnome-menus-devel
  gnome-online-accounts-devel gnome-settings-daemon-devel grilo-devel ibus-devel
- libSM-devel libXxf86misc-devel libgnomekbd-devel libgtop-devel
+ libSM-devel libXxf86misc-devel libgnomekbd-devel libgtop-devel elogind-devel
  libpwquality-devel mit-krb5-devel network-manager-applet-devel polkit-devel
  pulseaudio-devel samba-devel tzdata upower-devel vala-devel clutter-gtk-devel
  libxml2-devel libX11-devel gtk+3-devel cups-devel libgudev-devel libwacom-devel
@@ -24,7 +24,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-control-center"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=5f82ecd5554136c462248ec5363b82d95358b39dfd6787006d8307b4504e515e
+checksum=df9bb107b7ada6cf40f1f3de1a659b709f91105bb9b68c4e02b8947bcf236228
 
 build_options="cheese"
 desc_option_cheese="Add support for adding user account images with your webcam"

From 14e7bdec5f95d701c95078522189a3b12c241824 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:16:37 +0300
Subject: [PATCH 87/89] libgdata: update to 0.17.11. [ci skip]

---
 .../libgdata/patches/disable-perf-test.patch  | 12 ++++++++
 .../libgdata/patches/only-ipv4-tests.patch    | 13 +++++++++
 srcpkgs/libgdata/template                     | 28 +++++++++++--------
 3 files changed, 41 insertions(+), 12 deletions(-)
 create mode 100644 srcpkgs/libgdata/patches/disable-perf-test.patch
 create mode 100644 srcpkgs/libgdata/patches/only-ipv4-tests.patch

diff --git a/srcpkgs/libgdata/patches/disable-perf-test.patch b/srcpkgs/libgdata/patches/disable-perf-test.patch
new file mode 100644
index 00000000000..9bf0101e101
--- /dev/null
+++ b/srcpkgs/libgdata/patches/disable-perf-test.patch
@@ -0,0 +1,12 @@
+diff --git a/gdata/tests/meson.build b/gdata/tests/meson.build
+index 52154e7..ced810a 100644
+--- a/gdata/tests/meson.build
++++ b/gdata/tests/meson.build
+@@ -25,7 +25,6 @@ tests = {
+   'general': {},
+   'oauth1-authorizer': {},
+   'oauth2-authorizer': {},
+-  'perf': {},
+   'picasaweb': {
+     'dependencies': [gdk_pixbuf_dep],
+     'should_fail': true,
diff --git a/srcpkgs/libgdata/patches/only-ipv4-tests.patch b/srcpkgs/libgdata/patches/only-ipv4-tests.patch
new file mode 100644
index 00000000000..acbb00c1c48
--- /dev/null
+++ b/srcpkgs/libgdata/patches/only-ipv4-tests.patch
@@ -0,0 +1,13 @@
+diff --git a/gdata/tests/streams.c b/gdata/tests/streams.c
+index 7158754..1763bd9 100644
+--- a/gdata/tests/streams.c
++++ b/gdata/tests/streams.c
+@@ -193,7 +193,7 @@ create_server (SoupServerCallback callback, gpointer user_data, GMainLoop **main
+ 	g_main_context_push_thread_default (context);
+ 
+ 	soup_server_listen_local (server, 0  /* random port */,
+-	                          SOUP_SERVER_LISTEN_HTTPS, &error);
++	                          SOUP_SERVER_LISTEN_HTTPS | SOUP_SERVER_LISTEN_IPV4_ONLY, &error);
+ 	g_assert_no_error (error);
+ 
+ 	g_main_context_pop_thread_default (context);
diff --git a/srcpkgs/libgdata/template b/srcpkgs/libgdata/template
index 439aa569041..bb0164ed3a8 100644
--- a/srcpkgs/libgdata/template
+++ b/srcpkgs/libgdata/template
@@ -1,27 +1,29 @@
 # Template file for 'libgdata'
 pkgname=libgdata
-version=0.17.9
-revision=4
+version=0.17.11
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="--disable-static $(vopt_enable gir introspection)
- $(vopt_enable vala)"
+configure_args="-Dgtk_doc=$(vopt_if gtk_doc true false) -Dvapi=true -Dman=true
+ -Dinstalled_tests=false -Dgoa=enabled -Dgnome=enabled -Dgtk=enabled"
 hostmakedepends="pkg-config flex intltool glib-devel $(vopt_if vala vala)"
 makedepends="json-glib-devel gtk+3-devel uhttpmock-devel liboauth-devel
- gcr-devel gnome-online-accounts-devel"
+ gcr-devel gnome-online-accounts-devel $(vopt_if gtk_doc gtk-doc) libsoup-devel"
 short_desc="Library for accessing GData webservices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libgdata"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85c4f7674c0098ffaf060ae01b6b832cb277b3673d54ace3bdedaad6b127453a
+checksum=6b9917122e4def6e6f78bcb660e49e146540832e296abcb5cde99829a04ea986
+patch_args="-Np1"
 
-build_options="gir vala"
+build_options="gir vala gtk_doc"
+desc_option_gtk_doc="Build API docs via gtk-doc"
 build_options_default="gir vala"
 
-pre_build() {
-	export GIR_EXTRA_LIBS_PATH="${wrksrc}/gdata/.libs"
-}
+if [ ! "$CROSS_BUILD" ]; then
+	build_options_default+=" gtk_doc"
+fi
 
 libgdata-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -29,8 +31,10 @@ libgdata-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/share/gtk-doc
 		vmove "usr/lib/*.so"
+		if [ "$build_option_gtk_doc" ]; then
+			vmove usr/share/gtk-doc
+		fi
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From d4460ff25319eea5b65bec3916daae3c7ff70abd Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:17:04 +0300
Subject: [PATCH 88/89] libsoup: update to 2.68.3. [ci skip]

---
 srcpkgs/libsoup/patches/fix-gir-cross.patch | 13 -------------
 srcpkgs/libsoup/template                    | 19 ++++++++++++-------
 2 files changed, 12 insertions(+), 20 deletions(-)
 delete mode 100644 srcpkgs/libsoup/patches/fix-gir-cross.patch

diff --git a/srcpkgs/libsoup/patches/fix-gir-cross.patch b/srcpkgs/libsoup/patches/fix-gir-cross.patch
deleted file mode 100644
index fbd01e72f50..00000000000
--- a/srcpkgs/libsoup/patches/fix-gir-cross.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/meson.build b/meson.build
-index a979362..9059918 100644
---- meson.build
-+++ meson.build
-@@ -269,7 +269,7 @@ enable_gnome = get_option('gnome') and host_machine.system() != 'windows'
- # FIXME: once we start to require meson 0.49.0+ and gnome-introspection 1.58.1+
- # the we can enable the introspection even for the static build. See
- # https://github.com/mesonbuild/meson/pull/4478.
--enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not meson.is_cross_build() and not is_static_library
-+enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not is_static_library
- 
- ############
- # Vala API #
diff --git a/srcpkgs/libsoup/template b/srcpkgs/libsoup/template
index a730cb72339..96c911bdcce 100644
--- a/srcpkgs/libsoup/template
+++ b/srcpkgs/libsoup/template
@@ -1,27 +1,32 @@
 # Template file for 'libsoup'
 pkgname=libsoup
-version=2.66.4
+version=2.68.3
 revision=1
 build_style=meson
 build_helper="gir"
-configure_args="-Dgssapi=false -Dintrospection=$(vopt_if gir true false)
- -Dvapi=$(vopt_if vala true false)"
+configure_args="-Dgssapi=disabled -Dintrospection=$(vopt_if gir enabled disabled)
+ -Dvapi=$(vopt_if vala enabled disabled)"
 hostmakedepends="gettext-devel glib-devel pkg-config $(vopt_if vala 'vala')"
-makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel
- $(vopt_if vala 'vala-devel')"
+makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel brotli-devel
+ glib-networking smbclient $(vopt_if vala 'vala-devel')"
 depends="glib-networking"
 short_desc="HTTP library implementation in C"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libsoup"
-changelog="https://raw.githubusercontent.com/GNOME/libsoup/gnome-3-28/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/libsoup/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8308984f1eee1c4f8c113a9c1763b2b22d981bd811b0cc82a9f3f1aa63228779
+checksum=534bb08e35b0ff3702f3adfde87d3441e27c12f9f5ec351f056fe04cba02bafb
 
 # Package build options
 build_options="gir vala"
 build_options_default="gir vala"
 
+if [ "$CROSS_BUILD" ]; then
+	configure_args+=" -Dtls_check=false"
+	hostmakedepends+=" smbclient"
+fi
+
 libsoup-devel_package() {
 	depends="${makedepends} libsoup>=${version}_${revision}"
 	short_desc+=" - development files"

From 2ad5306142a73ea12cabe19483f572f3f60b01e9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:17:33 +0300
Subject: [PATCH 89/89] nautilus: update to 3.35.2. [ci skip]

---
 srcpkgs/nautilus/patches/fix-build-on-musl.patch | 12 ++++++++++++
 srcpkgs/nautilus/template                        |  8 +++++---
 2 files changed, 17 insertions(+), 3 deletions(-)
 create mode 100644 srcpkgs/nautilus/patches/fix-build-on-musl.patch

diff --git a/srcpkgs/nautilus/patches/fix-build-on-musl.patch b/srcpkgs/nautilus/patches/fix-build-on-musl.patch
new file mode 100644
index 00000000000..26a3f68b61d
--- /dev/null
+++ b/srcpkgs/nautilus/patches/fix-build-on-musl.patch
@@ -0,0 +1,12 @@
+diff -Naurp0 a/src/nautilus-canvas-item.c b/src/nautilus-canvas-item.c
+--- a/src/nautilus-canvas-item.c	2019-11-22 15:57:04.000000000 +0300
++++ b/src/nautilus-canvas-item.c	2019-12-06 17:37:13.569993100 +0300
+@@ -1420 +1420 @@ create_label_layout (NautilusCanvasItem
+-    pango_attr_list_insert (attr_list, pango_attr_insert_hyphens_new (FALSE));
++    pango_attr_list_insert (attr_list, pango_attr_gravity_hint_new (FALSE));
+diff -Naurp0 a/src/nautilus-view-icon-item-ui.c b/src/nautilus-view-icon-item-ui.c
+--- a/src/nautilus-view-icon-item-ui.c	2019-12-06 17:09:39.427861394 +0300
++++ b/src/nautilus-view-icon-item-ui.c	2019-12-06 17:10:23.463718022 +0300
+@@ -154 +154 @@ constructed (GObject *object)
+-    pango_attr_list_insert (attr_list, pango_attr_insert_hyphens_new (FALSE));
++    pango_attr_list_insert (attr_list, pango_attr_gravity_hint_new (FALSE));
diff --git a/srcpkgs/nautilus/template b/srcpkgs/nautilus/template
index ac92882eddb..dcfb0b2f8fe 100644
--- a/srcpkgs/nautilus/template
+++ b/srcpkgs/nautilus/template
@@ -1,6 +1,6 @@
 # Template file for 'nautilus'
 pkgname=nautilus
-version=3.34.1
+version=3.35.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -8,7 +8,7 @@ configure_args="-Dtests=headless -Dintrospection=$(vopt_if gir true false)"
 hostmakedepends="glib-devel libxslt pkg-config"
 makedepends="exempi-devel gnome-autoar-devel gnome-desktop-devel gtk+3-devel
  libexif-devel libgexiv2-devel libglib-devel libnotify-devel libseccomp-devel
- libX11-devel libxml2-devel tracker-devel gst-plugins-base1-devel"
+ libX11-devel libxml2-devel tracker-devel gst-plugins-base1-devel elogind-devel"
 depends="desktop-file-utils gsettings-desktop-schemas hicolor-icon-theme
  tracker-miners tracker"
 checkdepends="tracker"
@@ -17,7 +17,8 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Nautilus"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=37ce2c16a610c589dcc7660f9092446465568e38e29bce6ed8c24f2e8e0077f3
+checksum=37b8b2c900d0ff1b033b3512d5bf8ef2d367278e824716dad4b4214cd4af119b
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
@@ -28,6 +29,7 @@ libnautilus_package() {
 		vmove "usr/lib/*.so.*"
 	}
 }
+
 nautilus-devel_package() {
 	depends="gtk+3-devel libnautilus>=${version}_${revision}"
 	short_desc+=" - development files"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] gnome apps: update & fix license [ci skip]
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16892@inbox.vuxu.org>
  2019-12-25 15:37 ` [PR PATCH] [Updated] [WIP] gnome apps: update & fix license [ci skip] voidlinux-github
  2019-12-27 21:20 ` voidlinux-github
@ 2019-12-30 20:23 ` voidlinux-github
  2020-01-03  5:55 ` voidlinux-github
                   ` (4 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2019-12-30 20:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 2739 bytes --]

There is an updated pull request by k4leg against master on the void-packages repository

https://github.com/k4leg/void-packages gnome
https://github.com/void-linux/void-packages/pull/16892

[WIP] gnome apps: update & fix license [ci skip]
List of updates:
- [x] at-spi2-atk -> 2.34.1
- [x] atk -> 2.35.1
- [x] baobab -> 3.34.0
- [x] cairomm -> 1.15.4
- [x] dconf -> 0.34.0
- [x] dconf-editor -> 3.34.2
- [x] eog-plugins -> 3.26.4
- [x] eolie -> 0.9.63
- [x] epiphany -> 3.34.2
- [x] evince -> 3.34.2
- [x] evolution -> 3.34.2
- [x] evolution-data-server -> 3.34.2
- [x] file-roller -> 3.35.1
- [x] gdl -> 3.34.0
- [x] glib -> 2.63.3
- [x] glib-networking -> 2.63.2
- [x] glibmm -> 2.63.1
- [x] gmime3 -> 3.2.5
- [x] gnome -> fix
- [x] gnome-2048 -> 3.34.4
- [x] gnome-boxes -> 3.34.2
- [x] gnome-calculator -> fix
- [x] gnome-colors-icon-theme -> fix license
- [x] gnome-control-center -> 3.34.2
- [x] gnome-desktop -> 3.34.2
- [x] gnome-disk-utility -> 3.34.0
- [x] gnome-epub-thumbnailer -> 1.6
- [x] gnome-flashback -> 3.34.2
- [x] gnome-games -> 3.34.1
- [x] gnome-getting-started-docs -> 3.34.1
- [x] gnome-keyring -> 3.34.0
- [x] gnome-maps -> 3.34.2
- [x] gnome-mime-data -> fix license
- [x] gnome-music -> 3.34.2
- [x] gnome-passbook -> 0.8
- [x] gnome-photos -> 3.34.0
- [x] gnome-podcasts -> 0.4.7
- [x] gnome-screenshot -> 3.34.0
- [x] gnome-session -> 3.34.2
- [x] gnome-settings-daemon -> 3.34.2
- [x] gnome-shell -> 3.34.2
- [x] gnome-shell-extensions -> 3.34.2
- [x] gnome-sound-recorder -> 3.34.0
- [x] gnome-subtitles -> 1.6
- [x] gnome-themes-standard-metacity -> 3.27.90
- [x] gnome-usage -> 3.33.2
- [x] gnome-user-docs -> 3.34.1
- [x] gnome-video-effects -> 0.5.0
- [x] gnome-weather -> 3.34.0
- [x] gnote -> 3.34.1
- [x] graphene -> 1.10.0
- [x] grilo -> 0.3.10
- [x] gspell -> 1.8.2
- [x] gtk-doc -> 1.32
- [x] gtk-vnc -> 1.0.0
- [x] gtkmm -> 3.24.2
- [x] gtksourceview4 -> 4.4.0
- [x] gvfs -> 1.43.2
- [x] jsonrpc-glib -> 3.34.0
- [x] libchamplain -> 0.12.20
- [x] libgdata -> 0.17.11
- [x] libsecret -> 0.19.1
- [x] libsigc++ -> 3.0.0
- [x] libsoup -> 2.68.3
- [x] mutter -> 3.34.2
- [x] nautilus -> 3.34.2
- [x] network-manager-applet -> 1.8.24
- [x] orca -> 3.34.1
- [ ] pangomm -> 2.43.1
- [x] rygel -> 0.38.3
- [x] shotwell -> 0.31.0
- [x] template-glib -> 3.34.0
- [x] tepl -> 4.3.1
- [x] vala -> 0.47.1
- [ ] valadoc -> 0.47.1
- [x] vte3 -> 0.59.0

Compiled on:
* **x86_64-musl**: _Performed_ | _76/76 packages_
* **aarch64-musl**: _70/72 packages_
**Non-cross-compiling**: `eog-plugins`, `gnome-flashback`, `gnome-maps` & `shotwell`

A patch file from https://github.com/void-linux/void-packages/pull/16892.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-gnome-16892.patch --]
[-- Type: text/x-diff, Size: 128293 bytes --]

From e1562c1831afed4e31c7c87fb728454565bdee31 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:29:31 +0300
Subject: [PATCH 01/75] gdl: update to 3.34.0. [ci skip]

---
 srcpkgs/gdl/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gdl/template b/srcpkgs/gdl/template
index d5b180bd43b..35bee803f96 100644
--- a/srcpkgs/gdl/template
+++ b/srcpkgs/gdl/template
@@ -1,7 +1,7 @@
 # Template file for 'gdl'
 pkgname=gdl
-version=3.28.0
-revision=3
+version=3.34.0
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, LGPL-2.0-or-later"
 homepage="https://developer.gnome.org/gdl/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=52cc98ecc105148467b3b2b4e0d27ae484b1b6710d53413f771ed07ef1b737b6
+checksum=858b30f0cdce4c4cb3e8365a7d54ce57c388beff38ea583be5449bc78dda8d02
 
 # Package build options
 build_options="gir"

From ace91c979d97845f9ecbb8c111952d7df8604344 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:37:50 +0300
Subject: [PATCH 02/75] gmime3: update to 3.2.5. [ci skip]

---
 srcpkgs/gmime3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gmime3/template b/srcpkgs/gmime3/template
index a6a34d2306b..6331a730683 100644
--- a/srcpkgs/gmime3/template
+++ b/srcpkgs/gmime3/template
@@ -1,6 +1,6 @@
 # Template file for 'gmime3'
 pkgname=gmime3
-version=3.2.4
+version=3.2.5
 revision=1
 wrksrc="gmime-${version}"
 build_style=gnu-configure
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://github.com/jstedfast/gmime"
 distfiles="${GNOME_SITE}/gmime/${version%.*}/gmime-${version}.tar.xz"
-checksum=249ea7c0e080b067aa9669162c36b181b402f6cf6cebc4999d838c6f1e81d024
+checksum=fb7556501f85c3bf3e65fdd82697cbc4fa4b55dccd33ad14239ce0197e78ba59
 
 # Package build options
 build_options="gir vala"

From 3ef002fa87d41b66111899b812847b7537125c47 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:41:01 +0300
Subject: [PATCH 03/75] gnome-2048: update to 3.34.4. [ci skip]

---
 srcpkgs/gnome-2048/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-2048/template b/srcpkgs/gnome-2048/template
index 91099f78502..1adbdd577d5 100644
--- a/srcpkgs/gnome-2048/template
+++ b/srcpkgs/gnome-2048/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-2048'
 pkgname=gnome-2048
-version=3.32.0
-revision=2
+version=3.34.4
+revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config vala"
 makedepends="libglib-devel gtk+3-devel clutter-gtk-devel libgee-devel
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/2048"
 distfiles="${GNOME_SITE}/gnome-2048/${version%.*}/gnome-2048-${version}.tar.xz"
-checksum=3fa3d2efdb1f0d969570844411bc940b7a4f751cb7a2ab4870bee4b527e53121
+checksum=1616b5fb88a16340bf9b96ee5474eb1efab3ff3dedd0c04e3738e39315f4c9ab

From fcbeaae75ef1a995047fdf445992eee278910856 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:00:11 +0300
Subject: [PATCH 04/75] gnome-boxes: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-boxes/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-boxes/template b/srcpkgs/gnome-boxes/template
index dc80d8a5556..990056947dd 100644
--- a/srcpkgs/gnome-boxes/template
+++ b/srcpkgs/gnome-boxes/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-boxes'
 pkgname=gnome-boxes
-version=3.32.1
+version=3.34.2
 revision=1
 build_helper="gir"
 build_style=meson
@@ -16,6 +16,6 @@ short_desc="GNOME 3 application to access remote or virtual systems"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Boxes"
-changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=84b2fa1632db0b1fe6e6e691cbe22e5c9880099b23124d96bc45933762ec3a95
+checksum=055e6025993c77c13b2d862e2034a42d3b46879c8e99fc2ffb232e168c930de7

From 6c5b657c4e30bf874f284a2cb82e367273d186a1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:17:17 +0300
Subject: [PATCH 05/75] gnome-games: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-games/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-games/template b/srcpkgs/gnome-games/template
index dd83b22de09..3555d7a8eaf 100644
--- a/srcpkgs/gnome-games/template
+++ b/srcpkgs/gnome-games/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-games'
 pkgname=gnome-games
-version=3.34.0
+version=3.34.1
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala-devel"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Games"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0fd7246d61ce21c0fc121c5488051a5866c19de2c2835ad7fe4b18c06627dcba
+checksum=28e41c982dcc2b4a2e585333bfc1824c8bc940c2c8d0825bf01f9975db68152d

From ab3562acb355f10cfd0ec8219b209d294a1a4e24 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:19:08 +0300
Subject: [PATCH 06/75] gnome-getting-started-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-getting-started-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-getting-started-docs/template b/srcpkgs/gnome-getting-started-docs/template
index 5bec93490ba..e76671df8c7 100644
--- a/srcpkgs/gnome-getting-started-docs/template
+++ b/srcpkgs/gnome-getting-started-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-getting-started-docs'
 pkgname=gnome-getting-started-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -11,4 +11,4 @@ license="CC-BY-SA-3.0"
 homepage="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs"
 #changelog="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=f70ce2ca23ad786215f3c92ec85783e3aabed07e4f78700fa27f9b2cf76e03db
+checksum=ca998f144e2aab81aa7cf6a09202caf650005965d68187baa7aa5d0198373602

From 8555ebfbff447c252aa070b4e10d101ca3f15548 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:37:10 +0300
Subject: [PATCH 07/75] gnome-photos: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-photos/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-photos/template b/srcpkgs/gnome-photos/template
index 48ec55c4afc..2742b688af0 100644
--- a/srcpkgs/gnome-photos/template
+++ b/srcpkgs/gnome-photos/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-photos'
 pkgname=gnome-photos
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddogtail=false"
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Photos"
 distfiles="${GNOME_SITE}/gnome-photos/${version%.*}/gnome-photos-${version}.tar.xz"
-checksum=52c171326523a34412c416c27b66efd250b7dee79f8ac68ff0ebfb8d59c51b98
+checksum=758047cd61fe2ee84b0efc6bacf356f76135d01e475a0b2c33c1bcd26229448a
 
 build_options="gir"
 build_options_default="gir"

From cad74c285c770b93685e2d1645805cd2db9fb629 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:41:04 +0300
Subject: [PATCH 08/75] gnome-screenshot: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-screenshot/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-screenshot/template b/srcpkgs/gnome-screenshot/template
index c07cdf6aa1d..03afd1b473e 100644
--- a/srcpkgs/gnome-screenshot/template
+++ b/srcpkgs/gnome-screenshot/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-screenshot'
 pkgname=gnome-screenshot
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="appdata-tools glib-devel itstool pkg-config"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-screenshot"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8b609f70083ebb95a754e9f11a18a67d2c2723080d672f2faebe54f9633b0a26
+checksum=c80af5f7a2bed4348585eb18dc4e60af5beba4f13d8ccf6ab1ee1d0912c2b1e6

From ab5dc43bedb63c8d2b373888a917208cf769d1cf Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:43:41 +0300
Subject: [PATCH 09/75] gnome-sound-recorder: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-sound-recorder/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-sound-recorder/template b/srcpkgs/gnome-sound-recorder/template
index c9cad38ea1c..79900f909e7 100644
--- a/srcpkgs/gnome-sound-recorder/template
+++ b/srcpkgs/gnome-sound-recorder/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-sound-recorder'
 pkgname=gnome-sound-recorder
-version=3.32.1
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/SoundRecorder"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=4b405fa8a783d24657e95221c7fe6ffc6bd517dc1c705691e475b2a59a590361
+checksum=49f1d6e0c06ac3bacc6084b2f5a63c8b91c5a20c3fc824532b7736a1151684c4
 lib32disabled=yes

From 24787dcc71228741f40459e195a9b98e56c31b70 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:50:07 +0300
Subject: [PATCH 10/75] gnome-subtitles: update to 1.6. [ci skip]

---
 srcpkgs/gnome-subtitles/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-subtitles/template b/srcpkgs/gnome-subtitles/template
index fd53d2b48c7..557c3ff2bf6 100644
--- a/srcpkgs/gnome-subtitles/template
+++ b/srcpkgs/gnome-subtitles/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-subtitles'
 pkgname=gnome-subtitles
-version=1.4.2
-revision=3
+version=1.6
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile"
 hostmakedepends="glib-devel intltool mono pkg-config yelp-tools"
@@ -11,9 +11,9 @@ depends="gst-libav gtk-sharp mono"
 short_desc="Video subtitle editor for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
-homepage="http://www.gnomesubtitles.org/"
+homepage="https://www.gnomesubtitles.org/"
 distfiles="${SOURCEFORGE_SITE}/${pkgname}/${pkgname}-${version}.tar.gz"
-checksum=12847186070c8edbfc17d4aa1118a2ad9d8a9d40b806adf5b7041b71e4682641
+checksum=1a1f8aaeceda96f07e8c153ab68fc811f7016c7c789d0ecd981bfab2247df5c2
 
 case "$XBPS_TARGET_MACHINE" in
 	*musl) broken="SIGSEVs on start: https://gitlab.gnome.org/GNOME/gnome-subtitles/issues/109"

From f70269408226b520d0f121fcce9d6c00591d669b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:00:43 +0300
Subject: [PATCH 11/75] gnome-user-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-user-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-user-docs/template b/srcpkgs/gnome-user-docs/template
index 431c54f3934..21085f9f3d7 100644
--- a/srcpkgs/gnome-user-docs/template
+++ b/srcpkgs/gnome-user-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-user-docs'
 pkgname=gnome-user-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -13,4 +13,4 @@ license="CC-BY-3.0"
 homepage="https://github.com/GNOME/gnome-user-docs"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-user-docs/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8f9907ff15fff97da75ece645cc86766703ac54d716d25563ba67ffed1af24ed
+checksum=c2edd9d633f6f2a5fd8d5580e169d0e07de64d5d5b12a81ecbd64331d176a986

From e554902c7303feeb64397dbc1e502e0e8f79059f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:04:46 +0300
Subject: [PATCH 12/75] gnome-weather: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-weather/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-weather/template b/srcpkgs/gnome-weather/template
index 91f67c3f3f7..accb0b200d4 100644
--- a/srcpkgs/gnome-weather/template
+++ b/srcpkgs/gnome-weather/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-weather'
 pkgname=gnome-weather
-version=3.32.2
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Weather"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=1a25c325033a134f291481bb4aa00b5c9af6555daf5bc311e963e629976bdd49
+checksum=24867e21fcb92b81cd0cf09bbf8bc216ccc55d9a66ac21928b66c413f4efc3bc
 lib32disabled=yes

From e1c574ebe628f1729287b623aa88c92748678d5d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:21:52 +0300
Subject: [PATCH 13/75] network-manager-applet: update to 1.8.24. [ci skip]

---
 srcpkgs/network-manager-applet/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/network-manager-applet/template b/srcpkgs/network-manager-applet/template
index f27836fad50..7af034f6832 100644
--- a/srcpkgs/network-manager-applet/template
+++ b/srcpkgs/network-manager-applet/template
@@ -1,6 +1,6 @@
 # Template file for 'network-manager-applet'
 pkgname=network-manager-applet
-version=1.8.22
+version=1.8.24
 revision=1
 build_style=gnu-configure
 build_helper="gir"
@@ -17,7 +17,7 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/NetworkManager"
 changelog="https://raw.githubusercontent.com/NetworkManager/network-manager-applet/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ebef1c1050ff6d94cad060e8d259f2a88ae159cf83ca75cb71d9f76867877eed
+checksum=118bbb8a5027634b62e8b45b16ceafce74441529c99bf230654e3bec38f9fbbf
 lib32disabled=yes
 
 # Package build options

From f0304fed6041002067fa1d0d2aa859e757590389 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:32:45 +0300
Subject: [PATCH 14/75] gnome-epub-thumbnailer: update to 1.6. [ci skip]

---
 srcpkgs/gnome-epub-thumbnailer/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-epub-thumbnailer/template b/srcpkgs/gnome-epub-thumbnailer/template
index b16e705475f..3d203b54f9f 100644
--- a/srcpkgs/gnome-epub-thumbnailer/template
+++ b/srcpkgs/gnome-epub-thumbnailer/template
@@ -1,13 +1,13 @@
 # Template file for 'gnome-epub-thumbnailer'
 pkgname=gnome-epub-thumbnailer
-version=1.5
+version=1.6
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="gdk-pixbuf-devel libarchive-devel libxml2-devel"
 short_desc="Thumbnailer for EPub and MOBI books"
 maintainer="Alif Rachmawadi <arch@subosito.com>"
-license="GPL-3"
+license="GPL-3.0-only"
 homepage="https://git.gnome.org/browse/gnome-epub-thumbnailer"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=308210f5800219f64cae4828e59bb8e6e4c53b888048cf487221aeb4337d791a
+checksum=b502420d9b02ea0b0fc7986ef5a091a12b2286be14fed9e47594fe9fa0c5898e

From 8153a292f74a94372a6ab45e7fe2770f5d00c8ea Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:25:40 +0300
Subject: [PATCH 15/75] gnome-keyring: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-keyring/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-keyring/template b/srcpkgs/gnome-keyring/template
index 9ab2acb839a..e7f050f47fe 100644
--- a/srcpkgs/gnome-keyring/template
+++ b/srcpkgs/gnome-keyring/template
@@ -1,8 +1,7 @@
 # Template file for 'gnome-keyring'
 pkgname=gnome-keyring
-version=3.28.2
+version=3.34.0
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
 configure_args="--with-pam-dir=/usr/lib/security --disable-schemas-compile"
 hostmakedepends="autoconf docbook-xsl glib-devel intltool libtasn1-tools libxslt
@@ -16,7 +15,8 @@ license="GPL-2.0-or-later, LGPL-2.1-or-later"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-keyring/gnome-3-28/NEWS"
 homepage="https://www.gnome.org"
 distfiles="${GNOME_SITE}/$pkgname/${version%.*}/$pkgname-$version.tar.xz"
-checksum=81171b7d07211b216b4c9bb79bf2deb3deca18fe8d56d46dda1c4549b4a2646a
+checksum=e9cda9542a3e37c61636145e7e9e2513c569092ea8020752a834e1f40ad41943
+lib32disabled=yes
 
 do_check() {
 	# Requires X11 server

From 7034aa8aedb7540e0a38a69170bb8f40f208e9f4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:28:08 +0300
Subject: [PATCH 16/75] gnome-mime-data: fix license. [ci skip]

---
 srcpkgs/gnome-mime-data/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-mime-data/template b/srcpkgs/gnome-mime-data/template
index e79860e1820..90b7c714428 100644
--- a/srcpkgs/gnome-mime-data/template
+++ b/srcpkgs/gnome-mime-data/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-mime-data'
 pkgname=gnome-mime-data
 version=2.18.0
-revision=4
+revision=5
 archs=noarch
 build_style=gnu-configure
 hostmakedepends="intltool shared-mime-info"
@@ -9,7 +9,7 @@ makedepends="shared-mime-info"
 depends="shared-mime-info"
 short_desc="Base MIME and Application database for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/2.18/${pkgname}-${version}.tar.bz2"
 checksum=37196b5b37085bbcd45c338c36e26898fe35dd5975295f69f48028b1e8436fd7

From c501f43a6dd08d805c4eba516177af0fed975394 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:30:49 +0300
Subject: [PATCH 17/75] gnome-passbook: update to 0.8. [ci skip]

---
 srcpkgs/gnome-passbook/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/gnome-passbook/template b/srcpkgs/gnome-passbook/template
index 89047338503..c0adaedb4d9 100644
--- a/srcpkgs/gnome-passbook/template
+++ b/srcpkgs/gnome-passbook/template
@@ -1,15 +1,15 @@
 # Template file for 'gnome-passbook'
 pkgname=gnome-passbook
-version=0.1
-revision=2
-_release_hash=0a227cfdf706f4bfcc0b782026f1aeb2
+version=0.8
+revision=1
+_release_hash=5fea4e4fc19f1732d3a5270bc43eb8e9
 wrksrc="passbook-${version}"
 build_style=meson
 hostmakedepends="glib-devel pkg-config"
 makedepends="gobject-introspection gtk+3-devel libglib-devel"
-short_desc="A password manager for GNOME"
+short_desc="Password manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Passbook"
 distfiles="https://gitlab.gnome.org/gnumdk/passbook/uploads/${_release_hash}/passbook-${version}.tar.xz"
-checksum=45821f50bcee5d94e3a24e2f892c1bdc645f4a8a795055f2624e59ccc92211d5
+checksum=55b5aaa5a61aa3b026de0491e1ac33ca6094208f88031f547f869578b5ff8ad9

From 0ed58b2ba046aa5792b9d74fb6acc27b5c824717 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 23:25:31 +0300
Subject: [PATCH 18/75] gnome-colors-icon-theme: fix license. [ci skip]

---
 srcpkgs/gnome-colors-icon-theme/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-colors-icon-theme/template b/srcpkgs/gnome-colors-icon-theme/template
index 79f36d85e89..cbef71b5cfb 100644
--- a/srcpkgs/gnome-colors-icon-theme/template
+++ b/srcpkgs/gnome-colors-icon-theme/template
@@ -1,16 +1,17 @@
+# Template file for 'gnome-colors-icon-theme'
 pkgname=gnome-colors-icon-theme
 version=5.5.1
-revision=1
+revision=2
 archs=noarch
+wrksrc=${pkgname}
+create_wrksrc=yes
 depends="gtk-update-icon-cache hicolor-icon-theme gnome-icon-theme"
 short_desc="GNOME-Colors icon theme"
 maintainer="Peter Bui <pnutzh4x0r@gmail.com>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="https://github.com/gnome-colors/gnome-colors"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/distfiles/gnome-colors-${version}.tar.gz"
 checksum=1e91d845a753eb38671e7614a786f852ab858a12983111e780da4a47c9debe58
-wrksrc=${pkgname}
-create_wrksrc=yes
 
 do_install() {
 	make -s DESTDIR="$DESTDIR" install > /dev/null

From cd200b1ee5b8830ab8096099b74fc67f8ad09f1e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Fri, 29 Nov 2019 17:40:10 +0300
Subject: [PATCH 19/75] libchamplain: update to 0.12.20. [ci skip]

---
 srcpkgs/libchamplain/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libchamplain/template b/srcpkgs/libchamplain/template
index 7c69641e742..f55dd4e6e35 100644
--- a/srcpkgs/libchamplain/template
+++ b/srcpkgs/libchamplain/template
@@ -1,7 +1,7 @@
 # Template file for 'libchamplain'
 pkgname=libchamplain
-version=0.12.19
-revision=3
+version=0.12.20
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dintrospection=$(vopt_if gir true false)
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://projects.gnome.org/libchamplain/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=36842e326cdbe3cdbdab818472797eedb661dec842fe0579596a3a8d438b2aa4
+checksum=0232b4bfcd130a1c5bda7b6aec266bf2d06e701e8093df1886f1e26bc1ba3066
 
 # Package build options
 build_options="gir vala"

From 025b12111934d68e271a45f7a1bab3f25aa8a7f8 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 30 Nov 2019 23:52:46 +0300
Subject: [PATCH 20/75] gnome-video-effects: update to 0.5.0. [ci skip]

---
 srcpkgs/gnome-video-effects/template | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-video-effects/template b/srcpkgs/gnome-video-effects/template
index d50ffc6fc1f..09ce987a05b 100644
--- a/srcpkgs/gnome-video-effects/template
+++ b/srcpkgs/gnome-video-effects/template
@@ -1,14 +1,12 @@
 # Template file for 'gnome-video-effects'
 pkgname=gnome-video-effects
-version=0.4.3
-revision=2
+version=0.5.0
+revision=1
 archs=noarch
-build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="gstreamer1-devel"
+build_style=meson
 short_desc="Collection of GStreamer effects for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/${pkgname}/0.4/${pkgname}-${version}.tar.xz"
-checksum=5a7ee0f5ade4b7d921f1b99f3b97d7d7bb830f2fef0f1daee20a7a1867708219
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4dc68e9b38fdfc1e8e0414e2d7ee83ace78efdee76f30506cc9dcd07394ad0c8

From a081eb712b8148567fe61bbbcd94472e0c7802a3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:28 +0300
Subject: [PATCH 21/75] gnome-usage: update to 3.33.2. [ci skip]

---
 srcpkgs/gnome-usage/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-usage/template b/srcpkgs/gnome-usage/template
index 211129b35f6..fe4819e9606 100644
--- a/srcpkgs/gnome-usage/template
+++ b/srcpkgs/gnome-usage/template
@@ -1,14 +1,14 @@
 # Template file for 'gnome-usage'
 pkgname=gnome-usage
-version=3.32.0
+version=3.33.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala"
 makedepends="gettext-devel gtk+3-devel libglib-devel libgtop-devel vala-devel
- libdazzle-devel"
+ libdazzle-devel tracker-devel"
 short_desc="Nice way to view information about use of system resources"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Usage"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=30ca974cf01ebf29a66b85b0ae09d9beec77496fcda5e53f1bedbad626fbfa2d
+checksum=64561efd2413947c30ecf9fb56f4dfb4e62061621e13d354453496e094bb7770

From 0cc6c8b36a91363a03a603dacfb4abf7827ba2d0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:35 +0300
Subject: [PATCH 22/75] gnome-themes-standard-metacity: update to 3.27.90. [ci
 skip]

---
 .../gnome-themes-standard-metacity/template   | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-themes-standard-metacity/template b/srcpkgs/gnome-themes-standard-metacity/template
index ca45c036f4c..e4f34a99fdd 100644
--- a/srcpkgs/gnome-themes-standard-metacity/template
+++ b/srcpkgs/gnome-themes-standard-metacity/template
@@ -1,22 +1,25 @@
 # Template file for 'gnome-themes-standard-metacity'
 pkgname=gnome-themes-standard-metacity
 _pkgname=gnome-themes-standard
-version=3.14.2.3
-revision=2
+version=3.27.90
+revision=1
 wrksrc=$_pkgname-$version
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool librsvg-utils glib-devel"
-makedepends="gtk+-devel gtk+3-devel librsvg-devel"
+makedepends="gtk+-devel gtk+3-devel librsvg-devel autoconf libtool"
 depends="cantarell-fonts adwaita-icon-theme"
 short_desc="Standard GNOME themes for metacity"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/$_pkgname/${version%.*.*}/$_pkgname-$version.tar.xz"
-checksum=d82a1cf90be3397deadea46d3ba396a46943c7e141ebc70cf833956b5794e479
+distfiles="${GNOME_SITE}/$_pkgname/${version%.*}/$_pkgname-$version.tar.xz"
+checksum=ffc7ccb5458ae4ef2501c49d84d3af150ca3b70c9b239e7ba6c05fe1405d31dc
 lib32disabled=yes
 
-post_install() {
-	# Remove everything but the metacity themes
-	rm -r $DESTDIR/usr/{lib,share/{icons,themes/*/{gtk-*,index.theme}}}
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" gtk-update-icon-cache"
+fi
+
+pre_build() {
+	sed -i 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
 }

From 94776759ccfc0c066fe1a4eceee2370b521cc0ef Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 19:44:34 +0300
Subject: [PATCH 23/75] gnome-podcasts: update to 0.4.7. [ci skip]

---
 .../gnome-podcasts/patches/fix-build.patch    | 21 ----------------
 srcpkgs/gnome-podcasts/template               | 24 ++++++++++---------
 2 files changed, 13 insertions(+), 32 deletions(-)
 delete mode 100644 srcpkgs/gnome-podcasts/patches/fix-build.patch

diff --git a/srcpkgs/gnome-podcasts/patches/fix-build.patch b/srcpkgs/gnome-podcasts/patches/fix-build.patch
deleted file mode 100644
index aeb9581bd79..00000000000
--- a/srcpkgs/gnome-podcasts/patches/fix-build.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- podcasts-gtk/src/widgets/episode.rs.orig	2019-06-09 15:54:59.793451047 +0200
-+++ podcasts-gtk/src/widgets/episode.rs	2019-06-09 15:55:19.191311512 +0200
-@@ -559,7 +559,7 @@
-             .total_size
-             .get_text()
-             .as_ref()
--            .map(|s| s.trim_right_matches(" MB"))
-+            .map(|s| s.trim_end_matches(" MB"))
-             .and_then(|s| s.parse::<i32>().ok())
-             .is_none()
-         {
---- podcasts-gtk/src/widgets/shows_view.rs.orig	2019-06-09 15:54:00.320878867 +0200
-+++ podcasts-gtk/src/widgets/shows_view.rs	2019-06-09 15:54:13.151786563 +0200
-@@ -80,7 +80,6 @@
- }
- 
- fn on_child_activate(child: &gtk::FlowBoxChild, sender: &Sender<Action>) -> Result<(), Error> {
--    use gtk::WidgetExt;
- 
-     // This is such an ugly hack...
-     let id = WidgetExt::get_name(child)
diff --git a/srcpkgs/gnome-podcasts/template b/srcpkgs/gnome-podcasts/template
index 72e2db6b109..78fd3639ee6 100644
--- a/srcpkgs/gnome-podcasts/template
+++ b/srcpkgs/gnome-podcasts/template
@@ -1,26 +1,28 @@
 # Template file for 'gnome-podcasts'
 pkgname=gnome-podcasts
-version=0.4.6
-revision=3
+version=0.4.7
+revision=1
 wrksrc="podcasts-${version}"
 build_style=meson
-hostmakedepends="cargo gettext-devel glib-devel pkg-config"
+build_helper="rust"
+hostmakedepends="cargo gettext-devel glib-devel pkg-config sqlite-devel"
 makedepends="gstreamer1-devel gst-plugins-bad1-devel gst-plugins-base1-devel
- gtk+3-devel libhandy-devel libressl-devel sqlite-devel texinfo"
+ gtk+3-devel libhandy-devel libressl-devel sqlite-devel rust-std"
 short_desc="Listen to your favorite podcasts"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Podcasts"
 distfiles="https://gitlab.gnome.org/World/podcasts/-/archive/${version}/podcasts-${version}.tar.gz"
-checksum=953c63e8184ca1f748418d8a8262d40eaa41047f81e2d2c874a3035d9d9d0e4a
-nocross="rustc cant be crosscompiled as of now"
-broken="gettext-rs hash does not exists, if fixed build fails in gio 0.5.0"
+checksum=a9a1b62dd3567e3cca38ee29df2fadd82e2fb5e837b0a2a26ecac74e9305161c
 
 export GETTEXT_BIN_DIR=/usr/bin
 export GETTEXT_LIB_DIR="${XBPS_CROSS_BASE}/usr/lib/gettext"
 export GETTEXT_INCLUDE_DIR="${XBPS_CROSS_BASE}/usr/include"
 
-pre_build() {
-	cargo update --package openssl-sys --precise 0.9.46
-	cargo update --package openssl --precise 0.10.22
-}
+if [ $CROSS_BUILD ]; then
+	post_patch() {
+		vsed -i scripts/cargo.sh \
+			-e 's%"$CARGO_TARGET_DIR"/%&${RUST_TARGET}/%' \
+			-e '/CARGO_HOME/d'
+	}
+fi

From 935fd3efc4bf1baaddd5b049173972ca84b539b2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:00:58 +0300
Subject: [PATCH 24/75] shotwell: update to 0.31.0. [ci skip]

---
 srcpkgs/shotwell/template | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/shotwell/template b/srcpkgs/shotwell/template
index a931bbd126e..fb9391563d1 100644
--- a/srcpkgs/shotwell/template
+++ b/srcpkgs/shotwell/template
@@ -1,19 +1,20 @@
 # Template file for 'shotwell'
 pkgname=shotwell
-version=0.30.7
+version=0.31.0
 revision=1
 build_style=meson
-hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool libgee08-devel
- libgexiv2-devel pkg-config vala-devel"
+hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool
+ libgee08-devel libgexiv2-devel pkg-config vala-devel"
 makedepends="gnome-doc-utils gst-plugins-base1-devel libgdata-devel
- libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel libraw-devel
- libunique-devel rest-devel vala-devel webkit2gtk-devel"
+ libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel
+ libraw-devel libunique-devel rest-devel vala-devel webkit2gtk-devel
+ libwebp-devel libchamplain-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="Open source photo manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, CC-BY-SA-3.0"
 homepage="https://wiki.gnome.org/Apps/Shotwell"
 distfiles="${GNOME_SITE}/shotwell/${version%.*}/shotwell-${version}.tar.xz"
-checksum=345d4205760d26f54033d44cf1b778ed9d3fc964de71293bfd5034ff484631d5
+checksum=ddf31ac17d36a0a84547abb593e7448227bcd83599ee7cf866091eca474998df
 lib32disabled=yes
 nocross="https://build.voidlinux.org/builders/armv7l-musl_builder/builds/20405/steps/shell_3/logs/stdio"

From d3af65468459d24d1cb304b551c5f6d707d7d89c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:36:46 +0300
Subject: [PATCH 25/75] glib-networking: update to 2.63.2. [ci skip]

---
 srcpkgs/glib-networking/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib-networking/template b/srcpkgs/glib-networking/template
index 98520abb635..9941d37cf66 100644
--- a/srcpkgs/glib-networking/template
+++ b/srcpkgs/glib-networking/template
@@ -1,6 +1,6 @@
 # Template file for 'glib-networking'
 pkgname=glib-networking
-version=2.62.1
+version=2.63.2
 revision=1
 build_style=meson
 configure_args="-Dinstalled_tests=false -Dgnutls=enabled -Dlibproxy=enabled
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/glib-networking/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3c55ae6771ad7a79fa606a834f4686ed555c2774ed6e9ece6f3c0f6a3dab7110
+checksum=c70f31627d5999f02b2feae156f170d2dcab8d09378bfcd863c911905358f7f3
 lib32disabled=yes
 
 post_install() {

From 10012128e9af1992d9afeddc9072399f9d35a0be Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:42:37 +0300
Subject: [PATCH 26/75] gnome-session: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-session/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-session/template b/srcpkgs/gnome-session/template
index 4444f162bf1..e48ae8b087a 100644
--- a/srcpkgs/gnome-session/template
+++ b/srcpkgs/gnome-session/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-session'
 pkgname=gnome-session
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 configure_args="-Dsystemd_journal=false"
@@ -15,4 +15,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-session"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=d7801fe2d5a751b19cb58081771316a76aabd5c550cd58d4e4c6a5a4ed356660
+checksum=8bb77381650a03ae4be7260751363bd27da93f09bac1ddbc885f4ce44ebaf8e1

From ff26ff601ad82f046b9e83e9dead3eba68fbc2a9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:03:19 +0300
Subject: [PATCH 27/75] vte3: update to 0.59.0. [ci skip]

---
 srcpkgs/vte3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/vte3/template b/srcpkgs/vte3/template
index e2399dbcec2..1567136487e 100644
--- a/srcpkgs/vte3/template
+++ b/srcpkgs/vte3/template
@@ -1,6 +1,6 @@
 # Template file for 'vte3'
 pkgname=vte3
-version=0.58.3
+version=0.59.0
 revision=1
 wrksrc="vte-${version}"
 build_style=meson
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later, LGPL-2.1-or-later, LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Terminal/VTE"
 distfiles="${GNOME_SITE}/vte/${version%.*}/vte-${version}.tar.xz"
-checksum=22dcb54ac2ad1a56ab0a745e16ccfeb383f0b5860b5bfa1784561216f98d4975
+checksum=bbd54c2ef133d0883acf2a4afbf1085087b576f4046a8728209111a604de6927
 
 # Suppress warnings as errors for NULL format strings (musl libc)
 CXXFLAGS="-Wno-error=format="

From c3aaea141422bee0c766a2ed8a50da7f32daaaa8 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:18:56 +0300
Subject: [PATCH 28/75] gtk-doc: update to 1.32. [ci skip]

---
 srcpkgs/gtk-doc/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtk-doc/template b/srcpkgs/gtk-doc/template
index bd090a9c859..b44d72cad8b 100644
--- a/srcpkgs/gtk-doc/template
+++ b/srcpkgs/gtk-doc/template
@@ -1,6 +1,6 @@
 # Template file for 'gtk-doc'
 pkgname=gtk-doc
-version=1.31
+version=1.32
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1-or-later"
 homepage="http://www.gtk.org/gtk-doc/"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=a51687956d0377ac70904d03fdc73c9e116589b4a01453fa92162442b3657011
+checksum=de0ef034fb17cb21ab0c635ec730d19746bce52984a6706e7bbec6fb5e0b907c

From c3c0d60d42b2027b1a898c2dbb69fdb248dd6a9b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:54:58 +0300
Subject: [PATCH 29/75] file-roller: update to 3.35.1. [ci skip]

---
 srcpkgs/file-roller/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/file-roller/template b/srcpkgs/file-roller/template
index 837fdb7a7af..1af7ad04b89 100644
--- a/srcpkgs/file-roller/template
+++ b/srcpkgs/file-roller/template
@@ -1,6 +1,6 @@
 # Template file for 'file-roller'
 pkgname=file-roller
-version=3.32.2
+version=3.35.1
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/FileRoller"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c60a79e0baf74cb1c09a1c8f5ffe0d6e311227ca14ecc5b1156beb3715341a71
+checksum=ed41308e4458e178b70372d6784af8a7ef23001822949f2102c695c187bca8d2

From f0cd8d994539822db5f6e8ae4a03098ed0bb0469 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:00:15 +0300
Subject: [PATCH 30/75] libsecret: update to 0.19.1. [ci skip]

---
 srcpkgs/libsecret/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libsecret/template b/srcpkgs/libsecret/template
index d8eefadd144..eead8aa5d97 100644
--- a/srcpkgs/libsecret/template
+++ b/srcpkgs/libsecret/template
@@ -1,7 +1,7 @@
 # Template file for 'libsecret'
 pkgname=libsecret
-version=0.18.8
-revision=2
+version=0.19.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection) --disable-static
@@ -13,7 +13,7 @@ maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3bfa889d260e0dbabcf5b9967f2aae12edcd2ddc9adc365de7a5cc840c311d15
+checksum=8583e10179456ae2c83075d95455f156dc08db6278b32bf4bd61819335a30e3a
 
 # Package build options
 build_options="gir vala"

From 1777c990db552159e27478d34d76beac3c559c1c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:16:29 +0300
Subject: [PATCH 31/75] gvfs: update to 1.43.2. [ci skip]

---
 srcpkgs/gvfs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gvfs/template b/srcpkgs/gvfs/template
index abe62ad8e0e..cc9e87b4537 100644
--- a/srcpkgs/gvfs/template
+++ b/srcpkgs/gvfs/template
@@ -1,6 +1,6 @@
 # Template file for 'gvfs'
 pkgname=gvfs
-version=1.42.2
+version=1.43.2
 revision=1
 build_style=meson
 configure_args="-Dsystemduserunitdir=no -Dtmpfilesdir=no -Dlogind=false
@@ -19,7 +19,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/gvfs"
 changelog="https://gitlab.gnome.org/GNOME/gvfs/raw/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b57af97573bd295aa50037eed29c6ba7a36188230c515e007c3018855a5cf949
+checksum=8645f8579d2000a3549e528a14a580e3ad17ecffeefdd44b6826a5975e3299d1
 
 # Manually declare shlibs used by the subpkgs.
 shlib_provides="libgvfscommon.so libgvfsdaemon.so"

From 42a105d671407a077edfbe2e7ebd1d8bc848fbbb Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:21:07 +0300
Subject: [PATCH 32/75] orca: update to 3.34.1. [ci skip]

---
 srcpkgs/orca/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/orca/template b/srcpkgs/orca/template
index b1067adbaad..f4f88635c30 100644
--- a/srcpkgs/orca/template
+++ b/srcpkgs/orca/template
@@ -1,7 +1,7 @@
 # Template file for 'orca'
 pkgname=orca
-version=3.34.0
-revision=4
+version=3.34.1
+revision=1
 archs=noarch
 build_style=gnu-configure
 pycompile_module="orca"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Orca"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=977c8079519ffbabad76861aa2790a55671ff69f19f3f4a158bfeb7c192a0282
+checksum=64da1d60bdf48366bc8d411d5d190d2377eb659f3a9861ebd77142ede1b168e0
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" python3-gobject-devel"

From 96157d55c0cfe4e0c1b1d4c16d52e5e1cee1b394 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:04:35 +0300
Subject: [PATCH 33/75] gnote: update to 3.34.1. [ci skip]

---
 common/shlibs          | 1 +
 srcpkgs/gnote/template | 6 +++---
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 8b1c87a98aa..4d2fa72040b 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -619,6 +619,7 @@ libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
 libgnomecanvasmm-2.6.so.1 libgnomecanvasmm-2.26.0_1
 libgnome-keyring.so.0 libgnome-keyring-3.0.0_1
+libgnote-3.34.so.0 gnote-3.34.1_1
 libical.so.3 libical-3.0.4_1
 libical_cxx.so.3 libical-3.0.4_1
 libicalss.so.3 libical-3.0.4_1
diff --git a/srcpkgs/gnote/template b/srcpkgs/gnote/template
index 557fb0a989c..9a9f64dbe82 100644
--- a/srcpkgs/gnote/template
+++ b/srcpkgs/gnote/template
@@ -1,7 +1,7 @@
 # Template file for 'gnote'
 pkgname=gnote
-version=3.32.1
-revision=2
+version=3.34.1
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile --disable-static"
 hostmakedepends="pkg-config intltool itstool desktop-file-utils"
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Gnote"
 distfiles="${GNOME_SITE}/gnote/${version%.*}/gnote-${version}.tar.xz"
-checksum=b8c35188ab45409e3dbb153ac27ecb1029a344dcefff49d3cac4d9fa4c243366
+checksum=4f41c49265376d9e9fd8fcb43e13779c1f965411c67969d18b0e12878d70c3cb
 lib32disabled=yes

From a9b880d2d94ab8be249b69b5a4f0a952935faf0b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:06:57 +0300
Subject: [PATCH 34/75] atk: update to 2.35.1. [ci skip]

---
 srcpkgs/atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/atk/template b/srcpkgs/atk/template
index 7c14b116598..b4d6a57554f 100644
--- a/srcpkgs/atk/template
+++ b/srcpkgs/atk/template
@@ -1,6 +1,6 @@
 # Template file for 'atk'
 pkgname=atk
-version=2.34.1
+version=2.35.1
 revision=1
 build_style=meson
 build_helper="gir"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://developer.gnome.org/atk/"
 distfiles="${GNOME_SITE}/atk/${version%.*}/atk-${version}.tar.xz"
-checksum=d4f0e3b3d21265fcf2bc371e117da51c42ede1a71f6db1c834e6976bb20997cb
+checksum=be9360fa3f845e91f001c20e73b3a0315b38983411b1dc008195f779ac543884
 
 # Package build options
 build_options="gir"

From d40ede0755930f2205b82e7c6d5f5b640d58e589 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:19:40 +0300
Subject: [PATCH 35/75] at-spi2-atk: update to 2.34.1. [ci skip]

---
 srcpkgs/at-spi2-atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/at-spi2-atk/template b/srcpkgs/at-spi2-atk/template
index 9d675e3752b..4351b7996f3 100644
--- a/srcpkgs/at-spi2-atk/template
+++ b/srcpkgs/at-spi2-atk/template
@@ -1,6 +1,6 @@
 # Template file for 'at-spi2-atk'
 pkgname=at-spi2-atk
-version=2.34.0
+version=2.34.1
 revision=1
 build_style=meson
 hostmakedepends="libtool pkg-config intltool glib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a7e96a1eb549529e60a42201dd78ccce413d9c1706e16351cc5288e064500
+checksum=776df930748fde71c128be6c366a987b98b6ee66d508ed9c8db2355bf4b9cc16
 
 at-spi2-atk-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

From f8116032f795edaa9d6fc27084d88a46fea40cda Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:22:48 +0300
Subject: [PATCH 36/75] dconf: update to 0.34.0. [ci skip]

---
 srcpkgs/dconf/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf/template b/srcpkgs/dconf/template
index 8cf262e4576..3499401e70b 100644
--- a/srcpkgs/dconf/template
+++ b/srcpkgs/dconf/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf'
 pkgname=dconf
-version=0.32.0
+version=0.34.0
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=68bce78b19bc94cb2c3bb8587e37f9e5e338568c3a674f86edde9c9f1624ffab
+checksum=943a94ab16121de5580ceaed2605b87444d1bca1c6cd8beefb778bcb0aa2da52
 
 dconf-devel_package() {
 	depends="libglib-devel vala-devel>=0.24 dconf>=${version}_${revision}"

From 60f4bbfac1b7b8a5d8afb377a805775e3b93430f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:32:05 +0300
Subject: [PATCH 37/75] dconf-editor: update to 3.34.2. [ci skip]

---
 srcpkgs/dconf-editor/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf-editor/template b/srcpkgs/dconf-editor/template
index 3617e12dacf..0dd9c9ccd3e 100644
--- a/srcpkgs/dconf-editor/template
+++ b/srcpkgs/dconf-editor/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf-editor'
 pkgname=dconf-editor
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -10,4 +10,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=32ad3e899840e0b17d36a1c4dab60bfb1eedfcf4e46f3ae428076132f37ff335
+checksum=cecc2a5cb44af68be80e970e83fb9e3e92e2a74df7c90b63324e6da19a929d5f

From d37f0b64192762490d931fa21e325fbd4cd033a1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:49:09 +0300
Subject: [PATCH 38/75] eog-plugins: update to 3.26.4. [ci skip]

---
 srcpkgs/eog-plugins/template | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/eog-plugins/template b/srcpkgs/eog-plugins/template
index 7ae10cdb7e5..c47e7825ad8 100644
--- a/srcpkgs/eog-plugins/template
+++ b/srcpkgs/eog-plugins/template
@@ -1,18 +1,17 @@
 # Template file for 'eog-plugins'
 pkgname=eog-plugins
-version=3.26.3
+version=3.26.4
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="eog-devel libgdata-devel
- libchamplain-devel libpeas-devel libexif-devel exempi-devel
- gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 pycompile_dirs="usr/lib/eog/plugins"
+hostmakedepends="pkg-config intltool"
+makedepends="eog-devel libgdata-devel libchamplain-devel libpeas-devel libexif-devel
+ exempi-devel gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 depends="eog gsettings-desktop-schemas"
 short_desc="Eye of GNOME plugins"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e385281649e7ef9e38005a73ffd5688769233a2bc8fc03e62e4da1708596d619
+checksum=dd5a4f537d56d30e25931d32865abf684eac69362ce8320941c547461476a75d
+lib32disabled=yes

From c21dc41116b31392245c9480694ced9b77c504bc Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:58:16 +0300
Subject: [PATCH 39/75] eolie: update to 0.9.63. [ci skip]

---
 srcpkgs/eolie/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/eolie/template b/srcpkgs/eolie/template
index 88efc5b89e3..826bdc9e925 100644
--- a/srcpkgs/eolie/template
+++ b/srcpkgs/eolie/template
@@ -1,8 +1,8 @@
 # Template file for 'eolie'
 pkgname=eolie
-version=0.9.62
-revision=2
-_eolie_hash=bb4aad19272cc636bd17f2f6602127fe
+version=0.9.63
+revision=1
+_eolie_hash=d42b466752729a0d3fa828a721e25043
 build_style=meson
 pycompile_module="eolie"
 hostmakedepends="appstream-glib desktop-file-utils glib-devel pkg-config
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Eolie"
 distfiles="https://gitlab.gnome.org/World/eolie/uploads/${_eolie_hash}/eolie-${version}.tar.xz"
-checksum=9da359895306cf5929a01acb60d1506afb0a04ddbbd0d80ae1d0ba831e34671b
+checksum=306a2d727cb50968e04cd7a1bb77f5eca1810a3da124b916c0010ac1c143f786

From c623f3923a8676ea5e58dd66b459c8a3a2f0edc1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:50:24 +0300
Subject: [PATCH 40/75] gtkmm: update to 3.24.2. [ci skip]

---
 srcpkgs/gtkmm/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtkmm/template b/srcpkgs/gtkmm/template
index b09ab6c9cce..134961b474a 100644
--- a/srcpkgs/gtkmm/template
+++ b/srcpkgs/gtkmm/template
@@ -1,6 +1,6 @@
 # Template file for 'gtkmm'
 pkgname=gtkmm
-version=3.24.1
+version=3.24.2
 revision=1
 build_style=gnu-configure
 configure_args="--disable-documentation"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddfe42ed2458a20a34de252854bcf4b52d3f0c671c045f56b42aa27c7542d2fd
+checksum=6d71091bcd1863133460d4188d04102810e9123de19706fb656b7bb915b4adc3
 
 gtkmm-devel_package() {
 	depends="${makedepends} gtkmm>=${version}_${revision}"

From 691521dce20e0d3bab3d75b2b60243de58c0b194 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:04:53 +0300
Subject: [PATCH 41/75] tepl: update to 4.3.1. [ci skip]

---
 srcpkgs/tepl/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/tepl/template b/srcpkgs/tepl/template
index 5bbc9eef2ed..5bf4fbcf674 100644
--- a/srcpkgs/tepl/template
+++ b/srcpkgs/tepl/template
@@ -1,7 +1,7 @@
 # Template file for 'tepl'
 pkgname=tepl
-version=4.2.0
-revision=3
+version=4.3.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Tepl"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8839d4428ecdd87fd5abc657ebbe5a9601a57262e9946845e47dec264e669ccd
+checksum=406f2aa257098de00cdce01dfe30d6fd7dbd2af60c81b33fbec5ac24b4dec623
 
 build_options="gir"
 build_options_default="gir"
@@ -30,6 +30,7 @@ tepl-devel_package() {
 		vmove usr/include
 		vmove usr/lib/*.so
 		vmove usr/lib/pkgconfig
+		vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 35c3b5aff7dd76a5fdc42c6540d345c3cf42737e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:45:54 +0300
Subject: [PATCH 42/75] glib: update to 2.63.3. [ci skip]

---
 srcpkgs/glib/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib/template b/srcpkgs/glib/template
index 4aa7c9bd618..6edcc958b7f 100644
--- a/srcpkgs/glib/template
+++ b/srcpkgs/glib/template
@@ -1,6 +1,6 @@
 # Template file for 'glib'
 pkgname=glib
-version=2.62.3
+version=2.63.3
 revision=1
 build_style=meson
 configure_args="-Dfam=false -Dman=true -Dselinux=disabled
@@ -14,7 +14,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/GLib"
 changelog="https://gitlab.gnome.org/GNOME/glib/raw/master/NEWS"
 distfiles="${GNOME_SITE}/glib/${version%.*}/glib-${version}.tar.xz"
-checksum=4400adc9f0d3ffcfe8e84225210370ce3f9853afb81812ddadb685325aa655c4
+checksum=8a09a2a059eb617d52b6fcd6f25e0243f0849c598612c9aa5074ce3a6ee1c11c
 
 build_options="gtk_doc"
 desc_option_gtk_doc="Build GTK API docs"

From 5ef630baf2b84e4071b75e7e95b415063d9f7a82 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 22:31:10 +0300
Subject: [PATCH 43/75] gnome: fix [ci skip]

---
 srcpkgs/gnome/INSTALL.msg |  27 ++++++
 srcpkgs/gnome/template    | 187 +++-----------------------------------
 2 files changed, 42 insertions(+), 172 deletions(-)
 create mode 100644 srcpkgs/gnome/INSTALL.msg

diff --git a/srcpkgs/gnome/INSTALL.msg b/srcpkgs/gnome/INSTALL.msg
new file mode 100644
index 00000000000..114923264e7
--- /dev/null
+++ b/srcpkgs/gnome/INSTALL.msg
@@ -0,0 +1,27 @@
+[Additional packages]
+Internet:
+- epiphany: Intuitive GNOME web browser
+- evolution: Integrated mail, addressbook and calendaring for GNOME
+- gnome-authenticator: Two-factor authentication code generator for GNOME
+- gnome-online-accounts: GNOME service to access online accounts
+- polari: GNOME IRC client
+Music:
+- deadbeef: Ultimate Music Player for GNU/Linux
+- gnome-music: GNOME music playing application
+- spotify: Proprietary music streaming client (nonfree|glibc)
+Video:
+- totem: GNOME integrated movie player based on Gstreamer
+- vlc: Cross-platform multimedia player
+Other:
+- chrome-gnome-shell: GNOME Shell integration for Chrome
+- gcr: GNOME crypto package
+- ghex: Simple binary editor for GNOME
+- gitg: Git repository viewer for GTK+/GNOME
+- gnome-bluetooth: GNOME Bluetooth Subsystem
+- gnome-passbook: A password manager for GNOME
+- gparted: Gnome Partition Editor
+- orca: Screen reader for individuals who are blind or visually impaired
+- qalculate-gtk: Multi-purpose desktop calculator
+- sushi: Quick image previewer over DBus for Nautilus
+- vino: VNC server for the GNOME desktop
+- yaru-plus: Elegant Canonical's Yaru-based third-party icons theme
diff --git a/srcpkgs/gnome/template b/srcpkgs/gnome/template
index 1e364afd9f1..06de4f6df93 100644
--- a/srcpkgs/gnome/template
+++ b/srcpkgs/gnome/template
@@ -1,188 +1,31 @@
 # Template file for 'gnome'
 pkgname=gnome
 version=3.32.0
-revision=1
+revision=2
 build_style=meta
+depends="adwaita-icon-theme>=${version} atkmm>=2.28.0 cantarell-fonts>=0.111
+ font-adobe-source-code-pro>=2.030R gdm>=${version} gnome-backgrounds>=${version}
+ gnome-color-manager>=${version} gnome-control-center>=${version} gnome-keyring>=${version}
+ gnome-session>=${version} gnome-shell-extensions>=${version} gnome-themes-standard>=3.28
+ gnome-tweaks>=${version} gtksourceview>=3.24.11 gvfs>=1.43.2 network-manager-applet>=1.8.24
+ gnome-screenshot>=${version} gnome-calendar>=${version} gnome-clocks>=${version}"
 short_desc="GNOME meta-package for Void Linux"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only, LGPL-2.0-only"
 homepage="https://www.gnome.org"
-
-depends="NetworkManager>=1.14.0_1
- adwaita-icon-theme>=3.32.0
- at-spi2-atk>=2.32.0
- at-spi2-core>=2.32.0
- atk>=2.32.0
- atkmm>=2.24.2
- cairomm>=1.12.2_2
- cantarell-fonts>=0.0.25
- caribou>=0.4.21
- cheese>=3.32.0
- chrome-gnome-shell>=10.0.0
- clutter>=1.26.2
- clutter-gst3>=3.0.24
- clutter-gtk>=1.8.4
- cogl>=1.22.2
- dconf>=0.30.0
- eog>=3.32.0
- epiphany>=3.32.0
- evince>=3.32.0
- evolution-data-server>=3.32.0
- file-roller>=3.32.0
- folks>=0.11.4
- font-adobe-source-code-pro>=2.030R
- gcab>=0.7
- gcr>=3.28.0
- gdk-pixbuf>=2.38.0
- gdm>=3.32.0
- geocode-glib>=3.26.0_1
- gfbgraph>=0.2.3
- gjs>=1.56.0
- glib>=2.60.0
- glib-networking>=2.60.0
- glibmm>=2.60.0
- gmime>=2.6.23
- gnome-backgrounds>=3.32.0
- gnome-bluetooth>=3.32.0
- gnome-color-manager>=3.32.0
- gnome-control-center>=3.32.0
- gnome-desktop>=3.32.0
- gnome-getting-started-docs>=3.32.0
- gnome-initial-setup>=3.32.0
- gnome-keyring>=3.28.1
- gnome-online-accounts>=3.32.0
- gnome-online-miners>=3.30.0
- gnome-session>=3.32.0
- gnome-settings-daemon>=3.32.0
- gnome-shell>=3.32.0
- gnome-shell-extensions>=3.32.0
- gnome-themes-standard>=3.22.3
- gnome-tweaks>=3.32.0
- gnome-user-docs>=3.32.0
- gnome-video-effects>=0.4.3
- gobject-introspection>=1.60.0
- gom>=0.3.2_1
- grilo>=0.3.4
- grilo-plugins>=0.3.5
- gsettings-desktop-schemas>=3.32.0
- gsound>=1.0.2
- gspell>=1.8.0
- gssdp>=1.0.2
- gtk+3>=3.24.0
- gtkmm>=3.22.1
- gtksourceview>=3.24.4
- gupnp>=1.0.2
- gupnp-av>=0.12.10
- gupnp-dlna>=0.10.5
- gupnp-igd>=0.2.4
- gvfs>=1.40.0
- json-glib>=1.4.2
- libcroco>=0.6.12
- libgdata>=0.16.1_2
- libgee08>=0.20.0
- libgepub>=0.4_1
- libgnomekbd>=3.26.0
- libgsf>=1.14.41
- libgtop>=2.40.0
- libgweather>=3.32.0
- libgxps>=0.2.5_1
- libmediaart>=1.9.4
- libnotify>=0.7.6_4
- libpeas>=1.22.0
- librsvg>=2.44.0
- libsecret>=0.18.5
- libsigc++>=2.10.0
- libsoup>=2.60.0
- libxml2>=2.6.30
- libxslt>=1.1.22
- libzapojit>=0.0.3
- mm-common>=0.9.10_2
- mousetweaks>=3.12.0
- mutter>=3.32.0
- nautilus>=3.32.0
- network-manager-applet>=1.8.2
- orca>=3.32.0
- pango>=1.42.0
- pangomm>=2.40.1
- phodav>=2.2
- python-atspi>=2.26.0
- python-gobject>=3.26.0
- rest>=0.8.0
- tracker>=2.0.0
- vala>=0.44.0
- vte3>=0.54.0
- yelp>=3.32.0
- yelp-tools>=3.32.0
- yelp-xsl>=3.32.0
- zenity>=3.32.0"
-
-_apps_depends="baobab>=3.32.0
- dconf-editor>=3.32.0
- devhelp>=3.32.0
- evolution>=3.32.0
- ghex>=3.18.3
- gitg>=3.26.0
- gedit>=3.32.0
- gedit-plugins>=3.32.0
- gnome-boxes>=3.32.0
- gnome-builder>=3.32.0
- gnome-calculator>=3.32.0
- gnome-calendar>=3.32.0
- gnome-characters>=3.32.0
- gnome-clocks>=3.32.0
- gnome-dictionary>=3.26.0
- gnome-disk-utility>=3.32.0
- gnome-documents>=3.32.0
- gnome-font-viewer>=3.32.0
- gnome-maps>=3.32.0
- gnome-music>=3.32.0
- gnome-nettool>=3.8.1
- gnome-photos>=3.32.0
- gnome-recipes>=2.0.0
- gnome-screenshot>=3.32.0
- gnome-sound-recorder>=3.32.0
- gnome-system-monitor>=3.32.0
- gnome-terminal>=3.32.0
- gnome-tweaks>=3.32.0
- gtk-vnc>=0.6.0_2
- libchamplain>=0.12.16
- nautilus-sendto>=3.8.0
- nemiver>=0.9.6
- polari>=3.32.0
- rygel>=0.36.0
- simple-scan>=3.32.0
- sushi>=3.32.0
- totem>=3.32.0
- totem-pl-parser>=3.26.0
- vino>=3.22.0"
-
-_games_collection_depends="
- aisleriot>=3.22.3
- five-or-more>=3.32.0
- four-in-a-row>=3.32.0
- gnome-2048>=3.32.0
- gnome-chess>=3.32.0
- gnome-klotski>=3.32.0
- gnome-mahjongg>=3.32.0
- gnome-mines>=3.32.0
- gnome-nibbles>=3.24.0
- gnome-robots>=3.32.0
- gnome-sudoku>=3.32.0
- gnome-tetravex>=3.32.0
- hitori>=3.22.4
- iagno>=3.32.0
- lightsoff>=3.26.0
- quadrapassel>=3.32.0
- swell-foop>=3.26.0
- tali>=3.32.0
-"
+conflicts="xf86-input-synaptics"  # https://bugzilla.gnome.org/show_bug.cgi?id=764257#c12
 
 gnome-apps_package() {
-	depends="$_apps_depends"
+	depends="gedit>=${version} gnome-system-monitor>=${version} gnome-terminal>=${version}
+ eog>=${version} evince>=${version} file-roller>=${version}"
 	short_desc="GNOME-Apps meta-package for Void Linux"
 }
 
 gnome-games-collection_package() {
-	depends="$_games_collection_depends"
+	depends="aisleriot>=3.22.9 five-or-more>=${version} four-in-a-row>=${version} gnome-2048>=${version}
+ gnome-chess>=${version} gnome-klotski>=${version} gnome-mahjongg>=${version} gnome-mines>=${version}
+ gnome-nibbles>=${version} gnome-robots>=${version} gnome-sudoku>=${version} gnome-tetravex>=${version}
+ hitori>=${version} iagno>=${version} lightsoff>=${version} quadrapassel>=${version} swell-foop>=${version}
+ tali>=${version}"
 	short_desc="GNOME Games Collection meta-package for Void Linux"
 }

From 9211e3f70e2d15cd082f79b84f754d3b5098fe0b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:30:45 +0300
Subject: [PATCH 44/75] gspell: update to 1.8.2. [ci skip]

---
 srcpkgs/gspell/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gspell/template b/srcpkgs/gspell/template
index bf34cf60268..f1ff08d50f9 100644
--- a/srcpkgs/gspell/template
+++ b/srcpkgs/gspell/template
@@ -1,7 +1,7 @@
 # Template file for 'gspell'
 pkgname=gspell
-version=1.8.1
-revision=4
+version=1.8.2
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="--disable-static $(vopt_enable gir introspection)
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/gspell/${version%.*}/gspell-${version}.tar.xz"
-checksum=819a1d23c7603000e73f5e738bdd284342e0cd345fb0c7650999c31ec741bbe5
+checksum=bb9195c3a95bacf556d0203e9691f7489e0d3bc5ae1e5a440c89b2f2435d3ed6
 
 # Package build options
 build_options="gir vala"
@@ -27,6 +27,7 @@ gspell-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
+        vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 8158767c40403a1fdb67e620efe99ebccf8dd2e6 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:34:55 +0300
Subject: [PATCH 45/75] baobab: update to 3.34.0. [ci skip]

---
 srcpkgs/baobab/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/baobab/template b/srcpkgs/baobab/template
index 2150c4a8e1b..330379bf9ff 100644
--- a/srcpkgs/baobab/template
+++ b/srcpkgs/baobab/template
@@ -1,6 +1,6 @@
 # Template file for 'baobab'
 pkgname=baobab
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="pkg-config itstool glib-devel vala"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1"
 homepage="https://wiki.gnome.org/action/show/Apps/DiskUsageAnalyzer"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=39414ce94045b35768acddf72d341e7d436cd71298994379d9cec50b57d2632c
+checksum=46ebd9466da6a68c340653e9095f1e905b6fac79305879a9e644634f7da98607

From efb2617ab42397056471f126678dde4dff614058 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:37:45 +0300
Subject: [PATCH 46/75] jsonrpc-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/jsonrpc-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/jsonrpc-glib/template b/srcpkgs/jsonrpc-glib/template
index 25ce4b94f79..2c15919ddbc 100644
--- a/srcpkgs/jsonrpc-glib/template
+++ b/srcpkgs/jsonrpc-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'jsonrpc-glib'
 pkgname=jsonrpc-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_vapi=$(vopt_if gir true false)
@@ -14,7 +14,7 @@ license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/jsonrpc-glib"
 changelog="https://raw.githubusercontent.com/GNOME/jsonrpc-glib/jsonrpc-glib-3-32/NEWS"
 distfiles="${GNOME_SITE}/jsonrpc-glib/${version%.*}/jsonrpc-glib-${version}.tar.xz"
-checksum=bc60aa36c8bdc9c701ad490508445633a9f3973ae0bd5bdd0633d5f6ffeea6eb
+checksum=d1ceb24b503e49e7bfe6e44630c03abc65f2d047a68271eb62e332b13be90548
 
 build_options="gir vala"
 build_options_default="gir vala"

From 527ee6e78e5acd0fc947f240e3f2df6346dcde38 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:40:13 +0300
Subject: [PATCH 47/75] template-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/template-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/template-glib/template b/srcpkgs/template-glib/template
index 730b4e33b5a..c1d43a34eaf 100644
--- a/srcpkgs/template-glib/template
+++ b/srcpkgs/template-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'template-glib'
 pkgname=template-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_introspection=true
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/template-glib"
 distfiles="${GNOME_SITE}/template-glib/${version%.*}/template-glib-${version}.tar.xz"
-checksum=39a334f5db404fa8b225224766684f2f63f5ec4cf4e971cfc513f1db35e81fbc
+checksum=216bef6ac3607666b8ca72b936467f7020ce6421c02755c301d079576c9c3dfd
 
 template-glib-devel_package() {
 	depends="${sourcepkg}-${version}_${revision} gtk+3-devel"

From 583faa6549796ed310c0d4859e6bfa860d6af533 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:46:12 +0300
Subject: [PATCH 48/75] grilo: update to 0.3.10. [ci skip]

---
 srcpkgs/grilo/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/grilo/template b/srcpkgs/grilo/template
index a33ac24880c..88ddfdbd1b6 100644
--- a/srcpkgs/grilo/template
+++ b/srcpkgs/grilo/template
@@ -1,6 +1,6 @@
 # Template file for 'grilo'
 pkgname=grilo
-version=0.3.9
+version=0.3.10
 revision=1
 build_style=meson
 build_helper="gir"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://live.gnome.org/Grilo"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=730581cc62f2cfaadeac815760b80da8dcf3d08c454adad0d6128c930c5bcaf2
+checksum=7e44b2e74c31ed24eb97e43265a9e41effe8660287b02295111805c7bda7f1e8
 
 # Package build options
 build_options="gir vala"

From 5d0bd232d55668c07b6c567a297a89020b39199f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:25:40 +0300
Subject: [PATCH 49/75] libsigc++: update to 3.0.0. [ci skip]

---
 common/shlibs              | 2 +-
 srcpkgs/libsigc++/template | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 4d2fa72040b..a211cae86d6 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -703,7 +703,7 @@ libgvfsdaemon.so gvfs-1.20_1
 libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
-libsigc-2.0.so.0 libsigc++-1.1_1
+libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.4.so.1 glibmm-2.24.0_1
 libgiomm-2.4.so.1 glibmm-2.24.0_1
 libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
diff --git a/srcpkgs/libsigc++/template b/srcpkgs/libsigc++/template
index 8c73eee5c10..d79e3423a1d 100644
--- a/srcpkgs/libsigc++/template
+++ b/srcpkgs/libsigc++/template
@@ -1,6 +1,6 @@
 # Template file for 'libsigc++'
 pkgname=libsigc++
-version=2.10.2
+version=3.0.0
 revision=1
 build_style=gnu-configure
 configure_args="--enable-static --disable-documentation --disable-benchmark"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://libsigcplusplus.github.io/libsigcplusplus/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b1ca0253379596f9c19f070c83d362b12dfd39c0a3ea1dd813e8e21c1a097a98
+checksum=50a0855c1eb26e6044ffe888dbe061938ab4241f96d8f3754ea7ead38ab8ed06
 
 libsigc++-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision}"
@@ -18,7 +18,7 @@ libsigc++-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/lib/sigc++-2.0
+		vmove usr/lib/sigc++-3.0
 		vmove "usr/lib/*.a"
 		vmove "usr/lib/*.so"
 	}

From b6157ca112906f2857a0b20eab7cc93a7f5ea159 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:55:30 +0300
Subject: [PATCH 50/75] glibmm: update to 2.63.1. [ci skip]

---
 common/shlibs           |  6 +++---
 srcpkgs/glibmm/template | 11 +++++------
 2 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index a211cae86d6..6dd7d1e8468 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -704,9 +704,9 @@ libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
 libsigc-3.0.so.0 libsigc++-3.0.0_1
-libglibmm-2.4.so.1 glibmm-2.24.0_1
-libgiomm-2.4.so.1 glibmm-2.24.0_1
-libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
+libglibmm-2.64.so.1 glibmm-2.63.1_1
+libgiomm-2.64.so.1 glibmm-2.63.1_1
+libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.0.so.1 cairomm-1.8.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
diff --git a/srcpkgs/glibmm/template b/srcpkgs/glibmm/template
index 23ef47c5994..578858372e4 100644
--- a/srcpkgs/glibmm/template
+++ b/srcpkgs/glibmm/template
@@ -1,6 +1,6 @@
 # Template file for 'glibmm'
 pkgname=glibmm
-version=2.62.0
+version=2.63.1
 revision=1
 build_style=gnu-configure
 hostmakedepends="glib-devel perl pkg-config"
@@ -10,14 +10,13 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://www.gtkmm.org"
 distfiles="${GNOME_SITE}/glibmm/${version%.*}/glibmm-${version}.tar.xz"
-checksum=36659f13cc73282392d1305858f3bbca46fbd1ce2f078cc9db8b9f79b2e93cfe
+checksum=4f99e29bd0a67afd94c0d6fdad2b86bc5cd944cd5d4ff097520dc58b6c997ada
 
 glibmm-doc_package() {
 	archs=noarch
 	short_desc+=" - documentation"
 	pkg_install() {
-		vmove usr/share/doc
-		vmove usr/share/devhelp
+		vmove usr/share
 	}
 }
 
@@ -25,8 +24,8 @@ glibmm-devel_package() {
 	depends="${makedepends} glibmm>=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
-		vmove usr/lib/glibmm-2.4
-		vmove usr/lib/giomm-2.4
+		vmove "usr/lib/glibmm-*"
+		vmove "usr/lib/giomm-*"
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"

From b79523865d1b5e8f01b4894e5ffb47bba1ae81d2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 16:13:57 +0300
Subject: [PATCH 51/75] cairomm: update to 1.15.4. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/cairomm/template | 16 +++++++++-------
 2 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 6dd7d1e8468..40a9ec53782 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -707,7 +707,7 @@ libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
-libcairomm-1.0.so.1 cairomm-1.8.4_1
+libcairomm-1.16.so.1 cairomm-1.15.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/cairomm/template b/srcpkgs/cairomm/template
index 015726e304c..aa9f9dc9617 100644
--- a/srcpkgs/cairomm/template
+++ b/srcpkgs/cairomm/template
@@ -1,17 +1,18 @@
-# Template build file for 'cairomm'.
+# Template file for 'cairomm'
 pkgname=cairomm
-version=1.12.2
-revision=3
+version=1.15.4
+revision=1
 build_style=gnu-configure
+make_build_args="CXXFLAGS=-std=gnu++17"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel fontconfig-devel libpng-devel libXrender-devel cairo-devel"
-depends="cairo>=1.12.14_6"
+depends="cairo"
 short_desc="C++ bindings to Cairo vector graphics library"
 maintainer="Orphaned <orphan@voidlinux.org>"
+license="GPL-2.0-only, MPL-1.1"
 homepage="http://www.cairographics.org"
-license="GPL-2, MPL-1.1"
-distfiles="http://cairographics.org/releases/$pkgname-$version.tar.gz"
-checksum=45c47fd4d0aa77464a75cdca011143fea3ef795c4753f6e860057da5fb8bd599
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4cd9fd959538953dfa606aaa7a31381e3193eebf14d814d97ef928684ee9feb5
 
 cairomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -19,6 +20,7 @@ cairomm-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove "usr/lib/cairomm*"
+		vmove "usr/lib/*.so"
 		vmove usr/lib/pkgconfig
 	}
 }

From 79f857a765be0fc5c3553d516bc9f8ae8dec39f3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 17:23:32 +0300
Subject: [PATCH 52/75] gtksourceview4: update to 4.4.0. [ci skip]

---
 srcpkgs/gtksourceview4/template | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gtksourceview4/template b/srcpkgs/gtksourceview4/template
index 6848716773c..d06f9b24921 100644
--- a/srcpkgs/gtksourceview4/template
+++ b/srcpkgs/gtksourceview4/template
@@ -1,12 +1,10 @@
 # Template file for 'gtksourceview4'
 pkgname=gtksourceview4
-version=4.2.0
-revision=2
+version=4.4.0
+revision=1
 wrksrc="gtksourceview-${version}"
-build_style=gnu-configure
+build_style=meson
 build_helper="gir"
-configure_args="--enable-glade-catalog $(vopt_enable gir introspection)
- $(vopt_enable vala) $(vopt_enable gtk_doc gtk-doc)"
 hostmakedepends="gtk+3-devel glib-devel itstool libxslt pkg-config
  $(vopt_if vala vala) $(vopt_if gtk_doc gtk-doc)"
 makedepends="glade3-devel gtk+3-devel libglib-devel libxml2-devel
@@ -16,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GtkSourceView"
 distfiles="${GNOME_SITE}/gtksourceview/${version%.*}/gtksourceview-${version}.tar.xz"
-checksum=c431eb234dc83c7819e58f77dd2af973252c7750da1c9d125ddc94268f94f675
+checksum=9ddb914aef70a29a66acd93b4f762d5681202e44094d2d6370e51c9e389e689a
 
 # Package build options
 build_options="gir vala gtk_doc"
@@ -34,8 +32,6 @@ gtksourceview4-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
-		vmove usr/share/glade
-		vmove usr/share/gtk-doc
 		if [ "$build_option_vala" ]; then
 			vmove usr/share/vala
 		fi

From 349c6d488cc5fb1881996083bdc0d10644e73f07 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:12:17 +0300
Subject: [PATCH 53/75] gnome-calculator: fix. [ci skip]

---
 common/shlibs                     | 2 ++
 srcpkgs/gnome-calculator/template | 8 ++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 40a9ec53782..5cdc8a8451a 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2889,6 +2889,8 @@ libyaz_icu.so.5 yaz-5.23.1_1
 libyaz.so.5 yaz-5.23.1_1
 libyaz_server.so.5 yaz-5.23.1_1
 libgcab-1.0.so.0 gcab-0.7_1
+libgcalc-2.so.1.0.1 gnome-calculator-3.35.2_1
+libgci-1.so.0.0.0 gnome-calculator-3.35.2_1
 libliveMedia.so.66 live555-2019.05.03_1
 libgroupsock.so.8 live555-2018.12.14_1
 libUsageEnvironment.so.3 live555-2018.12.14_1
diff --git a/srcpkgs/gnome-calculator/template b/srcpkgs/gnome-calculator/template
index 66b07ad01e4..5516c7a54cc 100644
--- a/srcpkgs/gnome-calculator/template
+++ b/srcpkgs/gnome-calculator/template
@@ -1,12 +1,12 @@
 # Template file for 'gnome-calculator'
 pkgname=gnome-calculator
 version=3.35.2
-revision=1
+revision=2
 build_style=meson
 build_helper="gir"
-hostmakedepends="cmake glib-devel itstool pkg-config vala"
-makedepends="gsettings-desktop-schemas-devel gtksourceview4-devel libgee-devel
- libmpc-devel libsoup-devel"
+hostmakedepends="glib-devel itstool pkg-config vala"
+makedepends="gsettings-desktop-schemas-devel gtksourceview4-devel libmpc-devel
+ libsoup-devel libgee08-devel"
 depends="desktop-file-utils gsettings-desktop-schemas hicolor-icon-theme"
 short_desc="GNOME calculator"
 maintainer="Enno Boland <gottox@voidlinux.org>"

From 2c5a19ca6ce900d139e8e6e36eaf98130984b268 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:00:41 +0300
Subject: [PATCH 54/75] vala: update to 0.47.1. [ci skip]

---
 common/shlibs         |  4 ++--
 srcpkgs/vala/template | 12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 5cdc8a8451a..6470e841b8c 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2972,9 +2972,9 @@ libsysprof-3.so sysprof-3.34.0_1
 libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
-libvala-0.46.so.0 libvala-0.46.0_1
+libvala-0.48.so.0 libvala-0.47.1_1
 libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
-libvalaccodegen.so libvala-0.44.0_1
+libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
 libtracker-miner-2.0.so.0 libtracker-2.0.1_1
diff --git a/srcpkgs/vala/template b/srcpkgs/vala/template
index a3001e75b98..bd85822335b 100644
--- a/srcpkgs/vala/template
+++ b/srcpkgs/vala/template
@@ -1,7 +1,7 @@
 # Template file for 'vala'
 pkgname=vala
 # Should be kept in sync with 'valadoc' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-valadoc"
@@ -12,18 +12,18 @@ short_desc="Compiler for the GObject type system"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
-shlib_provides="libvalaccodegen.so"
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
+shlib_provides="libvala-0.48.so.0 libvalaccodegen.so"
 
 post_install() {
 	# remove the /usr/bin prefix from the vapigen variable
 	# so the package that use it fall into our wrapper.
 	# keep the binary versioned, we don't know the potential
 	# fallout from using the unversioned one
-	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.46|g' \
-		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.46.pc
+	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.48|g' \
+		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.48.pc
 }
 
 libvala_package() {

From 3e45e4bf1561f4a6efad56dc18651c31841e4dac Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:16:15 +0300
Subject: [PATCH 55/75] valadoc: update to 0.47.1. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/valadoc/template | 16 +++++++---------
 2 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 6470e841b8c..9668e90d81d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2973,7 +2973,7 @@ libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
 libvala-0.48.so.0 libvala-0.47.1_1
-libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
+libvaladoc-0.48.so.0 libvaladoc-0.47.1_1
 libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
diff --git a/srcpkgs/valadoc/template b/srcpkgs/valadoc/template
index e90e31a15be..34c3e427f15 100644
--- a/srcpkgs/valadoc/template
+++ b/srcpkgs/valadoc/template
@@ -1,7 +1,7 @@
 # Template file for 'valadoc'
 pkgname=valadoc
 # Should be kept in sync with 'vala' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 wrksrc="vala-${version}"
 build_style=gnu-configure
@@ -13,9 +13,9 @@ short_desc="Vala Documentation Tool"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
 
 pre_configure() {
 	autoreconf -if
@@ -23,8 +23,7 @@ pre_configure() {
 
 do_install() {
 	for subdir in libvaladoc valadoc; do
-		make -C "${subdir}" DESTDIR="$DESTDIR" ${make_install_args} \
-			install
+		make -C "${subdir}" DESTDIR="${DESTDIR}" ${make_install_args} install
 	done
 	vman doc/valadoc.1
 }
@@ -33,14 +32,13 @@ libvaladoc_package() {
 	short_desc+=" - shared library"
 	pkg_install() {
 		vmove "usr/lib/libvaladoc-*.so.*"
-		vmove "usr/lib/valadoc-${version%.*}"
-		vmove "usr/share/valadoc-${version%.*}"
+		vmove usr/lib/valadoc-0.48
+		vmove usr/share/valadoc-0.48
 	}
 }
 
 valadoc-devel_package() {
-	depends="valadoc-${version}_${revision}
-	 vala-devel-${version}_${revision}"
+	depends="valadoc=${version}_${revision} vala-devel=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
 		vmove "usr/include/valadoc-*"

From 5e74c0b9300e80d0f974260057992a5669c00833 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:13:46 +0300
Subject: [PATCH 56/75] gtk-vnc: update to 1.0.0. [ci skip]

---
 .../gtk-vnc/patches/fix-acinclude_m4.patch    |  52 ---------
 srcpkgs/gtk-vnc/template                      | 104 ++++--------------
 srcpkgs/gtk-vnc/update                        |   1 -
 srcpkgs/gtk2-vnc-devel                        |   1 -
 srcpkgs/{gtk2-vnc => gvncviewer}              |   0
 5 files changed, 22 insertions(+), 136 deletions(-)
 delete mode 100644 srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
 delete mode 100644 srcpkgs/gtk-vnc/update
 delete mode 120000 srcpkgs/gtk2-vnc-devel
 rename srcpkgs/{gtk2-vnc => gvncviewer} (100%)

diff --git a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch b/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
deleted file mode 100644
index 62f10eee847..00000000000
--- a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
+++ /dev/null
@@ -1,52 +0,0 @@
---- gtk2-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk2-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
---- gtk3-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk3-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
diff --git a/srcpkgs/gtk-vnc/template b/srcpkgs/gtk-vnc/template
index 7c1b6f8cecc..fed80bf17c5 100644
--- a/srcpkgs/gtk-vnc/template
+++ b/srcpkgs/gtk-vnc/template
@@ -1,106 +1,46 @@
 # Template file for 'gtk-vnc'
 pkgname=gtk-vnc
-version=0.9.0
-revision=3
+version=1.0.0
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="$(vopt_enable gir introspection) $(vopt_enable vala)"
-hostmakedepends="automake gettext-devel glib-devel intltool libgcrypt-devel
- libtool pkg-config gobject-introspection $(vopt_if vala vala)"
-makedepends="gnutls-devel gtk+-devel gtk+3-devel libsasl-devel
- $(vopt_if vala 'vala')"
+configure_args="-Dwith-coroutine=gthread -Dwith-vala=$(vopt_if vala true false)"
+hostmakedepends="pkg-config"
+makedepends="gnutls-devel gtk+3-devel cyrus-sasl libgpg-error-devel expat-devel
+ perl-Text-CSV glib-devel libgcrypt-devel $(vopt_if vala vala)"
 short_desc="VNC viewer widget for GTK"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/gtk-vnc"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a88426809a5df2c14353cd9839b8c8163438cb708b31d8048c79d180fcab7
+checksum=a81a1f1a79ad4618027628ffac27d3391524c063d9411c7a36a5ec3380e6c080
 
 build_options="gir vala"
 build_options_default="gir vala"
 
-post_extract() {
-	cp -a ${wrksrc} /tmp/gtk2-build
-	cp -a ${wrksrc} /tmp/gtk3-build
-	rm -r ${wrksrc}/*
-	mv /tmp/gtk[23]-build ${wrksrc}
-}
-pre_configure() {
-	local build
-	if [ "$CROSS_BUILD" ]; then
-		find . -name "Makefile.*" -exec sed -i "{}" \
-			-e"s;\(\$(CODEGENDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			-e"s;\(\$(DEFSDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			\;
-	fi
-	for build in gtk2-build gtk3-build; do
-		cd ${wrksrc}/${build}
-		autoreconf -if
-	done
-}
-
-do_configure() {
-	cd ${wrksrc}/gtk2-build
-	./configure ${configure_args} --with-gtk=2.0
-
-	cd ${wrksrc}/gtk3-build
-	./configure ${configure_args} --with-gtk=3.0
-}
-
-do_build() {
-	cd ${wrksrc}/gtk2-build
-	make ${makejobs}
-
-	cd ${wrksrc}/gtk3-build
-	make ${makejobs}
-}
-
-do_install() {
-	cd ${wrksrc}/gtk2-build
-	make DESTDIR=${DESTDIR} install
-
-	cd ${wrksrc}/gtk3-build
-	make DESTDIR=${DESTDIR} install
-}
-
-gtk2-vnc_package() {
-	short_desc+=" - GTK+2 port"
-	pkg_install() {
-		vmove "usr/lib/libgtk-vnc-1.0.so*"
-		if [ "$build_option_gir" ]; then
-			vmove usr/lib/girepository-1.0/GtkVnc-1.0.typelib
-		fi
-	}
-}
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" perl glib-devel vala"
+fi
 
-gtk2-vnc-devel_package() {
-	depends="gtk+-devel gtk-vnc-devel>=${version}_${revision}"
-	short_desc+=" - GTK+2 development files"
+gvncviewer_package() {
+	short_desc="Demo application for gtk-vnc"
 	pkg_install() {
-		vmove usr/include/gtk-vnc-1.0
-		if [ "$build_option_gir" ]; then
-			#vmove usr/share/vala/vapi/gtk-vnc-1.0.vapi
-			vmove usr/share/gir-1.0/GtkVnc-1.0.gir
-		fi
-		vmove usr/lib/pkgconfig/gtk-vnc-1.0.pc
+		vbin ${wrksrc}/build/examples/gvncviewer
 	}
 }
 
 gtk-vnc-devel_package() {
 	depends="glib-devel gtk+3-devel gtk-vnc>=${version}_${revision}"
-	short_desc+=" - development files"
+	short_desc+=" (development files)"
 	pkg_install() {
-		vmove usr/include/gvnc-1.0
-		vmove usr/include/gtk-vnc-2.0
-		vmove usr/lib/pkgconfig/gtk-vnc-2.0.pc
-		vmove usr/lib/pkgconfig/gvnc-1.0.pc
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.so"
 		if [ "$build_option_gir" ]; then
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.deps
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.vapi
-			vmove usr/share/vala/vapi/gvnc-1.0.vapi
-			vmove usr/share/gir-1.0/GVnc-1.0.gir
-			vmove usr/share/gir-1.0/GtkVnc-2.0.gir
+			vmove usr/share/gir-1.0
+		fi
+		if [ "$build_option_vala" ]; then
+			vmove usr/share/vala
 		fi
-		vmove usr/lib/*.so
 	}
 }
diff --git a/srcpkgs/gtk-vnc/update b/srcpkgs/gtk-vnc/update
deleted file mode 100644
index f223f26e1ba..00000000000
--- a/srcpkgs/gtk-vnc/update
+++ /dev/null
@@ -1 +0,0 @@
-pattern="\Q$pkgname\E-\K[0-9]+\.[0-9]*[0-9]\.[0-9.]*[0-9](?=)"
diff --git a/srcpkgs/gtk2-vnc-devel b/srcpkgs/gtk2-vnc-devel
deleted file mode 120000
index 25a6952fbce..00000000000
--- a/srcpkgs/gtk2-vnc-devel
+++ /dev/null
@@ -1 +0,0 @@
-gtk-vnc
\ No newline at end of file
diff --git a/srcpkgs/gtk2-vnc b/srcpkgs/gvncviewer
similarity index 100%
rename from srcpkgs/gtk2-vnc
rename to srcpkgs/gvncviewer

From 3c8e60096060adef96b8823435fe80ae48c7574c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:16:37 +0300
Subject: [PATCH 57/75] libgdata: update to 0.17.11. [ci skip]

---
 .../libgdata/patches/disable-perf-test.patch  | 12 ++++++++
 .../libgdata/patches/only-ipv4-tests.patch    | 13 +++++++++
 srcpkgs/libgdata/template                     | 28 +++++++++++--------
 3 files changed, 41 insertions(+), 12 deletions(-)
 create mode 100644 srcpkgs/libgdata/patches/disable-perf-test.patch
 create mode 100644 srcpkgs/libgdata/patches/only-ipv4-tests.patch

diff --git a/srcpkgs/libgdata/patches/disable-perf-test.patch b/srcpkgs/libgdata/patches/disable-perf-test.patch
new file mode 100644
index 00000000000..9bf0101e101
--- /dev/null
+++ b/srcpkgs/libgdata/patches/disable-perf-test.patch
@@ -0,0 +1,12 @@
+diff --git a/gdata/tests/meson.build b/gdata/tests/meson.build
+index 52154e7..ced810a 100644
+--- a/gdata/tests/meson.build
++++ b/gdata/tests/meson.build
+@@ -25,7 +25,6 @@ tests = {
+   'general': {},
+   'oauth1-authorizer': {},
+   'oauth2-authorizer': {},
+-  'perf': {},
+   'picasaweb': {
+     'dependencies': [gdk_pixbuf_dep],
+     'should_fail': true,
diff --git a/srcpkgs/libgdata/patches/only-ipv4-tests.patch b/srcpkgs/libgdata/patches/only-ipv4-tests.patch
new file mode 100644
index 00000000000..acbb00c1c48
--- /dev/null
+++ b/srcpkgs/libgdata/patches/only-ipv4-tests.patch
@@ -0,0 +1,13 @@
+diff --git a/gdata/tests/streams.c b/gdata/tests/streams.c
+index 7158754..1763bd9 100644
+--- a/gdata/tests/streams.c
++++ b/gdata/tests/streams.c
+@@ -193,7 +193,7 @@ create_server (SoupServerCallback callback, gpointer user_data, GMainLoop **main
+ 	g_main_context_push_thread_default (context);
+ 
+ 	soup_server_listen_local (server, 0  /* random port */,
+-	                          SOUP_SERVER_LISTEN_HTTPS, &error);
++	                          SOUP_SERVER_LISTEN_HTTPS | SOUP_SERVER_LISTEN_IPV4_ONLY, &error);
+ 	g_assert_no_error (error);
+ 
+ 	g_main_context_pop_thread_default (context);
diff --git a/srcpkgs/libgdata/template b/srcpkgs/libgdata/template
index 439aa569041..bb0164ed3a8 100644
--- a/srcpkgs/libgdata/template
+++ b/srcpkgs/libgdata/template
@@ -1,27 +1,29 @@
 # Template file for 'libgdata'
 pkgname=libgdata
-version=0.17.9
-revision=4
+version=0.17.11
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="--disable-static $(vopt_enable gir introspection)
- $(vopt_enable vala)"
+configure_args="-Dgtk_doc=$(vopt_if gtk_doc true false) -Dvapi=true -Dman=true
+ -Dinstalled_tests=false -Dgoa=enabled -Dgnome=enabled -Dgtk=enabled"
 hostmakedepends="pkg-config flex intltool glib-devel $(vopt_if vala vala)"
 makedepends="json-glib-devel gtk+3-devel uhttpmock-devel liboauth-devel
- gcr-devel gnome-online-accounts-devel"
+ gcr-devel gnome-online-accounts-devel $(vopt_if gtk_doc gtk-doc) libsoup-devel"
 short_desc="Library for accessing GData webservices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libgdata"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85c4f7674c0098ffaf060ae01b6b832cb277b3673d54ace3bdedaad6b127453a
+checksum=6b9917122e4def6e6f78bcb660e49e146540832e296abcb5cde99829a04ea986
+patch_args="-Np1"
 
-build_options="gir vala"
+build_options="gir vala gtk_doc"
+desc_option_gtk_doc="Build API docs via gtk-doc"
 build_options_default="gir vala"
 
-pre_build() {
-	export GIR_EXTRA_LIBS_PATH="${wrksrc}/gdata/.libs"
-}
+if [ ! "$CROSS_BUILD" ]; then
+	build_options_default+=" gtk_doc"
+fi
 
 libgdata-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -29,8 +31,10 @@ libgdata-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/share/gtk-doc
 		vmove "usr/lib/*.so"
+		if [ "$build_option_gtk_doc" ]; then
+			vmove usr/share/gtk-doc
+		fi
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From c0952990566d1d11334ee947c9ade8bfc28f9123 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:17:04 +0300
Subject: [PATCH 58/75] libsoup: update to 2.68.3. [ci skip]

---
 srcpkgs/libsoup/patches/fix-gir-cross.patch | 13 -------------
 srcpkgs/libsoup/template                    | 19 ++++++++++++-------
 2 files changed, 12 insertions(+), 20 deletions(-)
 delete mode 100644 srcpkgs/libsoup/patches/fix-gir-cross.patch

diff --git a/srcpkgs/libsoup/patches/fix-gir-cross.patch b/srcpkgs/libsoup/patches/fix-gir-cross.patch
deleted file mode 100644
index fbd01e72f50..00000000000
--- a/srcpkgs/libsoup/patches/fix-gir-cross.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/meson.build b/meson.build
-index a979362..9059918 100644
---- meson.build
-+++ meson.build
-@@ -269,7 +269,7 @@ enable_gnome = get_option('gnome') and host_machine.system() != 'windows'
- # FIXME: once we start to require meson 0.49.0+ and gnome-introspection 1.58.1+
- # the we can enable the introspection even for the static build. See
- # https://github.com/mesonbuild/meson/pull/4478.
--enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not meson.is_cross_build() and not is_static_library
-+enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not is_static_library
- 
- ############
- # Vala API #
diff --git a/srcpkgs/libsoup/template b/srcpkgs/libsoup/template
index a730cb72339..96c911bdcce 100644
--- a/srcpkgs/libsoup/template
+++ b/srcpkgs/libsoup/template
@@ -1,27 +1,32 @@
 # Template file for 'libsoup'
 pkgname=libsoup
-version=2.66.4
+version=2.68.3
 revision=1
 build_style=meson
 build_helper="gir"
-configure_args="-Dgssapi=false -Dintrospection=$(vopt_if gir true false)
- -Dvapi=$(vopt_if vala true false)"
+configure_args="-Dgssapi=disabled -Dintrospection=$(vopt_if gir enabled disabled)
+ -Dvapi=$(vopt_if vala enabled disabled)"
 hostmakedepends="gettext-devel glib-devel pkg-config $(vopt_if vala 'vala')"
-makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel
- $(vopt_if vala 'vala-devel')"
+makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel brotli-devel
+ glib-networking smbclient $(vopt_if vala 'vala-devel')"
 depends="glib-networking"
 short_desc="HTTP library implementation in C"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libsoup"
-changelog="https://raw.githubusercontent.com/GNOME/libsoup/gnome-3-28/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/libsoup/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8308984f1eee1c4f8c113a9c1763b2b22d981bd811b0cc82a9f3f1aa63228779
+checksum=534bb08e35b0ff3702f3adfde87d3441e27c12f9f5ec351f056fe04cba02bafb
 
 # Package build options
 build_options="gir vala"
 build_options_default="gir vala"
 
+if [ "$CROSS_BUILD" ]; then
+	configure_args+=" -Dtls_check=false"
+	hostmakedepends+=" smbclient"
+fi
+
 libsoup-devel_package() {
 	depends="${makedepends} libsoup>=${version}_${revision}"
 	short_desc+=" - development files"

From 2e35914450001f48ad5248a736b679b6095f30f7 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:24:15 +0300
Subject: [PATCH 59/75] gnome-desktop: update to 3.34.2. [ci skip]

---
 .../patches/optionalise-gir.patch             | 27 ++++++-------------
 srcpkgs/gnome-desktop/template                |  7 ++---
 srcpkgs/gnome-desktop/update                  |  1 -
 3 files changed, 12 insertions(+), 23 deletions(-)
 delete mode 100644 srcpkgs/gnome-desktop/update

diff --git a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch b/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
index 2d25e87b0b6..9690c129577 100644
--- a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
+++ b/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
@@ -1,11 +1,7 @@
-diff --git a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
-index c365b44..33af6f4 100644
---- libgnome-desktop/meson.build
-+++ libgnome-desktop/meson.build
-@@ -96,17 +96,19 @@ libgnome_desktop_dep = declare_dependency(
-   link_with: libgnome_desktop
- )
- 
+diff -Naurp0 a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
+--- a/libgnome-desktop/meson.build	2019-12-21 19:33:00.720763679 +0300
++++ b/libgnome-desktop/meson.build	2019-12-21 19:34:45.848682615 +0300
+@@ -106,11 +106,13 @@ libgnome_desktop_dep = declare_dependenc
 -gnome.generate_gir(libgnome_desktop,
 -  sources: introspection_sources + libgnome_desktop_headers,
 -  export_packages: 'gnome-desktop-3.0',
@@ -30,17 +26,10 @@ index c365b44..33af6f4 100644
 +    install: true
 +  )
 +endif
- 
- desktop_pc = pkg.generate(
-   libraries: libgnome_desktop,
-diff --git a/meson_options.txt b/meson_options.txt
-index e3402a1..1dbaf5d 100644
---- meson_options.txt
-+++ meson_options.txt
-@@ -28,3 +28,7 @@ option('gtk_doc',
- option('installed_tests',
-   type: 'boolean', value: false, description: 'Enable installed tests'
- )
+diff -Naurp0 a/meson_options.txt b/meson_options.txt
+--- a/meson_options.txt	2019-12-21 19:33:18.342085639 +0300
++++ b/meson_options.txt	2019-12-21 19:33:45.654584469 +0300
+@@ -30,0 +31,4 @@ option('installed_tests',
 +
 +option('introspection',
 +  type: 'boolean', value: false, description: 'Build GIR data'
diff --git a/srcpkgs/gnome-desktop/template b/srcpkgs/gnome-desktop/template
index 38baffaa5c8..9a6ed8da71f 100644
--- a/srcpkgs/gnome-desktop/template
+++ b/srcpkgs/gnome-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-desktop'
 pkgname=gnome-desktop
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -9,14 +9,15 @@ configure_args="-Dgnome-distributor=VoidLinux -Dudev=enabled
 hostmakedepends="itstool pkg-config glib-devel"
 makedepends="eudev-libudev-devel gsettings-desktop-schemas-devel gtk+3-devel
  iso-codes libglib-devel libseccomp-devel libX11-devel libXext-devel
- libxkbfile-devel libXrandr-devel gdk-pixbuf-devel"
+ libxkbfile-devel libXrandr-devel gdk-pixbuf-devel elogind-devel"
 depends="bubblewrap gsettings-desktop-schemas iso-codes xkeyboard-config"
 short_desc="GNOME desktop management utilities"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-desktop"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c1dbeb5666dad27166c769e48e2ab41dd5ed74718ea35eb57c8488790662dc5a
+checksum=4081ba619733da33ec6ba98cd52170ee99a90439709df4df333e5c9e631f28ed
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
diff --git a/srcpkgs/gnome-desktop/update b/srcpkgs/gnome-desktop/update
deleted file mode 100644
index a73db8805ed..00000000000
--- a/srcpkgs/gnome-desktop/update
+++ /dev/null
@@ -1 +0,0 @@
-ignore="*.[0-9]*[13579].*"

From 2b4936395e3a7ed3561d95003b182e804b890550 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:24:26 +0300
Subject: [PATCH 60/75] gnome-shell: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-shell/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-shell/template b/srcpkgs/gnome-shell/template
index 96c5b80a194..d9d68146c91 100644
--- a/srcpkgs/gnome-shell/template
+++ b/srcpkgs/gnome-shell/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell'
 pkgname=gnome-shell
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper=gir
@@ -12,7 +12,7 @@ makedepends="at-spi2-atk caribou-devel evolution-data-server-devel folks-devel
  gnome-menus-devel gsettings-desktop-schemas-devel gstreamer1-devel gtk+3-devel
  ibus-devel json-glib-devel libcanberra-devel libcroco-devel libglib-devel
  libsecret-devel libsoup-devel libX11-devel libxml2-devel mutter-devel
- network-manager-applet-devel polkit-devel pulseaudio-devel
+ network-manager-applet-devel polkit-devel pulseaudio-devel elogind-devel
  startup-notification-devel telepathy-logger-devel gnome-autoar-devel"
 depends="caribou elogind glxinfo gnome-control-center gsettings-desktop-schemas upower"
 short_desc="GNOME core user interface"
@@ -21,4 +21,4 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell"
 changelog="https://raw.githubusercontent.com/GNOME/gnome-shell/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ccd86559b9c897c219d2d2ebfdb8413efa4c1bee846427c750cb8a301b3f6d1e
+checksum=703264db2fafe02d1db53d701cb99a4a757c46e7569e7b9d690dda009fc03b4d

From d122b86cde9563b0d0d973d616714c9303c0e166 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:24:47 +0300
Subject: [PATCH 61/75] gnome-shell-extensions: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-shell-extensions/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-shell-extensions/template b/srcpkgs/gnome-shell-extensions/template
index 97168b40f66..8c70612162f 100644
--- a/srcpkgs/gnome-shell-extensions/template
+++ b/srcpkgs/gnome-shell-extensions/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell-extensions'
 pkgname=gnome-shell-extensions
-version=3.34.1
+version=3.34.2
 revision=1
 archs=noarch
 build_style=meson
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell/Extensions"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b0ad51143b1bf40def4a10f8fd0ab0ffb47218304800794e62cadd29d0acc75b
+checksum=a1e16e75a06ea511435a6f7478de92aff21d02d4e1d59ec8ce7fb6396819b4b8

From c0f0c226e758d4c850c4ab828d5d2c7237294c74 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:25:02 +0300
Subject: [PATCH 62/75] graphene: update to 1.10.0. [ci skip]

---
 srcpkgs/graphene/template | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/graphene/template b/srcpkgs/graphene/template
index f2fe81a3f47..4a82eadc2c1 100644
--- a/srcpkgs/graphene/template
+++ b/srcpkgs/graphene/template
@@ -1,25 +1,24 @@
 # Template file for 'graphene'
 pkgname=graphene
-version=1.8.2
-revision=2
+version=1.10.0
+revision=1
 build_style=meson
 build_helper="gir"
-configure_args="-Dtests=false -Dbenchmarks=false
- -Dintrospection=$(vopt_if gir true false)"
+configure_args="-Dtests=false -Dbenchmarks=false -Dintrospection=$(vopt_if gir true false)"
 hostmakedepends="pkg-config"
 makedepends="libglib-devel"
 short_desc="Thin layer of types for graphic libraries"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="MIT"
 homepage="https://github.com/ebassi/graphene"
-distfiles="${GNOME_SITE}/graphene/${version%.*}/graphene-${version}.tar.xz"
-checksum=b3fcf20996e57b1f4df3941caac10f143bb29890a42f7a65407cd19271fc89f7
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=406d97f51dd4ca61e91f84666a00c3e976d3e667cd248b76d92fdb35ce876499
 
 build_options="gir"
 build_options_default="gir"
 
 post_install() {
-	vlicense LICENSE
+	vlicense LICENSE.txt
 }
 
 graphene-devel_package() {

From 05748305583b9fbdc321077ecac14a30765a4d2f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:26:27 +0300
Subject: [PATCH 63/75] mutter: update to 3.34.2. [ci skip]

---
 common/shlibs                                 | 14 +++--
 .../1-fix-cogl-path-build-ordering.patch      | 19 +++++++
 .../patches/2-Include-egl-eglmesaext.h.patch  | 55 +++++++++++++++++++
 .../patches/fix-cogl-egl-includes.patch       | 11 ----
 srcpkgs/mutter/patches/fixudev.patch          | 16 ------
 srcpkgs/mutter/template                       | 23 +++++---
 srcpkgs/mutter/update                         |  2 -
 7 files changed, 98 insertions(+), 42 deletions(-)
 create mode 100644 srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch
 create mode 100644 srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch
 delete mode 100644 srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
 delete mode 100644 srcpkgs/mutter/patches/fixudev.patch
 delete mode 100644 srcpkgs/mutter/update

diff --git a/common/shlibs b/common/shlibs
index 9668e90d81d..4da8423d080 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2818,11 +2818,15 @@ libdecoration.so.0 compiz-core-0.8.14_1
 libcompizconfig.so.0 libcompizconfig-0.8.14_1
 libemeraldengine.so.0 emerald-0.8.14_1
 libhangul.so.1 libhangul-0.1.0_1
-libmutter-5.so.0 mutter-3.34.1_1
-libmutter-clutter-5.so.0 mutter-3.34.1_1
-libmutter-cogl-path-5.so mutter-3.34.1_1
-libmutter-cogl-5.so.0 mutter-3.34.1_1
-libmutter-cogl-pango-5.so.0 mutter-3.34.1_1
+libmutter-5.so.0 mutter-3.34.2_1
+libmutter-cogl-pango-5.so.0 mutter-3.34.2_1
+libmutter-cogl-5.so.0 mutter-3.34.2_1
+libmutter-clutter-5.so.0 mutter-3.34.2_1
+libmutter-cogl-path-5.so.0 mutter-3.34.2_1
+libmutter-clutter-5.so mutter-3.34.2_1
+libmutter-cogl-5.so mutter-3.34.2_1
+libmutter-cogl-pango-5.so mutter-3.34.2_1
+libmutter-cogl-path-5.so mutter-3.34.2_1
 libgeoclue-2.so.0 geoclue2-2.4.4_1
 libgepub.so.0 libgepub-0.4_1
 libslopy.so.7.4 slop-7.4_1
diff --git a/srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch b/srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch
new file mode 100644
index 00000000000..e83c2f08afb
--- /dev/null
+++ b/srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch
@@ -0,0 +1,19 @@
+--- a/clutter/clutter/meson.build
++++ b/clutter/clutter/meson.build
+@@ -487,7 +487,7 @@
+   soversion: 0,
+   c_args: clutter_c_args,
+   include_directories: clutter_includes,
+-  dependencies: [clutter_deps],
++  dependencies: [clutter_deps,libmutter_cogl_path_dep],
+   gnu_symbol_visibility: 'hidden',
+   link_with: [
+     libmutter_cogl,
+@@ -499,7 +499,7 @@
+   install: true,
+ )
+ libmutter_clutter_dep = declare_dependency(
+-  sources: [clutter_enum_types[1]],
++  sources: [clutter_enum_types[1],libmutter_cogl_path_enum_types[1]],
+   link_with: libmutter_clutter,
+ )
diff --git a/srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch b/srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch
new file mode 100644
index 00000000000..79d1e6dec87
--- /dev/null
+++ b/srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch
@@ -0,0 +1,55 @@
+ cogl/cogl/meson.build       | 2 +-
+ src/backends/meta-egl-ext.h | 1 +
+ src/backends/meta-egl.c     | 1 +
+ src/backends/meta-egl.h     | 1 +
+ 4 files changed, 4 insertions(+), 1 deletion(-)
+
+diff --git c/cogl/cogl/meson.build i/cogl/cogl/meson.build
+index 1057ef955..9a642947d 100644
+--- c/cogl/cogl/meson.build
++++ i/cogl/cogl/meson.build
+@@ -48,7 +48,7 @@ cogl_gl_header_h = configure_file(
+ built_headers += [cogl_gl_header_h]
+ 
+ if have_egl
+-  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>'
++  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>\n#include <EGL/eglmesaext.h>'
+ else
+   cogl_egl_includes_string = ''
+ endif
+diff --git c/src/backends/meta-egl-ext.h i/src/backends/meta-egl-ext.h
+index 8705e7d5b..db0b74f76 100644
+--- c/src/backends/meta-egl-ext.h
++++ i/src/backends/meta-egl-ext.h
+@@ -29,6 +29,7 @@
+ 
+ #include <EGL/egl.h>
+ #include <EGL/eglext.h>
++#include <EGL/eglmesaext.h>
+ 
+ /*
+  * This is a little different to the tests shipped with EGL implementations,
+diff --git c/src/backends/meta-egl.c i/src/backends/meta-egl.c
+index 6554be935..fdeff4f77 100644
+--- c/src/backends/meta-egl.c
++++ i/src/backends/meta-egl.c
+@@ -27,6 +27,7 @@
+ 
+ #include <EGL/egl.h>
+ #include <EGL/eglext.h>
++#include <EGL/eglmesaext.h>
+ #include <gio/gio.h>
+ #include <glib.h>
+ #include <glib-object.h>
+diff --git c/src/backends/meta-egl.h i/src/backends/meta-egl.h
+index f2a816445..4591e7d85 100644
+--- c/src/backends/meta-egl.h
++++ i/src/backends/meta-egl.h
+@@ -28,6 +28,7 @@
+ 
+ #include <EGL/egl.h>
+ #include <EGL/eglext.h>
++#include <EGL/eglmesaext.h>
+ #include <glib-object.h>
+ 
+ #define META_EGL_ERROR meta_egl_error_quark ()
diff --git a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch b/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
deleted file mode 100644
index d90988887c3..00000000000
--- a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- cogl/cogl/meson.build	2019-10-08 19:15:10.000000000 +0200
-+++ cogl/cogl/meson.build	2019-12-16 15:45:44.037640548 +0100
-@@ -48,7 +48,7 @@
- built_headers += [cogl_gl_header_h]
- 
- if have_egl
--  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>'
-+  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>\n#include <EGL/eglmesaext.h>'
- else
-   cogl_egl_includes_string = ''
- endif
diff --git a/srcpkgs/mutter/patches/fixudev.patch b/srcpkgs/mutter/patches/fixudev.patch
deleted file mode 100644
index c9bd1b8c6ce..00000000000
--- a/srcpkgs/mutter/patches/fixudev.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-Apparently the version limit is only required for systemd udev, it works
-just fine with our version of eudev.
-
-diff --git meson.build meson.build
-index dc210e6..6e080ca 100644
---- meson.build
-+++ meson.build
-@@ -168,7 +168,7 @@ endif
- 
- have_libgudev = get_option('udev')
- if have_libgudev
--  libudev_dep = dependency('libudev', version: udev_req)
-+  libudev_dep = dependency('libudev')
-   gudev_dep = dependency('gudev-1.0', version: gudev_req)
- endif
- 
diff --git a/srcpkgs/mutter/template b/srcpkgs/mutter/template
index 5c792515f2b..6601cd078cf 100644
--- a/srcpkgs/mutter/template
+++ b/srcpkgs/mutter/template
@@ -1,25 +1,30 @@
 # Template file for 'mutter'
 pkgname=mutter
-version=3.34.1
-revision=2
+version=3.34.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Degl_device=true -Dudev=true -Dnative_backend=true
- -Dprofiler=false -Dintrospection=true -Dxwayland_path=/usr/bin/Xwayland"
+ -Dprofiler=false -Dintrospection=$(vopt_if gir true false) -Dxwayland_path=/usr/bin/Xwayland"
 hostmakedepends="glib-devel pkg-config zenity wayland-devel xorg-server"
 makedepends="elogind-devel glib-devel gnome-desktop-devel json-glib-devel
  libglib-devel libSM-devel libXtst-devel libcanberra-devel libinput-devel
  MesaLib-devel pipewire-devel startup-notification-devel wayland-protocols
- gnome-settings-daemon-devel"
+ gnome-settings-daemon-devel graphene-devel"
 depends="desktop-file-utils zenity"
 short_desc="Lightweight GTK+3 window manager"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Mutter/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ba1826cf88bdb81e63943cac014a8e8bcf35ec178c53264401f9c72fdeab758e
-shlib_provides="libmutter-clutter-5.so libmutter-cogl-5.so
- libmutter-cogl-pango-5.so libmutter-cogl-path-5.so"
+checksum=2d6f7763193766d4652d43d0d0de2e49e60ca571eca0a7f1e6341fbd67f90b2d
+shlib_provides="libmutter-5.so.0 libmutter-cogl-pango-5.so.0 libmutter-cogl-5.so.0
+ libmutter-clutter-5.so.0 libmutter-cogl-path-5.so.0 libmutter-clutter-5.so
+ libmutter-cogl-5.so libmutter-cogl-pango-5.so libmutter-cogl-path-5.so"
+patch_args="-Np1"
+
+build_options="gir"
+build_options_default="gir"
 
 mutter-devel_package() {
 	depends="gsettings-desktop-schemas gtk+3-devel clutter-devel libX11-devel
@@ -28,7 +33,9 @@ mutter-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove "usr/lib/mutter-5/*.gir"
+		if [ $build_option_gir ]; then
+			vmove "usr/lib/mutter-5/*.gir"
+		fi
 		vmove "usr/lib/*.so"
 	}
 }
diff --git a/srcpkgs/mutter/update b/srcpkgs/mutter/update
deleted file mode 100644
index a84fbbad8b1..00000000000
--- a/srcpkgs/mutter/update
+++ /dev/null
@@ -1,2 +0,0 @@
-site="${GNOME_SITE}/$pkgname/cache.json"
-ignore="3.*[13579].*"

From 38dc3e7d068b74eb9760e2132293a876b1121508 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:17 +0300
Subject: [PATCH 64/75] epiphany: update to 3.34.2. [ci skip]

---
 srcpkgs/epiphany/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/epiphany/template b/srcpkgs/epiphany/template
index b5a3b890c75..37c1f3a315a 100644
--- a/srcpkgs/epiphany/template
+++ b/srcpkgs/epiphany/template
@@ -1,7 +1,7 @@
 # Template file for 'epiphany'
 pkgname=epiphany
-version=3.32.4
-revision=2
+version=3.34.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddistributor_name=VoidLinux -Dunit_tests=disabled"
@@ -16,4 +16,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Web"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c9a828578301af77ac9f3d3ce253b02f9f3a1561840cc8d74dd5645f92d0a995
+checksum=0eaa36fc7b73a23121a23b8a7ad3c18edaf5a8a6b7cdd6d630ba5b71d946a4a1

From 0ea267a935f15909454e433408c780e41844be05 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:27 +0300
Subject: [PATCH 65/75] evolution: update to 3.34.2. [ci skip]

---
 srcpkgs/evolution/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/evolution/template b/srcpkgs/evolution/template
index fc93468dded..37714898bd4 100644
--- a/srcpkgs/evolution/template
+++ b/srcpkgs/evolution/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution'
 pkgname=evolution
-version=3.34.1
-revision=4
+version=3.34.2
+revision=1
 build_style=cmake
 configure_args="-DENABLE_AUTOAR=OFF -DENABLE_LIBCRYPTUI=OFF -DENABLE_GTKSPELL=OFF
  -DENABLE_TEXT_HIGHLIGHT=OFF -DENABLE_PST_IMPORT=OFF
@@ -19,7 +19,7 @@ license="LGPL-2.1-or-later, LGPL-3.0-or-later, GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evolution"
 changelog="https://raw.githubusercontent.com/GNOME/evolution/gnome-3-28/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=656a92dd7f3e1afb6eef4f824fd17ae307c0904a67587ca5bb14ab9bd6f8bd42
+checksum=2c89abab26bb9559c1c5050ec3de9a636efd88aec223eb147df28a4120f29b98
 shlib_provides="libevolution-calendar.so libevolution-util.so libemail-engine.so
  libevolution-mail.so libevolution-shell.so"
 

From 3ac9567a2f4e6927b3d9bf16fe464c4d495a48eb Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:33 +0300
Subject: [PATCH 66/75] gnome-control-center: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-control-center/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-control-center/template b/srcpkgs/gnome-control-center/template
index 0e2787898ae..464367cb7c3 100644
--- a/srcpkgs/gnome-control-center/template
+++ b/srcpkgs/gnome-control-center/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-control-center'
 pkgname=gnome-control-center
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -24,7 +24,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-control-center"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=5f82ecd5554136c462248ec5363b82d95358b39dfd6787006d8307b4504e515e
+checksum=a85ffaf5885a8c70c019013d73792bf4cc75f643e97f6e8b52f7fbba9f7a9114
 
 build_options="cheese"
 desc_option_cheese="Add support for adding user account images with your webcam"

From 205c9172de513824ecc89ffd4f6aa23f9db0b26d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:39 +0300
Subject: [PATCH 67/75] gnome-flashback: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-flashback/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-flashback/template b/srcpkgs/gnome-flashback/template
index bc5ae868cb8..24996df2b95 100644
--- a/srcpkgs/gnome-flashback/template
+++ b/srcpkgs/gnome-flashback/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-flashback'
 pkgname=gnome-flashback
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=gnu-configure
 configure_args="--enable-compile-warnings=minimum"
@@ -9,12 +9,12 @@ makedepends="gtk+3-devel gsettings-desktop-schemas-devel
  libglib-devel gdk-pixbuf-devel upower-devel ibus-devel polkit-devel
  pulseaudio-devel libcanberra-devel libxcb-devel libX11-devel pango-devel
  libxkbfile-devel gnome-bluetooth-devel gnome-desktop-devel"
-depends="gnome-bluetooth gnome-session gnome-settings-daemon
+depends="gnome-bluetooth gnome-session gnome-settings-daemon elogind
  gnome-panel gnome-themes-standard metacity"
 short_desc="GNOME 3 session with similar user experience to the GNOME 2.x series"
 maintainer="shizonic <realtiaz@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeFlashback"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddba0c9661ad93b58ccbde267f6ecbc02da2c15f9d38d87d5504f4670c2fbc77
+checksum=3be65388cd2c8f39741bcc05da87ef40035183a9a39502d67696242c2aeb469c
 nocross="gobject-introspection"

From 45e9f0af1e42df5e4e5f1b6221fea28f5bf1c8de Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:45 +0300
Subject: [PATCH 68/75] gnome-music: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-music/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-music/template b/srcpkgs/gnome-music/template
index e2fbbcbdeca..cc276c996cf 100644
--- a/srcpkgs/gnome-music/template
+++ b/srcpkgs/gnome-music/template
@@ -1,7 +1,8 @@
 # Template file for 'gnome-music'
 pkgname=gnome-music
-version=3.32.2
-revision=2
+version=3.34.2
+revision=1
+build_style=meson
 build_helper="gir"
 build_style=meson
 pycompile_module="gnomemusic"
@@ -16,5 +17,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Music"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=131a4b09983f7ee7f6ad6277bc2d5cf1b4a56484faf6357850357a355aa0c732
+checksum=b94901b052fdf641d653bf875e01ecdba07999c8f26cf7702bcbc4319b45a2a5
 lib32disabled=yes

From b311d604897525727d88591c16eadb15a691844d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:50 +0300
Subject: [PATCH 69/75] nautilus: update to 3.34.2. [ci skip]

---
 srcpkgs/nautilus/template | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/nautilus/template b/srcpkgs/nautilus/template
index ac92882eddb..fe6328f5774 100644
--- a/srcpkgs/nautilus/template
+++ b/srcpkgs/nautilus/template
@@ -1,6 +1,6 @@
 # Template file for 'nautilus'
 pkgname=nautilus
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -17,7 +17,8 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Nautilus"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=37ce2c16a610c589dcc7660f9092446465568e38e29bce6ed8c24f2e8e0077f3
+checksum=bb06e226b965f479a0b8668c19c8e1762b9d8f039af6817961cc7a8f09e6f8a7
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
@@ -28,6 +29,7 @@ libnautilus_package() {
 		vmove "usr/lib/*.so.*"
 	}
 }
+
 nautilus-devel_package() {
 	depends="gtk+3-devel libnautilus>=${version}_${revision}"
 	short_desc+=" - development files"

From 1c9ce7dd2c799c2d38b1f5c92081ab2b94aa1bc9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:55 +0300
Subject: [PATCH 70/75] evince: update to 3.34.2. [ci skip]

---
 srcpkgs/evince/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/evince/template b/srcpkgs/evince/template
index 6e4ec3ecb97..5fdfa774084 100644
--- a/srcpkgs/evince/template
+++ b/srcpkgs/evince/template
@@ -1,6 +1,6 @@
 # Template file for 'evince'
 pkgname=evince
-version=3.34.1
+version=3.34.2
 revision=1
 build_helper="gir"
 build_style=gnu-configure
@@ -19,7 +19,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evince"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85e407cde396147b249120d816c7715fb6df191ca561cf65ff3554a5d67626df
+checksum=3cc0955f11204e3a2db1c7ab99b866692749592257485b87304134ad69da0617
 
 build_options="gir"
 build_options_default="gir"

From 877d94f39aa6a10beabfce3c828f74e0d892be15 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:00 +0300
Subject: [PATCH 71/75] evolution-data-server: update to 3.34.2. [ci skip]

---
 srcpkgs/evolution-data-server/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/evolution-data-server/template b/srcpkgs/evolution-data-server/template
index b1602f2937c..a47860a25e6 100644
--- a/srcpkgs/evolution-data-server/template
+++ b/srcpkgs/evolution-data-server/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution-data-server'
 pkgname=evolution-data-server
-version=3.34.1
-revision=2
+version=3.34.2
+revision=1
 build_style=cmake
 build_helper=gir
 configure_args="-DENABLE_UOA=OFF
@@ -17,7 +17,7 @@ license="LGPL-2.1-only"
 homepage="https://wiki.gnome.org/Apps/Evolution"
 changelog="https://raw.githubusercontent.com/GNOME/evolution-data-server/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6ff56ba04cb639e627fe9d6e0ada106a10cadd68a0d53b8ec72b4e285df53abe
+checksum=3eb89f82eee042884a8d65737564fe48829c3ae187f067cbcdec2b088d2fe89b
 
 build_options="gir"
 if [ -z "$CROSS_BUILD" ]; then

From d8bc49f3992064882261fdc9974a5de3595bb62d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:05 +0300
Subject: [PATCH 72/75] gnome-disk-utility: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-disk-utility/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-disk-utility/template b/srcpkgs/gnome-disk-utility/template
index aa69b8a2b85..0ccd6c3e1ce 100644
--- a/srcpkgs/gnome-disk-utility/template
+++ b/srcpkgs/gnome-disk-utility/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-disk-utility'
 pkgname=gnome-disk-utility
-version=3.32.1
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 configure_args="-Dlibsystemd=false"
 hostmakedepends="glib-devel gtk-doc intltool pkg-config libxslt"
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Disks"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6f15e0d12e87205712f0779195503cda33cb50c40a421f9b94d0869aa25c7c23
+checksum=fe240fff0d26876560921bdc8f5d13a139f694844d59d8613be9524b41c267d5
 lib32disabled=yes

From 9b333ac68c0584ddd2ebb863904b2984ce792921 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:10 +0300
Subject: [PATCH 73/75] gnome-maps: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-maps/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-maps/template b/srcpkgs/gnome-maps/template
index 0585e4574c7..ab667d5c061 100644
--- a/srcpkgs/gnome-maps/template
+++ b/srcpkgs/gnome-maps/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-maps'
 pkgname=gnome-maps
-version=3.32.2.1
+version=3.34.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel gobject-introspection intltool pkg-config AppStream"
@@ -11,6 +11,6 @@ short_desc="GNOME maps application"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Maps"
-distfiles="${GNOME_SITE}/${pkgname}/${version%.*.*}/${pkgname}-${version}.tar.xz"
-checksum=8be6a83cea6545bc8aa3353e6be7bfe7f699795db38dc8d2f958c917700c29d4
-nocross="evolution-dataserver cross gir doesn't work"
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=c56d24e608c71dbf3447f977297c228aab81f7a9516cf7e8c35473082da3ba03
+nocross="evolution-data-server cross gir doesn't work."

From b51b640576d4904c7c58aad945d930490915313b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:16 +0300
Subject: [PATCH 74/75] gnome-settings-daemon: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-settings-daemon/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-settings-daemon/template b/srcpkgs/gnome-settings-daemon/template
index a70e28be5fa..353c2e8f4fd 100644
--- a/srcpkgs/gnome-settings-daemon/template
+++ b/srcpkgs/gnome-settings-daemon/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-settings-daemon'
 pkgname=gnome-settings-daemon
-version=3.34.1
-revision=2
+version=3.34.2
+revision=1
 build_style=meson
 configure_args+="-Dsystemd=false"
 hostmakedepends="cmake docbook-xsl glib-devel libglib-devel libxslt perl pkg-config"
@@ -18,7 +18,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-settings-daemon"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=9981a20babf8da7744b7fbe175b9e36078bf08f3bf65fe5aedeb82cfe27ac11f
+checksum=9fbae67e217e53b99e4f9e7d392c91ffbe31253941c9b136ef09c2d9db7ad7ed
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" polkit"

From 41ac0efe31c38c9a0d0aa61f5a9cfb0580514dee Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 30 Dec 2019 22:56:32 +0300
Subject: [PATCH 75/75] pangomm: update to 2.43.1. [ci skip]

---
 common/shlibs                         |  2 +-
 srcpkgs/pangomm/patches/fix-dep.patch | 18 ++++++++++++++++++
 srcpkgs/pangomm/template              |  8 ++++----
 3 files changed, 23 insertions(+), 5 deletions(-)
 create mode 100644 srcpkgs/pangomm/patches/fix-dep.patch

diff --git a/common/shlibs b/common/shlibs
index 4da8423d080..444bf3eb4ff 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -708,7 +708,7 @@ libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.16.so.1 cairomm-1.15.4_1
-libpangomm-1.4.so.1 pangomm-2.26.0_1
+libpangomm-2.44.so.1 pangomm-2.43.1_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
 libgdkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/pangomm/patches/fix-dep.patch b/srcpkgs/pangomm/patches/fix-dep.patch
new file mode 100644
index 00000000000..6e3d1a7df63
--- /dev/null
+++ b/srcpkgs/pangomm/patches/fix-dep.patch
@@ -0,0 +1,18 @@
+diff -Naurp0 a/configure b/configure
+--- a/configure	2019-12-21 16:48:39.860529868 +0300
++++ b/configure	2019-12-21 16:49:04.946979529 +0300
+@@ -18049 +18049 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
+-PANGOMM_MODULES='glibmm-2.60 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
++PANGOMM_MODULES='glibmm-2.64 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
+diff -Naurp0 a/tools/Makefile.am b/tools/Makefile.am
+--- a/tools/Makefile.am	2019-12-21 16:48:51.875744672 +0300
++++ b/tools/Makefile.am	2019-12-21 16:49:15.519169295 +0300
+@@ -33 +33 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/tools/Makefile.in b/tools/Makefile.in
+--- a/tools/Makefile.in	2019-12-21 16:49:33.502491793 +0300
++++ b/tools/Makefile.in	2019-12-21 16:49:45.390704304 +0300
+@@ -378 +378 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
diff --git a/srcpkgs/pangomm/template b/srcpkgs/pangomm/template
index a01fb2fd356..cd6a8488373 100644
--- a/srcpkgs/pangomm/template
+++ b/srcpkgs/pangomm/template
@@ -1,17 +1,17 @@
 # Template file for 'pangomm'
 pkgname=pangomm
-version=2.42.0
+version=2.43.1
 revision=1
 build_style=gnu-configure
-configure_args="--disable-documentation"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel glibmm-devel cairomm-devel pango-devel"
 short_desc="C++ bindings for the pango library"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
-distfiles="${GNOME_SITE}/pangomm/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ca6da067ff93a6445780c0b4b226eb84f484ab104b8391fb744a45cbc7edbf56
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=00483967b4ed0869da09dc0617de45625b9ab846c7b07aa25dfc940a4fc540a4
+patch_args="-Np1"
 
 pangomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: gnome apps: update & fix license [ci skip]
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16892@inbox.vuxu.org>
                   ` (2 preceding siblings ...)
  2019-12-30 20:23 ` voidlinux-github
@ 2020-01-03  5:55 ` voidlinux-github
  2020-01-03 16:00 ` voidlinux-github
                   ` (3 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-03  5:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 190 bytes --]

New comment by romulasry on void-packages repository

https://github.com/void-linux/void-packages/pull/16892#issuecomment-570471570

Comment:
Leave a message when this is committed, thanks.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: gnome apps: update & fix license [ci skip]
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16892@inbox.vuxu.org>
                   ` (3 preceding siblings ...)
  2020-01-03  5:55 ` voidlinux-github
@ 2020-01-03 16:00 ` voidlinux-github
  2020-01-12 15:16 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (2 subsequent siblings)
  7 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-03 16:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 206 bytes --]

New comment by k4leg on void-packages repository

https://github.com/void-linux/void-packages/pull/16892#issuecomment-570614439

Comment:
Everything is ready. I hope that I have not lost sight of anything.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Updated] gnome apps: update & fix license [ci skip]
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16892@inbox.vuxu.org>
                   ` (4 preceding siblings ...)
  2020-01-03 16:00 ` voidlinux-github
@ 2020-01-12 15:16 ` " voidlinux-github
  2020-01-12 15:24 ` voidlinux-github
  2020-01-12 15:28 ` voidlinux-github
  7 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-12 15:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 2743 bytes --]

There is an updated pull request by k4leg against master on the void-packages repository

https://github.com/k4leg/void-packages gnome
https://github.com/void-linux/void-packages/pull/16892

gnome apps: update & fix license [ci skip]
List of updates:
- [x] at-spi2-atk -> 2.34.1
- [x] atk -> 2.35.1
- [x] baobab -> 3.34.0
- [x] cairomm -> 1.15.4
- [x] dconf -> 0.34.0
- [x] dconf-editor -> 3.34.2
- [x] eog-plugins -> 3.26.4
- [x] eolie -> 0.9.63
- [x] epiphany -> 3.34.2
- [x] evince -> 3.34.2
- [x] evolution -> 3.34.2
- [x] evolution-data-server -> 3.34.2
- [x] file-roller -> 3.35.1
- [x] gdl -> 3.34.0
- [x] glib -> 2.63.3
- [x] glib-networking -> 2.63.2
- [x] glibmm -> 2.63.1
- [x] gmime3 -> 3.2.5
- [x] gnome -> fix
- [x] gnome-2048 -> 3.34.4
- [x] gnome-boxes -> 3.34.2
- [x] gnome-calculator -> fix
- [x] gnome-colors-icon-theme -> fix license
- [x] gnome-control-center -> 3.34.2
- [x] gnome-desktop -> 3.34.2
- [x] gnome-disk-utility -> 3.34.0
- [x] gnome-epub-thumbnailer -> 1.6
- [x] gnome-flashback -> 3.34.2
- [x] gnome-games -> 3.34.1
- [x] gnome-getting-started-docs -> 3.34.1
- [x] gnome-keyring -> 3.34.0
- [x] gnome-maps -> 3.34.2
- [x] gnome-mime-data -> fix license
- [x] gnome-music -> 3.34.2
- [x] gnome-passbook -> 0.8
- [x] gnome-photos -> 3.34.0
- [x] gnome-podcasts -> 0.4.7
- [x] gnome-screenshot -> 3.34.0
- [x] gnome-session -> 3.34.2
- [x] gnome-settings-daemon -> 3.34.2
- [x] gnome-shell -> 3.34.2
- [x] gnome-shell-extensions -> 3.34.2
- [x] gnome-sound-recorder -> 3.34.0
- [x] gnome-subtitles -> 1.6
- [x] gnome-themes-standard-metacity -> 3.27.90
- [x] gnome-usage -> 3.33.2
- [x] gnome-user-docs -> 3.34.1
- [x] gnome-video-effects -> 0.5.0
- [x] gnome-weather -> 3.34.0
- [x] gnote -> 3.34.1
- [x] graphene -> 1.10.0
- [x] grilo -> 0.3.10
- [x] gspell -> 1.8.2
- [x] gtk-doc -> 1.32
- [x] gtk-vnc -> 1.0.0
- [x] gtkmm -> 3.24.2
- [x] gtksourceview4 -> 4.4.0
- [x] gvfs -> 1.43.2
- [x] jsonrpc-glib -> 3.34.0
- [x] libchamplain -> 0.12.20
- [x] libgdata -> 0.17.11
- [x] libsecret -> 0.19.1
- [x] libsigc++ -> 3.0.0
- [x] libsoup -> 2.68.3
- [x] mutter -> 3.34.2
- [x] nautilus -> 3.34.2
- [x] network-manager-applet -> 1.8.24
- [x] orca -> 3.34.1
- [x] pangomm -> 2.43.1
- [x] rygel -> 0.38.3
- [x] shotwell -> 0.31.0
- [x] template-glib -> 3.34.0
- [x] tepl -> 4.3.1
- [x] vala -> 0.47.1
- [x] valadoc -> 0.47.1
- [x] vte3 -> 0.59.0

Compiled on:
* **x86_64-musl**: _Performed | 76/76 packages_
* **aarch64-musl**: _Performed | 72/72 packages_
**Non-cross-compiling**: `eog-plugins`, `gnome-flashback`, `gnome-maps` & `shotwell`

A patch file from https://github.com/void-linux/void-packages/pull/16892.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-gnome-16892.patch --]
[-- Type: text/x-diff, Size: 128396 bytes --]

From 2ffb039717d364871cf54b6f6810a4202b3242dc Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:29:31 +0300
Subject: [PATCH 01/75] gdl: update to 3.34.0. [ci skip]

---
 srcpkgs/gdl/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gdl/template b/srcpkgs/gdl/template
index d5b180bd43b..35bee803f96 100644
--- a/srcpkgs/gdl/template
+++ b/srcpkgs/gdl/template
@@ -1,7 +1,7 @@
 # Template file for 'gdl'
 pkgname=gdl
-version=3.28.0
-revision=3
+version=3.34.0
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, LGPL-2.0-or-later"
 homepage="https://developer.gnome.org/gdl/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=52cc98ecc105148467b3b2b4e0d27ae484b1b6710d53413f771ed07ef1b737b6
+checksum=858b30f0cdce4c4cb3e8365a7d54ce57c388beff38ea583be5449bc78dda8d02
 
 # Package build options
 build_options="gir"

From 62a436fbd2f10bb79f7d264bd42f2149315efc5e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:37:50 +0300
Subject: [PATCH 02/75] gmime3: update to 3.2.5. [ci skip]

---
 srcpkgs/gmime3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gmime3/template b/srcpkgs/gmime3/template
index a6a34d2306b..6331a730683 100644
--- a/srcpkgs/gmime3/template
+++ b/srcpkgs/gmime3/template
@@ -1,6 +1,6 @@
 # Template file for 'gmime3'
 pkgname=gmime3
-version=3.2.4
+version=3.2.5
 revision=1
 wrksrc="gmime-${version}"
 build_style=gnu-configure
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://github.com/jstedfast/gmime"
 distfiles="${GNOME_SITE}/gmime/${version%.*}/gmime-${version}.tar.xz"
-checksum=249ea7c0e080b067aa9669162c36b181b402f6cf6cebc4999d838c6f1e81d024
+checksum=fb7556501f85c3bf3e65fdd82697cbc4fa4b55dccd33ad14239ce0197e78ba59
 
 # Package build options
 build_options="gir vala"

From 9387e6ffbfbdf0e0a7f85966be15785ffe855687 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:41:01 +0300
Subject: [PATCH 03/75] gnome-2048: update to 3.34.4. [ci skip]

---
 srcpkgs/gnome-2048/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-2048/template b/srcpkgs/gnome-2048/template
index 38c206f5f77..d65e6fbda39 100644
--- a/srcpkgs/gnome-2048/template
+++ b/srcpkgs/gnome-2048/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-2048'
 pkgname=gnome-2048
-version=3.32.0
-revision=3
+version=3.34.4
+revision=1
 build_style=meson
 hostmakedepends="gettext glib-devel itstool pkg-config vala"
 makedepends="libglib-devel gtk+3-devel clutter-gtk-devel libgee08-devel
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/2048"
 distfiles="${GNOME_SITE}/gnome-2048/${version%.*}/gnome-2048-${version}.tar.xz"
-checksum=3fa3d2efdb1f0d969570844411bc940b7a4f751cb7a2ab4870bee4b527e53121
+checksum=1616b5fb88a16340bf9b96ee5474eb1efab3ff3dedd0c04e3738e39315f4c9ab

From ab563e6d6f31c2b9276c55e3c3f36213edd3529b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:00:11 +0300
Subject: [PATCH 04/75] gnome-boxes: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-boxes/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-boxes/template b/srcpkgs/gnome-boxes/template
index dc80d8a5556..990056947dd 100644
--- a/srcpkgs/gnome-boxes/template
+++ b/srcpkgs/gnome-boxes/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-boxes'
 pkgname=gnome-boxes
-version=3.32.1
+version=3.34.2
 revision=1
 build_helper="gir"
 build_style=meson
@@ -16,6 +16,6 @@ short_desc="GNOME 3 application to access remote or virtual systems"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Boxes"
-changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=84b2fa1632db0b1fe6e6e691cbe22e5c9880099b23124d96bc45933762ec3a95
+checksum=055e6025993c77c13b2d862e2034a42d3b46879c8e99fc2ffb232e168c930de7

From 658e6ab0095a632105b6b3e18933a7b94787bf8b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:17:17 +0300
Subject: [PATCH 05/75] gnome-games: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-games/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-games/template b/srcpkgs/gnome-games/template
index 2731df0f6d9..e384fca8d25 100644
--- a/srcpkgs/gnome-games/template
+++ b/srcpkgs/gnome-games/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-games'
 pkgname=gnome-games
-version=3.34.0
+version=3.34.1
 revision=1
 build_style=meson
 hostmakedepends="gettext glib-devel pkg-config vala-devel"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Games"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0fd7246d61ce21c0fc121c5488051a5866c19de2c2835ad7fe4b18c06627dcba
+checksum=28e41c982dcc2b4a2e585333bfc1824c8bc940c2c8d0825bf01f9975db68152d

From 8d4474ef16459f3ea19e753c44d4c7237b2a5b0a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:19:08 +0300
Subject: [PATCH 06/75] gnome-getting-started-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-getting-started-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-getting-started-docs/template b/srcpkgs/gnome-getting-started-docs/template
index 5bec93490ba..e76671df8c7 100644
--- a/srcpkgs/gnome-getting-started-docs/template
+++ b/srcpkgs/gnome-getting-started-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-getting-started-docs'
 pkgname=gnome-getting-started-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -11,4 +11,4 @@ license="CC-BY-SA-3.0"
 homepage="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs"
 #changelog="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=f70ce2ca23ad786215f3c92ec85783e3aabed07e4f78700fa27f9b2cf76e03db
+checksum=ca998f144e2aab81aa7cf6a09202caf650005965d68187baa7aa5d0198373602

From 4cbe0394cbeb52cfb620b10fa185c418c087cf6e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:37:10 +0300
Subject: [PATCH 07/75] gnome-photos: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-photos/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-photos/template b/srcpkgs/gnome-photos/template
index 48ec55c4afc..2742b688af0 100644
--- a/srcpkgs/gnome-photos/template
+++ b/srcpkgs/gnome-photos/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-photos'
 pkgname=gnome-photos
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddogtail=false"
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Photos"
 distfiles="${GNOME_SITE}/gnome-photos/${version%.*}/gnome-photos-${version}.tar.xz"
-checksum=52c171326523a34412c416c27b66efd250b7dee79f8ac68ff0ebfb8d59c51b98
+checksum=758047cd61fe2ee84b0efc6bacf356f76135d01e475a0b2c33c1bcd26229448a
 
 build_options="gir"
 build_options_default="gir"

From e8dc9bd0c5fe3af143fe4a0f3531ae25bf1b5b6d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:41:04 +0300
Subject: [PATCH 08/75] gnome-screenshot: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-screenshot/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-screenshot/template b/srcpkgs/gnome-screenshot/template
index c07cdf6aa1d..03afd1b473e 100644
--- a/srcpkgs/gnome-screenshot/template
+++ b/srcpkgs/gnome-screenshot/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-screenshot'
 pkgname=gnome-screenshot
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="appdata-tools glib-devel itstool pkg-config"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-screenshot"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8b609f70083ebb95a754e9f11a18a67d2c2723080d672f2faebe54f9633b0a26
+checksum=c80af5f7a2bed4348585eb18dc4e60af5beba4f13d8ccf6ab1ee1d0912c2b1e6

From 8807b2da7027f878ba3ac043755b8c4dcd6837c3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:43:41 +0300
Subject: [PATCH 09/75] gnome-sound-recorder: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-sound-recorder/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-sound-recorder/template b/srcpkgs/gnome-sound-recorder/template
index c9cad38ea1c..79900f909e7 100644
--- a/srcpkgs/gnome-sound-recorder/template
+++ b/srcpkgs/gnome-sound-recorder/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-sound-recorder'
 pkgname=gnome-sound-recorder
-version=3.32.1
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/SoundRecorder"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=4b405fa8a783d24657e95221c7fe6ffc6bd517dc1c705691e475b2a59a590361
+checksum=49f1d6e0c06ac3bacc6084b2f5a63c8b91c5a20c3fc824532b7736a1151684c4
 lib32disabled=yes

From b0c5d7765f799b736ea2ee62a3a4865711ac2a8d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:50:07 +0300
Subject: [PATCH 10/75] gnome-subtitles: update to 1.6. [ci skip]

---
 srcpkgs/gnome-subtitles/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-subtitles/template b/srcpkgs/gnome-subtitles/template
index fd53d2b48c7..557c3ff2bf6 100644
--- a/srcpkgs/gnome-subtitles/template
+++ b/srcpkgs/gnome-subtitles/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-subtitles'
 pkgname=gnome-subtitles
-version=1.4.2
-revision=3
+version=1.6
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile"
 hostmakedepends="glib-devel intltool mono pkg-config yelp-tools"
@@ -11,9 +11,9 @@ depends="gst-libav gtk-sharp mono"
 short_desc="Video subtitle editor for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
-homepage="http://www.gnomesubtitles.org/"
+homepage="https://www.gnomesubtitles.org/"
 distfiles="${SOURCEFORGE_SITE}/${pkgname}/${pkgname}-${version}.tar.gz"
-checksum=12847186070c8edbfc17d4aa1118a2ad9d8a9d40b806adf5b7041b71e4682641
+checksum=1a1f8aaeceda96f07e8c153ab68fc811f7016c7c789d0ecd981bfab2247df5c2
 
 case "$XBPS_TARGET_MACHINE" in
 	*musl) broken="SIGSEVs on start: https://gitlab.gnome.org/GNOME/gnome-subtitles/issues/109"

From 5fd57fc6f9adb9e037a390aff11e2529f2ff9ac7 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:00:43 +0300
Subject: [PATCH 11/75] gnome-user-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-user-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-user-docs/template b/srcpkgs/gnome-user-docs/template
index 431c54f3934..21085f9f3d7 100644
--- a/srcpkgs/gnome-user-docs/template
+++ b/srcpkgs/gnome-user-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-user-docs'
 pkgname=gnome-user-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -13,4 +13,4 @@ license="CC-BY-3.0"
 homepage="https://github.com/GNOME/gnome-user-docs"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-user-docs/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8f9907ff15fff97da75ece645cc86766703ac54d716d25563ba67ffed1af24ed
+checksum=c2edd9d633f6f2a5fd8d5580e169d0e07de64d5d5b12a81ecbd64331d176a986

From 5a56581a344778c955858d99b338fc02ab278ac9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:04:46 +0300
Subject: [PATCH 12/75] gnome-weather: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-weather/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-weather/template b/srcpkgs/gnome-weather/template
index 91f67c3f3f7..accb0b200d4 100644
--- a/srcpkgs/gnome-weather/template
+++ b/srcpkgs/gnome-weather/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-weather'
 pkgname=gnome-weather
-version=3.32.2
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Weather"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=1a25c325033a134f291481bb4aa00b5c9af6555daf5bc311e963e629976bdd49
+checksum=24867e21fcb92b81cd0cf09bbf8bc216ccc55d9a66ac21928b66c413f4efc3bc
 lib32disabled=yes

From d128375b776be3b1237693bbafc02c8c52179376 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:21:52 +0300
Subject: [PATCH 13/75] network-manager-applet: update to 1.8.24. [ci skip]

---
 srcpkgs/network-manager-applet/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/network-manager-applet/template b/srcpkgs/network-manager-applet/template
index f27836fad50..7af034f6832 100644
--- a/srcpkgs/network-manager-applet/template
+++ b/srcpkgs/network-manager-applet/template
@@ -1,6 +1,6 @@
 # Template file for 'network-manager-applet'
 pkgname=network-manager-applet
-version=1.8.22
+version=1.8.24
 revision=1
 build_style=gnu-configure
 build_helper="gir"
@@ -17,7 +17,7 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/NetworkManager"
 changelog="https://raw.githubusercontent.com/NetworkManager/network-manager-applet/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ebef1c1050ff6d94cad060e8d259f2a88ae159cf83ca75cb71d9f76867877eed
+checksum=118bbb8a5027634b62e8b45b16ceafce74441529c99bf230654e3bec38f9fbbf
 lib32disabled=yes
 
 # Package build options

From 919d9272ce1b07763cc7e212a4f8d06a5e49c91c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:32:45 +0300
Subject: [PATCH 14/75] gnome-epub-thumbnailer: update to 1.6. [ci skip]

---
 srcpkgs/gnome-epub-thumbnailer/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-epub-thumbnailer/template b/srcpkgs/gnome-epub-thumbnailer/template
index b16e705475f..3d203b54f9f 100644
--- a/srcpkgs/gnome-epub-thumbnailer/template
+++ b/srcpkgs/gnome-epub-thumbnailer/template
@@ -1,13 +1,13 @@
 # Template file for 'gnome-epub-thumbnailer'
 pkgname=gnome-epub-thumbnailer
-version=1.5
+version=1.6
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="gdk-pixbuf-devel libarchive-devel libxml2-devel"
 short_desc="Thumbnailer for EPub and MOBI books"
 maintainer="Alif Rachmawadi <arch@subosito.com>"
-license="GPL-3"
+license="GPL-3.0-only"
 homepage="https://git.gnome.org/browse/gnome-epub-thumbnailer"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=308210f5800219f64cae4828e59bb8e6e4c53b888048cf487221aeb4337d791a
+checksum=b502420d9b02ea0b0fc7986ef5a091a12b2286be14fed9e47594fe9fa0c5898e

From 49f5cbcb69a127ab5e23cbe47d7a6ba304ffa159 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:25:40 +0300
Subject: [PATCH 15/75] gnome-keyring: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-keyring/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-keyring/template b/srcpkgs/gnome-keyring/template
index 9ab2acb839a..e7f050f47fe 100644
--- a/srcpkgs/gnome-keyring/template
+++ b/srcpkgs/gnome-keyring/template
@@ -1,8 +1,7 @@
 # Template file for 'gnome-keyring'
 pkgname=gnome-keyring
-version=3.28.2
+version=3.34.0
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
 configure_args="--with-pam-dir=/usr/lib/security --disable-schemas-compile"
 hostmakedepends="autoconf docbook-xsl glib-devel intltool libtasn1-tools libxslt
@@ -16,7 +15,8 @@ license="GPL-2.0-or-later, LGPL-2.1-or-later"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-keyring/gnome-3-28/NEWS"
 homepage="https://www.gnome.org"
 distfiles="${GNOME_SITE}/$pkgname/${version%.*}/$pkgname-$version.tar.xz"
-checksum=81171b7d07211b216b4c9bb79bf2deb3deca18fe8d56d46dda1c4549b4a2646a
+checksum=e9cda9542a3e37c61636145e7e9e2513c569092ea8020752a834e1f40ad41943
+lib32disabled=yes
 
 do_check() {
 	# Requires X11 server

From b0faa04adfdcf81920524dffa3ed5cee7de917f2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:28:08 +0300
Subject: [PATCH 16/75] gnome-mime-data: fix license. [ci skip]

---
 srcpkgs/gnome-mime-data/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-mime-data/template b/srcpkgs/gnome-mime-data/template
index e79860e1820..90b7c714428 100644
--- a/srcpkgs/gnome-mime-data/template
+++ b/srcpkgs/gnome-mime-data/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-mime-data'
 pkgname=gnome-mime-data
 version=2.18.0
-revision=4
+revision=5
 archs=noarch
 build_style=gnu-configure
 hostmakedepends="intltool shared-mime-info"
@@ -9,7 +9,7 @@ makedepends="shared-mime-info"
 depends="shared-mime-info"
 short_desc="Base MIME and Application database for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/2.18/${pkgname}-${version}.tar.bz2"
 checksum=37196b5b37085bbcd45c338c36e26898fe35dd5975295f69f48028b1e8436fd7

From cc8fb60f9996e71b7c5f3d6149618a1388e10f5c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:30:49 +0300
Subject: [PATCH 17/75] gnome-passbook: update to 0.8. [ci skip]

---
 srcpkgs/gnome-passbook/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/gnome-passbook/template b/srcpkgs/gnome-passbook/template
index 89047338503..c0adaedb4d9 100644
--- a/srcpkgs/gnome-passbook/template
+++ b/srcpkgs/gnome-passbook/template
@@ -1,15 +1,15 @@
 # Template file for 'gnome-passbook'
 pkgname=gnome-passbook
-version=0.1
-revision=2
-_release_hash=0a227cfdf706f4bfcc0b782026f1aeb2
+version=0.8
+revision=1
+_release_hash=5fea4e4fc19f1732d3a5270bc43eb8e9
 wrksrc="passbook-${version}"
 build_style=meson
 hostmakedepends="glib-devel pkg-config"
 makedepends="gobject-introspection gtk+3-devel libglib-devel"
-short_desc="A password manager for GNOME"
+short_desc="Password manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Passbook"
 distfiles="https://gitlab.gnome.org/gnumdk/passbook/uploads/${_release_hash}/passbook-${version}.tar.xz"
-checksum=45821f50bcee5d94e3a24e2f892c1bdc645f4a8a795055f2624e59ccc92211d5
+checksum=55b5aaa5a61aa3b026de0491e1ac33ca6094208f88031f547f869578b5ff8ad9

From 5dd411932299625b98d646538ec49ce40905c58e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 23:25:31 +0300
Subject: [PATCH 18/75] gnome-colors-icon-theme: fix license. [ci skip]

---
 srcpkgs/gnome-colors-icon-theme/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-colors-icon-theme/template b/srcpkgs/gnome-colors-icon-theme/template
index 79f36d85e89..cbef71b5cfb 100644
--- a/srcpkgs/gnome-colors-icon-theme/template
+++ b/srcpkgs/gnome-colors-icon-theme/template
@@ -1,16 +1,17 @@
+# Template file for 'gnome-colors-icon-theme'
 pkgname=gnome-colors-icon-theme
 version=5.5.1
-revision=1
+revision=2
 archs=noarch
+wrksrc=${pkgname}
+create_wrksrc=yes
 depends="gtk-update-icon-cache hicolor-icon-theme gnome-icon-theme"
 short_desc="GNOME-Colors icon theme"
 maintainer="Peter Bui <pnutzh4x0r@gmail.com>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="https://github.com/gnome-colors/gnome-colors"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/distfiles/gnome-colors-${version}.tar.gz"
 checksum=1e91d845a753eb38671e7614a786f852ab858a12983111e780da4a47c9debe58
-wrksrc=${pkgname}
-create_wrksrc=yes
 
 do_install() {
 	make -s DESTDIR="$DESTDIR" install > /dev/null

From 620b53144eb4347ddd85ee24cda1599af43a0ad5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Fri, 29 Nov 2019 17:40:10 +0300
Subject: [PATCH 19/75] libchamplain: update to 0.12.20. [ci skip]

---
 srcpkgs/libchamplain/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libchamplain/template b/srcpkgs/libchamplain/template
index 7c69641e742..f55dd4e6e35 100644
--- a/srcpkgs/libchamplain/template
+++ b/srcpkgs/libchamplain/template
@@ -1,7 +1,7 @@
 # Template file for 'libchamplain'
 pkgname=libchamplain
-version=0.12.19
-revision=3
+version=0.12.20
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dintrospection=$(vopt_if gir true false)
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://projects.gnome.org/libchamplain/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=36842e326cdbe3cdbdab818472797eedb661dec842fe0579596a3a8d438b2aa4
+checksum=0232b4bfcd130a1c5bda7b6aec266bf2d06e701e8093df1886f1e26bc1ba3066
 
 # Package build options
 build_options="gir vala"

From 567cfc8e35f051c2264b7b78211c6a8b45449030 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 30 Nov 2019 23:52:46 +0300
Subject: [PATCH 20/75] gnome-video-effects: update to 0.5.0. [ci skip]

---
 srcpkgs/gnome-video-effects/template | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-video-effects/template b/srcpkgs/gnome-video-effects/template
index d50ffc6fc1f..09ce987a05b 100644
--- a/srcpkgs/gnome-video-effects/template
+++ b/srcpkgs/gnome-video-effects/template
@@ -1,14 +1,12 @@
 # Template file for 'gnome-video-effects'
 pkgname=gnome-video-effects
-version=0.4.3
-revision=2
+version=0.5.0
+revision=1
 archs=noarch
-build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="gstreamer1-devel"
+build_style=meson
 short_desc="Collection of GStreamer effects for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/${pkgname}/0.4/${pkgname}-${version}.tar.xz"
-checksum=5a7ee0f5ade4b7d921f1b99f3b97d7d7bb830f2fef0f1daee20a7a1867708219
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4dc68e9b38fdfc1e8e0414e2d7ee83ace78efdee76f30506cc9dcd07394ad0c8

From f908aa9ea107523dc14b7bc10d902ef4834f1c7a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:28 +0300
Subject: [PATCH 21/75] gnome-usage: update to 3.33.2. [ci skip]

---
 srcpkgs/gnome-usage/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-usage/template b/srcpkgs/gnome-usage/template
index 211129b35f6..fe4819e9606 100644
--- a/srcpkgs/gnome-usage/template
+++ b/srcpkgs/gnome-usage/template
@@ -1,14 +1,14 @@
 # Template file for 'gnome-usage'
 pkgname=gnome-usage
-version=3.32.0
+version=3.33.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala"
 makedepends="gettext-devel gtk+3-devel libglib-devel libgtop-devel vala-devel
- libdazzle-devel"
+ libdazzle-devel tracker-devel"
 short_desc="Nice way to view information about use of system resources"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Usage"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=30ca974cf01ebf29a66b85b0ae09d9beec77496fcda5e53f1bedbad626fbfa2d
+checksum=64561efd2413947c30ecf9fb56f4dfb4e62061621e13d354453496e094bb7770

From 79da153726a92b10d899496a9834cddb79eab226 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:35 +0300
Subject: [PATCH 22/75] gnome-themes-standard-metacity: update to 3.27.90. [ci
 skip]

---
 .../gnome-themes-standard-metacity/template   | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-themes-standard-metacity/template b/srcpkgs/gnome-themes-standard-metacity/template
index ca45c036f4c..e4f34a99fdd 100644
--- a/srcpkgs/gnome-themes-standard-metacity/template
+++ b/srcpkgs/gnome-themes-standard-metacity/template
@@ -1,22 +1,25 @@
 # Template file for 'gnome-themes-standard-metacity'
 pkgname=gnome-themes-standard-metacity
 _pkgname=gnome-themes-standard
-version=3.14.2.3
-revision=2
+version=3.27.90
+revision=1
 wrksrc=$_pkgname-$version
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool librsvg-utils glib-devel"
-makedepends="gtk+-devel gtk+3-devel librsvg-devel"
+makedepends="gtk+-devel gtk+3-devel librsvg-devel autoconf libtool"
 depends="cantarell-fonts adwaita-icon-theme"
 short_desc="Standard GNOME themes for metacity"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/$_pkgname/${version%.*.*}/$_pkgname-$version.tar.xz"
-checksum=d82a1cf90be3397deadea46d3ba396a46943c7e141ebc70cf833956b5794e479
+distfiles="${GNOME_SITE}/$_pkgname/${version%.*}/$_pkgname-$version.tar.xz"
+checksum=ffc7ccb5458ae4ef2501c49d84d3af150ca3b70c9b239e7ba6c05fe1405d31dc
 lib32disabled=yes
 
-post_install() {
-	# Remove everything but the metacity themes
-	rm -r $DESTDIR/usr/{lib,share/{icons,themes/*/{gtk-*,index.theme}}}
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" gtk-update-icon-cache"
+fi
+
+pre_build() {
+	sed -i 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
 }

From 15c554bd90340a511a59015aa3a96557358b4627 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 19:44:34 +0300
Subject: [PATCH 23/75] gnome-podcasts: update to 0.4.7. [ci skip]

---
 .../gnome-podcasts/patches/fix-build.patch    | 21 ----------------
 srcpkgs/gnome-podcasts/template               | 24 ++++++++++---------
 2 files changed, 13 insertions(+), 32 deletions(-)
 delete mode 100644 srcpkgs/gnome-podcasts/patches/fix-build.patch

diff --git a/srcpkgs/gnome-podcasts/patches/fix-build.patch b/srcpkgs/gnome-podcasts/patches/fix-build.patch
deleted file mode 100644
index aeb9581bd79..00000000000
--- a/srcpkgs/gnome-podcasts/patches/fix-build.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- podcasts-gtk/src/widgets/episode.rs.orig	2019-06-09 15:54:59.793451047 +0200
-+++ podcasts-gtk/src/widgets/episode.rs	2019-06-09 15:55:19.191311512 +0200
-@@ -559,7 +559,7 @@
-             .total_size
-             .get_text()
-             .as_ref()
--            .map(|s| s.trim_right_matches(" MB"))
-+            .map(|s| s.trim_end_matches(" MB"))
-             .and_then(|s| s.parse::<i32>().ok())
-             .is_none()
-         {
---- podcasts-gtk/src/widgets/shows_view.rs.orig	2019-06-09 15:54:00.320878867 +0200
-+++ podcasts-gtk/src/widgets/shows_view.rs	2019-06-09 15:54:13.151786563 +0200
-@@ -80,7 +80,6 @@
- }
- 
- fn on_child_activate(child: &gtk::FlowBoxChild, sender: &Sender<Action>) -> Result<(), Error> {
--    use gtk::WidgetExt;
- 
-     // This is such an ugly hack...
-     let id = WidgetExt::get_name(child)
diff --git a/srcpkgs/gnome-podcasts/template b/srcpkgs/gnome-podcasts/template
index 72e2db6b109..78fd3639ee6 100644
--- a/srcpkgs/gnome-podcasts/template
+++ b/srcpkgs/gnome-podcasts/template
@@ -1,26 +1,28 @@
 # Template file for 'gnome-podcasts'
 pkgname=gnome-podcasts
-version=0.4.6
-revision=3
+version=0.4.7
+revision=1
 wrksrc="podcasts-${version}"
 build_style=meson
-hostmakedepends="cargo gettext-devel glib-devel pkg-config"
+build_helper="rust"
+hostmakedepends="cargo gettext-devel glib-devel pkg-config sqlite-devel"
 makedepends="gstreamer1-devel gst-plugins-bad1-devel gst-plugins-base1-devel
- gtk+3-devel libhandy-devel libressl-devel sqlite-devel texinfo"
+ gtk+3-devel libhandy-devel libressl-devel sqlite-devel rust-std"
 short_desc="Listen to your favorite podcasts"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Podcasts"
 distfiles="https://gitlab.gnome.org/World/podcasts/-/archive/${version}/podcasts-${version}.tar.gz"
-checksum=953c63e8184ca1f748418d8a8262d40eaa41047f81e2d2c874a3035d9d9d0e4a
-nocross="rustc cant be crosscompiled as of now"
-broken="gettext-rs hash does not exists, if fixed build fails in gio 0.5.0"
+checksum=a9a1b62dd3567e3cca38ee29df2fadd82e2fb5e837b0a2a26ecac74e9305161c
 
 export GETTEXT_BIN_DIR=/usr/bin
 export GETTEXT_LIB_DIR="${XBPS_CROSS_BASE}/usr/lib/gettext"
 export GETTEXT_INCLUDE_DIR="${XBPS_CROSS_BASE}/usr/include"
 
-pre_build() {
-	cargo update --package openssl-sys --precise 0.9.46
-	cargo update --package openssl --precise 0.10.22
-}
+if [ $CROSS_BUILD ]; then
+	post_patch() {
+		vsed -i scripts/cargo.sh \
+			-e 's%"$CARGO_TARGET_DIR"/%&${RUST_TARGET}/%' \
+			-e '/CARGO_HOME/d'
+	}
+fi

From 95e02a7fcbf0826db514700f572af59c017dea64 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 10 Dec 2019 20:00:58 +0300
Subject: [PATCH 24/75] shotwell: update to 0.31.0. [ci skip]

---
 srcpkgs/shotwell/template | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/shotwell/template b/srcpkgs/shotwell/template
index bb04b4f905f..0caa88fa4a2 100644
--- a/srcpkgs/shotwell/template
+++ b/srcpkgs/shotwell/template
@@ -1,20 +1,21 @@
 # Template file for 'shotwell'
 pkgname=shotwell
-version=0.30.7
+version=0.31.0
 revision=1
 build_style=meson
-hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool libgee08-devel
- libgexiv2-devel pkg-config vala-devel"
+hostmakedepends="gcr-devel glib-devel gnome-doc-utils itstool
+ libgee08-devel libgexiv2-devel pkg-config vala-devel"
 makedepends="gnome-doc-utils gst-plugins-base1-devel libgdata-devel
- libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel libraw-devel
- libunique-devel rest-devel vala-devel webkit2gtk-devel"
+ libgee08-devel libgexiv2-devel libgphoto2-devel libgudev-devel
+ libraw-devel libunique-devel rest-devel vala-devel webkit2gtk-devel
+ libwebp-devel libchamplain-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="Open source photo manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, CC-BY-SA-3.0"
 homepage="https://wiki.gnome.org/Apps/Shotwell"
 distfiles="${GNOME_SITE}/shotwell/${version%.*}/shotwell-${version}.tar.xz"
-checksum=345d4205760d26f54033d44cf1b778ed9d3fc964de71293bfd5034ff484631d5
+checksum=ddf31ac17d36a0a84547abb593e7448227bcd83599ee7cf866091eca474998df
 lib32disabled=yes
 nocross="https://build.voidlinux.org/builders/armv7l-musl_builder/builds/20405/steps/shell_3/logs/stdio"
 

From 95beda286602c0a7370f451939cfa08392ec5551 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:36:46 +0300
Subject: [PATCH 25/75] glib-networking: update to 2.63.2. [ci skip]

---
 srcpkgs/glib-networking/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib-networking/template b/srcpkgs/glib-networking/template
index 98520abb635..9941d37cf66 100644
--- a/srcpkgs/glib-networking/template
+++ b/srcpkgs/glib-networking/template
@@ -1,6 +1,6 @@
 # Template file for 'glib-networking'
 pkgname=glib-networking
-version=2.62.1
+version=2.63.2
 revision=1
 build_style=meson
 configure_args="-Dinstalled_tests=false -Dgnutls=enabled -Dlibproxy=enabled
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/glib-networking/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3c55ae6771ad7a79fa606a834f4686ed555c2774ed6e9ece6f3c0f6a3dab7110
+checksum=c70f31627d5999f02b2feae156f170d2dcab8d09378bfcd863c911905358f7f3
 lib32disabled=yes
 
 post_install() {

From 66c49a1ff7446487307cf59a4356770883b2bf5c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 00:42:37 +0300
Subject: [PATCH 26/75] gnome-session: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-session/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-session/template b/srcpkgs/gnome-session/template
index 4444f162bf1..e48ae8b087a 100644
--- a/srcpkgs/gnome-session/template
+++ b/srcpkgs/gnome-session/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-session'
 pkgname=gnome-session
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 configure_args="-Dsystemd_journal=false"
@@ -15,4 +15,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-session"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=d7801fe2d5a751b19cb58081771316a76aabd5c550cd58d4e4c6a5a4ed356660
+checksum=8bb77381650a03ae4be7260751363bd27da93f09bac1ddbc885f4ce44ebaf8e1

From 908e465c751fcfc37ad8a49e63c89375f884c8a0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 16 Dec 2019 19:03:19 +0300
Subject: [PATCH 27/75] vte3: update to 0.59.0. [ci skip]

---
 srcpkgs/vte3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/vte3/template b/srcpkgs/vte3/template
index e2399dbcec2..1567136487e 100644
--- a/srcpkgs/vte3/template
+++ b/srcpkgs/vte3/template
@@ -1,6 +1,6 @@
 # Template file for 'vte3'
 pkgname=vte3
-version=0.58.3
+version=0.59.0
 revision=1
 wrksrc="vte-${version}"
 build_style=meson
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later, LGPL-2.1-or-later, LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Terminal/VTE"
 distfiles="${GNOME_SITE}/vte/${version%.*}/vte-${version}.tar.xz"
-checksum=22dcb54ac2ad1a56ab0a745e16ccfeb383f0b5860b5bfa1784561216f98d4975
+checksum=bbd54c2ef133d0883acf2a4afbf1085087b576f4046a8728209111a604de6927
 
 # Suppress warnings as errors for NULL format strings (musl libc)
 CXXFLAGS="-Wno-error=format="

From 9af87db27a3ca28b25a93ff3c4278d8c84f85722 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:18:56 +0300
Subject: [PATCH 28/75] gtk-doc: update to 1.32. [ci skip]

---
 srcpkgs/gtk-doc/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtk-doc/template b/srcpkgs/gtk-doc/template
index bd090a9c859..b44d72cad8b 100644
--- a/srcpkgs/gtk-doc/template
+++ b/srcpkgs/gtk-doc/template
@@ -1,6 +1,6 @@
 # Template file for 'gtk-doc'
 pkgname=gtk-doc
-version=1.31
+version=1.32
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1-or-later"
 homepage="http://www.gtk.org/gtk-doc/"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=a51687956d0377ac70904d03fdc73c9e116589b4a01453fa92162442b3657011
+checksum=de0ef034fb17cb21ab0c635ec730d19746bce52984a6706e7bbec6fb5e0b907c

From 5d860c04854a2967cc55c5b7ec63374cea7ec589 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 16:54:58 +0300
Subject: [PATCH 29/75] file-roller: update to 3.35.1. [ci skip]

---
 srcpkgs/file-roller/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/file-roller/template b/srcpkgs/file-roller/template
index 837fdb7a7af..1af7ad04b89 100644
--- a/srcpkgs/file-roller/template
+++ b/srcpkgs/file-roller/template
@@ -1,6 +1,6 @@
 # Template file for 'file-roller'
 pkgname=file-roller
-version=3.32.2
+version=3.35.1
 revision=1
 build_style=meson
 hostmakedepends="glib-devel itstool pkg-config"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/FileRoller"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c60a79e0baf74cb1c09a1c8f5ffe0d6e311227ca14ecc5b1156beb3715341a71
+checksum=ed41308e4458e178b70372d6784af8a7ef23001822949f2102c695c187bca8d2

From 6525e065caf3c6801287246558882350cbe1be70 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:00:15 +0300
Subject: [PATCH 30/75] libsecret: update to 0.19.1. [ci skip]

---
 srcpkgs/libsecret/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libsecret/template b/srcpkgs/libsecret/template
index d8eefadd144..eead8aa5d97 100644
--- a/srcpkgs/libsecret/template
+++ b/srcpkgs/libsecret/template
@@ -1,7 +1,7 @@
 # Template file for 'libsecret'
 pkgname=libsecret
-version=0.18.8
-revision=2
+version=0.19.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection) --disable-static
@@ -13,7 +13,7 @@ maintainer="Orphaned <orphan@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3bfa889d260e0dbabcf5b9967f2aae12edcd2ddc9adc365de7a5cc840c311d15
+checksum=8583e10179456ae2c83075d95455f156dc08db6278b32bf4bd61819335a30e3a
 
 # Package build options
 build_options="gir vala"

From 8afb0f9a68fae2ba196a04ad9f06b0b8b3a11479 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:16:29 +0300
Subject: [PATCH 31/75] gvfs: update to 1.43.2. [ci skip]

---
 srcpkgs/gvfs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gvfs/template b/srcpkgs/gvfs/template
index abe62ad8e0e..cc9e87b4537 100644
--- a/srcpkgs/gvfs/template
+++ b/srcpkgs/gvfs/template
@@ -1,6 +1,6 @@
 # Template file for 'gvfs'
 pkgname=gvfs
-version=1.42.2
+version=1.43.2
 revision=1
 build_style=meson
 configure_args="-Dsystemduserunitdir=no -Dtmpfilesdir=no -Dlogind=false
@@ -19,7 +19,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/gvfs"
 changelog="https://gitlab.gnome.org/GNOME/gvfs/raw/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b57af97573bd295aa50037eed29c6ba7a36188230c515e007c3018855a5cf949
+checksum=8645f8579d2000a3549e528a14a580e3ad17ecffeefdd44b6826a5975e3299d1
 
 # Manually declare shlibs used by the subpkgs.
 shlib_provides="libgvfscommon.so libgvfsdaemon.so"

From 1a873f6c41b6f910a2dad4d7b0a5d0c99b6d2b68 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 17:21:07 +0300
Subject: [PATCH 32/75] orca: update to 3.34.1. [ci skip]

---
 srcpkgs/orca/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/orca/template b/srcpkgs/orca/template
index b1067adbaad..f4f88635c30 100644
--- a/srcpkgs/orca/template
+++ b/srcpkgs/orca/template
@@ -1,7 +1,7 @@
 # Template file for 'orca'
 pkgname=orca
-version=3.34.0
-revision=4
+version=3.34.1
+revision=1
 archs=noarch
 build_style=gnu-configure
 pycompile_module="orca"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Orca"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=977c8079519ffbabad76861aa2790a55671ff69f19f3f4a158bfeb7c192a0282
+checksum=64da1d60bdf48366bc8d411d5d190d2377eb659f3a9861ebd77142ede1b168e0
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" python3-gobject-devel"

From 5bd103df1f8fc7eb021a0121b6a4a8452f143b08 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:04:35 +0300
Subject: [PATCH 33/75] gnote: update to 3.34.1. [ci skip]

---
 common/shlibs          | 1 +
 srcpkgs/gnote/template | 6 +++---
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index b12c799a479..2d6908aba21 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -619,6 +619,7 @@ libart_lgpl_2.so.2 libart-2.3.20_1
 libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
 libgnomecanvasmm-2.6.so.1 libgnomecanvasmm-2.26.0_1
 libgnome-keyring.so.0 libgnome-keyring-3.0.0_1
+libgnote-3.34.so.0 gnote-3.34.1_1
 libical.so.3 libical-3.0.4_1
 libical_cxx.so.3 libical-3.0.4_1
 libicalss.so.3 libical-3.0.4_1
diff --git a/srcpkgs/gnote/template b/srcpkgs/gnote/template
index 557fb0a989c..9a9f64dbe82 100644
--- a/srcpkgs/gnote/template
+++ b/srcpkgs/gnote/template
@@ -1,7 +1,7 @@
 # Template file for 'gnote'
 pkgname=gnote
-version=3.32.1
-revision=2
+version=3.34.1
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile --disable-static"
 hostmakedepends="pkg-config intltool itstool desktop-file-utils"
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Gnote"
 distfiles="${GNOME_SITE}/gnote/${version%.*}/gnote-${version}.tar.xz"
-checksum=b8c35188ab45409e3dbb153ac27ecb1029a344dcefff49d3cac4d9fa4c243366
+checksum=4f41c49265376d9e9fd8fcb43e13779c1f965411c67969d18b0e12878d70c3cb
 lib32disabled=yes

From bc28efdad6043f5d5feefdbf2122ef7747516838 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 18:06:57 +0300
Subject: [PATCH 34/75] atk: update to 2.35.1. [ci skip]

---
 srcpkgs/atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/atk/template b/srcpkgs/atk/template
index 7c14b116598..b4d6a57554f 100644
--- a/srcpkgs/atk/template
+++ b/srcpkgs/atk/template
@@ -1,6 +1,6 @@
 # Template file for 'atk'
 pkgname=atk
-version=2.34.1
+version=2.35.1
 revision=1
 build_style=meson
 build_helper="gir"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://developer.gnome.org/atk/"
 distfiles="${GNOME_SITE}/atk/${version%.*}/atk-${version}.tar.xz"
-checksum=d4f0e3b3d21265fcf2bc371e117da51c42ede1a71f6db1c834e6976bb20997cb
+checksum=be9360fa3f845e91f001c20e73b3a0315b38983411b1dc008195f779ac543884
 
 # Package build options
 build_options="gir"

From 54da83c7cb88f4581e4c8d0bdfbfac9888d9544a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:19:40 +0300
Subject: [PATCH 35/75] at-spi2-atk: update to 2.34.1. [ci skip]

---
 srcpkgs/at-spi2-atk/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/at-spi2-atk/template b/srcpkgs/at-spi2-atk/template
index 9d675e3752b..4351b7996f3 100644
--- a/srcpkgs/at-spi2-atk/template
+++ b/srcpkgs/at-spi2-atk/template
@@ -1,6 +1,6 @@
 # Template file for 'at-spi2-atk'
 pkgname=at-spi2-atk
-version=2.34.0
+version=2.34.1
 revision=1
 build_style=meson
 hostmakedepends="libtool pkg-config intltool glib-devel"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a7e96a1eb549529e60a42201dd78ccce413d9c1706e16351cc5288e064500
+checksum=776df930748fde71c128be6c366a987b98b6ee66d508ed9c8db2355bf4b9cc16
 
 at-spi2-atk-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

From 0a8bf9ca74851f7ff69b189c33de6f4551e57c8f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:22:48 +0300
Subject: [PATCH 36/75] dconf: update to 0.34.0. [ci skip]

---
 srcpkgs/dconf/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf/template b/srcpkgs/dconf/template
index 8cf262e4576..3499401e70b 100644
--- a/srcpkgs/dconf/template
+++ b/srcpkgs/dconf/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf'
 pkgname=dconf
-version=0.32.0
+version=0.34.0
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=68bce78b19bc94cb2c3bb8587e37f9e5e338568c3a674f86edde9c9f1624ffab
+checksum=943a94ab16121de5580ceaed2605b87444d1bca1c6cd8beefb778bcb0aa2da52
 
 dconf-devel_package() {
 	depends="libglib-devel vala-devel>=0.24 dconf>=${version}_${revision}"

From c5d2a925e505201d3ea63bda633b9f0ad752b38d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:32:05 +0300
Subject: [PATCH 37/75] dconf-editor: update to 3.34.2. [ci skip]

---
 srcpkgs/dconf-editor/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/dconf-editor/template b/srcpkgs/dconf-editor/template
index 3617e12dacf..0dd9c9ccd3e 100644
--- a/srcpkgs/dconf-editor/template
+++ b/srcpkgs/dconf-editor/template
@@ -1,6 +1,6 @@
 # Template file for 'dconf-editor'
 pkgname=dconf-editor
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 hostmakedepends="docbook-xsl glib-devel libxslt pkg-config vala"
@@ -10,4 +10,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/dconf"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=32ad3e899840e0b17d36a1c4dab60bfb1eedfcf4e46f3ae428076132f37ff335
+checksum=cecc2a5cb44af68be80e970e83fb9e3e92e2a74df7c90b63324e6da19a929d5f

From c4b72711d4b14f13dc75d8de4d7b90f4bf360b77 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:49:09 +0300
Subject: [PATCH 38/75] eog-plugins: update to 3.26.4. [ci skip]

---
 srcpkgs/eog-plugins/template | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/eog-plugins/template b/srcpkgs/eog-plugins/template
index 7ae10cdb7e5..c47e7825ad8 100644
--- a/srcpkgs/eog-plugins/template
+++ b/srcpkgs/eog-plugins/template
@@ -1,18 +1,17 @@
 # Template file for 'eog-plugins'
 pkgname=eog-plugins
-version=3.26.3
+version=3.26.4
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="eog-devel libgdata-devel
- libchamplain-devel libpeas-devel libexif-devel exempi-devel
- gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 pycompile_dirs="usr/lib/eog/plugins"
+hostmakedepends="pkg-config intltool"
+makedepends="eog-devel libgdata-devel libchamplain-devel libpeas-devel libexif-devel
+ exempi-devel gsettings-desktop-schemas-devel gnome-desktop-devel librsvg-devel"
 depends="eog gsettings-desktop-schemas"
 short_desc="Eye of GNOME plugins"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=e385281649e7ef9e38005a73ffd5688769233a2bc8fc03e62e4da1708596d619
+checksum=dd5a4f537d56d30e25931d32865abf684eac69362ce8320941c547461476a75d
+lib32disabled=yes

From df14e577226cb0bf24412f294838e602afc97146 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 19:58:16 +0300
Subject: [PATCH 39/75] eolie: update to 0.9.63. [ci skip]

---
 srcpkgs/eolie/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/eolie/template b/srcpkgs/eolie/template
index 88efc5b89e3..826bdc9e925 100644
--- a/srcpkgs/eolie/template
+++ b/srcpkgs/eolie/template
@@ -1,8 +1,8 @@
 # Template file for 'eolie'
 pkgname=eolie
-version=0.9.62
-revision=2
-_eolie_hash=bb4aad19272cc636bd17f2f6602127fe
+version=0.9.63
+revision=1
+_eolie_hash=d42b466752729a0d3fa828a721e25043
 build_style=meson
 pycompile_module="eolie"
 hostmakedepends="appstream-glib desktop-file-utils glib-devel pkg-config
@@ -14,4 +14,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Eolie"
 distfiles="https://gitlab.gnome.org/World/eolie/uploads/${_eolie_hash}/eolie-${version}.tar.xz"
-checksum=9da359895306cf5929a01acb60d1506afb0a04ddbbd0d80ae1d0ba831e34671b
+checksum=306a2d727cb50968e04cd7a1bb77f5eca1810a3da124b916c0010ac1c143f786

From a6c86caa9c97c6f1e3ef9f584186b2594c600a9b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 20:50:24 +0300
Subject: [PATCH 40/75] gtkmm: update to 3.24.2. [ci skip]

---
 srcpkgs/gtkmm/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gtkmm/template b/srcpkgs/gtkmm/template
index b09ab6c9cce..134961b474a 100644
--- a/srcpkgs/gtkmm/template
+++ b/srcpkgs/gtkmm/template
@@ -1,6 +1,6 @@
 # Template file for 'gtkmm'
 pkgname=gtkmm
-version=3.24.1
+version=3.24.2
 revision=1
 build_style=gnu-configure
 configure_args="--disable-documentation"
@@ -11,7 +11,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddfe42ed2458a20a34de252854bcf4b52d3f0c671c045f56b42aa27c7542d2fd
+checksum=6d71091bcd1863133460d4188d04102810e9123de19706fb656b7bb915b4adc3
 
 gtkmm-devel_package() {
 	depends="${makedepends} gtkmm>=${version}_${revision}"

From 8e331dc6248a4f70f5baa735543902ea8445fb88 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:04:53 +0300
Subject: [PATCH 41/75] tepl: update to 4.3.1. [ci skip]

---
 srcpkgs/tepl/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/tepl/template b/srcpkgs/tepl/template
index 5bbc9eef2ed..5bf4fbcf674 100644
--- a/srcpkgs/tepl/template
+++ b/srcpkgs/tepl/template
@@ -1,7 +1,7 @@
 # Template file for 'tepl'
 pkgname=tepl
-version=4.2.0
-revision=3
+version=4.3.1
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Tepl"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8839d4428ecdd87fd5abc657ebbe5a9601a57262e9946845e47dec264e669ccd
+checksum=406f2aa257098de00cdce01dfe30d6fd7dbd2af60c81b33fbec5ac24b4dec623
 
 build_options="gir"
 build_options_default="gir"
@@ -30,6 +30,7 @@ tepl-devel_package() {
 		vmove usr/include
 		vmove usr/lib/*.so
 		vmove usr/lib/pkgconfig
+		vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 7544024c9de3e819b5b8cf93d73c385e36eced14 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 21:45:54 +0300
Subject: [PATCH 42/75] glib: update to 2.63.3. [ci skip]

---
 srcpkgs/glib/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/glib/template b/srcpkgs/glib/template
index 4aa7c9bd618..6edcc958b7f 100644
--- a/srcpkgs/glib/template
+++ b/srcpkgs/glib/template
@@ -1,6 +1,6 @@
 # Template file for 'glib'
 pkgname=glib
-version=2.62.3
+version=2.63.3
 revision=1
 build_style=meson
 configure_args="-Dfam=false -Dman=true -Dselinux=disabled
@@ -14,7 +14,7 @@ license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/GLib"
 changelog="https://gitlab.gnome.org/GNOME/glib/raw/master/NEWS"
 distfiles="${GNOME_SITE}/glib/${version%.*}/glib-${version}.tar.xz"
-checksum=4400adc9f0d3ffcfe8e84225210370ce3f9853afb81812ddadb685325aa655c4
+checksum=8a09a2a059eb617d52b6fcd6f25e0243f0849c598612c9aa5074ce3a6ee1c11c
 
 build_options="gtk_doc"
 desc_option_gtk_doc="Build GTK API docs"

From 8257cd261e009304db7ab963f16f85bb7f3913f4 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Tue, 17 Dec 2019 22:31:10 +0300
Subject: [PATCH 43/75] gnome: fix [ci skip]

---
 srcpkgs/gnome/INSTALL.msg |  27 ++++++
 srcpkgs/gnome/template    | 187 +++-----------------------------------
 2 files changed, 42 insertions(+), 172 deletions(-)
 create mode 100644 srcpkgs/gnome/INSTALL.msg

diff --git a/srcpkgs/gnome/INSTALL.msg b/srcpkgs/gnome/INSTALL.msg
new file mode 100644
index 00000000000..114923264e7
--- /dev/null
+++ b/srcpkgs/gnome/INSTALL.msg
@@ -0,0 +1,27 @@
+[Additional packages]
+Internet:
+- epiphany: Intuitive GNOME web browser
+- evolution: Integrated mail, addressbook and calendaring for GNOME
+- gnome-authenticator: Two-factor authentication code generator for GNOME
+- gnome-online-accounts: GNOME service to access online accounts
+- polari: GNOME IRC client
+Music:
+- deadbeef: Ultimate Music Player for GNU/Linux
+- gnome-music: GNOME music playing application
+- spotify: Proprietary music streaming client (nonfree|glibc)
+Video:
+- totem: GNOME integrated movie player based on Gstreamer
+- vlc: Cross-platform multimedia player
+Other:
+- chrome-gnome-shell: GNOME Shell integration for Chrome
+- gcr: GNOME crypto package
+- ghex: Simple binary editor for GNOME
+- gitg: Git repository viewer for GTK+/GNOME
+- gnome-bluetooth: GNOME Bluetooth Subsystem
+- gnome-passbook: A password manager for GNOME
+- gparted: Gnome Partition Editor
+- orca: Screen reader for individuals who are blind or visually impaired
+- qalculate-gtk: Multi-purpose desktop calculator
+- sushi: Quick image previewer over DBus for Nautilus
+- vino: VNC server for the GNOME desktop
+- yaru-plus: Elegant Canonical's Yaru-based third-party icons theme
diff --git a/srcpkgs/gnome/template b/srcpkgs/gnome/template
index 1e364afd9f1..06de4f6df93 100644
--- a/srcpkgs/gnome/template
+++ b/srcpkgs/gnome/template
@@ -1,188 +1,31 @@
 # Template file for 'gnome'
 pkgname=gnome
 version=3.32.0
-revision=1
+revision=2
 build_style=meta
+depends="adwaita-icon-theme>=${version} atkmm>=2.28.0 cantarell-fonts>=0.111
+ font-adobe-source-code-pro>=2.030R gdm>=${version} gnome-backgrounds>=${version}
+ gnome-color-manager>=${version} gnome-control-center>=${version} gnome-keyring>=${version}
+ gnome-session>=${version} gnome-shell-extensions>=${version} gnome-themes-standard>=3.28
+ gnome-tweaks>=${version} gtksourceview>=3.24.11 gvfs>=1.43.2 network-manager-applet>=1.8.24
+ gnome-screenshot>=${version} gnome-calendar>=${version} gnome-clocks>=${version}"
 short_desc="GNOME meta-package for Void Linux"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-only, LGPL-2.0-only"
 homepage="https://www.gnome.org"
-
-depends="NetworkManager>=1.14.0_1
- adwaita-icon-theme>=3.32.0
- at-spi2-atk>=2.32.0
- at-spi2-core>=2.32.0
- atk>=2.32.0
- atkmm>=2.24.2
- cairomm>=1.12.2_2
- cantarell-fonts>=0.0.25
- caribou>=0.4.21
- cheese>=3.32.0
- chrome-gnome-shell>=10.0.0
- clutter>=1.26.2
- clutter-gst3>=3.0.24
- clutter-gtk>=1.8.4
- cogl>=1.22.2
- dconf>=0.30.0
- eog>=3.32.0
- epiphany>=3.32.0
- evince>=3.32.0
- evolution-data-server>=3.32.0
- file-roller>=3.32.0
- folks>=0.11.4
- font-adobe-source-code-pro>=2.030R
- gcab>=0.7
- gcr>=3.28.0
- gdk-pixbuf>=2.38.0
- gdm>=3.32.0
- geocode-glib>=3.26.0_1
- gfbgraph>=0.2.3
- gjs>=1.56.0
- glib>=2.60.0
- glib-networking>=2.60.0
- glibmm>=2.60.0
- gmime>=2.6.23
- gnome-backgrounds>=3.32.0
- gnome-bluetooth>=3.32.0
- gnome-color-manager>=3.32.0
- gnome-control-center>=3.32.0
- gnome-desktop>=3.32.0
- gnome-getting-started-docs>=3.32.0
- gnome-initial-setup>=3.32.0
- gnome-keyring>=3.28.1
- gnome-online-accounts>=3.32.0
- gnome-online-miners>=3.30.0
- gnome-session>=3.32.0
- gnome-settings-daemon>=3.32.0
- gnome-shell>=3.32.0
- gnome-shell-extensions>=3.32.0
- gnome-themes-standard>=3.22.3
- gnome-tweaks>=3.32.0
- gnome-user-docs>=3.32.0
- gnome-video-effects>=0.4.3
- gobject-introspection>=1.60.0
- gom>=0.3.2_1
- grilo>=0.3.4
- grilo-plugins>=0.3.5
- gsettings-desktop-schemas>=3.32.0
- gsound>=1.0.2
- gspell>=1.8.0
- gssdp>=1.0.2
- gtk+3>=3.24.0
- gtkmm>=3.22.1
- gtksourceview>=3.24.4
- gupnp>=1.0.2
- gupnp-av>=0.12.10
- gupnp-dlna>=0.10.5
- gupnp-igd>=0.2.4
- gvfs>=1.40.0
- json-glib>=1.4.2
- libcroco>=0.6.12
- libgdata>=0.16.1_2
- libgee08>=0.20.0
- libgepub>=0.4_1
- libgnomekbd>=3.26.0
- libgsf>=1.14.41
- libgtop>=2.40.0
- libgweather>=3.32.0
- libgxps>=0.2.5_1
- libmediaart>=1.9.4
- libnotify>=0.7.6_4
- libpeas>=1.22.0
- librsvg>=2.44.0
- libsecret>=0.18.5
- libsigc++>=2.10.0
- libsoup>=2.60.0
- libxml2>=2.6.30
- libxslt>=1.1.22
- libzapojit>=0.0.3
- mm-common>=0.9.10_2
- mousetweaks>=3.12.0
- mutter>=3.32.0
- nautilus>=3.32.0
- network-manager-applet>=1.8.2
- orca>=3.32.0
- pango>=1.42.0
- pangomm>=2.40.1
- phodav>=2.2
- python-atspi>=2.26.0
- python-gobject>=3.26.0
- rest>=0.8.0
- tracker>=2.0.0
- vala>=0.44.0
- vte3>=0.54.0
- yelp>=3.32.0
- yelp-tools>=3.32.0
- yelp-xsl>=3.32.0
- zenity>=3.32.0"
-
-_apps_depends="baobab>=3.32.0
- dconf-editor>=3.32.0
- devhelp>=3.32.0
- evolution>=3.32.0
- ghex>=3.18.3
- gitg>=3.26.0
- gedit>=3.32.0
- gedit-plugins>=3.32.0
- gnome-boxes>=3.32.0
- gnome-builder>=3.32.0
- gnome-calculator>=3.32.0
- gnome-calendar>=3.32.0
- gnome-characters>=3.32.0
- gnome-clocks>=3.32.0
- gnome-dictionary>=3.26.0
- gnome-disk-utility>=3.32.0
- gnome-documents>=3.32.0
- gnome-font-viewer>=3.32.0
- gnome-maps>=3.32.0
- gnome-music>=3.32.0
- gnome-nettool>=3.8.1
- gnome-photos>=3.32.0
- gnome-recipes>=2.0.0
- gnome-screenshot>=3.32.0
- gnome-sound-recorder>=3.32.0
- gnome-system-monitor>=3.32.0
- gnome-terminal>=3.32.0
- gnome-tweaks>=3.32.0
- gtk-vnc>=0.6.0_2
- libchamplain>=0.12.16
- nautilus-sendto>=3.8.0
- nemiver>=0.9.6
- polari>=3.32.0
- rygel>=0.36.0
- simple-scan>=3.32.0
- sushi>=3.32.0
- totem>=3.32.0
- totem-pl-parser>=3.26.0
- vino>=3.22.0"
-
-_games_collection_depends="
- aisleriot>=3.22.3
- five-or-more>=3.32.0
- four-in-a-row>=3.32.0
- gnome-2048>=3.32.0
- gnome-chess>=3.32.0
- gnome-klotski>=3.32.0
- gnome-mahjongg>=3.32.0
- gnome-mines>=3.32.0
- gnome-nibbles>=3.24.0
- gnome-robots>=3.32.0
- gnome-sudoku>=3.32.0
- gnome-tetravex>=3.32.0
- hitori>=3.22.4
- iagno>=3.32.0
- lightsoff>=3.26.0
- quadrapassel>=3.32.0
- swell-foop>=3.26.0
- tali>=3.32.0
-"
+conflicts="xf86-input-synaptics"  # https://bugzilla.gnome.org/show_bug.cgi?id=764257#c12
 
 gnome-apps_package() {
-	depends="$_apps_depends"
+	depends="gedit>=${version} gnome-system-monitor>=${version} gnome-terminal>=${version}
+ eog>=${version} evince>=${version} file-roller>=${version}"
 	short_desc="GNOME-Apps meta-package for Void Linux"
 }
 
 gnome-games-collection_package() {
-	depends="$_games_collection_depends"
+	depends="aisleriot>=3.22.9 five-or-more>=${version} four-in-a-row>=${version} gnome-2048>=${version}
+ gnome-chess>=${version} gnome-klotski>=${version} gnome-mahjongg>=${version} gnome-mines>=${version}
+ gnome-nibbles>=${version} gnome-robots>=${version} gnome-sudoku>=${version} gnome-tetravex>=${version}
+ hitori>=${version} iagno>=${version} lightsoff>=${version} quadrapassel>=${version} swell-foop>=${version}
+ tali>=${version}"
 	short_desc="GNOME Games Collection meta-package for Void Linux"
 }

From 9c362930840f626e8fccffe7c387e2ac9e005cb9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:30:45 +0300
Subject: [PATCH 44/75] gspell: update to 1.8.2. [ci skip]

---
 srcpkgs/gspell/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gspell/template b/srcpkgs/gspell/template
index bf34cf60268..f1ff08d50f9 100644
--- a/srcpkgs/gspell/template
+++ b/srcpkgs/gspell/template
@@ -1,7 +1,7 @@
 # Template file for 'gspell'
 pkgname=gspell
-version=1.8.1
-revision=4
+version=1.8.2
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="--disable-static $(vopt_enable gir introspection)
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/gspell/${version%.*}/gspell-${version}.tar.xz"
-checksum=819a1d23c7603000e73f5e738bdd284342e0cd345fb0c7650999c31ec741bbe5
+checksum=bb9195c3a95bacf556d0203e9691f7489e0d3bc5ae1e5a440c89b2f2435d3ed6
 
 # Package build options
 build_options="gir vala"
@@ -27,6 +27,7 @@ gspell-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
+        vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 895d2733c1581df1d4dd64811fa08ca25c56b4aa Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:34:55 +0300
Subject: [PATCH 45/75] baobab: update to 3.34.0. [ci skip]

---
 srcpkgs/baobab/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/baobab/template b/srcpkgs/baobab/template
index 2150c4a8e1b..330379bf9ff 100644
--- a/srcpkgs/baobab/template
+++ b/srcpkgs/baobab/template
@@ -1,6 +1,6 @@
 # Template file for 'baobab'
 pkgname=baobab
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="pkg-config itstool glib-devel vala"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, GFDL-1.1"
 homepage="https://wiki.gnome.org/action/show/Apps/DiskUsageAnalyzer"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=39414ce94045b35768acddf72d341e7d436cd71298994379d9cec50b57d2632c
+checksum=46ebd9466da6a68c340653e9095f1e905b6fac79305879a9e644634f7da98607

From 5d4564a49148a9316c43e1130adc2ae52b14db15 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:37:45 +0300
Subject: [PATCH 46/75] jsonrpc-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/jsonrpc-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/jsonrpc-glib/template b/srcpkgs/jsonrpc-glib/template
index 25ce4b94f79..2c15919ddbc 100644
--- a/srcpkgs/jsonrpc-glib/template
+++ b/srcpkgs/jsonrpc-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'jsonrpc-glib'
 pkgname=jsonrpc-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_vapi=$(vopt_if gir true false)
@@ -14,7 +14,7 @@ license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/jsonrpc-glib"
 changelog="https://raw.githubusercontent.com/GNOME/jsonrpc-glib/jsonrpc-glib-3-32/NEWS"
 distfiles="${GNOME_SITE}/jsonrpc-glib/${version%.*}/jsonrpc-glib-${version}.tar.xz"
-checksum=bc60aa36c8bdc9c701ad490508445633a9f3973ae0bd5bdd0633d5f6ffeea6eb
+checksum=d1ceb24b503e49e7bfe6e44630c03abc65f2d047a68271eb62e332b13be90548
 
 build_options="gir vala"
 build_options_default="gir vala"

From 4f7f18b7996e659d69f79005abe64df241b70844 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:40:13 +0300
Subject: [PATCH 47/75] template-glib: update to 3.34.0. [ci skip]

---
 srcpkgs/template-glib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/template-glib/template b/srcpkgs/template-glib/template
index 730b4e33b5a..c1d43a34eaf 100644
--- a/srcpkgs/template-glib/template
+++ b/srcpkgs/template-glib/template
@@ -1,7 +1,7 @@
 # Template file for 'template-glib'
 pkgname=template-glib
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Denable_gtk_doc=false -Dwith_introspection=true
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/template-glib"
 distfiles="${GNOME_SITE}/template-glib/${version%.*}/template-glib-${version}.tar.xz"
-checksum=39a334f5db404fa8b225224766684f2f63f5ec4cf4e971cfc513f1db35e81fbc
+checksum=216bef6ac3607666b8ca72b936467f7020ce6421c02755c301d079576c9c3dfd
 
 template-glib-devel_package() {
 	depends="${sourcepkg}-${version}_${revision} gtk+3-devel"

From 3791babab90018b644b1e3a215de00bc44738d46 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 21:46:12 +0300
Subject: [PATCH 48/75] grilo: update to 0.3.10. [ci skip]

---
 srcpkgs/grilo/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/grilo/template b/srcpkgs/grilo/template
index a33ac24880c..88ddfdbd1b6 100644
--- a/srcpkgs/grilo/template
+++ b/srcpkgs/grilo/template
@@ -1,6 +1,6 @@
 # Template file for 'grilo'
 pkgname=grilo
-version=0.3.9
+version=0.3.10
 revision=1
 build_style=meson
 build_helper="gir"
@@ -14,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://live.gnome.org/Grilo"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=730581cc62f2cfaadeac815760b80da8dcf3d08c454adad0d6128c930c5bcaf2
+checksum=7e44b2e74c31ed24eb97e43265a9e41effe8660287b02295111805c7bda7f1e8
 
 # Package build options
 build_options="gir vala"

From 00bc64a42e793582b1bc00c9e05aa1687b2f4f54 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:25:40 +0300
Subject: [PATCH 49/75] libsigc++: update to 3.0.0. [ci skip]

---
 common/shlibs              | 2 +-
 srcpkgs/libsigc++/template | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 2d6908aba21..e1cf5c328e4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -703,7 +703,7 @@ libgvfsdaemon.so gvfs-1.20_1
 libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
-libsigc-2.0.so.0 libsigc++-1.1_1
+libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.4.so.1 glibmm-2.24.0_1
 libgiomm-2.4.so.1 glibmm-2.24.0_1
 libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
diff --git a/srcpkgs/libsigc++/template b/srcpkgs/libsigc++/template
index 8c73eee5c10..d79e3423a1d 100644
--- a/srcpkgs/libsigc++/template
+++ b/srcpkgs/libsigc++/template
@@ -1,6 +1,6 @@
 # Template file for 'libsigc++'
 pkgname=libsigc++
-version=2.10.2
+version=3.0.0
 revision=1
 build_style=gnu-configure
 configure_args="--enable-static --disable-documentation --disable-benchmark"
@@ -10,7 +10,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://libsigcplusplus.github.io/libsigcplusplus/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b1ca0253379596f9c19f070c83d362b12dfd39c0a3ea1dd813e8e21c1a097a98
+checksum=50a0855c1eb26e6044ffe888dbe061938ab4241f96d8f3754ea7ead38ab8ed06
 
 libsigc++-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision}"
@@ -18,7 +18,7 @@ libsigc++-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/lib/sigc++-2.0
+		vmove usr/lib/sigc++-3.0
 		vmove "usr/lib/*.a"
 		vmove "usr/lib/*.so"
 	}

From 617e94afa87cdc80502e1b234203c704c8f47b3a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Thu, 19 Dec 2019 22:55:30 +0300
Subject: [PATCH 50/75] glibmm: update to 2.63.1. [ci skip]

---
 common/shlibs           |  6 +++---
 srcpkgs/glibmm/template | 11 +++++------
 2 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index e1cf5c328e4..641e373f3b4 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -704,9 +704,9 @@ libgvfscommon.so gvfs-1.20_1
 libnautilus-extension.so.1 libnautilus-3.2.1_1
 libmpc.so.3 libmpc-1.0.1_1
 libsigc-3.0.so.0 libsigc++-3.0.0_1
-libglibmm-2.4.so.1 glibmm-2.24.0_1
-libgiomm-2.4.so.1 glibmm-2.24.0_1
-libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
+libglibmm-2.64.so.1 glibmm-2.63.1_1
+libgiomm-2.64.so.1 glibmm-2.63.1_1
+libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.0.so.1 cairomm-1.8.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
diff --git a/srcpkgs/glibmm/template b/srcpkgs/glibmm/template
index 23ef47c5994..578858372e4 100644
--- a/srcpkgs/glibmm/template
+++ b/srcpkgs/glibmm/template
@@ -1,6 +1,6 @@
 # Template file for 'glibmm'
 pkgname=glibmm
-version=2.62.0
+version=2.63.1
 revision=1
 build_style=gnu-configure
 hostmakedepends="glib-devel perl pkg-config"
@@ -10,14 +10,13 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://www.gtkmm.org"
 distfiles="${GNOME_SITE}/glibmm/${version%.*}/glibmm-${version}.tar.xz"
-checksum=36659f13cc73282392d1305858f3bbca46fbd1ce2f078cc9db8b9f79b2e93cfe
+checksum=4f99e29bd0a67afd94c0d6fdad2b86bc5cd944cd5d4ff097520dc58b6c997ada
 
 glibmm-doc_package() {
 	archs=noarch
 	short_desc+=" - documentation"
 	pkg_install() {
-		vmove usr/share/doc
-		vmove usr/share/devhelp
+		vmove usr/share
 	}
 }
 
@@ -25,8 +24,8 @@ glibmm-devel_package() {
 	depends="${makedepends} glibmm>=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
-		vmove usr/lib/glibmm-2.4
-		vmove usr/lib/giomm-2.4
+		vmove "usr/lib/glibmm-*"
+		vmove "usr/lib/giomm-*"
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"

From 22bccd65c5db25db9b1b7911a01dfdff56aff658 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 16:13:57 +0300
Subject: [PATCH 51/75] cairomm: update to 1.15.4. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/cairomm/template | 16 +++++++++-------
 2 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 641e373f3b4..d1756615816 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -707,7 +707,7 @@ libsigc-3.0.so.0 libsigc++-3.0.0_1
 libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
-libcairomm-1.0.so.1 cairomm-1.8.4_1
+libcairomm-1.16.so.1 cairomm-1.15.4_1
 libpangomm-1.4.so.1 pangomm-2.26.0_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/cairomm/template b/srcpkgs/cairomm/template
index 015726e304c..aa9f9dc9617 100644
--- a/srcpkgs/cairomm/template
+++ b/srcpkgs/cairomm/template
@@ -1,17 +1,18 @@
-# Template build file for 'cairomm'.
+# Template file for 'cairomm'
 pkgname=cairomm
-version=1.12.2
-revision=3
+version=1.15.4
+revision=1
 build_style=gnu-configure
+make_build_args="CXXFLAGS=-std=gnu++17"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel fontconfig-devel libpng-devel libXrender-devel cairo-devel"
-depends="cairo>=1.12.14_6"
+depends="cairo"
 short_desc="C++ bindings to Cairo vector graphics library"
 maintainer="Orphaned <orphan@voidlinux.org>"
+license="GPL-2.0-only, MPL-1.1"
 homepage="http://www.cairographics.org"
-license="GPL-2, MPL-1.1"
-distfiles="http://cairographics.org/releases/$pkgname-$version.tar.gz"
-checksum=45c47fd4d0aa77464a75cdca011143fea3ef795c4753f6e860057da5fb8bd599
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4cd9fd959538953dfa606aaa7a31381e3193eebf14d814d97ef928684ee9feb5
 
 cairomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -19,6 +20,7 @@ cairomm-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove "usr/lib/cairomm*"
+		vmove "usr/lib/*.so"
 		vmove usr/lib/pkgconfig
 	}
 }

From 779d5ca400c17ef6c2c4aabeefffa8e7a7cee78a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 17:23:32 +0300
Subject: [PATCH 52/75] gtksourceview4: update to 4.4.0. [ci skip]

---
 srcpkgs/gtksourceview4/template | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gtksourceview4/template b/srcpkgs/gtksourceview4/template
index 6848716773c..d06f9b24921 100644
--- a/srcpkgs/gtksourceview4/template
+++ b/srcpkgs/gtksourceview4/template
@@ -1,12 +1,10 @@
 # Template file for 'gtksourceview4'
 pkgname=gtksourceview4
-version=4.2.0
-revision=2
+version=4.4.0
+revision=1
 wrksrc="gtksourceview-${version}"
-build_style=gnu-configure
+build_style=meson
 build_helper="gir"
-configure_args="--enable-glade-catalog $(vopt_enable gir introspection)
- $(vopt_enable vala) $(vopt_enable gtk_doc gtk-doc)"
 hostmakedepends="gtk+3-devel glib-devel itstool libxslt pkg-config
  $(vopt_if vala vala) $(vopt_if gtk_doc gtk-doc)"
 makedepends="glade3-devel gtk+3-devel libglib-devel libxml2-devel
@@ -16,7 +14,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GtkSourceView"
 distfiles="${GNOME_SITE}/gtksourceview/${version%.*}/gtksourceview-${version}.tar.xz"
-checksum=c431eb234dc83c7819e58f77dd2af973252c7750da1c9d125ddc94268f94f675
+checksum=9ddb914aef70a29a66acd93b4f762d5681202e44094d2d6370e51c9e389e689a
 
 # Package build options
 build_options="gir vala gtk_doc"
@@ -34,8 +32,6 @@ gtksourceview4-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
-		vmove usr/share/glade
-		vmove usr/share/gtk-doc
 		if [ "$build_option_vala" ]; then
 			vmove usr/share/vala
 		fi

From f2b5001e82a57fa48c62bc4d2b371f91ad14d647 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 18:12:17 +0300
Subject: [PATCH 53/75] gnome-calculator: fix. [ci skip]

---
 common/shlibs                     | 2 ++
 srcpkgs/gnome-calculator/template | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index d1756615816..4293fd41c13 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2888,6 +2888,8 @@ libyaz_icu.so.5 yaz-5.23.1_1
 libyaz.so.5 yaz-5.23.1_1
 libyaz_server.so.5 yaz-5.23.1_1
 libgcab-1.0.so.0 gcab-0.7_1
+libgcalc-2.so.1.0.1 gnome-calculator-3.35.2_1
+libgci-1.so.0.0.0 gnome-calculator-3.35.2_1
 libliveMedia.so.66 live555-2019.05.03_1
 libgroupsock.so.8 live555-2018.12.14_1
 libUsageEnvironment.so.3 live555-2018.12.14_1
diff --git a/srcpkgs/gnome-calculator/template b/srcpkgs/gnome-calculator/template
index 0926e4935fd..ab376f60c88 100644
--- a/srcpkgs/gnome-calculator/template
+++ b/srcpkgs/gnome-calculator/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-calculator'
 pkgname=gnome-calculator
 version=3.35.2
-revision=2
+revision=3
 build_style=meson
 build_helper="gir"
 hostmakedepends="cmake gettext glib-devel itstool pkg-config vala"
@@ -12,6 +12,6 @@ short_desc="GNOME calculator"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Calculator"
-changelog="https://raw.githubusercontent.com/GNOME/gnome-calculator/gnome-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/gnome-calculator/gnome-3-35/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
 checksum=b3d0021fbb8f4077674cc712108941440a09146caa3e3a1e2009751571c8748e

From a24be3afd68cba9091337ec24518b418c56d42d5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:00:41 +0300
Subject: [PATCH 54/75] vala: update to 0.47.1. [ci skip]

---
 common/shlibs         |  4 ++--
 srcpkgs/vala/template | 12 ++++++------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 4293fd41c13..b4330044dfb 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2971,9 +2971,9 @@ libsysprof-3.so sysprof-3.34.0_1
 libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
-libvala-0.46.so.0 libvala-0.46.0_1
+libvala-0.48.so.0 libvala-0.47.1_1
 libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
-libvalaccodegen.so libvala-0.44.0_1
+libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
 libtracker-miner-2.0.so.0 libtracker-2.0.1_1
diff --git a/srcpkgs/vala/template b/srcpkgs/vala/template
index a3001e75b98..bd85822335b 100644
--- a/srcpkgs/vala/template
+++ b/srcpkgs/vala/template
@@ -1,7 +1,7 @@
 # Template file for 'vala'
 pkgname=vala
 # Should be kept in sync with 'valadoc' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-valadoc"
@@ -12,18 +12,18 @@ short_desc="Compiler for the GObject type system"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
-shlib_provides="libvalaccodegen.so"
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
+shlib_provides="libvala-0.48.so.0 libvalaccodegen.so"
 
 post_install() {
 	# remove the /usr/bin prefix from the vapigen variable
 	# so the package that use it fall into our wrapper.
 	# keep the binary versioned, we don't know the potential
 	# fallout from using the unversioned one
-	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.46|g' \
-		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.46.pc
+	vsed -e 's|^vapigen=.*|vapigen=vapigen-0.48|g' \
+		 -i ${DESTDIR}/usr/lib/pkgconfig/vapigen-0.48.pc
 }
 
 libvala_package() {

From d71ed32264e2a1df2a7e5dc7f37cdc386eac8af0 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 21 Dec 2019 22:16:15 +0300
Subject: [PATCH 55/75] valadoc: update to 0.47.1. [ci skip]

---
 common/shlibs            |  2 +-
 srcpkgs/valadoc/template | 16 +++++++---------
 2 files changed, 8 insertions(+), 10 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index b4330044dfb..7a497bd272f 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2972,7 +2972,7 @@ libsysprof-ui-3.so sysprof-3.34.0_1
 libmozjs-52.so mozjs52-52.3.0_1
 libmozjs-52.so.0 mozjs52-52.3.0_1
 libvala-0.48.so.0 libvala-0.47.1_1
-libvaladoc-0.46.so.0 libvaladoc-0.46.0_1
+libvaladoc-0.48.so.0 libvaladoc-0.47.1_1
 libvalaccodegen.so vala-0.47.1_1
 libphodav-2.0.so.0 phodav-2.2_1
 libgfshare.so.2 libgfshare-2.0.0_1
diff --git a/srcpkgs/valadoc/template b/srcpkgs/valadoc/template
index e90e31a15be..34c3e427f15 100644
--- a/srcpkgs/valadoc/template
+++ b/srcpkgs/valadoc/template
@@ -1,7 +1,7 @@
 # Template file for 'valadoc'
 pkgname=valadoc
 # Should be kept in sync with 'vala' (shared distfiles)
-version=0.46.3
+version=0.47.1
 revision=1
 wrksrc="vala-${version}"
 build_style=gnu-configure
@@ -13,9 +13,9 @@ short_desc="Vala Documentation Tool"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/Vala"
-changelog="https://gitlab.gnome.org/GNOME/vala/raw/0.42/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/vala/raw/master/NEWS"
 distfiles="${GNOME_SITE}/vala/${version%.*}/vala-${version}.tar.xz"
-checksum=e29c2b1f108dc22c91bb501975a77c938aef079ca7875e1fbf41191e22cc57e3
+checksum=b694b2edc09315ac53c27767069d321705744e36d206a3ea4c2eb53d0d890e07
 
 pre_configure() {
 	autoreconf -if
@@ -23,8 +23,7 @@ pre_configure() {
 
 do_install() {
 	for subdir in libvaladoc valadoc; do
-		make -C "${subdir}" DESTDIR="$DESTDIR" ${make_install_args} \
-			install
+		make -C "${subdir}" DESTDIR="${DESTDIR}" ${make_install_args} install
 	done
 	vman doc/valadoc.1
 }
@@ -33,14 +32,13 @@ libvaladoc_package() {
 	short_desc+=" - shared library"
 	pkg_install() {
 		vmove "usr/lib/libvaladoc-*.so.*"
-		vmove "usr/lib/valadoc-${version%.*}"
-		vmove "usr/share/valadoc-${version%.*}"
+		vmove usr/lib/valadoc-0.48
+		vmove usr/share/valadoc-0.48
 	}
 }
 
 valadoc-devel_package() {
-	depends="valadoc-${version}_${revision}
-	 vala-devel-${version}_${revision}"
+	depends="valadoc=${version}_${revision} vala-devel=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
 		vmove "usr/include/valadoc-*"

From dfb672969cab11998de145801d3255edaa829481 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:13:46 +0300
Subject: [PATCH 56/75] gtk-vnc: update to 1.0.0. [ci skip]

---
 .../gtk-vnc/patches/fix-acinclude_m4.patch    |  52 ---------
 srcpkgs/gtk-vnc/template                      | 104 ++++--------------
 srcpkgs/gtk-vnc/update                        |   1 -
 srcpkgs/gtk2-vnc-devel                        |   1 -
 srcpkgs/{gtk2-vnc => gvncviewer}              |   0
 5 files changed, 22 insertions(+), 136 deletions(-)
 delete mode 100644 srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
 delete mode 100644 srcpkgs/gtk-vnc/update
 delete mode 120000 srcpkgs/gtk2-vnc-devel
 rename srcpkgs/{gtk2-vnc => gvncviewer} (100%)

diff --git a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch b/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
deleted file mode 100644
index 62f10eee847..00000000000
--- a/srcpkgs/gtk-vnc/patches/fix-acinclude_m4.patch
+++ /dev/null
@@ -1,52 +0,0 @@
---- gtk2-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk2-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
---- gtk3-build/acinclude.m4	2015-02-10 11:48:32.000000000 +0100
-+++ gtk3-build/acinclude.m4	2015-10-20 00:18:15.784111110 +0200
-@@ -6,20 +6,8 @@
-   [AC_REQUIRE([AM_PATH_PYTHON])
-     AC_MSG_CHECKING(for headers required to compile python extensions)
-     dnl deduce PYTHON_INCLUDES
--    py_prefix=`$PYTHON -c "import sys; print sys.prefix"`
--    py_exec_prefix=`$PYTHON -c "import sys; print sys.exec_prefix"`
--    PYTHON_INCLUDES="-I${py_prefix}/include/python${PYTHON_VERSION}"
--    if test "$py_prefix" != "$py_exec_prefix"; then
--       PYTHON_INCLUDES="$PYTHON_INCLUDES -I${py_exec_prefix}/include/python${PYTHON_VERSION}"
--    fi
-+    PYTHON_INCLUDES="-I${XBPS_CROSS_BASE}/include/python${PYTHON_VERSION}"
-     AC_SUBST(PYTHON_INCLUDES)
-+    have_python_headers=yes
--    dnl check if the headers exist:
--    save_CPPFLAGS="$CPPFLAGS"
--    CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"
--    AC_TRY_CPP([#include <Python.h>],dnl
--    [AC_MSG_RESULT(found)
--       $1],dnl
--       [AC_MSG_RESULT(not found)
--       $2])
--    CPPFLAGS="$save_CPPFLAGS"
-+    AC_MSG_RESULT(ok)
- ])
diff --git a/srcpkgs/gtk-vnc/template b/srcpkgs/gtk-vnc/template
index 7c1b6f8cecc..fed80bf17c5 100644
--- a/srcpkgs/gtk-vnc/template
+++ b/srcpkgs/gtk-vnc/template
@@ -1,106 +1,46 @@
 # Template file for 'gtk-vnc'
 pkgname=gtk-vnc
-version=0.9.0
-revision=3
+version=1.0.0
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="$(vopt_enable gir introspection) $(vopt_enable vala)"
-hostmakedepends="automake gettext-devel glib-devel intltool libgcrypt-devel
- libtool pkg-config gobject-introspection $(vopt_if vala vala)"
-makedepends="gnutls-devel gtk+-devel gtk+3-devel libsasl-devel
- $(vopt_if vala 'vala')"
+configure_args="-Dwith-coroutine=gthread -Dwith-vala=$(vopt_if vala true false)"
+hostmakedepends="pkg-config"
+makedepends="gnutls-devel gtk+3-devel cyrus-sasl libgpg-error-devel expat-devel
+ perl-Text-CSV glib-devel libgcrypt-devel $(vopt_if vala vala)"
 short_desc="VNC viewer widget for GTK"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/gtk-vnc"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=3a9a88426809a5df2c14353cd9839b8c8163438cb708b31d8048c79d180fcab7
+checksum=a81a1f1a79ad4618027628ffac27d3391524c063d9411c7a36a5ec3380e6c080
 
 build_options="gir vala"
 build_options_default="gir vala"
 
-post_extract() {
-	cp -a ${wrksrc} /tmp/gtk2-build
-	cp -a ${wrksrc} /tmp/gtk3-build
-	rm -r ${wrksrc}/*
-	mv /tmp/gtk[23]-build ${wrksrc}
-}
-pre_configure() {
-	local build
-	if [ "$CROSS_BUILD" ]; then
-		find . -name "Makefile.*" -exec sed -i "{}" \
-			-e"s;\(\$(CODEGENDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			-e"s;\(\$(DEFSDIR)\);${XBPS_CROSS_BASE}/\1;" \
-			\;
-	fi
-	for build in gtk2-build gtk3-build; do
-		cd ${wrksrc}/${build}
-		autoreconf -if
-	done
-}
-
-do_configure() {
-	cd ${wrksrc}/gtk2-build
-	./configure ${configure_args} --with-gtk=2.0
-
-	cd ${wrksrc}/gtk3-build
-	./configure ${configure_args} --with-gtk=3.0
-}
-
-do_build() {
-	cd ${wrksrc}/gtk2-build
-	make ${makejobs}
-
-	cd ${wrksrc}/gtk3-build
-	make ${makejobs}
-}
-
-do_install() {
-	cd ${wrksrc}/gtk2-build
-	make DESTDIR=${DESTDIR} install
-
-	cd ${wrksrc}/gtk3-build
-	make DESTDIR=${DESTDIR} install
-}
-
-gtk2-vnc_package() {
-	short_desc+=" - GTK+2 port"
-	pkg_install() {
-		vmove "usr/lib/libgtk-vnc-1.0.so*"
-		if [ "$build_option_gir" ]; then
-			vmove usr/lib/girepository-1.0/GtkVnc-1.0.typelib
-		fi
-	}
-}
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" perl glib-devel vala"
+fi
 
-gtk2-vnc-devel_package() {
-	depends="gtk+-devel gtk-vnc-devel>=${version}_${revision}"
-	short_desc+=" - GTK+2 development files"
+gvncviewer_package() {
+	short_desc="Demo application for gtk-vnc"
 	pkg_install() {
-		vmove usr/include/gtk-vnc-1.0
-		if [ "$build_option_gir" ]; then
-			#vmove usr/share/vala/vapi/gtk-vnc-1.0.vapi
-			vmove usr/share/gir-1.0/GtkVnc-1.0.gir
-		fi
-		vmove usr/lib/pkgconfig/gtk-vnc-1.0.pc
+		vbin ${wrksrc}/build/examples/gvncviewer
 	}
 }
 
 gtk-vnc-devel_package() {
 	depends="glib-devel gtk+3-devel gtk-vnc>=${version}_${revision}"
-	short_desc+=" - development files"
+	short_desc+=" (development files)"
 	pkg_install() {
-		vmove usr/include/gvnc-1.0
-		vmove usr/include/gtk-vnc-2.0
-		vmove usr/lib/pkgconfig/gtk-vnc-2.0.pc
-		vmove usr/lib/pkgconfig/gvnc-1.0.pc
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.so"
 		if [ "$build_option_gir" ]; then
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.deps
-			vmove usr/share/vala/vapi/gtk-vnc-2.0.vapi
-			vmove usr/share/vala/vapi/gvnc-1.0.vapi
-			vmove usr/share/gir-1.0/GVnc-1.0.gir
-			vmove usr/share/gir-1.0/GtkVnc-2.0.gir
+			vmove usr/share/gir-1.0
+		fi
+		if [ "$build_option_vala" ]; then
+			vmove usr/share/vala
 		fi
-		vmove usr/lib/*.so
 	}
 }
diff --git a/srcpkgs/gtk-vnc/update b/srcpkgs/gtk-vnc/update
deleted file mode 100644
index f223f26e1ba..00000000000
--- a/srcpkgs/gtk-vnc/update
+++ /dev/null
@@ -1 +0,0 @@
-pattern="\Q$pkgname\E-\K[0-9]+\.[0-9]*[0-9]\.[0-9.]*[0-9](?=)"
diff --git a/srcpkgs/gtk2-vnc-devel b/srcpkgs/gtk2-vnc-devel
deleted file mode 120000
index 25a6952fbce..00000000000
--- a/srcpkgs/gtk2-vnc-devel
+++ /dev/null
@@ -1 +0,0 @@
-gtk-vnc
\ No newline at end of file
diff --git a/srcpkgs/gtk2-vnc b/srcpkgs/gvncviewer
similarity index 100%
rename from srcpkgs/gtk2-vnc
rename to srcpkgs/gvncviewer

From 78452fb852f42b5b02a69270cda94feea2d871f8 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:16:37 +0300
Subject: [PATCH 57/75] libgdata: update to 0.17.11. [ci skip]

---
 .../libgdata/patches/disable-perf-test.patch  | 12 ++++++++
 .../libgdata/patches/only-ipv4-tests.patch    | 13 +++++++++
 srcpkgs/libgdata/template                     | 28 +++++++++++--------
 3 files changed, 41 insertions(+), 12 deletions(-)
 create mode 100644 srcpkgs/libgdata/patches/disable-perf-test.patch
 create mode 100644 srcpkgs/libgdata/patches/only-ipv4-tests.patch

diff --git a/srcpkgs/libgdata/patches/disable-perf-test.patch b/srcpkgs/libgdata/patches/disable-perf-test.patch
new file mode 100644
index 00000000000..9bf0101e101
--- /dev/null
+++ b/srcpkgs/libgdata/patches/disable-perf-test.patch
@@ -0,0 +1,12 @@
+diff --git a/gdata/tests/meson.build b/gdata/tests/meson.build
+index 52154e7..ced810a 100644
+--- a/gdata/tests/meson.build
++++ b/gdata/tests/meson.build
+@@ -25,7 +25,6 @@ tests = {
+   'general': {},
+   'oauth1-authorizer': {},
+   'oauth2-authorizer': {},
+-  'perf': {},
+   'picasaweb': {
+     'dependencies': [gdk_pixbuf_dep],
+     'should_fail': true,
diff --git a/srcpkgs/libgdata/patches/only-ipv4-tests.patch b/srcpkgs/libgdata/patches/only-ipv4-tests.patch
new file mode 100644
index 00000000000..acbb00c1c48
--- /dev/null
+++ b/srcpkgs/libgdata/patches/only-ipv4-tests.patch
@@ -0,0 +1,13 @@
+diff --git a/gdata/tests/streams.c b/gdata/tests/streams.c
+index 7158754..1763bd9 100644
+--- a/gdata/tests/streams.c
++++ b/gdata/tests/streams.c
+@@ -193,7 +193,7 @@ create_server (SoupServerCallback callback, gpointer user_data, GMainLoop **main
+ 	g_main_context_push_thread_default (context);
+ 
+ 	soup_server_listen_local (server, 0  /* random port */,
+-	                          SOUP_SERVER_LISTEN_HTTPS, &error);
++	                          SOUP_SERVER_LISTEN_HTTPS | SOUP_SERVER_LISTEN_IPV4_ONLY, &error);
+ 	g_assert_no_error (error);
+ 
+ 	g_main_context_pop_thread_default (context);
diff --git a/srcpkgs/libgdata/template b/srcpkgs/libgdata/template
index 439aa569041..bb0164ed3a8 100644
--- a/srcpkgs/libgdata/template
+++ b/srcpkgs/libgdata/template
@@ -1,27 +1,29 @@
 # Template file for 'libgdata'
 pkgname=libgdata
-version=0.17.9
-revision=4
+version=0.17.11
+revision=1
+build_style=meson
 build_helper="gir"
-build_style=gnu-configure
-configure_args="--disable-static $(vopt_enable gir introspection)
- $(vopt_enable vala)"
+configure_args="-Dgtk_doc=$(vopt_if gtk_doc true false) -Dvapi=true -Dman=true
+ -Dinstalled_tests=false -Dgoa=enabled -Dgnome=enabled -Dgtk=enabled"
 hostmakedepends="pkg-config flex intltool glib-devel $(vopt_if vala vala)"
 makedepends="json-glib-devel gtk+3-devel uhttpmock-devel liboauth-devel
- gcr-devel gnome-online-accounts-devel"
+ gcr-devel gnome-online-accounts-devel $(vopt_if gtk_doc gtk-doc) libsoup-devel"
 short_desc="Library for accessing GData webservices"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libgdata"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85c4f7674c0098ffaf060ae01b6b832cb277b3673d54ace3bdedaad6b127453a
+checksum=6b9917122e4def6e6f78bcb660e49e146540832e296abcb5cde99829a04ea986
+patch_args="-Np1"
 
-build_options="gir vala"
+build_options="gir vala gtk_doc"
+desc_option_gtk_doc="Build API docs via gtk-doc"
 build_options_default="gir vala"
 
-pre_build() {
-	export GIR_EXTRA_LIBS_PATH="${wrksrc}/gdata/.libs"
-}
+if [ ! "$CROSS_BUILD" ]; then
+	build_options_default+=" gtk_doc"
+fi
 
 libgdata-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -29,8 +31,10 @@ libgdata-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove usr/share/gtk-doc
 		vmove "usr/lib/*.so"
+		if [ "$build_option_gtk_doc" ]; then
+			vmove usr/share/gtk-doc
+		fi
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From 32b2c41f478ecc1ca77874253df92e1de7e0b24a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 00:17:04 +0300
Subject: [PATCH 58/75] libsoup: update to 2.68.3. [ci skip]

---
 srcpkgs/libsoup/patches/fix-gir-cross.patch | 13 -------------
 srcpkgs/libsoup/template                    | 19 ++++++++++++-------
 2 files changed, 12 insertions(+), 20 deletions(-)
 delete mode 100644 srcpkgs/libsoup/patches/fix-gir-cross.patch

diff --git a/srcpkgs/libsoup/patches/fix-gir-cross.patch b/srcpkgs/libsoup/patches/fix-gir-cross.patch
deleted file mode 100644
index fbd01e72f50..00000000000
--- a/srcpkgs/libsoup/patches/fix-gir-cross.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/meson.build b/meson.build
-index a979362..9059918 100644
---- meson.build
-+++ meson.build
-@@ -269,7 +269,7 @@ enable_gnome = get_option('gnome') and host_machine.system() != 'windows'
- # FIXME: once we start to require meson 0.49.0+ and gnome-introspection 1.58.1+
- # the we can enable the introspection even for the static build. See
- # https://github.com/mesonbuild/meson/pull/4478.
--enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not meson.is_cross_build() and not is_static_library
-+enable_introspection = get_option('introspection') and find_program('g-ir-scanner', required: false).found() and not is_static_library
- 
- ############
- # Vala API #
diff --git a/srcpkgs/libsoup/template b/srcpkgs/libsoup/template
index a730cb72339..96c911bdcce 100644
--- a/srcpkgs/libsoup/template
+++ b/srcpkgs/libsoup/template
@@ -1,27 +1,32 @@
 # Template file for 'libsoup'
 pkgname=libsoup
-version=2.66.4
+version=2.68.3
 revision=1
 build_style=meson
 build_helper="gir"
-configure_args="-Dgssapi=false -Dintrospection=$(vopt_if gir true false)
- -Dvapi=$(vopt_if vala true false)"
+configure_args="-Dgssapi=disabled -Dintrospection=$(vopt_if gir enabled disabled)
+ -Dvapi=$(vopt_if vala enabled disabled)"
 hostmakedepends="gettext-devel glib-devel pkg-config $(vopt_if vala 'vala')"
-makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel
- $(vopt_if vala 'vala-devel')"
+makedepends="libglib-devel libxml2-devel sqlite-devel libpsl-devel brotli-devel
+ glib-networking smbclient $(vopt_if vala 'vala-devel')"
 depends="glib-networking"
 short_desc="HTTP library implementation in C"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Projects/libsoup"
-changelog="https://raw.githubusercontent.com/GNOME/libsoup/gnome-3-28/NEWS"
+changelog="https://gitlab.gnome.org/GNOME/libsoup/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8308984f1eee1c4f8c113a9c1763b2b22d981bd811b0cc82a9f3f1aa63228779
+checksum=534bb08e35b0ff3702f3adfde87d3441e27c12f9f5ec351f056fe04cba02bafb
 
 # Package build options
 build_options="gir vala"
 build_options_default="gir vala"
 
+if [ "$CROSS_BUILD" ]; then
+	configure_args+=" -Dtls_check=false"
+	hostmakedepends+=" smbclient"
+fi
+
 libsoup-devel_package() {
 	depends="${makedepends} libsoup>=${version}_${revision}"
 	short_desc+=" - development files"

From 41debf66f6f1b8f45237e3741b7accfec8b38ad1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:24:15 +0300
Subject: [PATCH 59/75] gnome-desktop: update to 3.34.2. [ci skip]

---
 .../patches/optionalise-gir.patch             | 27 ++++++-------------
 srcpkgs/gnome-desktop/template                |  7 ++---
 srcpkgs/gnome-desktop/update                  |  1 -
 3 files changed, 12 insertions(+), 23 deletions(-)
 delete mode 100644 srcpkgs/gnome-desktop/update

diff --git a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch b/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
index 2d25e87b0b6..9690c129577 100644
--- a/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
+++ b/srcpkgs/gnome-desktop/patches/optionalise-gir.patch
@@ -1,11 +1,7 @@
-diff --git a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
-index c365b44..33af6f4 100644
---- libgnome-desktop/meson.build
-+++ libgnome-desktop/meson.build
-@@ -96,17 +96,19 @@ libgnome_desktop_dep = declare_dependency(
-   link_with: libgnome_desktop
- )
- 
+diff -Naurp0 a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
+--- a/libgnome-desktop/meson.build	2019-12-21 19:33:00.720763679 +0300
++++ b/libgnome-desktop/meson.build	2019-12-21 19:34:45.848682615 +0300
+@@ -106,11 +106,13 @@ libgnome_desktop_dep = declare_dependenc
 -gnome.generate_gir(libgnome_desktop,
 -  sources: introspection_sources + libgnome_desktop_headers,
 -  export_packages: 'gnome-desktop-3.0',
@@ -30,17 +26,10 @@ index c365b44..33af6f4 100644
 +    install: true
 +  )
 +endif
- 
- desktop_pc = pkg.generate(
-   libraries: libgnome_desktop,
-diff --git a/meson_options.txt b/meson_options.txt
-index e3402a1..1dbaf5d 100644
---- meson_options.txt
-+++ meson_options.txt
-@@ -28,3 +28,7 @@ option('gtk_doc',
- option('installed_tests',
-   type: 'boolean', value: false, description: 'Enable installed tests'
- )
+diff -Naurp0 a/meson_options.txt b/meson_options.txt
+--- a/meson_options.txt	2019-12-21 19:33:18.342085639 +0300
++++ b/meson_options.txt	2019-12-21 19:33:45.654584469 +0300
+@@ -30,0 +31,4 @@ option('installed_tests',
 +
 +option('introspection',
 +  type: 'boolean', value: false, description: 'Build GIR data'
diff --git a/srcpkgs/gnome-desktop/template b/srcpkgs/gnome-desktop/template
index 992cb1ff16a..f82bf4ba4ad 100644
--- a/srcpkgs/gnome-desktop/template
+++ b/srcpkgs/gnome-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-desktop'
 pkgname=gnome-desktop
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -9,14 +9,15 @@ configure_args="-Dgnome-distributor=VoidLinux -Dudev=enabled
 hostmakedepends="gettext itstool pkg-config glib-devel"
 makedepends="eudev-libudev-devel gsettings-desktop-schemas-devel gtk+3-devel
  iso-codes libglib-devel libseccomp-devel libX11-devel libXext-devel
- libxkbfile-devel libXrandr-devel gdk-pixbuf-devel"
+ libxkbfile-devel libXrandr-devel gdk-pixbuf-devel elogind-devel"
 depends="bubblewrap gsettings-desktop-schemas iso-codes xkeyboard-config"
 short_desc="GNOME desktop management utilities"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-desktop"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c1dbeb5666dad27166c769e48e2ab41dd5ed74718ea35eb57c8488790662dc5a
+checksum=4081ba619733da33ec6ba98cd52170ee99a90439709df4df333e5c9e631f28ed
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
diff --git a/srcpkgs/gnome-desktop/update b/srcpkgs/gnome-desktop/update
deleted file mode 100644
index a73db8805ed..00000000000
--- a/srcpkgs/gnome-desktop/update
+++ /dev/null
@@ -1 +0,0 @@
-ignore="*.[0-9]*[13579].*"

From 0a2c298df98dcc82ca7e4d7f213af7195c0af0a2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:24:26 +0300
Subject: [PATCH 60/75] gnome-shell: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-shell/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-shell/template b/srcpkgs/gnome-shell/template
index 96c5b80a194..d9d68146c91 100644
--- a/srcpkgs/gnome-shell/template
+++ b/srcpkgs/gnome-shell/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell'
 pkgname=gnome-shell
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper=gir
@@ -12,7 +12,7 @@ makedepends="at-spi2-atk caribou-devel evolution-data-server-devel folks-devel
  gnome-menus-devel gsettings-desktop-schemas-devel gstreamer1-devel gtk+3-devel
  ibus-devel json-glib-devel libcanberra-devel libcroco-devel libglib-devel
  libsecret-devel libsoup-devel libX11-devel libxml2-devel mutter-devel
- network-manager-applet-devel polkit-devel pulseaudio-devel
+ network-manager-applet-devel polkit-devel pulseaudio-devel elogind-devel
  startup-notification-devel telepathy-logger-devel gnome-autoar-devel"
 depends="caribou elogind glxinfo gnome-control-center gsettings-desktop-schemas upower"
 short_desc="GNOME core user interface"
@@ -21,4 +21,4 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell"
 changelog="https://raw.githubusercontent.com/GNOME/gnome-shell/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ccd86559b9c897c219d2d2ebfdb8413efa4c1bee846427c750cb8a301b3f6d1e
+checksum=703264db2fafe02d1db53d701cb99a4a757c46e7569e7b9d690dda009fc03b4d

From 096b9704ae1e6d735264b69a8ef149278d6ddeae Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:24:47 +0300
Subject: [PATCH 61/75] gnome-shell-extensions: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-shell-extensions/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-shell-extensions/template b/srcpkgs/gnome-shell-extensions/template
index 97168b40f66..8c70612162f 100644
--- a/srcpkgs/gnome-shell-extensions/template
+++ b/srcpkgs/gnome-shell-extensions/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-shell-extensions'
 pkgname=gnome-shell-extensions
-version=3.34.1
+version=3.34.2
 revision=1
 archs=noarch
 build_style=meson
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeShell/Extensions"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=b0ad51143b1bf40def4a10f8fd0ab0ffb47218304800794e62cadd29d0acc75b
+checksum=a1e16e75a06ea511435a6f7478de92aff21d02d4e1d59ec8ce7fb6396819b4b8

From d38d1f1240234114c69b32d1aa864f1857e5ac30 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:25:02 +0300
Subject: [PATCH 62/75] graphene: update to 1.10.0. [ci skip]

---
 srcpkgs/graphene/template | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/graphene/template b/srcpkgs/graphene/template
index f2fe81a3f47..4a82eadc2c1 100644
--- a/srcpkgs/graphene/template
+++ b/srcpkgs/graphene/template
@@ -1,25 +1,24 @@
 # Template file for 'graphene'
 pkgname=graphene
-version=1.8.2
-revision=2
+version=1.10.0
+revision=1
 build_style=meson
 build_helper="gir"
-configure_args="-Dtests=false -Dbenchmarks=false
- -Dintrospection=$(vopt_if gir true false)"
+configure_args="-Dtests=false -Dbenchmarks=false -Dintrospection=$(vopt_if gir true false)"
 hostmakedepends="pkg-config"
 makedepends="libglib-devel"
 short_desc="Thin layer of types for graphic libraries"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="MIT"
 homepage="https://github.com/ebassi/graphene"
-distfiles="${GNOME_SITE}/graphene/${version%.*}/graphene-${version}.tar.xz"
-checksum=b3fcf20996e57b1f4df3941caac10f143bb29890a42f7a65407cd19271fc89f7
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=406d97f51dd4ca61e91f84666a00c3e976d3e667cd248b76d92fdb35ce876499
 
 build_options="gir"
 build_options_default="gir"
 
 post_install() {
-	vlicense LICENSE
+	vlicense LICENSE.txt
 }
 
 graphene-devel_package() {

From ef6cbd9834f0ad2180ff451c5d2a8a20735704a5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 28 Dec 2019 20:26:27 +0300
Subject: [PATCH 63/75] mutter: update to 3.34.2. [ci skip]

---
 common/shlibs                                 | 14 +++--
 .../1-fix-cogl-path-build-ordering.patch      | 19 +++++++
 .../patches/2-Include-egl-eglmesaext.h.patch  | 55 +++++++++++++++++++
 .../patches/fix-cogl-egl-includes.patch       | 11 ----
 srcpkgs/mutter/patches/fixudev.patch          | 16 ------
 srcpkgs/mutter/template                       | 23 +++++---
 srcpkgs/mutter/update                         |  2 -
 7 files changed, 98 insertions(+), 42 deletions(-)
 create mode 100644 srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch
 create mode 100644 srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch
 delete mode 100644 srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
 delete mode 100644 srcpkgs/mutter/patches/fixudev.patch
 delete mode 100644 srcpkgs/mutter/update

diff --git a/common/shlibs b/common/shlibs
index 7a497bd272f..80ee7ecf9d9 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -2817,11 +2817,15 @@ libdecoration.so.0 compiz-core-0.8.14_1
 libcompizconfig.so.0 libcompizconfig-0.8.14_1
 libemeraldengine.so.0 emerald-0.8.14_1
 libhangul.so.1 libhangul-0.1.0_1
-libmutter-5.so.0 mutter-3.34.1_1
-libmutter-clutter-5.so.0 mutter-3.34.1_1
-libmutter-cogl-path-5.so mutter-3.34.1_1
-libmutter-cogl-5.so.0 mutter-3.34.1_1
-libmutter-cogl-pango-5.so.0 mutter-3.34.1_1
+libmutter-5.so.0 mutter-3.34.2_1
+libmutter-cogl-pango-5.so.0 mutter-3.34.2_1
+libmutter-cogl-5.so.0 mutter-3.34.2_1
+libmutter-clutter-5.so.0 mutter-3.34.2_1
+libmutter-cogl-path-5.so.0 mutter-3.34.2_1
+libmutter-clutter-5.so mutter-3.34.2_1
+libmutter-cogl-5.so mutter-3.34.2_1
+libmutter-cogl-pango-5.so mutter-3.34.2_1
+libmutter-cogl-path-5.so mutter-3.34.2_1
 libgeoclue-2.so.0 geoclue2-2.4.4_1
 libgepub.so.0 libgepub-0.4_1
 libslopy.so.7.4 slop-7.4_1
diff --git a/srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch b/srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch
new file mode 100644
index 00000000000..e83c2f08afb
--- /dev/null
+++ b/srcpkgs/mutter/patches/1-fix-cogl-path-build-ordering.patch
@@ -0,0 +1,19 @@
+--- a/clutter/clutter/meson.build
++++ b/clutter/clutter/meson.build
+@@ -487,7 +487,7 @@
+   soversion: 0,
+   c_args: clutter_c_args,
+   include_directories: clutter_includes,
+-  dependencies: [clutter_deps],
++  dependencies: [clutter_deps,libmutter_cogl_path_dep],
+   gnu_symbol_visibility: 'hidden',
+   link_with: [
+     libmutter_cogl,
+@@ -499,7 +499,7 @@
+   install: true,
+ )
+ libmutter_clutter_dep = declare_dependency(
+-  sources: [clutter_enum_types[1]],
++  sources: [clutter_enum_types[1],libmutter_cogl_path_enum_types[1]],
+   link_with: libmutter_clutter,
+ )
diff --git a/srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch b/srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch
new file mode 100644
index 00000000000..79d1e6dec87
--- /dev/null
+++ b/srcpkgs/mutter/patches/2-Include-egl-eglmesaext.h.patch
@@ -0,0 +1,55 @@
+ cogl/cogl/meson.build       | 2 +-
+ src/backends/meta-egl-ext.h | 1 +
+ src/backends/meta-egl.c     | 1 +
+ src/backends/meta-egl.h     | 1 +
+ 4 files changed, 4 insertions(+), 1 deletion(-)
+
+diff --git c/cogl/cogl/meson.build i/cogl/cogl/meson.build
+index 1057ef955..9a642947d 100644
+--- c/cogl/cogl/meson.build
++++ i/cogl/cogl/meson.build
+@@ -48,7 +48,7 @@ cogl_gl_header_h = configure_file(
+ built_headers += [cogl_gl_header_h]
+ 
+ if have_egl
+-  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>'
++  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>\n#include <EGL/eglmesaext.h>'
+ else
+   cogl_egl_includes_string = ''
+ endif
+diff --git c/src/backends/meta-egl-ext.h i/src/backends/meta-egl-ext.h
+index 8705e7d5b..db0b74f76 100644
+--- c/src/backends/meta-egl-ext.h
++++ i/src/backends/meta-egl-ext.h
+@@ -29,6 +29,7 @@
+ 
+ #include <EGL/egl.h>
+ #include <EGL/eglext.h>
++#include <EGL/eglmesaext.h>
+ 
+ /*
+  * This is a little different to the tests shipped with EGL implementations,
+diff --git c/src/backends/meta-egl.c i/src/backends/meta-egl.c
+index 6554be935..fdeff4f77 100644
+--- c/src/backends/meta-egl.c
++++ i/src/backends/meta-egl.c
+@@ -27,6 +27,7 @@
+ 
+ #include <EGL/egl.h>
+ #include <EGL/eglext.h>
++#include <EGL/eglmesaext.h>
+ #include <gio/gio.h>
+ #include <glib.h>
+ #include <glib-object.h>
+diff --git c/src/backends/meta-egl.h i/src/backends/meta-egl.h
+index f2a816445..4591e7d85 100644
+--- c/src/backends/meta-egl.h
++++ i/src/backends/meta-egl.h
+@@ -28,6 +28,7 @@
+ 
+ #include <EGL/egl.h>
+ #include <EGL/eglext.h>
++#include <EGL/eglmesaext.h>
+ #include <glib-object.h>
+ 
+ #define META_EGL_ERROR meta_egl_error_quark ()
diff --git a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch b/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
deleted file mode 100644
index d90988887c3..00000000000
--- a/srcpkgs/mutter/patches/fix-cogl-egl-includes.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- cogl/cogl/meson.build	2019-10-08 19:15:10.000000000 +0200
-+++ cogl/cogl/meson.build	2019-12-16 15:45:44.037640548 +0100
-@@ -48,7 +48,7 @@
- built_headers += [cogl_gl_header_h]
- 
- if have_egl
--  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>'
-+  cogl_egl_includes_string = '#include <EGL/egl.h>\n#include <EGL/eglext.h>\n#include <EGL/eglmesaext.h>'
- else
-   cogl_egl_includes_string = ''
- endif
diff --git a/srcpkgs/mutter/patches/fixudev.patch b/srcpkgs/mutter/patches/fixudev.patch
deleted file mode 100644
index c9bd1b8c6ce..00000000000
--- a/srcpkgs/mutter/patches/fixudev.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-Apparently the version limit is only required for systemd udev, it works
-just fine with our version of eudev.
-
-diff --git meson.build meson.build
-index dc210e6..6e080ca 100644
---- meson.build
-+++ meson.build
-@@ -168,7 +168,7 @@ endif
- 
- have_libgudev = get_option('udev')
- if have_libgudev
--  libudev_dep = dependency('libudev', version: udev_req)
-+  libudev_dep = dependency('libudev')
-   gudev_dep = dependency('gudev-1.0', version: gudev_req)
- endif
- 
diff --git a/srcpkgs/mutter/template b/srcpkgs/mutter/template
index 5c792515f2b..6601cd078cf 100644
--- a/srcpkgs/mutter/template
+++ b/srcpkgs/mutter/template
@@ -1,25 +1,30 @@
 # Template file for 'mutter'
 pkgname=mutter
-version=3.34.1
-revision=2
+version=3.34.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Degl_device=true -Dudev=true -Dnative_backend=true
- -Dprofiler=false -Dintrospection=true -Dxwayland_path=/usr/bin/Xwayland"
+ -Dprofiler=false -Dintrospection=$(vopt_if gir true false) -Dxwayland_path=/usr/bin/Xwayland"
 hostmakedepends="glib-devel pkg-config zenity wayland-devel xorg-server"
 makedepends="elogind-devel glib-devel gnome-desktop-devel json-glib-devel
  libglib-devel libSM-devel libXtst-devel libcanberra-devel libinput-devel
  MesaLib-devel pipewire-devel startup-notification-devel wayland-protocols
- gnome-settings-daemon-devel"
+ gnome-settings-daemon-devel graphene-devel"
 depends="desktop-file-utils zenity"
 short_desc="Lightweight GTK+3 window manager"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/Mutter/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ba1826cf88bdb81e63943cac014a8e8bcf35ec178c53264401f9c72fdeab758e
-shlib_provides="libmutter-clutter-5.so libmutter-cogl-5.so
- libmutter-cogl-pango-5.so libmutter-cogl-path-5.so"
+checksum=2d6f7763193766d4652d43d0d0de2e49e60ca571eca0a7f1e6341fbd67f90b2d
+shlib_provides="libmutter-5.so.0 libmutter-cogl-pango-5.so.0 libmutter-cogl-5.so.0
+ libmutter-clutter-5.so.0 libmutter-cogl-path-5.so.0 libmutter-clutter-5.so
+ libmutter-cogl-5.so libmutter-cogl-pango-5.so libmutter-cogl-path-5.so"
+patch_args="-Np1"
+
+build_options="gir"
+build_options_default="gir"
 
 mutter-devel_package() {
 	depends="gsettings-desktop-schemas gtk+3-devel clutter-devel libX11-devel
@@ -28,7 +33,9 @@ mutter-devel_package() {
 	pkg_install() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
-		vmove "usr/lib/mutter-5/*.gir"
+		if [ $build_option_gir ]; then
+			vmove "usr/lib/mutter-5/*.gir"
+		fi
 		vmove "usr/lib/*.so"
 	}
 }
diff --git a/srcpkgs/mutter/update b/srcpkgs/mutter/update
deleted file mode 100644
index a84fbbad8b1..00000000000
--- a/srcpkgs/mutter/update
+++ /dev/null
@@ -1,2 +0,0 @@
-site="${GNOME_SITE}/$pkgname/cache.json"
-ignore="3.*[13579].*"

From 2201cceb8882970b1cfb27fd28e75b6158218241 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:17 +0300
Subject: [PATCH 64/75] epiphany: update to 3.34.2. [ci skip]

---
 srcpkgs/epiphany/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/epiphany/template b/srcpkgs/epiphany/template
index b5a3b890c75..37c1f3a315a 100644
--- a/srcpkgs/epiphany/template
+++ b/srcpkgs/epiphany/template
@@ -1,7 +1,7 @@
 # Template file for 'epiphany'
 pkgname=epiphany
-version=3.32.4
-revision=2
+version=3.34.2
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddistributor_name=VoidLinux -Dunit_tests=disabled"
@@ -16,4 +16,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Web"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=c9a828578301af77ac9f3d3ce253b02f9f3a1561840cc8d74dd5645f92d0a995
+checksum=0eaa36fc7b73a23121a23b8a7ad3c18edaf5a8a6b7cdd6d630ba5b71d946a4a1

From 3e41997ce6d9e5cbec97f6d1f7fd3a7f55c64459 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:27 +0300
Subject: [PATCH 65/75] evolution: update to 3.34.2. [ci skip]

---
 srcpkgs/evolution/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/evolution/template b/srcpkgs/evolution/template
index fc93468dded..37714898bd4 100644
--- a/srcpkgs/evolution/template
+++ b/srcpkgs/evolution/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution'
 pkgname=evolution
-version=3.34.1
-revision=4
+version=3.34.2
+revision=1
 build_style=cmake
 configure_args="-DENABLE_AUTOAR=OFF -DENABLE_LIBCRYPTUI=OFF -DENABLE_GTKSPELL=OFF
  -DENABLE_TEXT_HIGHLIGHT=OFF -DENABLE_PST_IMPORT=OFF
@@ -19,7 +19,7 @@ license="LGPL-2.1-or-later, LGPL-3.0-or-later, GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evolution"
 changelog="https://raw.githubusercontent.com/GNOME/evolution/gnome-3-28/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=656a92dd7f3e1afb6eef4f824fd17ae307c0904a67587ca5bb14ab9bd6f8bd42
+checksum=2c89abab26bb9559c1c5050ec3de9a636efd88aec223eb147df28a4120f29b98
 shlib_provides="libevolution-calendar.so libevolution-util.so libemail-engine.so
  libevolution-mail.so libevolution-shell.so"
 

From 1a46c12b0c7390f4c5ca678900e076c9dfb0639e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:33 +0300
Subject: [PATCH 66/75] gnome-control-center: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-control-center/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-control-center/template b/srcpkgs/gnome-control-center/template
index 0e2787898ae..464367cb7c3 100644
--- a/srcpkgs/gnome-control-center/template
+++ b/srcpkgs/gnome-control-center/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-control-center'
 pkgname=gnome-control-center
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -24,7 +24,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-control-center"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=5f82ecd5554136c462248ec5363b82d95358b39dfd6787006d8307b4504e515e
+checksum=a85ffaf5885a8c70c019013d73792bf4cc75f643e97f6e8b52f7fbba9f7a9114
 
 build_options="cheese"
 desc_option_cheese="Add support for adding user account images with your webcam"

From e3328b70ac7ee0a4e114e46382d58c70d677f20f Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:39 +0300
Subject: [PATCH 67/75] gnome-flashback: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-flashback/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-flashback/template b/srcpkgs/gnome-flashback/template
index bc5ae868cb8..24996df2b95 100644
--- a/srcpkgs/gnome-flashback/template
+++ b/srcpkgs/gnome-flashback/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-flashback'
 pkgname=gnome-flashback
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=gnu-configure
 configure_args="--enable-compile-warnings=minimum"
@@ -9,12 +9,12 @@ makedepends="gtk+3-devel gsettings-desktop-schemas-devel
  libglib-devel gdk-pixbuf-devel upower-devel ibus-devel polkit-devel
  pulseaudio-devel libcanberra-devel libxcb-devel libX11-devel pango-devel
  libxkbfile-devel gnome-bluetooth-devel gnome-desktop-devel"
-depends="gnome-bluetooth gnome-session gnome-settings-daemon
+depends="gnome-bluetooth gnome-session gnome-settings-daemon elogind
  gnome-panel gnome-themes-standard metacity"
 short_desc="GNOME 3 session with similar user experience to the GNOME 2.x series"
 maintainer="shizonic <realtiaz@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Projects/GnomeFlashback"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ddba0c9661ad93b58ccbde267f6ecbc02da2c15f9d38d87d5504f4670c2fbc77
+checksum=3be65388cd2c8f39741bcc05da87ef40035183a9a39502d67696242c2aeb469c
 nocross="gobject-introspection"

From fc53132fefd1f69f77154a0380923b9bffec1d67 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:45 +0300
Subject: [PATCH 68/75] gnome-music: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-music/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-music/template b/srcpkgs/gnome-music/template
index e2fbbcbdeca..cc276c996cf 100644
--- a/srcpkgs/gnome-music/template
+++ b/srcpkgs/gnome-music/template
@@ -1,7 +1,8 @@
 # Template file for 'gnome-music'
 pkgname=gnome-music
-version=3.32.2
-revision=2
+version=3.34.2
+revision=1
+build_style=meson
 build_helper="gir"
 build_style=meson
 pycompile_module="gnomemusic"
@@ -16,5 +17,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Music"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=131a4b09983f7ee7f6ad6277bc2d5cf1b4a56484faf6357850357a355aa0c732
+checksum=b94901b052fdf641d653bf875e01ecdba07999c8f26cf7702bcbc4319b45a2a5
 lib32disabled=yes

From 974ef52cb10189ca0f58f41c821457ca3f3d8946 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:50 +0300
Subject: [PATCH 69/75] nautilus: update to 3.34.2. [ci skip]

---
 srcpkgs/nautilus/template | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/nautilus/template b/srcpkgs/nautilus/template
index e46fac5191c..85d1bd7df13 100644
--- a/srcpkgs/nautilus/template
+++ b/srcpkgs/nautilus/template
@@ -1,6 +1,6 @@
 # Template file for 'nautilus'
 pkgname=nautilus
-version=3.34.1
+version=3.34.2
 revision=1
 build_style=meson
 build_helper="gir"
@@ -17,7 +17,8 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later, LGPL-2.1-or-later"
 homepage="https://wiki.gnome.org/Nautilus"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=37ce2c16a610c589dcc7660f9092446465568e38e29bce6ed8c24f2e8e0077f3
+checksum=bb06e226b965f479a0b8668c19c8e1762b9d8f039af6817961cc7a8f09e6f8a7
+patch_args="-Np1"
 
 build_options="gir"
 build_options_default="gir"
@@ -28,6 +29,7 @@ libnautilus_package() {
 		vmove "usr/lib/*.so.*"
 	}
 }
+
 nautilus-devel_package() {
 	depends="gtk+3-devel libnautilus>=${version}_${revision}"
 	short_desc+=" - development files"

From 060df1507bccef80eb0fbac79122ae249b95f936 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:28:55 +0300
Subject: [PATCH 70/75] evince: update to 3.34.2. [ci skip]

---
 srcpkgs/evince/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/evince/template b/srcpkgs/evince/template
index 6e4ec3ecb97..5fdfa774084 100644
--- a/srcpkgs/evince/template
+++ b/srcpkgs/evince/template
@@ -1,6 +1,6 @@
 # Template file for 'evince'
 pkgname=evince
-version=3.34.1
+version=3.34.2
 revision=1
 build_helper="gir"
 build_style=gnu-configure
@@ -19,7 +19,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Evince"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=85e407cde396147b249120d816c7715fb6df191ca561cf65ff3554a5d67626df
+checksum=3cc0955f11204e3a2db1c7ab99b866692749592257485b87304134ad69da0617
 
 build_options="gir"
 build_options_default="gir"

From a96d9bbde5668045d3cf53580c17eb56ad6964d1 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:00 +0300
Subject: [PATCH 71/75] evolution-data-server: update to 3.34.2. [ci skip]

---
 srcpkgs/evolution-data-server/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/evolution-data-server/template b/srcpkgs/evolution-data-server/template
index b1602f2937c..a47860a25e6 100644
--- a/srcpkgs/evolution-data-server/template
+++ b/srcpkgs/evolution-data-server/template
@@ -1,7 +1,7 @@
 # Template file for 'evolution-data-server'
 pkgname=evolution-data-server
-version=3.34.1
-revision=2
+version=3.34.2
+revision=1
 build_style=cmake
 build_helper=gir
 configure_args="-DENABLE_UOA=OFF
@@ -17,7 +17,7 @@ license="LGPL-2.1-only"
 homepage="https://wiki.gnome.org/Apps/Evolution"
 changelog="https://raw.githubusercontent.com/GNOME/evolution-data-server/gnome-3-30/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6ff56ba04cb639e627fe9d6e0ada106a10cadd68a0d53b8ec72b4e285df53abe
+checksum=3eb89f82eee042884a8d65737564fe48829c3ae187f067cbcdec2b088d2fe89b
 
 build_options="gir"
 if [ -z "$CROSS_BUILD" ]; then

From f0ebbc5a5da70dbd39a8bc31095218e0442cd477 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:05 +0300
Subject: [PATCH 72/75] gnome-disk-utility: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-disk-utility/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-disk-utility/template b/srcpkgs/gnome-disk-utility/template
index aa69b8a2b85..0ccd6c3e1ce 100644
--- a/srcpkgs/gnome-disk-utility/template
+++ b/srcpkgs/gnome-disk-utility/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-disk-utility'
 pkgname=gnome-disk-utility
-version=3.32.1
-revision=2
+version=3.34.0
+revision=1
 build_style=meson
 configure_args="-Dlibsystemd=false"
 hostmakedepends="glib-devel gtk-doc intltool pkg-config libxslt"
@@ -13,5 +13,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Disks"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=6f15e0d12e87205712f0779195503cda33cb50c40a421f9b94d0869aa25c7c23
+checksum=fe240fff0d26876560921bdc8f5d13a139f694844d59d8613be9524b41c267d5
 lib32disabled=yes

From 8964742db0f2f5810e72b22b8a080f03c47e0f7d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:10 +0300
Subject: [PATCH 73/75] gnome-maps: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-maps/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-maps/template b/srcpkgs/gnome-maps/template
index 0585e4574c7..ab667d5c061 100644
--- a/srcpkgs/gnome-maps/template
+++ b/srcpkgs/gnome-maps/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-maps'
 pkgname=gnome-maps
-version=3.32.2.1
+version=3.34.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel gobject-introspection intltool pkg-config AppStream"
@@ -11,6 +11,6 @@ short_desc="GNOME maps application"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Maps"
-distfiles="${GNOME_SITE}/${pkgname}/${version%.*.*}/${pkgname}-${version}.tar.xz"
-checksum=8be6a83cea6545bc8aa3353e6be7bfe7f699795db38dc8d2f958c917700c29d4
-nocross="evolution-dataserver cross gir doesn't work"
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=c56d24e608c71dbf3447f977297c228aab81f7a9516cf7e8c35473082da3ba03
+nocross="evolution-data-server cross gir doesn't work."

From 5ffc0385f2ab6ee7aa34ccbbc746c04293ca2249 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 29 Dec 2019 22:29:16 +0300
Subject: [PATCH 74/75] gnome-settings-daemon: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-settings-daemon/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-settings-daemon/template b/srcpkgs/gnome-settings-daemon/template
index a70e28be5fa..353c2e8f4fd 100644
--- a/srcpkgs/gnome-settings-daemon/template
+++ b/srcpkgs/gnome-settings-daemon/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-settings-daemon'
 pkgname=gnome-settings-daemon
-version=3.34.1
-revision=2
+version=3.34.2
+revision=1
 build_style=meson
 configure_args+="-Dsystemd=false"
 hostmakedepends="cmake docbook-xsl glib-devel libglib-devel libxslt perl pkg-config"
@@ -18,7 +18,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-settings-daemon"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=9981a20babf8da7744b7fbe175b9e36078bf08f3bf65fe5aedeb82cfe27ac11f
+checksum=9fbae67e217e53b99e4f9e7d392c91ffbe31253941c9b136ef09c2d9db7ad7ed
 
 if [ "$CROSS_BUILD" ]; then
 	hostmakedepends+=" polkit"

From 621991433df8f0788ba1673aae4738080bf1f5ae Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Mon, 30 Dec 2019 22:56:32 +0300
Subject: [PATCH 75/75] pangomm: update to 2.43.1. [ci skip]

---
 common/shlibs                         |  2 +-
 srcpkgs/pangomm/patches/fix-dep.patch | 18 ++++++++++++++++++
 srcpkgs/pangomm/template              |  8 ++++----
 3 files changed, 23 insertions(+), 5 deletions(-)
 create mode 100644 srcpkgs/pangomm/patches/fix-dep.patch

diff --git a/common/shlibs b/common/shlibs
index 80ee7ecf9d9..ee65ffe0458 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -708,7 +708,7 @@ libglibmm-2.64.so.1 glibmm-2.63.1_1
 libgiomm-2.64.so.1 glibmm-2.63.1_1
 libglibmm_generate_extra_defs-2.64.so.1 glibmm-2.63.1_1
 libcairomm-1.16.so.1 cairomm-1.15.4_1
-libpangomm-1.4.so.1 pangomm-2.26.0_1
+libpangomm-2.44.so.1 pangomm-2.43.1_1
 libatkmm-1.6.so.1 atkmm-2.22.1_1
 libgtkmm-3.0.so.1 gtkmm-2.99.5_1
 libgdkmm-3.0.so.1 gtkmm-2.99.5_1
diff --git a/srcpkgs/pangomm/patches/fix-dep.patch b/srcpkgs/pangomm/patches/fix-dep.patch
new file mode 100644
index 00000000000..6e3d1a7df63
--- /dev/null
+++ b/srcpkgs/pangomm/patches/fix-dep.patch
@@ -0,0 +1,18 @@
+diff -Naurp0 a/configure b/configure
+--- a/configure	2019-12-21 16:48:39.860529868 +0300
++++ b/configure	2019-12-21 16:49:04.946979529 +0300
+@@ -18049 +18049 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
+-PANGOMM_MODULES='glibmm-2.60 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
++PANGOMM_MODULES='glibmm-2.64 >= 2.59.1 cairomm-1.16 >= 1.15.1 pangocairo >= 1.41.0'
+diff -Naurp0 a/tools/Makefile.am b/tools/Makefile.am
+--- a/tools/Makefile.am	2019-12-21 16:48:51.875744672 +0300
++++ b/tools/Makefile.am	2019-12-21 16:49:15.519169295 +0300
+@@ -33 +33 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD   = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
+diff -Naurp0 a/tools/Makefile.in b/tools/Makefile.in
+--- a/tools/Makefile.in	2019-12-21 16:49:33.502491793 +0300
++++ b/tools/Makefile.in	2019-12-21 16:49:45.390704304 +0300
+@@ -378 +378 @@ extra_defs_gen_generate_extra_defs_SOURC
+-extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.60
++extra_defs_gen_generate_extra_defs_LDADD = $(PANGOMM_LIBS) -lglibmm_generate_extra_defs-2.64
diff --git a/srcpkgs/pangomm/template b/srcpkgs/pangomm/template
index a01fb2fd356..cd6a8488373 100644
--- a/srcpkgs/pangomm/template
+++ b/srcpkgs/pangomm/template
@@ -1,17 +1,17 @@
 # Template file for 'pangomm'
 pkgname=pangomm
-version=2.42.0
+version=2.43.1
 revision=1
 build_style=gnu-configure
-configure_args="--disable-documentation"
 hostmakedepends="pkg-config"
 makedepends="libsigc++-devel glibmm-devel cairomm-devel pango-devel"
 short_desc="C++ bindings for the pango library"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://gtkmm.org"
-distfiles="${GNOME_SITE}/pangomm/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ca6da067ff93a6445780c0b4b226eb84f484ab104b8391fb744a45cbc7edbf56
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=00483967b4ed0869da09dc0617de45625b9ab846c7b07aa25dfc940a4fc540a4
+patch_args="-Np1"
 
 pangomm-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: [PR PATCH] [Updated] gnome apps: update & fix license [ci skip]
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16892@inbox.vuxu.org>
                   ` (5 preceding siblings ...)
  2020-01-12 15:16 ` [PR PATCH] [Updated] " voidlinux-github
@ 2020-01-12 15:24 ` voidlinux-github
  2020-01-12 15:28 ` voidlinux-github
  7 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-12 15:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 2743 bytes --]

There is an updated pull request by k4leg against master on the void-packages repository

https://github.com/k4leg/void-packages gnome
https://github.com/void-linux/void-packages/pull/16892

gnome apps: update & fix license [ci skip]
List of updates:
- [x] at-spi2-atk -> 2.34.1
- [x] atk -> 2.35.1
- [x] baobab -> 3.34.0
- [x] cairomm -> 1.15.4
- [x] dconf -> 0.34.0
- [x] dconf-editor -> 3.34.2
- [x] eog-plugins -> 3.26.4
- [x] eolie -> 0.9.63
- [x] epiphany -> 3.34.2
- [x] evince -> 3.34.2
- [x] evolution -> 3.34.2
- [x] evolution-data-server -> 3.34.2
- [x] file-roller -> 3.35.1
- [x] gdl -> 3.34.0
- [x] glib -> 2.63.3
- [x] glib-networking -> 2.63.2
- [x] glibmm -> 2.63.1
- [x] gmime3 -> 3.2.5
- [x] gnome -> fix
- [x] gnome-2048 -> 3.34.4
- [x] gnome-boxes -> 3.34.2
- [x] gnome-calculator -> fix
- [x] gnome-colors-icon-theme -> fix license
- [x] gnome-control-center -> 3.34.2
- [x] gnome-desktop -> 3.34.2
- [x] gnome-disk-utility -> 3.34.0
- [x] gnome-epub-thumbnailer -> 1.6
- [x] gnome-flashback -> 3.34.2
- [x] gnome-games -> 3.34.1
- [x] gnome-getting-started-docs -> 3.34.1
- [x] gnome-keyring -> 3.34.0
- [x] gnome-maps -> 3.34.2
- [x] gnome-mime-data -> fix license
- [x] gnome-music -> 3.34.2
- [x] gnome-passbook -> 0.8
- [x] gnome-photos -> 3.34.0
- [x] gnome-podcasts -> 0.4.7
- [x] gnome-screenshot -> 3.34.0
- [x] gnome-session -> 3.34.2
- [x] gnome-settings-daemon -> 3.34.2
- [x] gnome-shell -> 3.34.2
- [x] gnome-shell-extensions -> 3.34.2
- [x] gnome-sound-recorder -> 3.34.0
- [x] gnome-subtitles -> 1.6
- [x] gnome-themes-standard-metacity -> 3.27.90
- [x] gnome-usage -> 3.33.2
- [x] gnome-user-docs -> 3.34.1
- [x] gnome-video-effects -> 0.5.0
- [x] gnome-weather -> 3.34.0
- [x] gnote -> 3.34.1
- [x] graphene -> 1.10.0
- [x] grilo -> 0.3.10
- [x] gspell -> 1.8.2
- [x] gtk-doc -> 1.32
- [x] gtk-vnc -> 1.0.0
- [x] gtkmm -> 3.24.2
- [x] gtksourceview4 -> 4.4.0
- [x] gvfs -> 1.43.2
- [x] jsonrpc-glib -> 3.34.0
- [x] libchamplain -> 0.12.20
- [x] libgdata -> 0.17.11
- [x] libsecret -> 0.19.1
- [x] libsigc++ -> 3.0.0
- [x] libsoup -> 2.68.3
- [x] mutter -> 3.34.2
- [x] nautilus -> 3.34.2
- [x] network-manager-applet -> 1.8.24
- [x] orca -> 3.34.1
- [x] pangomm -> 2.43.1
- [x] rygel -> 0.38.3
- [x] shotwell -> 0.31.0
- [x] template-glib -> 3.34.0
- [x] tepl -> 4.3.1
- [x] vala -> 0.47.1
- [x] valadoc -> 0.47.1
- [x] vte3 -> 0.59.0

Compiled on:
* **x86_64-musl**: _Performed | 76/76 packages_
* **aarch64-musl**: _Performed | 72/72 packages_
**Non-cross-compiling**: `eog-plugins`, `gnome-flashback`, `gnome-maps` & `shotwell`

A patch file from https://github.com/void-linux/void-packages/pull/16892.patch is attached

[-- Warning: decoded text below may be mangled --]
[-- Attachment #2: github-pr-gnome-16892.patch --]
[-- Type: text/x-diff, Size: 127350 bytes --]

From 2ffb039717d364871cf54b6f6810a4202b3242dc Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:29:31 +0300
Subject: [PATCH 01/75] gdl: update to 3.34.0. [ci skip]

---
 srcpkgs/gdl/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gdl/template b/srcpkgs/gdl/template
index d5b180bd43b..35bee803f96 100644
--- a/srcpkgs/gdl/template
+++ b/srcpkgs/gdl/template
@@ -1,7 +1,7 @@
 # Template file for 'gdl'
 pkgname=gdl
-version=3.28.0
-revision=3
+version=3.34.0
+revision=1
 build_style=gnu-configure
 build_helper="gir"
 configure_args="$(vopt_enable gir introspection)"
@@ -12,7 +12,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later, LGPL-2.0-or-later"
 homepage="https://developer.gnome.org/gdl/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=52cc98ecc105148467b3b2b4e0d27ae484b1b6710d53413f771ed07ef1b737b6
+checksum=858b30f0cdce4c4cb3e8365a7d54ce57c388beff38ea583be5449bc78dda8d02
 
 # Package build options
 build_options="gir"

From 62a436fbd2f10bb79f7d264bd42f2149315efc5e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:37:50 +0300
Subject: [PATCH 02/75] gmime3: update to 3.2.5. [ci skip]

---
 srcpkgs/gmime3/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gmime3/template b/srcpkgs/gmime3/template
index a6a34d2306b..6331a730683 100644
--- a/srcpkgs/gmime3/template
+++ b/srcpkgs/gmime3/template
@@ -1,6 +1,6 @@
 # Template file for 'gmime3'
 pkgname=gmime3
-version=3.2.4
+version=3.2.5
 revision=1
 wrksrc="gmime-${version}"
 build_style=gnu-configure
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://github.com/jstedfast/gmime"
 distfiles="${GNOME_SITE}/gmime/${version%.*}/gmime-${version}.tar.xz"
-checksum=249ea7c0e080b067aa9669162c36b181b402f6cf6cebc4999d838c6f1e81d024
+checksum=fb7556501f85c3bf3e65fdd82697cbc4fa4b55dccd33ad14239ce0197e78ba59
 
 # Package build options
 build_options="gir vala"

From 9387e6ffbfbdf0e0a7f85966be15785ffe855687 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 19:41:01 +0300
Subject: [PATCH 03/75] gnome-2048: update to 3.34.4. [ci skip]

---
 srcpkgs/gnome-2048/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-2048/template b/srcpkgs/gnome-2048/template
index 38c206f5f77..d65e6fbda39 100644
--- a/srcpkgs/gnome-2048/template
+++ b/srcpkgs/gnome-2048/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-2048'
 pkgname=gnome-2048
-version=3.32.0
-revision=3
+version=3.34.4
+revision=1
 build_style=meson
 hostmakedepends="gettext glib-devel itstool pkg-config vala"
 makedepends="libglib-devel gtk+3-devel clutter-gtk-devel libgee08-devel
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/2048"
 distfiles="${GNOME_SITE}/gnome-2048/${version%.*}/gnome-2048-${version}.tar.xz"
-checksum=3fa3d2efdb1f0d969570844411bc940b7a4f751cb7a2ab4870bee4b527e53121
+checksum=1616b5fb88a16340bf9b96ee5474eb1efab3ff3dedd0c04e3738e39315f4c9ab

From ab563e6d6f31c2b9276c55e3c3f36213edd3529b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:00:11 +0300
Subject: [PATCH 04/75] gnome-boxes: update to 3.34.2. [ci skip]

---
 srcpkgs/gnome-boxes/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-boxes/template b/srcpkgs/gnome-boxes/template
index dc80d8a5556..990056947dd 100644
--- a/srcpkgs/gnome-boxes/template
+++ b/srcpkgs/gnome-boxes/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-boxes'
 pkgname=gnome-boxes
-version=3.32.1
+version=3.34.2
 revision=1
 build_helper="gir"
 build_style=meson
@@ -16,6 +16,6 @@ short_desc="GNOME 3 application to access remote or virtual systems"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Boxes"
-changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-32/NEWS"
+changelog="https://raw.githubusercontent.com/GNOME/gnome-boxes/gnome-3-34/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=84b2fa1632db0b1fe6e6e691cbe22e5c9880099b23124d96bc45933762ec3a95
+checksum=055e6025993c77c13b2d862e2034a42d3b46879c8e99fc2ffb232e168c930de7

From 658e6ab0095a632105b6b3e18933a7b94787bf8b Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:17:17 +0300
Subject: [PATCH 05/75] gnome-games: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-games/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-games/template b/srcpkgs/gnome-games/template
index 2731df0f6d9..e384fca8d25 100644
--- a/srcpkgs/gnome-games/template
+++ b/srcpkgs/gnome-games/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-games'
 pkgname=gnome-games
-version=3.34.0
+version=3.34.1
 revision=1
 build_style=meson
 hostmakedepends="gettext glib-devel pkg-config vala-devel"
@@ -12,4 +12,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Games"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=0fd7246d61ce21c0fc121c5488051a5866c19de2c2835ad7fe4b18c06627dcba
+checksum=28e41c982dcc2b4a2e585333bfc1824c8bc940c2c8d0825bf01f9975db68152d

From 8d4474ef16459f3ea19e753c44d4c7237b2a5b0a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:19:08 +0300
Subject: [PATCH 06/75] gnome-getting-started-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-getting-started-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-getting-started-docs/template b/srcpkgs/gnome-getting-started-docs/template
index 5bec93490ba..e76671df8c7 100644
--- a/srcpkgs/gnome-getting-started-docs/template
+++ b/srcpkgs/gnome-getting-started-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-getting-started-docs'
 pkgname=gnome-getting-started-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -11,4 +11,4 @@ license="CC-BY-SA-3.0"
 homepage="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs"
 #changelog="https://gitlab.gnome.org/GNOME/gnome-getting-started-docs/raw/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=f70ce2ca23ad786215f3c92ec85783e3aabed07e4f78700fa27f9b2cf76e03db
+checksum=ca998f144e2aab81aa7cf6a09202caf650005965d68187baa7aa5d0198373602

From 4cbe0394cbeb52cfb620b10fa185c418c087cf6e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:37:10 +0300
Subject: [PATCH 07/75] gnome-photos: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-photos/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-photos/template b/srcpkgs/gnome-photos/template
index 48ec55c4afc..2742b688af0 100644
--- a/srcpkgs/gnome-photos/template
+++ b/srcpkgs/gnome-photos/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-photos'
 pkgname=gnome-photos
-version=3.32.0
-revision=2
+version=3.34.0
+revision=1
 build_helper="gir"
 build_style=meson
 configure_args="-Ddogtail=false"
@@ -16,7 +16,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Photos"
 distfiles="${GNOME_SITE}/gnome-photos/${version%.*}/gnome-photos-${version}.tar.xz"
-checksum=52c171326523a34412c416c27b66efd250b7dee79f8ac68ff0ebfb8d59c51b98
+checksum=758047cd61fe2ee84b0efc6bacf356f76135d01e475a0b2c33c1bcd26229448a
 
 build_options="gir"
 build_options_default="gir"

From e8dc9bd0c5fe3af143fe4a0f3531ae25bf1b5b6d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:41:04 +0300
Subject: [PATCH 08/75] gnome-screenshot: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-screenshot/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-screenshot/template b/srcpkgs/gnome-screenshot/template
index c07cdf6aa1d..03afd1b473e 100644
--- a/srcpkgs/gnome-screenshot/template
+++ b/srcpkgs/gnome-screenshot/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-screenshot'
 pkgname=gnome-screenshot
-version=3.32.0
+version=3.34.0
 revision=1
 build_style=meson
 hostmakedepends="appdata-tools glib-devel itstool pkg-config"
@@ -11,4 +11,4 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://gitlab.gnome.org/GNOME/gnome-screenshot"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8b609f70083ebb95a754e9f11a18a67d2c2723080d672f2faebe54f9633b0a26
+checksum=c80af5f7a2bed4348585eb18dc4e60af5beba4f13d8ccf6ab1ee1d0912c2b1e6

From 8807b2da7027f878ba3ac043755b8c4dcd6837c3 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:43:41 +0300
Subject: [PATCH 09/75] gnome-sound-recorder: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-sound-recorder/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-sound-recorder/template b/srcpkgs/gnome-sound-recorder/template
index c9cad38ea1c..79900f909e7 100644
--- a/srcpkgs/gnome-sound-recorder/template
+++ b/srcpkgs/gnome-sound-recorder/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-sound-recorder'
 pkgname=gnome-sound-recorder
-version=3.32.1
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/SoundRecorder"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=4b405fa8a783d24657e95221c7fe6ffc6bd517dc1c705691e475b2a59a590361
+checksum=49f1d6e0c06ac3bacc6084b2f5a63c8b91c5a20c3fc824532b7736a1151684c4
 lib32disabled=yes

From b0c5d7765f799b736ea2ee62a3a4865711ac2a8d Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 20:50:07 +0300
Subject: [PATCH 10/75] gnome-subtitles: update to 1.6. [ci skip]

---
 srcpkgs/gnome-subtitles/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-subtitles/template b/srcpkgs/gnome-subtitles/template
index fd53d2b48c7..557c3ff2bf6 100644
--- a/srcpkgs/gnome-subtitles/template
+++ b/srcpkgs/gnome-subtitles/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-subtitles'
 pkgname=gnome-subtitles
-version=1.4.2
-revision=3
+version=1.6
+revision=1
 build_style=gnu-configure
 configure_args="--disable-schemas-compile"
 hostmakedepends="glib-devel intltool mono pkg-config yelp-tools"
@@ -11,9 +11,9 @@ depends="gst-libav gtk-sharp mono"
 short_desc="Video subtitle editor for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
-homepage="http://www.gnomesubtitles.org/"
+homepage="https://www.gnomesubtitles.org/"
 distfiles="${SOURCEFORGE_SITE}/${pkgname}/${pkgname}-${version}.tar.gz"
-checksum=12847186070c8edbfc17d4aa1118a2ad9d8a9d40b806adf5b7041b71e4682641
+checksum=1a1f8aaeceda96f07e8c153ab68fc811f7016c7c789d0ecd981bfab2247df5c2
 
 case "$XBPS_TARGET_MACHINE" in
 	*musl) broken="SIGSEVs on start: https://gitlab.gnome.org/GNOME/gnome-subtitles/issues/109"

From 5fd57fc6f9adb9e037a390aff11e2529f2ff9ac7 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:00:43 +0300
Subject: [PATCH 11/75] gnome-user-docs: update to 3.34.1. [ci skip]

---
 srcpkgs/gnome-user-docs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-user-docs/template b/srcpkgs/gnome-user-docs/template
index 431c54f3934..21085f9f3d7 100644
--- a/srcpkgs/gnome-user-docs/template
+++ b/srcpkgs/gnome-user-docs/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-user-docs'
 pkgname=gnome-user-docs
-version=3.34.0
+version=3.34.1
 revision=1
 archs=noarch
 build_style=gnu-configure
@@ -13,4 +13,4 @@ license="CC-BY-3.0"
 homepage="https://github.com/GNOME/gnome-user-docs"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-user-docs/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=8f9907ff15fff97da75ece645cc86766703ac54d716d25563ba67ffed1af24ed
+checksum=c2edd9d633f6f2a5fd8d5580e169d0e07de64d5d5b12a81ecbd64331d176a986

From 5a56581a344778c955858d99b338fc02ab278ac9 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:04:46 +0300
Subject: [PATCH 12/75] gnome-weather: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-weather/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-weather/template b/srcpkgs/gnome-weather/template
index 91f67c3f3f7..accb0b200d4 100644
--- a/srcpkgs/gnome-weather/template
+++ b/srcpkgs/gnome-weather/template
@@ -1,6 +1,6 @@
 # Template file for 'gnome-weather'
 pkgname=gnome-weather
-version=3.32.2
+version=3.34.0
 revision=1
 build_helper="gir"
 build_style=meson
@@ -12,5 +12,5 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Weather"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=1a25c325033a134f291481bb4aa00b5c9af6555daf5bc311e963e629976bdd49
+checksum=24867e21fcb92b81cd0cf09bbf8bc216ccc55d9a66ac21928b66c413f4efc3bc
 lib32disabled=yes

From d128375b776be3b1237693bbafc02c8c52179376 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:21:52 +0300
Subject: [PATCH 13/75] network-manager-applet: update to 1.8.24. [ci skip]

---
 srcpkgs/network-manager-applet/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/network-manager-applet/template b/srcpkgs/network-manager-applet/template
index f27836fad50..7af034f6832 100644
--- a/srcpkgs/network-manager-applet/template
+++ b/srcpkgs/network-manager-applet/template
@@ -1,6 +1,6 @@
 # Template file for 'network-manager-applet'
 pkgname=network-manager-applet
-version=1.8.22
+version=1.8.24
 revision=1
 build_style=gnu-configure
 build_helper="gir"
@@ -17,7 +17,7 @@ license="GPL-2.0-or-later"
 homepage="https://wiki.gnome.org/Projects/NetworkManager"
 changelog="https://raw.githubusercontent.com/NetworkManager/network-manager-applet/master/NEWS"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ebef1c1050ff6d94cad060e8d259f2a88ae159cf83ca75cb71d9f76867877eed
+checksum=118bbb8a5027634b62e8b45b16ceafce74441529c99bf230654e3bec38f9fbbf
 lib32disabled=yes
 
 # Package build options

From 919d9272ce1b07763cc7e212a4f8d06a5e49c91c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 21:32:45 +0300
Subject: [PATCH 14/75] gnome-epub-thumbnailer: update to 1.6. [ci skip]

---
 srcpkgs/gnome-epub-thumbnailer/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-epub-thumbnailer/template b/srcpkgs/gnome-epub-thumbnailer/template
index b16e705475f..3d203b54f9f 100644
--- a/srcpkgs/gnome-epub-thumbnailer/template
+++ b/srcpkgs/gnome-epub-thumbnailer/template
@@ -1,13 +1,13 @@
 # Template file for 'gnome-epub-thumbnailer'
 pkgname=gnome-epub-thumbnailer
-version=1.5
+version=1.6
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config"
 makedepends="gdk-pixbuf-devel libarchive-devel libxml2-devel"
 short_desc="Thumbnailer for EPub and MOBI books"
 maintainer="Alif Rachmawadi <arch@subosito.com>"
-license="GPL-3"
+license="GPL-3.0-only"
 homepage="https://git.gnome.org/browse/gnome-epub-thumbnailer"
 distfiles="${GNOME_SITE}/${pkgname}/${version}/${pkgname}-${version}.tar.xz"
-checksum=308210f5800219f64cae4828e59bb8e6e4c53b888048cf487221aeb4337d791a
+checksum=b502420d9b02ea0b0fc7986ef5a091a12b2286be14fed9e47594fe9fa0c5898e

From 49f5cbcb69a127ab5e23cbe47d7a6ba304ffa159 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:25:40 +0300
Subject: [PATCH 15/75] gnome-keyring: update to 3.34.0. [ci skip]

---
 srcpkgs/gnome-keyring/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-keyring/template b/srcpkgs/gnome-keyring/template
index 9ab2acb839a..e7f050f47fe 100644
--- a/srcpkgs/gnome-keyring/template
+++ b/srcpkgs/gnome-keyring/template
@@ -1,8 +1,7 @@
 # Template file for 'gnome-keyring'
 pkgname=gnome-keyring
-version=3.28.2
+version=3.34.0
 revision=1
-lib32disabled=yes
 build_style=gnu-configure
 configure_args="--with-pam-dir=/usr/lib/security --disable-schemas-compile"
 hostmakedepends="autoconf docbook-xsl glib-devel intltool libtasn1-tools libxslt
@@ -16,7 +15,8 @@ license="GPL-2.0-or-later, LGPL-2.1-or-later"
 #changelog="https://raw.githubusercontent.com/GNOME/gnome-keyring/gnome-3-28/NEWS"
 homepage="https://www.gnome.org"
 distfiles="${GNOME_SITE}/$pkgname/${version%.*}/$pkgname-$version.tar.xz"
-checksum=81171b7d07211b216b4c9bb79bf2deb3deca18fe8d56d46dda1c4549b4a2646a
+checksum=e9cda9542a3e37c61636145e7e9e2513c569092ea8020752a834e1f40ad41943
+lib32disabled=yes
 
 do_check() {
 	# Requires X11 server

From b0faa04adfdcf81920524dffa3ed5cee7de917f2 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:28:08 +0300
Subject: [PATCH 16/75] gnome-mime-data: fix license. [ci skip]

---
 srcpkgs/gnome-mime-data/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/gnome-mime-data/template b/srcpkgs/gnome-mime-data/template
index e79860e1820..90b7c714428 100644
--- a/srcpkgs/gnome-mime-data/template
+++ b/srcpkgs/gnome-mime-data/template
@@ -1,7 +1,7 @@
 # Template file for 'gnome-mime-data'
 pkgname=gnome-mime-data
 version=2.18.0
-revision=4
+revision=5
 archs=noarch
 build_style=gnu-configure
 hostmakedepends="intltool shared-mime-info"
@@ -9,7 +9,7 @@ makedepends="shared-mime-info"
 depends="shared-mime-info"
 short_desc="Base MIME and Application database for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
 distfiles="${GNOME_SITE}/${pkgname}/2.18/${pkgname}-${version}.tar.bz2"
 checksum=37196b5b37085bbcd45c338c36e26898fe35dd5975295f69f48028b1e8436fd7

From cc8fb60f9996e71b7c5f3d6149618a1388e10f5c Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 22:30:49 +0300
Subject: [PATCH 17/75] gnome-passbook: update to 0.8. [ci skip]

---
 srcpkgs/gnome-passbook/template | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/gnome-passbook/template b/srcpkgs/gnome-passbook/template
index 89047338503..c0adaedb4d9 100644
--- a/srcpkgs/gnome-passbook/template
+++ b/srcpkgs/gnome-passbook/template
@@ -1,15 +1,15 @@
 # Template file for 'gnome-passbook'
 pkgname=gnome-passbook
-version=0.1
-revision=2
-_release_hash=0a227cfdf706f4bfcc0b782026f1aeb2
+version=0.8
+revision=1
+_release_hash=5fea4e4fc19f1732d3a5270bc43eb8e9
 wrksrc="passbook-${version}"
 build_style=meson
 hostmakedepends="glib-devel pkg-config"
 makedepends="gobject-introspection gtk+3-devel libglib-devel"
-short_desc="A password manager for GNOME"
+short_desc="Password manager for GNOME"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Passbook"
 distfiles="https://gitlab.gnome.org/gnumdk/passbook/uploads/${_release_hash}/passbook-${version}.tar.xz"
-checksum=45821f50bcee5d94e3a24e2f892c1bdc645f4a8a795055f2624e59ccc92211d5
+checksum=55b5aaa5a61aa3b026de0491e1ac33ca6094208f88031f547f869578b5ff8ad9

From 5dd411932299625b98d646538ec49ce40905c58e Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Wed, 27 Nov 2019 23:25:31 +0300
Subject: [PATCH 18/75] gnome-colors-icon-theme: fix license. [ci skip]

---
 srcpkgs/gnome-colors-icon-theme/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/gnome-colors-icon-theme/template b/srcpkgs/gnome-colors-icon-theme/template
index 79f36d85e89..cbef71b5cfb 100644
--- a/srcpkgs/gnome-colors-icon-theme/template
+++ b/srcpkgs/gnome-colors-icon-theme/template
@@ -1,16 +1,17 @@
+# Template file for 'gnome-colors-icon-theme'
 pkgname=gnome-colors-icon-theme
 version=5.5.1
-revision=1
+revision=2
 archs=noarch
+wrksrc=${pkgname}
+create_wrksrc=yes
 depends="gtk-update-icon-cache hicolor-icon-theme gnome-icon-theme"
 short_desc="GNOME-Colors icon theme"
 maintainer="Peter Bui <pnutzh4x0r@gmail.com>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="https://github.com/gnome-colors/gnome-colors"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/distfiles/gnome-colors-${version}.tar.gz"
 checksum=1e91d845a753eb38671e7614a786f852ab858a12983111e780da4a47c9debe58
-wrksrc=${pkgname}
-create_wrksrc=yes
 
 do_install() {
 	make -s DESTDIR="$DESTDIR" install > /dev/null

From 620b53144eb4347ddd85ee24cda1599af43a0ad5 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Fri, 29 Nov 2019 17:40:10 +0300
Subject: [PATCH 19/75] libchamplain: update to 0.12.20. [ci skip]

---
 srcpkgs/libchamplain/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libchamplain/template b/srcpkgs/libchamplain/template
index 7c69641e742..f55dd4e6e35 100644
--- a/srcpkgs/libchamplain/template
+++ b/srcpkgs/libchamplain/template
@@ -1,7 +1,7 @@
 # Template file for 'libchamplain'
 pkgname=libchamplain
-version=0.12.19
-revision=3
+version=0.12.20
+revision=1
 build_style=meson
 build_helper="gir"
 configure_args="-Dintrospection=$(vopt_if gir true false)
@@ -13,7 +13,7 @@ maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://projects.gnome.org/libchamplain/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=36842e326cdbe3cdbdab818472797eedb661dec842fe0579596a3a8d438b2aa4
+checksum=0232b4bfcd130a1c5bda7b6aec266bf2d06e701e8093df1886f1e26bc1ba3066
 
 # Package build options
 build_options="gir vala"

From 567cfc8e35f051c2264b7b78211c6a8b45449030 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sat, 30 Nov 2019 23:52:46 +0300
Subject: [PATCH 20/75] gnome-video-effects: update to 0.5.0. [ci skip]

---
 srcpkgs/gnome-video-effects/template | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/gnome-video-effects/template b/srcpkgs/gnome-video-effects/template
index d50ffc6fc1f..09ce987a05b 100644
--- a/srcpkgs/gnome-video-effects/template
+++ b/srcpkgs/gnome-video-effects/template
@@ -1,14 +1,12 @@
 # Template file for 'gnome-video-effects'
 pkgname=gnome-video-effects
-version=0.4.3
-revision=2
+version=0.5.0
+revision=1
 archs=noarch
-build_style=gnu-configure
-hostmakedepends="pkg-config intltool"
-makedepends="gstreamer1-devel"
+build_style=meson
 short_desc="Collection of GStreamer effects for GNOME"
 maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2"
+license="GPL-2.0-only"
 homepage="http://www.gnome.org"
-distfiles="${GNOME_SITE}/${pkgname}/0.4/${pkgname}-${version}.tar.xz"
-checksum=5a7ee0f5ade4b7d921f1b99f3b97d7d7bb830f2fef0f1daee20a7a1867708219
+distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
+checksum=4dc68e9b38fdfc1e8e0414e2d7ee83ace78efdee76f30506cc9dcd07394ad0c8

From f908aa9ea107523dc14b7bc10d902ef4834f1c7a Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:28 +0300
Subject: [PATCH 21/75] gnome-usage: update to 3.33.2. [ci skip]

---
 srcpkgs/gnome-usage/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gnome-usage/template b/srcpkgs/gnome-usage/template
index 211129b35f6..fe4819e9606 100644
--- a/srcpkgs/gnome-usage/template
+++ b/srcpkgs/gnome-usage/template
@@ -1,14 +1,14 @@
 # Template file for 'gnome-usage'
 pkgname=gnome-usage
-version=3.32.0
+version=3.33.2
 revision=1
 build_style=meson
 hostmakedepends="glib-devel pkg-config vala"
 makedepends="gettext-devel gtk+3-devel libglib-devel libgtop-devel vala-devel
- libdazzle-devel"
+ libdazzle-devel tracker-devel"
 short_desc="Nice way to view information about use of system resources"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://wiki.gnome.org/Apps/Usage"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=30ca974cf01ebf29a66b85b0ae09d9beec77496fcda5e53f1bedbad626fbfa2d
+checksum=64561efd2413947c30ecf9fb56f4dfb4e62061621e13d354453496e094bb7770

From 79da153726a92b10d899496a9834cddb79eab226 Mon Sep 17 00:00:00 2001
From: k4leg <d0xi@inbox.ru>
Date: Sun, 1 Dec 2019 18:12:35 +0300
Subject: [PATCH 22/75] gnome-themes-standard-metacity: update to 3.27.90. [ci
 skip]

---